﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BpnEntityCommon
{
    public abstract class BpnIndex
    {
        #region Instance Variables

        protected String name;
        protected BpNT.AutoDataSet dataSet;

        #endregion

        protected BpnIndex(BpNT.AutoDataSet dataSet, String name)
        {
            this.name = name;
            this.dataSet = dataSet;
        }

        public int ApplyRange(IDictionary<String, Object> rangeData)
        {
            return ApplyRange(rangeData, rangeData);
        }

        public int ApplyRange(IDictionary<String, Object> rangeStartData, IDictionary<String, Object> rangeEndData)
        {
            if (dataSet.IsRanged())
                CancelRange();

            var idx = Index;
            idx.Select();

            dataSet.SetRangeStart();
            Set(rangeStartData);

            dataSet.SetRangeEnd();
            Set(rangeEndData);

            dataSet.ApplyRange();

            return dataSet.RecordCount;
        }

        public Boolean CancelRange()
        {
            if (dataSet.IsRanged() == false)
                return false;

            dataSet.CancelRange();
            return true;
        }

        public void GetIndices()
        {
            var indices = dataSet.Indices;
            foreach (BpNT.AutoIndex index in indices)
            {
                //foreach (BpNT.AutoField field in index.IndexFields)
                //    field.Name;
            }
        }

        protected void Set(IDictionary<String, object> itemDictionary)
        {
            foreach (var item in itemDictionary)
                Set(item);
        }

        protected void Set(KeyValuePair<string, object> item)
        {
            Set(item.Key, item.Value);
        }

        protected void Set(string key, object value)
        {
            var field = dataSet.Fields[key];
            if (field != null)
                field.Value = value;
        }

        #region Properties

        public virtual String Name
        {
            get { return name; }
        }

        protected virtual BpNT.AutoIndex Index
        {
            get { return dataSet.Indices[name]; }
        }

        #endregion
    }
}
