using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AAbwesenheitssperren : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AAbwesenheitssperren";
			
		public static AAbwesenheitssperren CreateInstance(BpnConnection connection)
		{
		    var aabwesenheitssperrenInfo = connection.GetDataSetInfo(DS_NAME);
		    var aabwesenheitssperrenDataSet = aabwesenheitssperrenInfo.CreateDataSet();
		
		    var ret = new AAbwesenheitssperren(aabwesenheitssperrenDataSet);
		    return ret;
		}
		
		public AAbwesenheitssperren(BpNT.AutoDataSet aabwesenheitssperrenDataSet) 
			: base(aabwesenheitssperrenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Abteilungsnummer ( String )</summary>
		public virtual String AbtNr
		{
			get { return Convert.ToString(this["AbtNr"]); }
			set { this["AbtNr"] = value; }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String AbtNrInfo
		{
			get { return Convert.ToString(this["AbtNrInfo"]); }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Startdatum ( DateTime )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( DateTime )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Zeitvorgabe ( Byte )</summary>
		public virtual Object ZtVgb
		{
			get { return this["ZtVgb"]; }
			set { this["ZtVgb"] = value; }
		}
		/// <summary>Datumsvorgabedefinition ( Byte )</summary>
		public virtual Object DatVgbDef
		{
			get { return this["DatVgbDef"]; }
			set { this["DatVgbDef"] = value; }
		}
		/// <summary>Auswertungsjahr ( SmallInt )</summary>
		public virtual Object AuswJahr
		{
			get { return this["AuswJahr"]; }
			set { this["AuswJahr"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
