using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AAbwesenheitssperrenSet : BpnEntitySet<AAbwesenheitssperren>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AAbwesenheitssperren";
			
		public static AAbwesenheitssperrenSet CreateInstance(BpnConnection connection)
		{
		    var aabwesenheitssperrensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var aabwesenheitssperrensetDataSet = aabwesenheitssperrensetInfo.CreateDataSet();
		
		    var ret = new AAbwesenheitssperrenSet(aabwesenheitssperrensetDataSet);
		    return ret;
		}
		
		internal AAbwesenheitssperrenSet(BpNT.AutoDataSet aabwesenheitssperrenDataSet) 
			: base(aabwesenheitssperrenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AAbwesenheitssperrenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AAbwesenheitssperrenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AAbwesenheitssperrenSet parentSet;
		
			protected AAbwesenheitssperrenSetIDIndex iDIndex;
			protected AAbwesenheitssperrenSetNrIndex nrIndex;
			protected AAbwesenheitssperrenSetBezIndex bezIndex;
			protected AAbwesenheitssperrenSetStartDatIndex startDatIndex;
			protected AAbwesenheitssperrenSetEndDatIndex endDatIndex;
			protected AAbwesenheitssperrenSetAwJNrIndex awJNrIndex;
			protected AAbwesenheitssperrenSetAwJBezIndex awJBezIndex;
			protected AAbwesenheitssperrenSetAwJStartDatIndex awJStartDatIndex;
			protected AAbwesenheitssperrenSetAwJEndDatIndex awJEndDatIndex;
		
			internal IndicesClass(AAbwesenheitssperrenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AAbwesenheitssperrenSetIDIndex(parentSet.DataSet);
				nrIndex = new AAbwesenheitssperrenSetNrIndex(parentSet.DataSet);
				bezIndex = new AAbwesenheitssperrenSetBezIndex(parentSet.DataSet);
				startDatIndex = new AAbwesenheitssperrenSetStartDatIndex(parentSet.DataSet);
				endDatIndex = new AAbwesenheitssperrenSetEndDatIndex(parentSet.DataSet);
				awJNrIndex = new AAbwesenheitssperrenSetAwJNrIndex(parentSet.DataSet);
				awJBezIndex = new AAbwesenheitssperrenSetAwJBezIndex(parentSet.DataSet);
				awJStartDatIndex = new AAbwesenheitssperrenSetAwJStartDatIndex(parentSet.DataSet);
				awJEndDatIndex = new AAbwesenheitssperrenSetAwJEndDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AAbwesenheitssperrenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Abteilungsnummer</summary>
			public AAbwesenheitssperrenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AAbwesenheitssperrenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AAbwesenheitssperrenSetStartDatIndex StartDatIndex
			{
				get { return startDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AAbwesenheitssperrenSetEndDatIndex EndDatIndex
			{
				get { return endDatIndex; }
			}
			
			/// <summary>Abteilungsnummer</summary>
			public AAbwesenheitssperrenSetAwJNrIndex AwJNrIndex
			{
				get { return awJNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AAbwesenheitssperrenSetAwJBezIndex AwJBezIndex
			{
				get { return awJBezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AAbwesenheitssperrenSetAwJStartDatIndex AwJStartDatIndex
			{
				get { return awJStartDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AAbwesenheitssperrenSetAwJEndDatIndex AwJEndDatIndex
			{
				get { return awJEndDatIndex; }
			}
			
		
			#endregion
		}

		public AAbwesenheitssperrenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
