using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Abteilungen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Abteilungen";
			
		public static Abteilungen CreateInstance(BpnConnection connection)
		{
		    var abteilungenInfo = connection.GetDataSetInfo(DS_NAME);
		    var abteilungenDataSet = abteilungenInfo.CreateDataSet();
		
		    var ret = new Abteilungen(abteilungenDataSet);
		    return ret;
		}
		
		public Abteilungen(BpNT.AutoDataSet abteilungenDataSet) 
			: base(abteilungenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Abteilungsnummer ( String )</summary>
		public virtual String AbtNr
		{
			get { return Convert.ToString(this["AbtNr"]); }
			set { this["AbtNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Montag ( Integer )</summary>
		public virtual Int32 MindBes1
		{
			get { return Convert.ToInt32(this["MindBes1"]); }
			set { this["MindBes1"] = value; }
		}
		/// <summary>Dienstag ( Integer )</summary>
		public virtual Int32 MindBes2
		{
			get { return Convert.ToInt32(this["MindBes2"]); }
			set { this["MindBes2"] = value; }
		}
		/// <summary>Mittwoch ( Integer )</summary>
		public virtual Int32 MindBes3
		{
			get { return Convert.ToInt32(this["MindBes3"]); }
			set { this["MindBes3"] = value; }
		}
		/// <summary>Donnerstag ( Integer )</summary>
		public virtual Int32 MindBes4
		{
			get { return Convert.ToInt32(this["MindBes4"]); }
			set { this["MindBes4"] = value; }
		}
		/// <summary>Freitag ( Integer )</summary>
		public virtual Int32 MindBes5
		{
			get { return Convert.ToInt32(this["MindBes5"]); }
			set { this["MindBes5"] = value; }
		}
		/// <summary>Samstag ( Integer )</summary>
		public virtual Int32 MindBes6
		{
			get { return Convert.ToInt32(this["MindBes6"]); }
			set { this["MindBes6"] = value; }
		}
		/// <summary>Sonntag ( Integer )</summary>
		public virtual Int32 MindBes7
		{
			get { return Convert.ToInt32(this["MindBes7"]); }
			set { this["MindBes7"] = value; }
		}
		/// <summary>ffnungs- und Arbeitszeiten ( String )</summary>
		public virtual String OAZeit
		{
			get { return Convert.ToString(this["OAZeit"]); }
			set { this["OAZeit"] = value; }
		}
		/// <summary>Farbe ( Integer )</summary>
		public virtual Int32 Farbe
		{
			get { return Convert.ToInt32(this["Farbe"]); }
			set { this["Farbe"] = value; }
		}
		/// <summary>AbwMindestbesetzung ( Table )</summary>
		public virtual Object AbwMB
		{
			get { return this["AbwMB"]; }
		}
		/// <summary>AAbwesenheitssperren ( Table )</summary>
		public virtual Object AAbwSp
		{
			get { return this["AAbwSp"]; }
		}
		/// <summary>Mitarbeiter ( Table )</summary>
		public virtual Object Mit
		{
			get { return this["Mit"]; }
		}
		/// <summary>ZeitInfo fr abweichende Mindestbesetzungen ( Blob )</summary>
		public virtual Object AbwMBZeitInfo
		{
			get { return this["AbwMBZeitInfo"]; }
			set { this["AbwMBZeitInfo"] = value; }
		}
		/// <summary>ZeitInfo fr Abwesenheitssperren ( Blob )</summary>
		public virtual Object AbwSpZeitInfo
		{
			get { return this["AbwSpZeitInfo"]; }
			set { this["AbwSpZeitInfo"] = value; }
		}
		/// <summary>Vorgabe Betriebssttte ( Integer )</summary>
		public virtual Int32 VgbBetrStaette
		{
			get { return Convert.ToInt32(this["VgbBetrStaette"]); }
			set { this["VgbBetrStaette"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle ( String )</summary>
		public virtual String VgbUntBNr
		{
			get { return Convert.ToString(this["VgbUntBNr"]); }
			set { this["VgbUntBNr"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
