using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwArtikelDaten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AbwArtikelDaten";
			
		public static AbwArtikelDaten CreateInstance(BpnConnection connection)
		{
		    var abwartikeldatenInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwartikeldatenDataSet = abwartikeldatenInfo.CreateDataSet();
		
		    var ret = new AbwArtikelDaten(abwartikeldatenDataSet);
		    return ret;
		}
		
		public AbwArtikelDaten(BpNT.AutoDataSet abwartikeldatenDataSet) 
			: base(abwartikeldatenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Gruppe ( Integer )</summary>
		public virtual Int32 Grp
		{
			get { return Convert.ToInt32(this["Grp"]); }
			set { this["Grp"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Abweichende Artikelnummer ( String )</summary>
		public virtual String AbwArtNr
		{
			get { return Convert.ToString(this["AbwArtNr"]); }
			set { this["AbwArtNr"] = value; }
		}
		/// <summary>Abweichender Preis ( Double )</summary>
		public virtual Object AbwPr
		{
			get { return this["AbwPr"]; }
			set { this["AbwPr"] = value; }
		}
		/// <summary>Original Artikelpreis ( Double )</summary>
		public virtual Object OrgPr
		{
			get { return this["OrgPr"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
		}
		/// <summary>Preise gelten fr Menge ( Double )</summary>
		public virtual Object PreisMge
		{
			get { return this["PreisMge"]; }
			set { this["PreisMge"] = value; }
		}
		/// <summary>Rabattfhig ( Boolean )</summary>
		public virtual Object RabKz
		{
			get { return this["RabKz"]; }
		}
		/// <summary>Kein anderer Rabatt gltig ( Boolean )</summary>
		public virtual Object KARabKz
		{
			get { return this["KARabKz"]; }
		}
		/// <summary>Rab0->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab0_AAdRG
		{
			get { return this["Rab0.AAdRG"]; }
			set { this["Rab0.AAdRG"] = value; }
		}
		/// <summary>Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Rab0_Mge
		{
			get { return this["Rab0.Mge"]; }
		}
		/// <summary>Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Rab0_Sz
		{
			get { return this["Rab0.Sz"]; }
		}
		/// <summary>Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Rab0_Pr
		{
			get { return this["Rab0.Pr"]; }
		}
		/// <summary>Rab1->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab1_AAdRG
		{
			get { return this["Rab1.AAdRG"]; }
			set { this["Rab1.AAdRG"] = value; }
		}
		/// <summary>Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Rab1_Mge
		{
			get { return this["Rab1.Mge"]; }
		}
		/// <summary>Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Rab1_Sz
		{
			get { return this["Rab1.Sz"]; }
		}
		/// <summary>Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Rab1_Pr
		{
			get { return this["Rab1.Pr"]; }
		}
		/// <summary>Rab2->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab2_AAdRG
		{
			get { return this["Rab2.AAdRG"]; }
			set { this["Rab2.AAdRG"] = value; }
		}
		/// <summary>Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Rab2_Mge
		{
			get { return this["Rab2.Mge"]; }
		}
		/// <summary>Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Rab2_Sz
		{
			get { return this["Rab2.Sz"]; }
		}
		/// <summary>Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Rab2_Pr
		{
			get { return this["Rab2.Pr"]; }
		}
		/// <summary>Rab3->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab3_AAdRG
		{
			get { return this["Rab3.AAdRG"]; }
			set { this["Rab3.AAdRG"] = value; }
		}
		/// <summary>Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Rab3_Mge
		{
			get { return this["Rab3.Mge"]; }
		}
		/// <summary>Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Rab3_Sz
		{
			get { return this["Rab3.Sz"]; }
		}
		/// <summary>Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Rab3_Pr
		{
			get { return this["Rab3.Pr"]; }
		}
		/// <summary>Rab4->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab4_AAdRG
		{
			get { return this["Rab4.AAdRG"]; }
			set { this["Rab4.AAdRG"] = value; }
		}
		/// <summary>Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Rab4_Mge
		{
			get { return this["Rab4.Mge"]; }
		}
		/// <summary>Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Rab4_Sz
		{
			get { return this["Rab4.Sz"]; }
		}
		/// <summary>Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Rab4_Pr
		{
			get { return this["Rab4.Pr"]; }
		}
		/// <summary>Rab5->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab5_AAdRG
		{
			get { return this["Rab5.AAdRG"]; }
			set { this["Rab5.AAdRG"] = value; }
		}
		/// <summary>Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Rab5_Mge
		{
			get { return this["Rab5.Mge"]; }
		}
		/// <summary>Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Rab5_Sz
		{
			get { return this["Rab5.Sz"]; }
		}
		/// <summary>Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Rab5_Pr
		{
			get { return this["Rab5.Pr"]; }
		}
		/// <summary>Rab6->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab6_AAdRG
		{
			get { return this["Rab6.AAdRG"]; }
			set { this["Rab6.AAdRG"] = value; }
		}
		/// <summary>Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Rab6_Mge
		{
			get { return this["Rab6.Mge"]; }
		}
		/// <summary>Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Rab6_Sz
		{
			get { return this["Rab6.Sz"]; }
		}
		/// <summary>Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Rab6_Pr
		{
			get { return this["Rab6.Pr"]; }
		}
		/// <summary>Rab7->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab7_AAdRG
		{
			get { return this["Rab7.AAdRG"]; }
			set { this["Rab7.AAdRG"] = value; }
		}
		/// <summary>Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Rab7_Mge
		{
			get { return this["Rab7.Mge"]; }
		}
		/// <summary>Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Rab7_Sz
		{
			get { return this["Rab7.Sz"]; }
		}
		/// <summary>Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Rab7_Pr
		{
			get { return this["Rab7.Pr"]; }
		}
		/// <summary>Rab8->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab8_AAdRG
		{
			get { return this["Rab8.AAdRG"]; }
			set { this["Rab8.AAdRG"] = value; }
		}
		/// <summary>Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Rab8_Mge
		{
			get { return this["Rab8.Mge"]; }
		}
		/// <summary>Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Rab8_Sz
		{
			get { return this["Rab8.Sz"]; }
		}
		/// <summary>Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Rab8_Pr
		{
			get { return this["Rab8.Pr"]; }
		}
		/// <summary>Rab9->AbwArtikelRabGruppe ( Array )</summary>
		public virtual Object Rab9_AAdRG
		{
			get { return this["Rab9.AAdRG"]; }
			set { this["Rab9.AAdRG"] = value; }
		}
		/// <summary>Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Rab9_Mge
		{
			get { return this["Rab9.Mge"]; }
		}
		/// <summary>Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Rab9_Sz
		{
			get { return this["Rab9.Sz"]; }
		}
		/// <summary>Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Rab9_Pr
		{
			get { return this["Rab9.Pr"]; }
		}
		/// <summary>AbwArtikelRabatt ( Table )</summary>
		public virtual Object AAdRa
		{
			get { return this["AAdRa"]; }
		}
		/// <summary>Nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object NoZuschlKz
		{
			get { return this["NoZuschlKz"]; }
		}
		/// <summary>Provisionsfhig ( Boolean )</summary>
		public virtual Object ProvKz
		{
			get { return this["ProvKz"]; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Artikel Kurzbezeichnung ( String )</summary>
		public virtual String ArtKuBez
		{
			get { return Convert.ToString(this["ArtKuBez"]); }
			set { this["ArtKuBez"] = value; }
		}
		/// <summary>Artikel Bezeichnung ( Info )</summary>
		public virtual Object ArtBez
		{
			get { return this["ArtBez"]; }
			set { this["ArtBez"] = value; }
		}
		/// <summary>Artikel Bezeichnung Kennzeichen ( Boolean )</summary>
		public virtual Object ArtBezKz
		{
			get { return this["ArtBezKz"]; }
		}
		/// <summary>Keine andere Artikelbezeichnung verwenden ( Boolean )</summary>
		public virtual Object KAArtBezKz
		{
			get { return this["KAArtBezKz"]; }
		}
		/// <summary>Artikelbezeichnung beim Fakturieren voranstellen ( Boolean )</summary>
		public virtual Object ArtBezVorKz
		{
			get { return this["ArtBezVorKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Gesperrt ab Datum ( Date )</summary>
		public virtual DateTime GspAbDat
		{
			get { return Convert.ToDateTime(this["GspAbDat"]); }
			set { this["GspAbDat"] = value; }
		}
		/// <summary>Gesperrt bis Datum ( Date )</summary>
		public virtual DateTime GspBisDat
		{
			get { return Convert.ToDateTime(this["GspBisDat"]); }
			set { this["GspBisDat"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
