using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AbwMindestbesetzungSet : BpnEntitySet<AbwMindestbesetzung>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AbwMindestbesetzung";
			
		public static AbwMindestbesetzungSet CreateInstance(BpnConnection connection)
		{
		    var abwmindestbesetzungsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwmindestbesetzungsetDataSet = abwmindestbesetzungsetInfo.CreateDataSet();
		
		    var ret = new AbwMindestbesetzungSet(abwmindestbesetzungsetDataSet);
		    return ret;
		}
		
		internal AbwMindestbesetzungSet(BpNT.AutoDataSet abwmindestbesetzungDataSet) 
			: base(abwmindestbesetzungDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AbwMindestbesetzungSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AbwMindestbesetzungSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AbwMindestbesetzungSet parentSet;
		
			protected AbwMindestbesetzungSetIDIndex iDIndex;
			protected AbwMindestbesetzungSetAbtNrIndex abtNrIndex;
			protected AbwMindestbesetzungSetBezIndex bezIndex;
			protected AbwMindestbesetzungSetStartDatIndex startDatIndex;
			protected AbwMindestbesetzungSetEndDatIndex endDatIndex;
			protected AbwMindestbesetzungSetAwJAbtNrIndex awJAbtNrIndex;
			protected AbwMindestbesetzungSetAwJBezIndex awJBezIndex;
			protected AbwMindestbesetzungSetAwJStartDatIndex awJStartDatIndex;
			protected AbwMindestbesetzungSetAwJEndDatIndex awJEndDatIndex;
		
			internal IndicesClass(AbwMindestbesetzungSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AbwMindestbesetzungSetIDIndex(parentSet.DataSet);
				abtNrIndex = new AbwMindestbesetzungSetAbtNrIndex(parentSet.DataSet);
				bezIndex = new AbwMindestbesetzungSetBezIndex(parentSet.DataSet);
				startDatIndex = new AbwMindestbesetzungSetStartDatIndex(parentSet.DataSet);
				endDatIndex = new AbwMindestbesetzungSetEndDatIndex(parentSet.DataSet);
				awJAbtNrIndex = new AbwMindestbesetzungSetAwJAbtNrIndex(parentSet.DataSet);
				awJBezIndex = new AbwMindestbesetzungSetAwJBezIndex(parentSet.DataSet);
				awJStartDatIndex = new AbwMindestbesetzungSetAwJStartDatIndex(parentSet.DataSet);
				awJEndDatIndex = new AbwMindestbesetzungSetAwJEndDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AbwMindestbesetzungSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Abteilungsnummer</summary>
			public AbwMindestbesetzungSetAbtNrIndex AbtNrIndex
			{
				get { return abtNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AbwMindestbesetzungSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AbwMindestbesetzungSetStartDatIndex StartDatIndex
			{
				get { return startDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AbwMindestbesetzungSetEndDatIndex EndDatIndex
			{
				get { return endDatIndex; }
			}
			
			/// <summary>Abteilungsnummer</summary>
			public AbwMindestbesetzungSetAwJAbtNrIndex AwJAbtNrIndex
			{
				get { return awJAbtNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AbwMindestbesetzungSetAwJBezIndex AwJBezIndex
			{
				get { return awJBezIndex; }
			}
			
			/// <summary>Startdatum</summary>
			public AbwMindestbesetzungSetAwJStartDatIndex AwJStartDatIndex
			{
				get { return awJStartDatIndex; }
			}
			
			/// <summary>Enddatum</summary>
			public AbwMindestbesetzungSetAwJEndDatIndex AwJEndDatIndex
			{
				get { return awJEndDatIndex; }
			}
			
		
			#endregion
		}

		public AbwMindestbesetzungSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
