using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Abwesenheiten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Abwesenheiten";
			
		public static Abwesenheiten CreateInstance(BpnConnection connection)
		{
		    var abwesenheitenInfo = connection.GetDataSetInfo(DS_NAME);
		    var abwesenheitenDataSet = abwesenheitenInfo.CreateDataSet();
		
		    var ret = new Abwesenheiten(abwesenheitenDataSet);
		    return ret;
		}
		
		public Abwesenheiten(BpNT.AutoDataSet abwesenheitenDataSet) 
			: base(abwesenheitenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Mitarbeiternummer ( String )</summary>
		public virtual String MitNr
		{
			get { return Convert.ToString(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Mitarbeiter ( String )</summary>
		public virtual String MitNrInfo
		{
			get { return Convert.ToString(this["MitNrInfo"]); }
		}
		/// <summary>Abwesenheitsartennummer ( String )</summary>
		public virtual String AbwANr
		{
			get { return Convert.ToString(this["AbwANr"]); }
			set { this["AbwANr"] = value; }
		}
		/// <summary>Abwesenheitsart ( String )</summary>
		public virtual String AbwANrInfo
		{
			get { return Convert.ToString(this["AbwANrInfo"]); }
		}
		/// <summary>Startdatum ( DateTime )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( DateTime )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Zeitvorgabe ( Byte )</summary>
		public virtual Object ZtVgb
		{
			get { return this["ZtVgb"]; }
			set { this["ZtVgb"] = value; }
		}
		/// <summary>Datumsvorgabedefinition ( Byte )</summary>
		public virtual Object DatVgbDef
		{
			get { return this["DatVgbDef"]; }
			set { this["DatVgbDef"] = value; }
		}
		/// <summary>Vertretung durch Mitarbeiternummer ( String )</summary>
		public virtual String VertrMitNr
		{
			get { return Convert.ToString(this["VertrMitNr"]); }
			set { this["VertrMitNr"] = value; }
		}
		/// <summary>Vertretung durch Mitarbeiter ( String )</summary>
		public virtual String VertrMitNrInfo
		{
			get { return Convert.ToString(this["VertrMitNrInfo"]); }
		}
		/// <summary>Auswertungsjahr ( SmallInt )</summary>
		public virtual Object AuswJahr
		{
			get { return this["AuswJahr"]; }
			set { this["AuswJahr"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
