using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AdressenWgrRabatt : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "AdressenWgrRabatt";
			
		public static AdressenWgrRabatt CreateInstance(BpnConnection connection)
		{
		    var adressenwgrrabattInfo = connection.GetDataSetInfo(DS_NAME);
		    var adressenwgrrabattDataSet = adressenwgrrabattInfo.CreateDataSet();
		
		    var ret = new AdressenWgrRabatt(adressenwgrrabattDataSet);
		    return ret;
		}
		
		public AdressenWgrRabatt(BpNT.AutoDataSet adressenwgrrabattDataSet) 
			: base(adressenwgrrabattDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Warengruppe ( String )</summary>
		public virtual String WgrNrInfo
		{
			get { return Convert.ToString(this["WgrNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
			set { this["RabSz"] = value; }
		}
		/// <summary>Fakturierungsvolumen (Netto) ( Double )</summary>
		public virtual Object FakVolBetNt
		{
			get { return this["FakVolBetNt"]; }
			set { this["FakVolBetNt"] = value; }
		}
		/// <summary>Volumenrabatt (in %) ( Double )</summary>
		public virtual Object VolRabSz
		{
			get { return this["VolRabSz"]; }
			set { this["VolRabSz"] = value; }
		}
		/// <summary>Kein anderer Rabatt gltig ( Boolean )</summary>
		public virtual Object KARabKz
		{
			get { return this["KARabKz"]; }
		}
		/// <summary>Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object MaxRabSz
		{
			get { return this["MaxRabSz"]; }
			set { this["MaxRabSz"] = value; }
		}
		/// <summary>Aufschlagsrabatt (in %) ( Double )</summary>
		public virtual Object AufRabSz
		{
			get { return this["AufRabSz"]; }
			set { this["AufRabSz"] = value; }
		}
		/// <summary>Berechneten Rabatt in Aufschlagsrabatt bercksichtigen ( Boolean )</summary>
		public virtual Object BRabInAufRabKz
		{
			get { return this["BRabInAufRabKz"]; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
