using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Anbindungen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Anbindungen";
			
		public static Anbindungen CreateInstance(BpnConnection connection)
		{
		    var anbindungenInfo = connection.GetDataSetInfo(DS_NAME);
		    var anbindungenDataSet = anbindungenInfo.CreateDataSet();
		
		    var ret = new Anbindungen(anbindungenDataSet);
		    return ret;
		}
		
		public Anbindungen(BpNT.AutoDataSet anbindungenDataSet) 
			: base(anbindungenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Klasse ( Integer )</summary>
		public virtual Int32 Cls
		{
			get { return Convert.ToInt32(this["Cls"]); }
			set { this["Cls"] = value; }
		}
		/// <summary>Data ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
