using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnbindungenSet : BpnEntitySet<Anbindungen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Anbindungen";
			
		public static AnbindungenSet CreateInstance(BpnConnection connection)
		{
		    var anbindungensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var anbindungensetDataSet = anbindungensetInfo.CreateDataSet();
		
		    var ret = new AnbindungenSet(anbindungensetDataSet);
		    return ret;
		}
		
		internal AnbindungenSet(BpNT.AutoDataSet anbindungenDataSet) 
			: base(anbindungenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AnbindungenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AnbindungenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AnbindungenSet parentSet;
		
			protected AnbindungenSetClsBezIndex clsBezIndex;
		
			internal IndicesClass(AnbindungenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				clsBezIndex = new AnbindungenSetClsBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Bezeichnung</summary>
			public AnbindungenSetClsBezIndex ClsBezIndex
			{
				get { return clsBezIndex; }
			}
			
		
			#endregion
		}

		public AnbindungenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
