using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnschriftenSet : BpnEntitySet<Anschriften>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Anschriften";
			
		public static AnschriftenSet CreateInstance(BpnConnection connection)
		{
		    var anschriftensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var anschriftensetDataSet = anschriftensetInfo.CreateDataSet();
		
		    var ret = new AnschriftenSet(anschriftensetDataSet);
		    return ret;
		}
		
		internal AnschriftenSet(BpNT.AutoDataSet anschriftenDataSet) 
			: base(anschriftenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AnschriftenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AnschriftenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AnschriftenSet parentSet;
		
			protected AnschriftenSetIDIndex iDIndex;
			protected AnschriftenSetAdrNrAnsNrIndex adrNrAnsNrIndex;
			protected AnschriftenSetAdrNrGrpAnsNrIndex adrNrGrpAnsNrIndex;
			protected AnschriftenSetAdrNrNa2Index adrNrNa2Index;
			protected AnschriftenSetILNIndex iLNIndex;
			protected AnschriftenSetNa2Index na2Index;
			protected AnschriftenSetLandPLZIndex landPLZIndex;
			protected AnschriftenSetPLZIndex pLZIndex;
			protected AnschriftenSetOrtIndex ortIndex;
			protected AnschriftenSetTelIndex telIndex;
			protected AnschriftenSetAucWebIdIndex aucWebIdIndex;
		
			internal IndicesClass(AnschriftenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AnschriftenSetIDIndex(parentSet.DataSet);
				adrNrAnsNrIndex = new AnschriftenSetAdrNrAnsNrIndex(parentSet.DataSet);
				adrNrGrpAnsNrIndex = new AnschriftenSetAdrNrGrpAnsNrIndex(parentSet.DataSet);
				adrNrNa2Index = new AnschriftenSetAdrNrNa2Index(parentSet.DataSet);
				iLNIndex = new AnschriftenSetILNIndex(parentSet.DataSet);
				na2Index = new AnschriftenSetNa2Index(parentSet.DataSet);
				landPLZIndex = new AnschriftenSetLandPLZIndex(parentSet.DataSet);
				pLZIndex = new AnschriftenSetPLZIndex(parentSet.DataSet);
				ortIndex = new AnschriftenSetOrtIndex(parentSet.DataSet);
				telIndex = new AnschriftenSetTelIndex(parentSet.DataSet);
				aucWebIdIndex = new AnschriftenSetAucWebIdIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AnschriftenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public AnschriftenSetAdrNrAnsNrIndex AdrNrAnsNrIndex
			{
				get { return adrNrAnsNrIndex; }
			}
			
			/// <summary>Adressnummer und Gruppe</summary>
			public AnschriftenSetAdrNrGrpAnsNrIndex AdrNrGrpAnsNrIndex
			{
				get { return adrNrGrpAnsNrIndex; }
			}
			
			/// <summary>Adressnummer und Name 2</summary>
			public AnschriftenSetAdrNrNa2Index AdrNrNa2Index
			{
				get { return adrNrNa2Index; }
			}
			
			/// <summary>ILN</summary>
			public AnschriftenSetILNIndex ILNIndex
			{
				get { return iLNIndex; }
			}
			
			/// <summary>Name 2</summary>
			public AnschriftenSetNa2Index Na2Index
			{
				get { return na2Index; }
			}
			
			/// <summary>Land</summary>
			public AnschriftenSetLandPLZIndex LandPLZIndex
			{
				get { return landPLZIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public AnschriftenSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public AnschriftenSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>Telefon</summary>
			public AnschriftenSetTelIndex TelIndex
			{
				get { return telIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public AnschriftenSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
		
			#endregion
		}

		public AnschriftenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
