using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AnsichtenVorgabenSet : BpnEntitySet<AnsichtenVorgaben>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AnsichtenVorgaben";
			
		public static AnsichtenVorgabenSet CreateInstance(BpnConnection connection)
		{
		    var ansichtenvorgabensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var ansichtenvorgabensetDataSet = ansichtenvorgabensetInfo.CreateDataSet();
		
		    var ret = new AnsichtenVorgabenSet(ansichtenvorgabensetDataSet);
		    return ret;
		}
		
		internal AnsichtenVorgabenSet(BpNT.AutoDataSet ansichtenvorgabenDataSet) 
			: base(ansichtenvorgabenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AnsichtenVorgabenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AnsichtenVorgabenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AnsichtenVorgabenSet parentSet;
		
			protected AnsichtenVorgabenSetBezIndex bezIndex;
			protected AnsichtenVorgabenSetStdIndex stdIndex;
		
			internal IndicesClass(AnsichtenVorgabenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				bezIndex = new AnsichtenVorgabenSetBezIndex(parentSet.DataSet);
				stdIndex = new AnsichtenVorgabenSetStdIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Bezeichnung</summary>
			public AnsichtenVorgabenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Std</summary>
			public AnsichtenVorgabenSetStdIndex StdIndex
			{
				get { return stdIndex; }
			}
			
		
			#endregion
		}

		public AnsichtenVorgabenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
