using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelEbayEinstellungenSet : BpnEntitySet<ArtikelEbayEinstellungen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelEbayEinstellungen";
			
		public static ArtikelEbayEinstellungenSet CreateInstance(BpnConnection connection)
		{
		    var artikelebayeinstellungensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelebayeinstellungensetDataSet = artikelebayeinstellungensetInfo.CreateDataSet();
		
		    var ret = new ArtikelEbayEinstellungenSet(artikelebayeinstellungensetDataSet);
		    return ret;
		}
		
		internal ArtikelEbayEinstellungenSet(BpNT.AutoDataSet artikelebayeinstellungenDataSet) 
			: base(artikelebayeinstellungenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelEbayEinstellungenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelEbayEinstellungenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelEbayEinstellungenSet parentSet;
		
			protected ArtikelEbayEinstellungenSetArtNrNrIndex artNrNrIndex;
			protected ArtikelEbayEinstellungenSetNrIndex nrIndex;
			protected ArtikelEbayEinstellungenSetKuInfoIndex kuInfoIndex;
			protected ArtikelEbayEinstellungenSetArtNrKuInfoIndex artNrKuInfoIndex;
			protected ArtikelEbayEinstellungenSetAucWebIDIndex aucWebIDIndex;
		
			internal IndicesClass(ArtikelEbayEinstellungenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				artNrNrIndex = new ArtikelEbayEinstellungenSetArtNrNrIndex(parentSet.DataSet);
				nrIndex = new ArtikelEbayEinstellungenSetNrIndex(parentSet.DataSet);
				kuInfoIndex = new ArtikelEbayEinstellungenSetKuInfoIndex(parentSet.DataSet);
				artNrKuInfoIndex = new ArtikelEbayEinstellungenSetArtNrKuInfoIndex(parentSet.DataSet);
				aucWebIDIndex = new ArtikelEbayEinstellungenSetAucWebIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Artikelnummer</summary>
			public ArtikelEbayEinstellungenSetArtNrNrIndex ArtNrNrIndex
			{
				get { return artNrNrIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ArtikelEbayEinstellungenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public ArtikelEbayEinstellungenSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public ArtikelEbayEinstellungenSetArtNrKuInfoIndex ArtNrKuInfoIndex
			{
				get { return artNrKuInfoIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public ArtikelEbayEinstellungenSetAucWebIDIndex AucWebIDIndex
			{
				get { return aucWebIDIndex; }
			}
			
		
			#endregion
		}

		public ArtikelEbayEinstellungenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
