using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelGebindeSet : BpnEntitySet<ArtikelGebinde>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelGebinde";
			
		public static ArtikelGebindeSet CreateInstance(BpnConnection connection)
		{
		    var artikelgebindesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelgebindesetDataSet = artikelgebindesetInfo.CreateDataSet();
		
		    var ret = new ArtikelGebindeSet(artikelgebindesetDataSet);
		    return ret;
		}
		
		internal ArtikelGebindeSet(BpNT.AutoDataSet artikelgebindeDataSet) 
			: base(artikelgebindeDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelGebindeSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelGebindeSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelGebindeSet parentSet;
		
			protected ArtikelGebindeSetIDIndex iDIndex;
			protected ArtikelGebindeSetArtNrEinhIndex artNrEinhIndex;
			protected ArtikelGebindeSetEinhIndex einhIndex;
			protected ArtikelGebindeSetBarCdIndex barCdIndex;
			protected ArtikelGebindeSetArtNrBarCdIndex artNrBarCdIndex;
		
			internal IndicesClass(ArtikelGebindeSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ArtikelGebindeSetIDIndex(parentSet.DataSet);
				artNrEinhIndex = new ArtikelGebindeSetArtNrEinhIndex(parentSet.DataSet);
				einhIndex = new ArtikelGebindeSetEinhIndex(parentSet.DataSet);
				barCdIndex = new ArtikelGebindeSetBarCdIndex(parentSet.DataSet);
				artNrBarCdIndex = new ArtikelGebindeSetArtNrBarCdIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ArtikelGebindeSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ArtikelGebindeSetArtNrEinhIndex ArtNrEinhIndex
			{
				get { return artNrEinhIndex; }
			}
			
			/// <summary>Einheit</summary>
			public ArtikelGebindeSetEinhIndex EinhIndex
			{
				get { return einhIndex; }
			}
			
			/// <summary>Barcode</summary>
			public ArtikelGebindeSetBarCdIndex BarCdIndex
			{
				get { return barCdIndex; }
			}
			
			/// <summary>Barcode</summary>
			public ArtikelGebindeSetArtNrBarCdIndex ArtNrBarCdIndex
			{
				get { return artNrBarCdIndex; }
			}
			
		
			#endregion
		}

		public ArtikelGebindeSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
