using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelSet : BpnEntitySet<Artikel>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Artikel";
			
		public static ArtikelSet CreateInstance(BpnConnection connection)
		{
		    var artikelsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelsetDataSet = artikelsetInfo.CreateDataSet();
		
		    var ret = new ArtikelSet(artikelsetDataSet);
		    return ret;
		}
		
		internal ArtikelSet(BpNT.AutoDataSet artikelDataSet) 
			: base(artikelDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelSet parentSet;
		
			protected ArtikelSetIDIndex iDIndex;
			protected ArtikelSetNrIndex nrIndex;
			protected ArtikelSetNrNumIndex nrNumIndex;
			protected ArtikelSetSuchBegIndex suchBegIndex;
			protected ArtikelSetRefWertIndex refWertIndex;
			protected ArtikelSetWgrNrIndex wgrNrIndex;
			protected ArtikelSetKuBez1Index kuBez1Index;
			protected ArtikelSetBarCdIndex barCdIndex;
			protected ArtikelSetStdLiefNrIndex stdLiefNrIndex;
			protected ArtikelSetHstAdrNrIndex hstAdrNrIndex;
			protected ArtikelSetArtNrIndex artNrIndex;
			protected ArtikelSetArtSuchBegIndex artSuchBegIndex;
			protected ArtikelSetAMVArtNrIndex aMVArtNrIndex;
			protected ArtikelSetAucWebIdIndex aucWebIdIndex;
			protected ArtikelSetAucWebIdAllIndex aucWebIdAllIndex;
			protected ArtikelSetLtzUmsatzIndex ltzUmsatzIndex;
			protected ArtikelSetArtLtzUmsatzIndex artLtzUmsatzIndex;
			protected ArtikelSetSel1Index sel1Index;
			protected ArtikelSetSel2Index sel2Index;
			protected ArtikelSetLtzAendIndex ltzAendIndex;
			protected ArtikelSetLtzAendWShopIndex ltzAendWShopIndex;
			protected ArtikelSetLtzAendAucWebIndex ltzAendAucWebIndex;
		
			internal IndicesClass(ArtikelSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ArtikelSetIDIndex(parentSet.DataSet);
				nrIndex = new ArtikelSetNrIndex(parentSet.DataSet);
				nrNumIndex = new ArtikelSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new ArtikelSetSuchBegIndex(parentSet.DataSet);
				refWertIndex = new ArtikelSetRefWertIndex(parentSet.DataSet);
				wgrNrIndex = new ArtikelSetWgrNrIndex(parentSet.DataSet);
				kuBez1Index = new ArtikelSetKuBez1Index(parentSet.DataSet);
				barCdIndex = new ArtikelSetBarCdIndex(parentSet.DataSet);
				stdLiefNrIndex = new ArtikelSetStdLiefNrIndex(parentSet.DataSet);
				hstAdrNrIndex = new ArtikelSetHstAdrNrIndex(parentSet.DataSet);
				artNrIndex = new ArtikelSetArtNrIndex(parentSet.DataSet);
				artSuchBegIndex = new ArtikelSetArtSuchBegIndex(parentSet.DataSet);
				aMVArtNrIndex = new ArtikelSetAMVArtNrIndex(parentSet.DataSet);
				aucWebIdIndex = new ArtikelSetAucWebIdIndex(parentSet.DataSet);
				aucWebIdAllIndex = new ArtikelSetAucWebIdAllIndex(parentSet.DataSet);
				ltzUmsatzIndex = new ArtikelSetLtzUmsatzIndex(parentSet.DataSet);
				artLtzUmsatzIndex = new ArtikelSetArtLtzUmsatzIndex(parentSet.DataSet);
				sel1Index = new ArtikelSetSel1Index(parentSet.DataSet);
				sel2Index = new ArtikelSetSel2Index(parentSet.DataSet);
				ltzAendIndex = new ArtikelSetLtzAendIndex(parentSet.DataSet);
				ltzAendWShopIndex = new ArtikelSetLtzAendWShopIndex(parentSet.DataSet);
				ltzAendAucWebIndex = new ArtikelSetLtzAendAucWebIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ArtikelSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ArtikelSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public ArtikelSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ArtikelSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Referenz & Wertung</summary>
			public ArtikelSetRefWertIndex RefWertIndex
			{
				get { return refWertIndex; }
			}
			
			/// <summary>Warengruppennummer</summary>
			public ArtikelSetWgrNrIndex WgrNrIndex
			{
				get { return wgrNrIndex; }
			}
			
			/// <summary>Kurzbezeichnung 1</summary>
			public ArtikelSetKuBez1Index KuBez1Index
			{
				get { return kuBez1Index; }
			}
			
			/// <summary>Barcode</summary>
			public ArtikelSetBarCdIndex BarCdIndex
			{
				get { return barCdIndex; }
			}
			
			/// <summary>Standard-Lieferant (Adr.-Nr.)</summary>
			public ArtikelSetStdLiefNrIndex StdLiefNrIndex
			{
				get { return stdLiefNrIndex; }
			}
			
			/// <summary>Hersteller</summary>
			public ArtikelSetHstAdrNrIndex HstAdrNrIndex
			{
				get { return hstAdrNrIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ArtikelSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ArtikelSetArtSuchBegIndex ArtSuchBegIndex
			{
				get { return artSuchBegIndex; }
			}
			
			/// <summary>Artikelnummer (mit Varianten)</summary>
			public ArtikelSetAMVArtNrIndex AMVArtNrIndex
			{
				get { return aMVArtNrIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public ArtikelSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
			/// <summary>Auktionsplattform ID (Alle)</summary>
			public ArtikelSetAucWebIdAllIndex AucWebIdAllIndex
			{
				get { return aucWebIdAllIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public ArtikelSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public ArtikelSetArtLtzUmsatzIndex ArtLtzUmsatzIndex
			{
				get { return artLtzUmsatzIndex; }
			}
			
			/// <summary>ImWebshop</summary>
			public ArtikelSetSel1Index Sel1Index
			{
				get { return sel1Index; }
			}
			
			/// <summary>Sonderangebot</summary>
			public ArtikelSetSel2Index Sel2Index
			{
				get { return sel2Index; }
			}
			
			/// <summary>Letzte Datensatznderung</summary>
			public ArtikelSetLtzAendIndex LtzAendIndex
			{
				get { return ltzAendIndex; }
			}
			
			/// <summary>Letzte Datensatznderung (Webshop Artikel)</summary>
			public ArtikelSetLtzAendWShopIndex LtzAendWShopIndex
			{
				get { return ltzAendWShopIndex; }
			}
			
			/// <summary>Letzte Datensatznderung (Auktionsplattform Artikel)</summary>
			public ArtikelSetLtzAendAucWebIndex LtzAendAucWebIndex
			{
				get { return ltzAendAucWebIndex; }
			}
			
		
			#endregion
		}

		public ArtikelSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
