using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelStuecklisteSet : BpnEntitySet<ArtikelStueckliste>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelStueckliste";
			
		public static ArtikelStuecklisteSet CreateInstance(BpnConnection connection)
		{
		    var artikelstuecklistesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelstuecklistesetDataSet = artikelstuecklistesetInfo.CreateDataSet();
		
		    var ret = new ArtikelStuecklisteSet(artikelstuecklistesetDataSet);
		    return ret;
		}
		
		internal ArtikelStuecklisteSet(BpNT.AutoDataSet artikelstuecklisteDataSet) 
			: base(artikelstuecklisteDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelStuecklisteSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelStuecklisteSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelStuecklisteSet parentSet;
		
			protected ArtikelStuecklisteSetIDIndex iDIndex;
			protected ArtikelStuecklisteSetSlArtNrIndex slArtNrIndex;
			protected ArtikelStuecklisteSetArtNrIndex artNrIndex;
			protected ArtikelStuecklisteSetSLArtNrArtNrIndex sLArtNrArtNrIndex;
		
			internal IndicesClass(ArtikelStuecklisteSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ArtikelStuecklisteSetIDIndex(parentSet.DataSet);
				slArtNrIndex = new ArtikelStuecklisteSetSlArtNrIndex(parentSet.DataSet);
				artNrIndex = new ArtikelStuecklisteSetArtNrIndex(parentSet.DataSet);
				sLArtNrArtNrIndex = new ArtikelStuecklisteSetSLArtNrArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ArtikelStuecklisteSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Stckliste von Artikel</summary>
			public ArtikelStuecklisteSetSlArtNrIndex SlArtNrIndex
			{
				get { return slArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ArtikelStuecklisteSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>Stckliste von Artikel</summary>
			public ArtikelStuecklisteSetSLArtNrArtNrIndex SLArtNrArtNrIndex
			{
				get { return sLArtNrArtNrIndex; }
			}
			
		
			#endregion
		}

		public ArtikelStuecklisteSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
