using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ArtikelZusaetzeSet : BpnEntitySet<ArtikelZusaetze>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ArtikelZusaetze";
			
		public static ArtikelZusaetzeSet CreateInstance(BpnConnection connection)
		{
		    var artikelzusaetzesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelzusaetzesetDataSet = artikelzusaetzesetInfo.CreateDataSet();
		
		    var ret = new ArtikelZusaetzeSet(artikelzusaetzesetDataSet);
		    return ret;
		}
		
		internal ArtikelZusaetzeSet(BpNT.AutoDataSet artikelzusaetzeDataSet) 
			: base(artikelzusaetzeDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ArtikelZusaetzeSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ArtikelZusaetzeSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ArtikelZusaetzeSet parentSet;
		
			protected ArtikelZusaetzeSetIDIndex iDIndex;
			protected ArtikelZusaetzeSetZArtNrIndex zArtNrIndex;
			protected ArtikelZusaetzeSetArtNrIndex artNrIndex;
		
			internal IndicesClass(ArtikelZusaetzeSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ArtikelZusaetzeSetIDIndex(parentSet.DataSet);
				zArtNrIndex = new ArtikelZusaetzeSetZArtNrIndex(parentSet.DataSet);
				artNrIndex = new ArtikelZusaetzeSetArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ArtikelZusaetzeSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Zusatz fr Artikelnummer</summary>
			public ArtikelZusaetzeSetZArtNrIndex ZArtNrIndex
			{
				get { return zArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public ArtikelZusaetzeSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
		
			#endregion
		}

		public ArtikelZusaetzeSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
