using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Ausgabeverzeichnis : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Ausgabeverzeichnis";
			
		public static Ausgabeverzeichnis CreateInstance(BpnConnection connection)
		{
		    var ausgabeverzeichnisInfo = connection.GetDataSetInfo(DS_NAME);
		    var ausgabeverzeichnisDataSet = ausgabeverzeichnisInfo.CreateDataSet();
		
		    var ret = new Ausgabeverzeichnis(ausgabeverzeichnisDataSet);
		    return ret;
		}
		
		public Ausgabeverzeichnis(BpNT.AutoDataSet ausgabeverzeichnisDataSet) 
			: base(ausgabeverzeichnisDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Datum ( DateTime )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Benutzernummer ( String )</summary>
		public virtual String BzrNr
		{
			get { return Convert.ToString(this["BzrNr"]); }
			set { this["BzrNr"] = value; }
		}
		/// <summary>Benutzer ( String )</summary>
		public virtual String BzrNrInfo
		{
			get { return Convert.ToString(this["BzrNrInfo"]); }
		}
		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>SubIndex ( Integer )</summary>
		public virtual Int32 SubIndex
		{
			get { return Convert.ToInt32(this["SubIndex"]); }
			set { this["SubIndex"] = value; }
		}
		/// <summary>Modulkurzbezeichnung ( String )</summary>
		public virtual String ModKuBez
		{
			get { return Convert.ToString(this["ModKuBez"]); }
			set { this["ModKuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Data ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>StringListData ( StringList )</summary>
		public virtual Object SlData
		{
			get { return this["SlData"]; }
			set { this["SlData"] = value; }
		}
		/// <summary>Typ ( Integer )</summary>
		public virtual Int32 Typ
		{
			get { return Convert.ToInt32(this["Typ"]); }
			set { this["Typ"] = value; }
		}
		/// <summary>Empfnger ( String )</summary>
		public virtual String Empfaenger
		{
			get { return Convert.ToString(this["Empfaenger"]); }
			set { this["Empfaenger"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Art des Layouts ( Integer )</summary>
		public virtual Int32 LayoutArt
		{
			get { return Convert.ToInt32(this["LayoutArt"]); }
			set { this["LayoutArt"] = value; }
		}
		/// <summary>Info Bezeichnung ( String )</summary>
		public virtual String InfoBez
		{
			get { return Convert.ToString(this["InfoBez"]); }
			set { this["InfoBez"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}


		#endregion
	}
}
