using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AusgabeverzeichnisHisSet : BpnEntitySet<AusgabeverzeichnisHis>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "AusgabeverzeichnisHis";
			
		public static AusgabeverzeichnisHisSet CreateInstance(BpnConnection connection)
		{
		    var ausgabeverzeichnishissetInfo = connection.GetDataSetInfo(DS_NAME);
		    var ausgabeverzeichnishissetDataSet = ausgabeverzeichnishissetInfo.CreateDataSet();
		
		    var ret = new AusgabeverzeichnisHisSet(ausgabeverzeichnishissetDataSet);
		    return ret;
		}
		
		internal AusgabeverzeichnisHisSet(BpNT.AutoDataSet ausgabeverzeichnishisDataSet) 
			: base(ausgabeverzeichnishisDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AusgabeverzeichnisHisSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AusgabeverzeichnisHisSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AusgabeverzeichnisHisSet parentSet;
		
			protected AusgabeverzeichnisHisSetIDIndex iDIndex;
			protected AusgabeverzeichnisHisSetDatIndex datIndex;
			protected AusgabeverzeichnisHisSetBzrNrDatIndex bzrNrDatIndex;
			protected AusgabeverzeichnisHisSetBezIndex bezIndex;
			protected AusgabeverzeichnisHisSetBzrNrBezIndex bzrNrBezIndex;
			protected AusgabeverzeichnisHisSetEmpfIndex empfIndex;
			protected AusgabeverzeichnisHisSetHiDatIndex hiDatIndex;
			protected AusgabeverzeichnisHisSetBzrNrHiDatIndex bzrNrHiDatIndex;
		
			internal IndicesClass(AusgabeverzeichnisHisSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AusgabeverzeichnisHisSetIDIndex(parentSet.DataSet);
				datIndex = new AusgabeverzeichnisHisSetDatIndex(parentSet.DataSet);
				bzrNrDatIndex = new AusgabeverzeichnisHisSetBzrNrDatIndex(parentSet.DataSet);
				bezIndex = new AusgabeverzeichnisHisSetBezIndex(parentSet.DataSet);
				bzrNrBezIndex = new AusgabeverzeichnisHisSetBzrNrBezIndex(parentSet.DataSet);
				empfIndex = new AusgabeverzeichnisHisSetEmpfIndex(parentSet.DataSet);
				hiDatIndex = new AusgabeverzeichnisHisSetHiDatIndex(parentSet.DataSet);
				bzrNrHiDatIndex = new AusgabeverzeichnisHisSetBzrNrHiDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AusgabeverzeichnisHisSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Datum</summary>
			public AusgabeverzeichnisHisSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>BzrNrDat</summary>
			public AusgabeverzeichnisHisSetBzrNrDatIndex BzrNrDatIndex
			{
				get { return bzrNrDatIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AusgabeverzeichnisHisSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>BzrNrBez</summary>
			public AusgabeverzeichnisHisSetBzrNrBezIndex BzrNrBezIndex
			{
				get { return bzrNrBezIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public AusgabeverzeichnisHisSetEmpfIndex EmpfIndex
			{
				get { return empfIndex; }
			}
			
			/// <summary>Ausgabedatum</summary>
			public AusgabeverzeichnisHisSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Ausgabedatum</summary>
			public AusgabeverzeichnisHisSetBzrNrHiDatIndex BzrNrHiDatIndex
			{
				get { return bzrNrHiDatIndex; }
			}
			
		
			#endregion
		}

		public AusgabeverzeichnisHisSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
