using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class AusgabeverzeichnisSet : BpnEntitySet<Ausgabeverzeichnis>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Ausgabeverzeichnis";
			
		public static AusgabeverzeichnisSet CreateInstance(BpnConnection connection)
		{
		    var ausgabeverzeichnissetInfo = connection.GetDataSetInfo(DS_NAME);
		    var ausgabeverzeichnissetDataSet = ausgabeverzeichnissetInfo.CreateDataSet();
		
		    var ret = new AusgabeverzeichnisSet(ausgabeverzeichnissetDataSet);
		    return ret;
		}
		
		internal AusgabeverzeichnisSet(BpNT.AutoDataSet ausgabeverzeichnisDataSet) 
			: base(ausgabeverzeichnisDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected AusgabeverzeichnisSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new AusgabeverzeichnisSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected AusgabeverzeichnisSet parentSet;
		
			protected AusgabeverzeichnisSetIDIndex iDIndex;
			protected AusgabeverzeichnisSetDatIndex datIndex;
			protected AusgabeverzeichnisSetBzrNrDatIndex bzrNrDatIndex;
			protected AusgabeverzeichnisSetBezIndex bezIndex;
			protected AusgabeverzeichnisSetBzrNrBezIndex bzrNrBezIndex;
			protected AusgabeverzeichnisSetEmpfIndex empfIndex;
			protected AusgabeverzeichnisSetHiDatIndex hiDatIndex;
			protected AusgabeverzeichnisSetBzrNrHiDatIndex bzrNrHiDatIndex;
		
			internal IndicesClass(AusgabeverzeichnisSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new AusgabeverzeichnisSetIDIndex(parentSet.DataSet);
				datIndex = new AusgabeverzeichnisSetDatIndex(parentSet.DataSet);
				bzrNrDatIndex = new AusgabeverzeichnisSetBzrNrDatIndex(parentSet.DataSet);
				bezIndex = new AusgabeverzeichnisSetBezIndex(parentSet.DataSet);
				bzrNrBezIndex = new AusgabeverzeichnisSetBzrNrBezIndex(parentSet.DataSet);
				empfIndex = new AusgabeverzeichnisSetEmpfIndex(parentSet.DataSet);
				hiDatIndex = new AusgabeverzeichnisSetHiDatIndex(parentSet.DataSet);
				bzrNrHiDatIndex = new AusgabeverzeichnisSetBzrNrHiDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public AusgabeverzeichnisSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Datum</summary>
			public AusgabeverzeichnisSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>BzrNrDat</summary>
			public AusgabeverzeichnisSetBzrNrDatIndex BzrNrDatIndex
			{
				get { return bzrNrDatIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public AusgabeverzeichnisSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>BzrNrBez</summary>
			public AusgabeverzeichnisSetBzrNrBezIndex BzrNrBezIndex
			{
				get { return bzrNrBezIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public AusgabeverzeichnisSetEmpfIndex EmpfIndex
			{
				get { return empfIndex; }
			}
			
			/// <summary>Ausgabedatum</summary>
			public AusgabeverzeichnisSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Ausgabedatum</summary>
			public AusgabeverzeichnisSetBzrNrHiDatIndex BzrNrHiDatIndex
			{
				get { return bzrNrHiDatIndex; }
			}
			
		
			#endregion
		}

		public AusgabeverzeichnisSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
