using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BankenSetBLZIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "BLZ";
			

		internal BankenSetBLZIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(BankenSetBLZIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(BankenSetBLZIndex.IndexFields rangeBegin, BankenSetBLZIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Bankleitzahl ( String )</summary>
			public virtual String BLZ {
				get { return Convert.ToString(this["BLZ"]); }
				set { this["BLZ"] = value; }
			}
			/// <summary>Laufende Nummer ( Integer )</summary>
			public virtual Int32 LfdNr {
				get { return Convert.ToInt32(this["LfdNr"]); }
				set { this["LfdNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
