using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BarCodes : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "BarCodes";
			
		public static BarCodes CreateInstance(BpnConnection connection)
		{
		    var barcodesInfo = connection.GetDataSetInfo(DS_NAME);
		    var barcodesDataSet = barcodesInfo.CreateDataSet();
		
		    var ret = new BarCodes(barcodesDataSet);
		    return ret;
		}
		
		public BarCodes(BpNT.AutoDataSet barcodesDataSet) 
			: base(barcodesDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Barcode ( String )</summary>
		public virtual String BarCd
		{
			get { return Convert.ToString(this["BarCd"]); }
			set { this["BarCd"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>ID ( Integer )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}


		#endregion
	}
}
