using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BeitragsAbrechnungen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "BeitragsAbrechnungen";
			
		public static BeitragsAbrechnungen CreateInstance(BpnConnection connection)
		{
		    var beitragsabrechnungenInfo = connection.GetDataSetInfo(DS_NAME);
		    var beitragsabrechnungenDataSet = beitragsabrechnungenInfo.CreateDataSet();
		
		    var ret = new BeitragsAbrechnungen(beitragsabrechnungenDataSet);
		    return ret;
		}
		
		public BeitragsAbrechnungen(BpNT.AutoDataSet beitragsabrechnungenDataSet) 
			: base(beitragsabrechnungenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Mitarbeiternummer ( String )</summary>
		public virtual String MitNr
		{
			get { return Convert.ToString(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Abteilungsnummer ( String )</summary>
		public virtual String AbtNr
		{
			get { return Convert.ToString(this["AbtNr"]); }
			set { this["AbtNr"] = value; }
		}
		/// <summary>Buchungsdatum ( DateTime )</summary>
		public virtual DateTime BuchDat
		{
			get { return Convert.ToDateTime(this["BuchDat"]); }
			set { this["BuchDat"] = value; }
		}
		/// <summary>Von Datum ( DateTime )</summary>
		public virtual DateTime VonDat
		{
			get { return Convert.ToDateTime(this["VonDat"]); }
			set { this["VonDat"] = value; }
		}
		/// <summary>Bis Datum ( DateTime )</summary>
		public virtual DateTime BisDat
		{
			get { return Convert.ToDateTime(this["BisDat"]); }
			set { this["BisDat"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Nummer der Abrechnung ( Integer )</summary>
		public virtual Int32 AbrNr
		{
			get { return Convert.ToInt32(this["AbrNr"]); }
			set { this["AbrNr"] = value; }
		}
		/// <summary>Monat ( String )</summary>
		public virtual String Monat
		{
			get { return Convert.ToString(this["Monat"]); }
		}
		/// <summary>Monat & Jahr (kurz) ( String )</summary>
		public virtual String MJahr
		{
			get { return Convert.ToString(this["MJahr"]); }
		}
		/// <summary>Monat & Jahr ( String )</summary>
		public virtual String MonatJahr
		{
			get { return Convert.ToString(this["MonatJahr"]); }
		}
		/// <summary>Stand des Steuerabrechnungssystem ( Integer )</summary>
		public virtual Int32 StAbrSystemJM
		{
			get { return Convert.ToInt32(this["StAbrSystemJM"]); }
			set { this["StAbrSystemJM"] = value; }
		}
		/// <summary>Stand des SV-Abrechnungssystem ( Integer )</summary>
		public virtual Int32 SVAbrSystemJM
		{
			get { return Convert.ToInt32(this["SVAbrSystemJM"]); }
			set { this["SVAbrSystemJM"] = value; }
		}
		/// <summary>Stand des SV-Abrechnungssystem bei Erstellung ( Integer )</summary>
		public virtual Int32 SVAbrSystemJMErst
		{
			get { return Convert.ToInt32(this["SVAbrSystemJMErst"]); }
			set { this["SVAbrSystemJMErst"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Bvh ID ( Integer )</summary>
		public virtual Int32 BvhID
		{
			get { return Convert.ToInt32(this["BvhID"]); }
			set { this["BvhID"] = value; }
		}
		/// <summary>Gltigkeitsdatum der Daten ( Date )</summary>
		public virtual DateTime KorOrgDataDat
		{
			get { return Convert.ToDateTime(this["KorOrgDataDat"]); }
			set { this["KorOrgDataDat"] = value; }
		}
		/// <summary>Datum der Abrechnung ( Date )</summary>
		public virtual DateTime AdrDat
		{
			get { return Convert.ToDateTime(this["AdrDat"]); }
			set { this["AdrDat"] = value; }
		}
		/// <summary>Abrechnungsstand Monat & Jahr (kurz) ( String )</summary>
		public virtual String AbrMJahr
		{
			get { return Convert.ToString(this["AbrMJahr"]); }
		}
		/// <summary>Benutzt Kennzeichen ( Boolean )</summary>
		public virtual Object BenutztKz
		{
			get { return this["BenutztKz"]; }
		}
		/// <summary>Datensatz wurde durch eine sptere Abrechnung (Korrektur) gendert ( Boolean )</summary>
		public virtual Object IstKorKz
		{
			get { return this["IstKorKz"]; }
		}
		/// <summary>Nummer der Korrektur ( Integer )</summary>
		public virtual Int32 KorNr
		{
			get { return Convert.ToInt32(this["KorNr"]); }
			set { this["KorNr"] = value; }
		}
		/// <summary>Datensatz wurde konvertiert ( Boolean )</summary>
		public virtual Object KonvertKz
		{
			get { return this["KonvertKz"]; }
		}
		/// <summary>SV Brutto aus EGA im Folgejahr (durch Mrzklausel) ( Double )</summary>
		public virtual Object SVEgaBrtAusFJ
		{
			get { return this["SVEgaBrtAusFJ"]; }
			set { this["SVEgaBrtAusFJ"] = value; }
		}
		/// <summary>EGA fr Vorjahr (Mrzklausel) wurde in Abrechnung JahrMonat abgerechnet ( Integer )</summary>
		public virtual Int32 EgaVJAbrJM
		{
			get { return Convert.ToInt32(this["EgaVJAbrJM"]); }
			set { this["EgaVJAbrJM"] = value; }
		}
		/// <summary>SV Brutto fr EGA aus Vorjahr (der EGA Vorjahres-Abrechnung) ( Double )</summary>
		public virtual Object SVEgaBrtFuerVJ
		{
			get { return this["SVEgaBrtFuerVJ"]; }
			set { this["SVEgaBrtFuerVJ"] = value; }
		}
		/// <summary>Mehrere Abrechnungen ( Boolean )</summary>
		public virtual Object MehrereAbrKz
		{
			get { return this["MehrereAbrKz"]; }
		}
		/// <summary>Bruttolohnsaetze ( BlobTable )</summary>
		public virtual Object Bls
		{
			get { return this["Bls"]; }
			set { this["Bls"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>BLnFehlzeiten ( BlobTable )</summary>
		public virtual Object BLnFz
		{
			get { return this["BLnFz"]; }
			set { this["BLnFz"] = value; }
		}
		/// <summary>BLnFz Datum ( DateTime )</summary>
		public virtual DateTime BLnFzDat
		{
			get { return Convert.ToDateTime(this["BLnFzDat"]); }
			set { this["BLnFzDat"] = value; }
		}
		/// <summary>Steuertage ( Double )</summary>
		public virtual Object StTg
		{
			get { return this["StTg"]; }
			set { this["StTg"] = value; }
		}
		/// <summary>SV-Tage ( Double )</summary>
		public virtual Object SVTg
		{
			get { return this["SVTg"]; }
			set { this["SVTg"] = value; }
		}
		/// <summary>Arbeitstage ( Double )</summary>
		public virtual Object ArbTg
		{
			get { return this["ArbTg"]; }
			set { this["ArbTg"] = value; }
		}
		/// <summary>Krankheitstage ( Double )</summary>
		public virtual Object KraTg
		{
			get { return this["KraTg"]; }
			set { this["KraTg"] = value; }
		}
		/// <summary>Fehltage ( Double )</summary>
		public virtual Object FehlTg
		{
			get { return this["FehlTg"]; }
			set { this["FehlTg"] = value; }
		}
		/// <summary>Urlaubstage ( Double )</summary>
		public virtual Object UrlTg
		{
			get { return this["UrlTg"]; }
			set { this["UrlTg"] = value; }
		}
		/// <summary>Normalstunden ( Double )</summary>
		public virtual Object NStd
		{
			get { return this["NStd"]; }
			set { this["NStd"] = value; }
		}
		/// <summary>Urlaubsstunden ( Double )</summary>
		public virtual Object UStd
		{
			get { return this["UStd"]; }
			set { this["UStd"] = value; }
		}
		/// <summary>Lohnfortzahlungsstunden ( Double )</summary>
		public virtual Object LStd
		{
			get { return this["LStd"]; }
			set { this["LStd"] = value; }
		}
		/// <summary>Feiertagsstunden ( Double )</summary>
		public virtual Object FStd
		{
			get { return this["FStd"]; }
			set { this["FStd"] = value; }
		}
		/// <summary>Gesamt Stunden ( Double )</summary>
		public virtual Object GesStd
		{
			get { return this["GesStd"]; }
			set { this["GesStd"] = value; }
		}
		/// <summary>Kug Sollstunden ( Double )</summary>
		public virtual Object KugSollStd
		{
			get { return this["KugSollStd"]; }
			set { this["KugSollStd"] = value; }
		}
		/// <summary>Krank Stunden (whrend Flz. 4.1) ( Double )</summary>
		public virtual Object KrankStd
		{
			get { return this["KrankStd"]; }
			set { this["KrankStd"] = value; }
		}
		/// <summary>Kug Krank Stunden ( Double )</summary>
		public virtual Object KugKrankStd
		{
			get { return this["KugKrankStd"]; }
			set { this["KugKrankStd"] = value; }
		}
		/// <summary>Kug Feiertagsstunden ( Double )</summary>
		public virtual Object KugFStd
		{
			get { return this["KugFStd"]; }
			set { this["KugFStd"] = value; }
		}
		/// <summary>Kug Soll-Entgelt (normal) ( Double )</summary>
		public virtual Object KugSollEntgeltNo
		{
			get { return this["KugSollEntgeltNo"]; }
			set { this["KugSollEntgeltNo"] = value; }
		}
		/// <summary>Kug Soll-Entgelt (fiktiv) ( Double )</summary>
		public virtual Object KugSollEntgeltFiktiv
		{
			get { return this["KugSollEntgeltFiktiv"]; }
			set { this["KugSollEntgeltFiktiv"] = value; }
		}
		/// <summary>Kug pausch. SV Erstattungssatz ( Integer )</summary>
		public virtual Int32 KugSVPauschErstattSz
		{
			get { return Convert.ToInt32(this["KugSVPauschErstattSz"]); }
			set { this["KugSVPauschErstattSz"] = value; }
		}
		/// <summary>Kug ESF-gefrderten Qualifizierungsmanahmen ( Integer )</summary>
		public virtual Int32 KugESFFoerderSz
		{
			get { return Convert.ToInt32(this["KugESFFoerderSz"]); }
			set { this["KugESFFoerderSz"] = value; }
		}
		/// <summary>Berufsgenossenschaft Stunden pro Monat ( Double )</summary>
		public virtual Object BGStdMonat
		{
			get { return this["BGStdMonat"]; }
			set { this["BGStdMonat"] = value; }
		}
		/// <summary>Schlssel zur Ermittlung der Schtzung ( Integer )</summary>
		public virtual Int32 BlnVgbAbrSchl
		{
			get { return Convert.ToInt32(this["BlnVgbAbrSchl"]); }
			set { this["BlnVgbAbrSchl"] = value; }
		}
		/// <summary>SV-Pflichtige Bezge in Fehlzeit zulassen Kennzeichen ( Boolean )</summary>
		public virtual Object BezFehlKz
		{
			get { return this["BezFehlKz"]; }
			set { this["BezFehlKz"] = value; }
		}
		/// <summary>Betrag des Vergleichsnettos (aus Vormonat) ( Double )</summary>
		public virtual Object BezFehlBetAusVN
		{
			get { return this["BezFehlBetAusVN"]; }
			set { this["BezFehlBetAusVN"] = value; }
		}
		/// <summary>Betrag der erhaltenen Sozialleistungen ( Double )</summary>
		public virtual Object BezFehlBet
		{
			get { return this["BezFehlBet"]; }
			set { this["BezFehlBet"] = value; }
		}
		/// <summary>SV-Frei Betrag ( Double )</summary>
		public virtual Object BezFehlFreiBet
		{
			get { return this["BezFehlFreiBet"]; }
			set { this["BezFehlFreiBet"] = value; }
		}
		/// <summary>Beitragspflichtiger Betrag gem.  23c SGB IV ( Double )</summary>
		public virtual Object BezFehlPflichtBet
		{
			get { return this["BezFehlPflichtBet"]; }
			set { this["BezFehlPflichtBet"] = value; }
		}
		/// <summary>Auszahlungsbetrag  (ohne Korrekturabzug) ( Double )</summary>
		public virtual Object AuszBetKor
		{
			get { return this["AuszBetKor"]; }
			set { this["AuszBetKor"] = value; }
		}
		/// <summary>Nettolohnabrechnung gltig ( Boolean )</summary>
		public virtual Object AbrechOKKz
		{
			get { return this["AbrechOKKz"]; }
		}
		/// <summary>Nettolohn abgerechnet ( Boolean )</summary>
		public virtual Object NLOKKz
		{
			get { return this["NLOKKz"]; }
			set { this["NLOKKz"] = value; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object StatusPts
		{
			get { return this["StatusPts"]; }
			set { this["StatusPts"] = value; }
		}
		/// <summary>Statusprotokoll Lohn ( Integer )</summary>
		public virtual Int32 StatusPtsImgLo
		{
			get { return Convert.ToInt32(this["StatusPtsImgLo"]); }
			set { this["StatusPtsImgLo"] = value; }
		}
		/// <summary>Statusimage ( Integer )</summary>
		public virtual Int32 StatusImg
		{
			get { return Convert.ToInt32(this["StatusImg"]); }
		}
		/// <summary>Abrechnungsstatus ( Integer )</summary>
		public virtual Int32 AbrechStatus
		{
			get { return Convert.ToInt32(this["AbrechStatus"]); }
		}
		/// <summary>Abrechnungszyklus ( Integer )</summary>
		public virtual Int32 MitAbrZyk
		{
			get { return Convert.ToInt32(this["MitAbrZyk"]); }
			set { this["MitAbrZyk"] = value; }
		}
		/// <summary>Grund ( Integer )</summary>
		public virtual Int32 BvgGrund
		{
			get { return Convert.ToInt32(this["BvgGrund"]); }
			set { this["BvgGrund"] = value; }
		}
		/// <summary>Bvh Kurzinformation ( String )</summary>
		public virtual String BvhKuInfo
		{
			get { return Convert.ToString(this["BvhKuInfo"]); }
			set { this["BvhKuInfo"] = value; }
		}
		/// <summary>Basisbetrag ( Double )</summary>
		public virtual Object BasisBet
		{
			get { return this["BasisBet"]; }
			set { this["BasisBet"] = value; }
		}
		/// <summary>Basisbetrag fr Folgemonat ( Double )</summary>
		public virtual Object BasisBetFM
		{
			get { return this["BasisBetFM"]; }
			set { this["BasisBetFM"] = value; }
		}
		/// <summary>Durchschnittslohn ( Double )</summary>
		public virtual Object DLohn
		{
			get { return this["DLohn"]; }
		}
		/// <summary>Anrede ( String )</summary>
		public virtual String Anr
		{
			get { return Convert.ToString(this["Anr"]); }
			set { this["Anr"] = value; }
		}
		/// <summary>Titel ( String )</summary>
		public virtual String Tit
		{
			get { return Convert.ToString(this["Tit"]); }
			set { this["Tit"] = value; }
		}
		/// <summary>Vorname ( String )</summary>
		public virtual String VNa
		{
			get { return Convert.ToString(this["VNa"]); }
			set { this["VNa"] = value; }
		}
		/// <summary>Vorsatzwort ( String )</summary>
		public virtual String VSWort
		{
			get { return Convert.ToString(this["VSWort"]); }
			set { this["VSWort"] = value; }
		}
		/// <summary>Nachname ( String )</summary>
		public virtual String NNa
		{
			get { return Convert.ToString(this["NNa"]); }
			set { this["NNa"] = value; }
		}
		/// <summary>Namenszusatz ( String )</summary>
		public virtual String NaZus
		{
			get { return Convert.ToString(this["NaZus"]); }
			set { this["NaZus"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Staatsangehrigkeit ( String )</summary>
		public virtual String StaatsNr
		{
			get { return Convert.ToString(this["StaatsNr"]); }
			set { this["StaatsNr"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Geburtsdatum ( Date )</summary>
		public virtual DateTime GebDat
		{
			get { return Convert.ToDateTime(this["GebDat"]); }
			set { this["GebDat"] = value; }
		}
		/// <summary>Vorsatzwort bei Geburt ( String )</summary>
		public virtual String GebVSWort
		{
			get { return Convert.ToString(this["GebVSWort"]); }
			set { this["GebVSWort"] = value; }
		}
		/// <summary>Geburtsnamen ( String )</summary>
		public virtual String GebNamen
		{
			get { return Convert.ToString(this["GebNamen"]); }
			set { this["GebNamen"] = value; }
		}
		/// <summary>Namenszusatz bei Geburt ( String )</summary>
		public virtual String GebNaZus
		{
			get { return Convert.ToString(this["GebNaZus"]); }
			set { this["GebNaZus"] = value; }
		}
		/// <summary>Geburtsort ( String )</summary>
		public virtual String GebOrt
		{
			get { return Convert.ToString(this["GebOrt"]); }
			set { this["GebOrt"] = value; }
		}
		/// <summary>Geburtsland ( String )</summary>
		public virtual String GebStaatsNr
		{
			get { return Convert.ToString(this["GebStaatsNr"]); }
			set { this["GebStaatsNr"] = value; }
		}
		/// <summary>Geschlecht: mnnlich ( Boolean )</summary>
		public virtual Object Geschl
		{
			get { return this["Geschl"]; }
			set { this["Geschl"] = value; }
		}
		/// <summary>Sozialversicherungsnummer ( String )</summary>
		public virtual String SVsNr
		{
			get { return Convert.ToString(this["SVsNr"]); }
			set { this["SVsNr"] = value; }
		}
		/// <summary>Versicherungsnummer (eines EU-Landes) ( String )</summary>
		public virtual String EUVsNr
		{
			get { return Convert.ToString(this["EUVsNr"]); }
			set { this["EUVsNr"] = value; }
		}
		/// <summary>Personenstatus ( Integer )</summary>
		public virtual Int32 PersSts
		{
			get { return Convert.ToInt32(this["PersSts"]); }
			set { this["PersSts"] = value; }
		}
		/// <summary>Ttigkeit ( String )</summary>
		public virtual String Taetig
		{
			get { return Convert.ToString(this["Taetig"]); }
			set { this["Taetig"] = value; }
		}
		/// <summary>Ttigkeitsschlssel A ( String )</summary>
		public virtual String TaetigA
		{
			get { return Convert.ToString(this["TaetigA"]); }
			set { this["TaetigA"] = value; }
		}
		/// <summary>Ttigkeitsschlssel B ( String )</summary>
		public virtual String TaetigB
		{
			get { return Convert.ToString(this["TaetigB"]); }
			set { this["TaetigB"] = value; }
		}
		/// <summary>Ttigkeit AB ( String )</summary>
		public virtual String TaetigAB
		{
			get { return Convert.ToString(this["TaetigAB"]); }
		}
		/// <summary>Grenzgnger ( Integer )</summary>
		public virtual Int32 Grenzgaenger
		{
			get { return Convert.ToInt32(this["Grenzgaenger"]); }
			set { this["Grenzgaenger"] = value; }
		}
		/// <summary>Lohnsteuerklasse ( Integer )</summary>
		public virtual Int32 LStKl
		{
			get { return Convert.ToInt32(this["LStKl"]); }
			set { this["LStKl"] = value; }
		}
		/// <summary>pauschale Lohnsteuergruppe ( Integer )</summary>
		public virtual Int32 PLStGrp
		{
			get { return Convert.ToInt32(this["PLStGrp"]); }
			set { this["PLStGrp"] = value; }
		}
		/// <summary>Anzahl der Kinderfreibetrge ( Double )</summary>
		public virtual Object AzKiFrBet
		{
			get { return this["AzKiFrBet"]; }
			set { this["AzKiFrBet"] = value; }
		}
		/// <summary>Lst.-Kl./Pausch./Kinder ( String )</summary>
		public virtual String LStPaKi
		{
			get { return Convert.ToString(this["LStPaKi"]); }
		}
		/// <summary>Konfession ( Integer )</summary>
		public virtual Int32 Konf
		{
			get { return Convert.ToInt32(this["Konf"]); }
			set { this["Konf"] = value; }
		}
		/// <summary>Konfession des Ehepartners ( Integer )</summary>
		public virtual Int32 KonfEhe
		{
			get { return Convert.ToInt32(this["KonfEhe"]); }
			set { this["KonfEhe"] = value; }
		}
		/// <summary>Kirchensteuerschlssel ( String )</summary>
		public virtual String KonfSchl
		{
			get { return Convert.ToString(this["KonfSchl"]); }
		}
		/// <summary>Familienstand ( Integer )</summary>
		public virtual Int32 Familie
		{
			get { return Convert.ToInt32(this["Familie"]); }
			set { this["Familie"] = value; }
		}
		/// <summary>Lohnsteuerjahresausgleichskennzeichen ( Boolean )</summary>
		public virtual Object LStJahrKz
		{
			get { return this["LStJahrKz"]; }
			set { this["LStJahrKz"] = value; }
		}
		/// <summary>Mehrfachbeschftigungskennzeichen ( Boolean )</summary>
		public virtual Object MehrfachKz
		{
			get { return this["MehrfachKz"]; }
			set { this["MehrfachKz"] = value; }
		}
		/// <summary>Freiwillig Versichert in Mehrfachbeschftigung Kennzeichen ( Boolean )</summary>
		public virtual Object MehrfachFreiwVersKz
		{
			get { return this["MehrfachFreiwVersKz"]; }
			set { this["MehrfachFreiwVersKz"] = value; }
		}
		/// <summary>Kammerbeitragskennzeichen ( Boolean )</summary>
		public virtual Object KammerKz
		{
			get { return this["KammerKz"]; }
			set { this["KammerKz"] = value; }
		}
		/// <summary>Alterskennzeichen ( Boolean )</summary>
		public virtual Object AlterKz
		{
			get { return this["AlterKz"]; }
			set { this["AlterKz"] = value; }
		}
		/// <summary>Personalkennzeichen ( String )</summary>
		public virtual String PersKennZ
		{
			get { return Convert.ToString(this["PersKennZ"]); }
			set { this["PersKennZ"] = value; }
		}
		/// <summary>Beitragsgruppenschlssel ( String )</summary>
		public virtual String BGrpSchl
		{
			get { return Convert.ToString(this["BGrpSchl"]); }
		}
		/// <summary>Beitragsgruppe Krankenversicherung ( Integer )</summary>
		public virtual Int32 BGrp1
		{
			get { return Convert.ToInt32(this["BGrp1"]); }
			set { this["BGrp1"] = value; }
		}
		/// <summary>Beitragsgruppe Rentenversicherung ( Integer )</summary>
		public virtual Int32 BGrp2
		{
			get { return Convert.ToInt32(this["BGrp2"]); }
			set { this["BGrp2"] = value; }
		}
		/// <summary>Beitragsgruppe Arbeitslosenversicherung ( Integer )</summary>
		public virtual Int32 BGrp3
		{
			get { return Convert.ToInt32(this["BGrp3"]); }
			set { this["BGrp3"] = value; }
		}
		/// <summary>Beitragsgruppe Pflegeversicherung ( Integer )</summary>
		public virtual Int32 BGrp4
		{
			get { return Convert.ToInt32(this["BGrp4"]); }
			set { this["BGrp4"] = value; }
		}
		/// <summary>AN + AG Anteil zur AV (fhrt AN ab) ( Boolean )</summary>
		public virtual Object AnAgAVKz
		{
			get { return this["AnAgAVKz"]; }
			set { this["AnAgAVKz"] = value; }
		}
		/// <summary>AN + AG Anteil zur PV (fhrt AN ab, Sachsen) ( Boolean )</summary>
		public virtual Object AnAgPVKz
		{
			get { return this["AnAgPVKz"]; }
			set { this["AnAgPVKz"] = value; }
		}
		/// <summary>Nachweis der Elterneigenschaft zur Befreiung von der Beitragszuschlagspflicht liegt vor (nach KiBG) ( Boolean )</summary>
		public virtual Object PVKiBGKz
		{
			get { return this["PVKiBGKz"]; }
			set { this["PVKiBGKz"] = value; }
		}
		/// <summary>Nachweis der Elterneigenschaft zum Erhalt des hheren Leistungssatz 1 liegt vom Arbeitsamt fr KUG vor ( Boolean )</summary>
		public virtual Object KugKiBGKz
		{
			get { return this["KugKiBGKz"]; }
			set { this["KugKiBGKz"] = value; }
		}
		/// <summary>Jahr in dem erstmalig Versorgungsbezge gezahlt wurden ( Integer )</summary>
		public virtual Int32 JahrErstVersBez
		{
			get { return Convert.ToInt32(this["JahrErstVersBez"]); }
			set { this["JahrErstVersBez"] = value; }
		}
		/// <summary>Erhhte Lohnsteuertabelle ( Boolean )</summary>
		public virtual Object ErLStTabKz
		{
			get { return this["ErLStTabKz"]; }
			set { this["ErLStTabKz"] = value; }
		}
		/// <summary>Lohnsteuertabelle ( Integer )</summary>
		public virtual Int32 LStTab
		{
			get { return Convert.ToInt32(this["LStTab"]); }
			set { this["LStTab"] = value; }
		}
		/// <summary>Geringverdienerkennzeichen ( Boolean )</summary>
		public virtual Object GVKz
		{
			get { return this["GVKz"]; }
			set { this["GVKz"] = value; }
		}
		/// <summary>Von der Insolvenzgeldumlage befreit ( Boolean )</summary>
		public virtual Object InsgUmlBefreitKz
		{
			get { return this["InsgUmlBefreitKz"]; }
			set { this["InsgUmlBefreitKz"] = value; }
		}
		/// <summary>Minijob in Privathaushalt ( Boolean )</summary>
		public virtual Object MJInPrivatKz
		{
			get { return this["MJInPrivatKz"]; }
			set { this["MJInPrivatKz"] = value; }
		}
		/// <summary>Niedriglohnkennzeichen (mit Gleitzonenprfung) ( Boolean )</summary>
		public virtual Object NLKz
		{
			get { return this["NLKz"]; }
			set { this["NLKz"] = value; }
		}
		/// <summary>Niedriglohn Bruttobezug ( Double )</summary>
		public virtual Object NLBrt
		{
			get { return this["NLBrt"]; }
			set { this["NLBrt"] = value; }
		}
		/// <summary>Niedriglohn Bruttobezug (gemindert) ( Double )</summary>
		public virtual Object NLBrtGem
		{
			get { return this["NLBrtGem"]; }
			set { this["NLBrtGem"] = value; }
		}
		/// <summary>Freiwillige pauschale RV-Zuzahlung Kennzeichen ( Boolean )</summary>
		public virtual Object PFrwRVKz
		{
			get { return this["PFrwRVKz"]; }
			set { this["PFrwRVKz"] = value; }
		}
		/// <summary>Personengruppe ( Integer )</summary>
		public virtual Int32 PersGrp
		{
			get { return Convert.ToInt32(this["PersGrp"]); }
			set { this["PersGrp"] = value; }
		}
		/// <summary>Personengruppe Nr ( Integer )</summary>
		public virtual Int32 PersGrpNr
		{
			get { return Convert.ToInt32(this["PersGrpNr"]); }
		}
		/// <summary>Ohne Bezge (Abrechnung ber 1 % der Bezugsgre) ( Boolean )</summary>
		public virtual Object AbrNach1PzBezGrKz
		{
			get { return this["AbrNach1PzBezGrKz"]; }
			set { this["AbrNach1PzBezGrKz"] = value; }
		}
		/// <summary>Urlaubstage Vorjahr ( Double )</summary>
		public virtual Object UrlVJ
		{
			get { return this["UrlVJ"]; }
			set { this["UrlVJ"] = value; }
		}
		/// <summary>Urlaubstage aktuelles Jahr ( Double )</summary>
		public virtual Object UrlAJ
		{
			get { return this["UrlAJ"]; }
			set { this["UrlAJ"] = value; }
		}
		/// <summary>Urlaubstage bereits genommen ( Double )</summary>
		public virtual Object UrlGenom
		{
			get { return this["UrlGenom"]; }
			set { this["UrlGenom"] = value; }
		}
		/// <summary>Vorgabe Gesamt Stunden ( Double )</summary>
		public virtual Object VgbGesStd
		{
			get { return this["VgbGesStd"]; }
			set { this["VgbGesStd"] = value; }
		}
		/// <summary>Grundlohn ( Double )</summary>
		public virtual Object GrundLohn
		{
			get { return this["GrundLohn"]; }
			set { this["GrundLohn"] = value; }
		}
		/// <summary>Stundengrundlohn ( Double )</summary>
		public virtual Object StdGrundLohn
		{
			get { return this["StdGrundLohn"]; }
			set { this["StdGrundLohn"] = value; }
		}
		/// <summary>Betriebssttte ( Integer )</summary>
		public virtual Int32 BetrStaette
		{
			get { return Convert.ToInt32(this["BetrStaette"]); }
			set { this["BetrStaette"] = value; }
		}
		/// <summary>Bundesland der Betriebssttte ( Integer )</summary>
		public virtual Int32 BetrBuLand
		{
			get { return Convert.ToInt32(this["BetrBuLand"]); }
			set { this["BetrBuLand"] = value; }
		}
		/// <summary>Betriebssttte Ost ( Boolean )</summary>
		public virtual Object BetrOstKz
		{
			get { return this["BetrOstKz"]; }
			set { this["BetrOstKz"] = value; }
		}
		/// <summary>Rechtskreis ( String )</summary>
		public virtual String RechtsKreisKz
		{
			get { return Convert.ToString(this["RechtsKreisKz"]); }
		}
		/// <summary>Kug Monat ( Boolean )</summary>
		public virtual Object KugKz
		{
			get { return this["KugKz"]; }
		}
		/// <summary>Kug Ist Stunden ( Double )</summary>
		public virtual Object KugIstStd
		{
			get { return this["KugIstStd"]; }
		}
		/// <summary>Kug Stunden ( Double )</summary>
		public virtual Object KugStd
		{
			get { return this["KugStd"]; }
			set { this["KugStd"] = value; }
		}
		/// <summary>Kug Soll-Entgelt ( Double )</summary>
		public virtual Object KugSollEntgelt
		{
			get { return this["KugSollEntgelt"]; }
			set { this["KugSollEntgelt"] = value; }
		}
		/// <summary>Kug Ist-Entgelt ( Double )</summary>
		public virtual Object KugIstEntgelt
		{
			get { return this["KugIstEntgelt"]; }
			set { this["KugIstEntgelt"] = value; }
		}
		/// <summary>Kug Mehrarbeit (fr Abzug Ist-Entgelt) ( Double )</summary>
		public virtual Object KugIstMehrarbeit
		{
			get { return this["KugIstMehrarbeit"]; }
			set { this["KugIstMehrarbeit"] = value; }
		}
		/// <summary>Kug Bruttobezge (fiktiv) (ungekrzt zu BBG) ( Double )</summary>
		public virtual Object KugBrtFiktiv
		{
			get { return this["KugBrtFiktiv"]; }
			set { this["KugBrtFiktiv"] = value; }
		}
		/// <summary>Kug Differenzbetrag zwischen Soll und Ist-Entgelt ( Double )</summary>
		public virtual Object KugDiffBet
		{
			get { return this["KugDiffBet"]; }
			set { this["KugDiffBet"] = value; }
		}
		/// <summary>Kug Leistungsgruppe ( String )</summary>
		public virtual String KugLsGr
		{
			get { return Convert.ToString(this["KugLsGr"]); }
			set { this["KugLsGr"] = value; }
		}
		/// <summary>Kug Leistungssatz ( Integer )</summary>
		public virtual Int32 KugLsSz
		{
			get { return Convert.ToInt32(this["KugLsSz"]); }
			set { this["KugLsSz"] = value; }
		}
		/// <summary>Kug Feiertagslohn in Hhe Kug ( Double )</summary>
		public virtual Object KugFeiertagslohnBet
		{
			get { return this["KugFeiertagslohnBet"]; }
			set { this["KugFeiertagslohnBet"] = value; }
		}
		/// <summary>Kug Rechnerischer Leistungssatz (Soll-Entgelt) ( Double )</summary>
		public virtual Object KugReLsSzSoll
		{
			get { return this["KugReLsSzSoll"]; }
			set { this["KugReLsSzSoll"] = value; }
		}
		/// <summary>Kug Rechnerischer Leistungssatz (Ist-Entgelt) ( Double )</summary>
		public virtual Object KugReLsSzIst
		{
			get { return this["KugReLsSzIst"]; }
			set { this["KugReLsSzIst"] = value; }
		}
		/// <summary>Kug Durchschnittliche Leistung pro Stunde ( Double )</summary>
		public virtual Object KugDLeistStdIst
		{
			get { return this["KugDLeistStdIst"]; }
			set { this["KugDLeistStdIst"] = value; }
		}
		/// <summary>Kug (Arbeitsamt) ( Double )</summary>
		public virtual Object KugErstBetAAmt
		{
			get { return this["KugErstBetAAmt"]; }
			set { this["KugErstBetAAmt"] = value; }
		}
		/// <summary>Kug Krank (Einzugsstelle) ( Double )</summary>
		public virtual Object KugErstBetEinz
		{
			get { return this["KugErstBetEinz"]; }
			set { this["KugErstBetEinz"] = value; }
		}
		/// <summary>Kug Auszahlungsbetrag ( Double )</summary>
		public virtual Object KugAuszBet
		{
			get { return this["KugAuszBet"]; }
		}
		/// <summary>normale Bruttobezge ( Double )</summary>
		public virtual Object BrtBetNo
		{
			get { return this["BrtBetNo"]; }
			set { this["BrtBetNo"] = value; }
		}
		/// <summary>sonstige Bruttobezge ( Double )</summary>
		public virtual Object BrtBetSonst
		{
			get { return this["BrtBetSonst"]; }
			set { this["BrtBetSonst"] = value; }
		}
		/// <summary>gesamte Bruttobezge ( Double )</summary>
		public virtual Object BrtBetGes
		{
			get { return this["BrtBetGes"]; }
		}
		/// <summary>Freibetrag zur Berechnung der Lohnsteuer (im Monat) ( Double )</summary>
		public virtual Object LStFrBetMonat
		{
			get { return this["LStFrBetMonat"]; }
			set { this["LStFrBetMonat"] = value; }
		}
		/// <summary>Freibetrag zur Berechnung der Lohnsteuer (im Jahr) ( Double )</summary>
		public virtual Object LStFrBetJahr
		{
			get { return this["LStFrBetJahr"]; }
			set { this["LStFrBetJahr"] = value; }
		}
		/// <summary>Hinzurechnungsbetrag zur Berechnung der Lohnsteuer (im Monat) ( Double )</summary>
		public virtual Object LStHzBetMonat
		{
			get { return this["LStHzBetMonat"]; }
			set { this["LStHzBetMonat"] = value; }
		}
		/// <summary>Hinzurechnungsbetrag zur Berechnung der Lohnsteuer (im Jahr) ( Double )</summary>
		public virtual Object LStHzBetJahr
		{
			get { return this["LStHzBetJahr"]; }
			set { this["LStHzBetJahr"] = value; }
		}
		/// <summary>lohnsteuerpflichtiger SFN-Zuschlag ( Double )</summary>
		public virtual Object LStBrtSFN
		{
			get { return this["LStBrtSFN"]; }
			set { this["LStBrtSFN"] = value; }
		}
		/// <summary>normale lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStBrtNo
		{
			get { return this["LStBrtNo"]; }
			set { this["LStBrtNo"] = value; }
		}
		/// <summary>sonstige lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStBrtSonst
		{
			get { return this["LStBrtSonst"]; }
			set { this["LStBrtSonst"] = value; }
		}
		/// <summary>lohnsteuerpflichtige Bruttobezge fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object LStBrtVmT
		{
			get { return this["LStBrtVmT"]; }
			set { this["LStBrtVmT"] = value; }
		}
		/// <summary>lohnsteuerpflichtige Versorgungsbezge fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object LStBrtVersBezVmT
		{
			get { return this["LStBrtVersBezVmT"]; }
			set { this["LStBrtVersBezVmT"] = value; }
		}
		/// <summary>gesamte lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStBrtGes
		{
			get { return this["LStBrtGes"]; }
		}
		/// <summary>Lohnsteuer auf normale lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStNo
		{
			get { return this["LStNo"]; }
			set { this["LStNo"] = value; }
		}
		/// <summary>Lohnsteuer auf sonstige lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStSonst
		{
			get { return this["LStSonst"]; }
			set { this["LStSonst"] = value; }
		}
		/// <summary>Lohnsteuer auf Vergtung fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object LStVmT
		{
			get { return this["LStVmT"]; }
			set { this["LStVmT"] = value; }
		}
		/// <summary>Lohnsteuer auf gesamte lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object LStGes
		{
			get { return this["LStGes"]; }
		}
		/// <summary>Solidarittsbeitrag auf normale lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object SoliNo
		{
			get { return this["SoliNo"]; }
			set { this["SoliNo"] = value; }
		}
		/// <summary>Solidarittsbeitrag auf sonstige lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object SoliSonst
		{
			get { return this["SoliSonst"]; }
			set { this["SoliSonst"] = value; }
		}
		/// <summary>Solidarittsbeitrag auf Vergtung fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object SoliVmT
		{
			get { return this["SoliVmT"]; }
			set { this["SoliVmT"] = value; }
		}
		/// <summary>Solidarittsbeitrag ( Double )</summary>
		public virtual Object SoliGes
		{
			get { return this["SoliGes"]; }
		}
		/// <summary>ev-Kirchensteuer ( Double )</summary>
		public virtual Object KiStEv
		{
			get { return this["KiStEv"]; }
			set { this["KiStEv"] = value; }
		}
		/// <summary>rk-Kirchensteuer ( Double )</summary>
		public virtual Object KiStRk
		{
			get { return this["KiStRk"]; }
			set { this["KiStRk"] = value; }
		}
		/// <summary>gesamte Kirchensteuer ( Double )</summary>
		public virtual Object KiStGes
		{
			get { return this["KiStGes"]; }
		}
		/// <summary>Kirchensteuer fr Arbeitnehmer ( Double )</summary>
		public virtual Object KiStAN
		{
			get { return this["KiStAN"]; }
			set { this["KiStAN"] = value; }
		}
		/// <summary>Kirchensteuer fr Ehepartner des Arbeitnehmers ( Double )</summary>
		public virtual Object KiStANEhe
		{
			get { return this["KiStANEhe"]; }
			set { this["KiStANEhe"] = value; }
		}
		/// <summary>Kirchensteuer fr Arbeitnehmer aus Vergtung fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object KiStANVmT
		{
			get { return this["KiStANVmT"]; }
			set { this["KiStANVmT"] = value; }
		}
		/// <summary>Kirchensteuer fr Ehepartner des Arbeitnehmers aus Vergtung fr mehrjhrige Ttigkeit ( Double )</summary>
		public virtual Object KiStANEheVmT
		{
			get { return this["KiStANEheVmT"]; }
			set { this["KiStANEheVmT"] = value; }
		}
		/// <summary>pauschale lohnsteuerpflichtige Bruttobezge 1 ( Double )</summary>
		public virtual Object PLStBrt1
		{
			get { return this["PLStBrt1"]; }
			set { this["PLStBrt1"] = value; }
		}
		/// <summary>pauschale lohnsteuerpflichtige Bruttobezge 2 ( Double )</summary>
		public virtual Object PLStBrt2
		{
			get { return this["PLStBrt2"]; }
			set { this["PLStBrt2"] = value; }
		}
		/// <summary>pauschale lohnsteuerpflichtige Bruttobezge 3 ( Double )</summary>
		public virtual Object PLStBrt3
		{
			get { return this["PLStBrt3"]; }
			set { this["PLStBrt3"] = value; }
		}
		/// <summary>pauschale lohnsteuerpflichtige Bruttobezge 4 ( Double )</summary>
		public virtual Object PLStBrt4
		{
			get { return this["PLStBrt4"]; }
			set { this["PLStBrt4"] = value; }
		}
		/// <summary>pauschale lohnsteuerpflichtige Bruttobezge 5 ( Double )</summary>
		public virtual Object PLStBrt5
		{
			get { return this["PLStBrt5"]; }
			set { this["PLStBrt5"] = value; }
		}
		/// <summary>gesamte pauschale lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object PLStBrtGes
		{
			get { return this["PLStBrtGes"]; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 1 ( Double )</summary>
		public virtual Object PLSt1
		{
			get { return this["PLSt1"]; }
			set { this["PLSt1"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 2 ( Double )</summary>
		public virtual Object PLSt2
		{
			get { return this["PLSt2"]; }
			set { this["PLSt2"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 3 ( Double )</summary>
		public virtual Object PLSt3
		{
			get { return this["PLSt3"]; }
			set { this["PLSt3"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 4 ( Double )</summary>
		public virtual Object PLSt4
		{
			get { return this["PLSt4"]; }
			set { this["PLSt4"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf pauschale lohnsteuerpflichtige Bruttobezge 5 ( Double )</summary>
		public virtual Object PLSt5
		{
			get { return this["PLSt5"]; }
			set { this["PLSt5"] = value; }
		}
		/// <summary>pauschale Lohnsteuer auf gesamte pauschale lohnsteuerpflichtige Bruttobezge ( Double )</summary>
		public virtual Object PLStGes
		{
			get { return this["PLStGes"]; }
		}
		/// <summary>pauschaler Solidarittsbeitrag 1 ( Double )</summary>
		public virtual Object PSoli1
		{
			get { return this["PSoli1"]; }
			set { this["PSoli1"] = value; }
		}
		/// <summary>pauschaler Solidarittsbeitrag 2 ( Double )</summary>
		public virtual Object PSoli2
		{
			get { return this["PSoli2"]; }
			set { this["PSoli2"] = value; }
		}
		/// <summary>pauschaler Solidarittsbeitrag 3 ( Double )</summary>
		public virtual Object PSoli3
		{
			get { return this["PSoli3"]; }
			set { this["PSoli3"] = value; }
		}
		/// <summary>pauschaler Solidarittsbeitrag 4 ( Double )</summary>
		public virtual Object PSoli4
		{
			get { return this["PSoli4"]; }
			set { this["PSoli4"] = value; }
		}
		/// <summary>pauschaler Solidarittsbeitrag 5 ( Double )</summary>
		public virtual Object PSoli5
		{
			get { return this["PSoli5"]; }
			set { this["PSoli5"] = value; }
		}
		/// <summary>gesamter pauschaler Solidarittsbeitrag ( Double )</summary>
		public virtual Object PSoliGes
		{
			get { return this["PSoliGes"]; }
		}
		/// <summary>pauschale Kirchensteuer ( Double )</summary>
		public virtual Object PKiSt
		{
			get { return this["PKiSt"]; }
			set { this["PKiSt"] = value; }
		}
		/// <summary>pauschale ev-Kirchensteuer ( Double )</summary>
		public virtual Object PKiStEv
		{
			get { return this["PKiStEv"]; }
			set { this["PKiStEv"] = value; }
		}
		/// <summary>pauschale rk-Kirchensteuer ( Double )</summary>
		public virtual Object PKiStRk
		{
			get { return this["PKiStRk"]; }
			set { this["PKiStRk"] = value; }
		}
		/// <summary>gesamte pauschale Kirchensteuer ( Double )</summary>
		public virtual Object PKiStGes
		{
			get { return this["PKiStGes"]; }
		}
		/// <summary>Pauschale Steuern an Bundesknappschaft Kennzeichen 1 ( Boolean )</summary>
		public virtual Object PStAnBKKz1
		{
			get { return this["PStAnBKKz1"]; }
			set { this["PStAnBKKz1"] = value; }
		}
		/// <summary>Pauschale Steuern an Bundesknappschaft Kennzeichen 2 ( Boolean )</summary>
		public virtual Object PStAnBKKz2
		{
			get { return this["PStAnBKKz2"]; }
			set { this["PStAnBKKz2"] = value; }
		}
		/// <summary>Pauschale Steuern an Bundesknappschaft Kennzeichen 3 ( Boolean )</summary>
		public virtual Object PStAnBKKz3
		{
			get { return this["PStAnBKKz3"]; }
			set { this["PStAnBKKz3"] = value; }
		}
		/// <summary>Pauschale Steuern an Bundesknappschaft Kennzeichen 4 ( Boolean )</summary>
		public virtual Object PStAnBKKz4
		{
			get { return this["PStAnBKKz4"]; }
			set { this["PStAnBKKz4"] = value; }
		}
		/// <summary>Pauschale Steuern an Bundesknappschaft Kennzeichen 5 ( Boolean )</summary>
		public virtual Object PStAnBKKz5
		{
			get { return this["PStAnBKKz5"]; }
			set { this["PStAnBKKz5"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 1 ( Double )</summary>
		public virtual Object PStBrtBK1
		{
			get { return this["PStBrtBK1"]; }
			set { this["PStBrtBK1"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 2 ( Double )</summary>
		public virtual Object PStBrtBK2
		{
			get { return this["PStBrtBK2"]; }
			set { this["PStBrtBK2"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 3 ( Double )</summary>
		public virtual Object PStBrtBK3
		{
			get { return this["PStBrtBK3"]; }
			set { this["PStBrtBK3"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 4 ( Double )</summary>
		public virtual Object PStBrtBK4
		{
			get { return this["PStBrtBK4"]; }
			set { this["PStBrtBK4"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 5 ( Double )</summary>
		public virtual Object PStBrtBK5
		{
			get { return this["PStBrtBK5"]; }
			set { this["PStBrtBK5"] = value; }
		}
		/// <summary>gesamte pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) ( Double )</summary>
		public virtual Object PStBrtBKGes
		{
			get { return this["PStBrtBKGes"]; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 1 ( Double )</summary>
		public virtual Object PStBK1
		{
			get { return this["PStBK1"]; }
			set { this["PStBK1"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 2 ( Double )</summary>
		public virtual Object PStBK2
		{
			get { return this["PStBK2"]; }
			set { this["PStBK2"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 3 ( Double )</summary>
		public virtual Object PStBK3
		{
			get { return this["PStBK3"]; }
			set { this["PStBK3"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 4 ( Double )</summary>
		public virtual Object PStBK4
		{
			get { return this["PStBK4"]; }
			set { this["PStBK4"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) 5 ( Double )</summary>
		public virtual Object PStBK5
		{
			get { return this["PStBK5"]; }
			set { this["PStBK5"] = value; }
		}
		/// <summary>gesamte Steuer auf pauschale steuerpflichtige Bruttobezge (an Bundesknappschaft) ( Double )</summary>
		public virtual Object PStBKGes
		{
			get { return this["PStBKGes"]; }
		}
		/// <summary>Pauschale Steuern nach 37b EStG Kennzeichen 1 ( Boolean )</summary>
		public virtual Object PStNach37bKz1
		{
			get { return this["PStNach37bKz1"]; }
			set { this["PStNach37bKz1"] = value; }
		}
		/// <summary>Pauschale Steuern nach 37b EStG Kennzeichen 2 ( Boolean )</summary>
		public virtual Object PStNach37bKz2
		{
			get { return this["PStNach37bKz2"]; }
			set { this["PStNach37bKz2"] = value; }
		}
		/// <summary>Pauschale Steuern nach 37b EStG Kennzeichen 3 ( Boolean )</summary>
		public virtual Object PStNach37bKz3
		{
			get { return this["PStNach37bKz3"]; }
			set { this["PStNach37bKz3"] = value; }
		}
		/// <summary>Pauschale Steuern nach 37b EStG Kennzeichen 4 ( Boolean )</summary>
		public virtual Object PStNach37bKz4
		{
			get { return this["PStNach37bKz4"]; }
			set { this["PStNach37bKz4"] = value; }
		}
		/// <summary>Pauschale Steuern nach 37b EStG Kennzeichen 5 ( Boolean )</summary>
		public virtual Object PStNach37bKz5
		{
			get { return this["PStNach37bKz5"]; }
			set { this["PStNach37bKz5"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge nach 37b EStG 1 ( Double )</summary>
		public virtual Object PStNach37bBrt1
		{
			get { return this["PStNach37bBrt1"]; }
			set { this["PStNach37bBrt1"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge nach 37b EStG 2 ( Double )</summary>
		public virtual Object PStNach37bBrt2
		{
			get { return this["PStNach37bBrt2"]; }
			set { this["PStNach37bBrt2"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge nach 37b EStG 3 ( Double )</summary>
		public virtual Object PStNach37bBrt3
		{
			get { return this["PStNach37bBrt3"]; }
			set { this["PStNach37bBrt3"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge nach 37b EStG 4 ( Double )</summary>
		public virtual Object PStNach37bBrt4
		{
			get { return this["PStNach37bBrt4"]; }
			set { this["PStNach37bBrt4"] = value; }
		}
		/// <summary>pauschale steuerpflichtige Bruttobezge nach 37b EStG 5 ( Double )</summary>
		public virtual Object PStNach37bBrt5
		{
			get { return this["PStNach37bBrt5"]; }
			set { this["PStNach37bBrt5"] = value; }
		}
		/// <summary>gesamte pauschale steuerpflichtige Bruttobezge nach 37b EStG ( Double )</summary>
		public virtual Object PStNach37bBrtGes
		{
			get { return this["PStNach37bBrtGes"]; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG 1 ( Double )</summary>
		public virtual Object PStNach37b1
		{
			get { return this["PStNach37b1"]; }
			set { this["PStNach37b1"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG 2 ( Double )</summary>
		public virtual Object PStNach37b2
		{
			get { return this["PStNach37b2"]; }
			set { this["PStNach37b2"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG 3 ( Double )</summary>
		public virtual Object PStNach37b3
		{
			get { return this["PStNach37b3"]; }
			set { this["PStNach37b3"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG 4 ( Double )</summary>
		public virtual Object PStNach37b4
		{
			get { return this["PStNach37b4"]; }
			set { this["PStNach37b4"] = value; }
		}
		/// <summary>Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG 5 ( Double )</summary>
		public virtual Object PStNach37b5
		{
			get { return this["PStNach37b5"]; }
			set { this["PStNach37b5"] = value; }
		}
		/// <summary>gesamte Steuer auf pauschale steuerpflichtige Bruttobezge nach 37b EStG ( Double )</summary>
		public virtual Object PStNach37bGes
		{
			get { return this["PStNach37bGes"]; }
		}
		/// <summary>(Steuer) SFN-Brutto 25% ( Double )</summary>
		public virtual Object SFNStBrt25
		{
			get { return this["SFNStBrt25"]; }
			set { this["SFNStBrt25"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 40% ( Double )</summary>
		public virtual Object SFNStBrt40
		{
			get { return this["SFNStBrt40"]; }
			set { this["SFNStBrt40"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 50% ( Double )</summary>
		public virtual Object SFNStBrt50
		{
			get { return this["SFNStBrt50"]; }
			set { this["SFNStBrt50"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 75% ( Double )</summary>
		public virtual Object SFNStBrt75
		{
			get { return this["SFNStBrt75"]; }
			set { this["SFNStBrt75"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 90% ( Double )</summary>
		public virtual Object SFNStBrt90
		{
			get { return this["SFNStBrt90"]; }
			set { this["SFNStBrt90"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 125% ( Double )</summary>
		public virtual Object SFNStBrt125
		{
			get { return this["SFNStBrt125"]; }
			set { this["SFNStBrt125"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 150% ( Double )</summary>
		public virtual Object SFNStBrt150
		{
			get { return this["SFNStBrt150"]; }
			set { this["SFNStBrt150"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 165% ( Double )</summary>
		public virtual Object SFNStBrt165
		{
			get { return this["SFNStBrt165"]; }
			set { this["SFNStBrt165"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 175% ( Double )</summary>
		public virtual Object SFNStBrt175
		{
			get { return this["SFNStBrt175"]; }
			set { this["SFNStBrt175"] = value; }
		}
		/// <summary>(Steuer) SFN-Brutto 190% ( Double )</summary>
		public virtual Object SFNStBrt190
		{
			get { return this["SFNStBrt190"]; }
			set { this["SFNStBrt190"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 25% ( Double )</summary>
		public virtual Object SFNStFrei25
		{
			get { return this["SFNStFrei25"]; }
			set { this["SFNStFrei25"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 40% ( Double )</summary>
		public virtual Object SFNStFrei40
		{
			get { return this["SFNStFrei40"]; }
			set { this["SFNStFrei40"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 50% ( Double )</summary>
		public virtual Object SFNStFrei50
		{
			get { return this["SFNStFrei50"]; }
			set { this["SFNStFrei50"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 75% ( Double )</summary>
		public virtual Object SFNStFrei75
		{
			get { return this["SFNStFrei75"]; }
			set { this["SFNStFrei75"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 90% ( Double )</summary>
		public virtual Object SFNStFrei90
		{
			get { return this["SFNStFrei90"]; }
			set { this["SFNStFrei90"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 125% ( Double )</summary>
		public virtual Object SFNStFrei125
		{
			get { return this["SFNStFrei125"]; }
			set { this["SFNStFrei125"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 150% ( Double )</summary>
		public virtual Object SFNStFrei150
		{
			get { return this["SFNStFrei150"]; }
			set { this["SFNStFrei150"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 165% ( Double )</summary>
		public virtual Object SFNStFrei165
		{
			get { return this["SFNStFrei165"]; }
			set { this["SFNStFrei165"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 175% ( Double )</summary>
		public virtual Object SFNStFrei175
		{
			get { return this["SFNStFrei175"]; }
			set { this["SFNStFrei175"] = value; }
		}
		/// <summary>(Steuer) SFN-Frei 190% ( Double )</summary>
		public virtual Object SFNStFrei190
		{
			get { return this["SFNStFrei190"]; }
			set { this["SFNStFrei190"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 25% ( Double )</summary>
		public virtual Object SFNStPflichtig25
		{
			get { return this["SFNStPflichtig25"]; }
			set { this["SFNStPflichtig25"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 40% ( Double )</summary>
		public virtual Object SFNStPflichtig40
		{
			get { return this["SFNStPflichtig40"]; }
			set { this["SFNStPflichtig40"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 50% ( Double )</summary>
		public virtual Object SFNStPflichtig50
		{
			get { return this["SFNStPflichtig50"]; }
			set { this["SFNStPflichtig50"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 75% ( Double )</summary>
		public virtual Object SFNStPflichtig75
		{
			get { return this["SFNStPflichtig75"]; }
			set { this["SFNStPflichtig75"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 90% ( Double )</summary>
		public virtual Object SFNStPflichtig90
		{
			get { return this["SFNStPflichtig90"]; }
			set { this["SFNStPflichtig90"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 125% ( Double )</summary>
		public virtual Object SFNStPflichtig125
		{
			get { return this["SFNStPflichtig125"]; }
			set { this["SFNStPflichtig125"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 150% ( Double )</summary>
		public virtual Object SFNStPflichtig150
		{
			get { return this["SFNStPflichtig150"]; }
			set { this["SFNStPflichtig150"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 165% ( Double )</summary>
		public virtual Object SFNStPflichtig165
		{
			get { return this["SFNStPflichtig165"]; }
			set { this["SFNStPflichtig165"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 175% ( Double )</summary>
		public virtual Object SFNStPflichtig175
		{
			get { return this["SFNStPflichtig175"]; }
			set { this["SFNStPflichtig175"] = value; }
		}
		/// <summary>(Steuer) SFN-Pflichtig 190% ( Double )</summary>
		public virtual Object SFNStPflichtig190
		{
			get { return this["SFNStPflichtig190"]; }
			set { this["SFNStPflichtig190"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 25% ( Double )</summary>
		public virtual Object SFNSVBrt25
		{
			get { return this["SFNSVBrt25"]; }
			set { this["SFNSVBrt25"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 40% ( Double )</summary>
		public virtual Object SFNSVBrt40
		{
			get { return this["SFNSVBrt40"]; }
			set { this["SFNSVBrt40"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 50% ( Double )</summary>
		public virtual Object SFNSVBrt50
		{
			get { return this["SFNSVBrt50"]; }
			set { this["SFNSVBrt50"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 75% ( Double )</summary>
		public virtual Object SFNSVBrt75
		{
			get { return this["SFNSVBrt75"]; }
			set { this["SFNSVBrt75"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 90% ( Double )</summary>
		public virtual Object SFNSVBrt90
		{
			get { return this["SFNSVBrt90"]; }
			set { this["SFNSVBrt90"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 125% ( Double )</summary>
		public virtual Object SFNSVBrt125
		{
			get { return this["SFNSVBrt125"]; }
			set { this["SFNSVBrt125"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 150% ( Double )</summary>
		public virtual Object SFNSVBrt150
		{
			get { return this["SFNSVBrt150"]; }
			set { this["SFNSVBrt150"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 165% ( Double )</summary>
		public virtual Object SFNSVBrt165
		{
			get { return this["SFNSVBrt165"]; }
			set { this["SFNSVBrt165"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 175% ( Double )</summary>
		public virtual Object SFNSVBrt175
		{
			get { return this["SFNSVBrt175"]; }
			set { this["SFNSVBrt175"] = value; }
		}
		/// <summary>(SV) SFN-Brutto 190% ( Double )</summary>
		public virtual Object SFNSVBrt190
		{
			get { return this["SFNSVBrt190"]; }
			set { this["SFNSVBrt190"] = value; }
		}
		/// <summary>(SV) SFN-Frei 25% ( Double )</summary>
		public virtual Object SFNSVFrei25
		{
			get { return this["SFNSVFrei25"]; }
			set { this["SFNSVFrei25"] = value; }
		}
		/// <summary>(SV) SFN-Frei 40% ( Double )</summary>
		public virtual Object SFNSVFrei40
		{
			get { return this["SFNSVFrei40"]; }
			set { this["SFNSVFrei40"] = value; }
		}
		/// <summary>(SV) SFN-Frei 50% ( Double )</summary>
		public virtual Object SFNSVFrei50
		{
			get { return this["SFNSVFrei50"]; }
			set { this["SFNSVFrei50"] = value; }
		}
		/// <summary>(SV) SFN-Frei 75% ( Double )</summary>
		public virtual Object SFNSVFrei75
		{
			get { return this["SFNSVFrei75"]; }
			set { this["SFNSVFrei75"] = value; }
		}
		/// <summary>(SV) SFN-Frei 90% ( Double )</summary>
		public virtual Object SFNSVFrei90
		{
			get { return this["SFNSVFrei90"]; }
			set { this["SFNSVFrei90"] = value; }
		}
		/// <summary>(SV) SFN-Frei 125% ( Double )</summary>
		public virtual Object SFNSVFrei125
		{
			get { return this["SFNSVFrei125"]; }
			set { this["SFNSVFrei125"] = value; }
		}
		/// <summary>(SV) SFN-Frei 150% ( Double )</summary>
		public virtual Object SFNSVFrei150
		{
			get { return this["SFNSVFrei150"]; }
			set { this["SFNSVFrei150"] = value; }
		}
		/// <summary>(SV) SFN-Frei 165% ( Double )</summary>
		public virtual Object SFNSVFrei165
		{
			get { return this["SFNSVFrei165"]; }
			set { this["SFNSVFrei165"] = value; }
		}
		/// <summary>(SV) SFN-Frei 175% ( Double )</summary>
		public virtual Object SFNSVFrei175
		{
			get { return this["SFNSVFrei175"]; }
			set { this["SFNSVFrei175"] = value; }
		}
		/// <summary>(SV) SFN-Frei 190% ( Double )</summary>
		public virtual Object SFNSVFrei190
		{
			get { return this["SFNSVFrei190"]; }
			set { this["SFNSVFrei190"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 25% ( Double )</summary>
		public virtual Object SFNSVPflichtig25
		{
			get { return this["SFNSVPflichtig25"]; }
			set { this["SFNSVPflichtig25"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 40% ( Double )</summary>
		public virtual Object SFNSVPflichtig40
		{
			get { return this["SFNSVPflichtig40"]; }
			set { this["SFNSVPflichtig40"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 50% ( Double )</summary>
		public virtual Object SFNSVPflichtig50
		{
			get { return this["SFNSVPflichtig50"]; }
			set { this["SFNSVPflichtig50"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 75% ( Double )</summary>
		public virtual Object SFNSVPflichtig75
		{
			get { return this["SFNSVPflichtig75"]; }
			set { this["SFNSVPflichtig75"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 90% ( Double )</summary>
		public virtual Object SFNSVPflichtig90
		{
			get { return this["SFNSVPflichtig90"]; }
			set { this["SFNSVPflichtig90"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 125% ( Double )</summary>
		public virtual Object SFNSVPflichtig125
		{
			get { return this["SFNSVPflichtig125"]; }
			set { this["SFNSVPflichtig125"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 150% ( Double )</summary>
		public virtual Object SFNSVPflichtig150
		{
			get { return this["SFNSVPflichtig150"]; }
			set { this["SFNSVPflichtig150"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 165% ( Double )</summary>
		public virtual Object SFNSVPflichtig165
		{
			get { return this["SFNSVPflichtig165"]; }
			set { this["SFNSVPflichtig165"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 175% ( Double )</summary>
		public virtual Object SFNSVPflichtig175
		{
			get { return this["SFNSVPflichtig175"]; }
			set { this["SFNSVPflichtig175"] = value; }
		}
		/// <summary>(SV) SFN-Pflichtig 190% ( Double )</summary>
		public virtual Object SFNSVPflichtig190
		{
			get { return this["SFNSVPflichtig190"]; }
			set { this["SFNSVPflichtig190"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 1 ( Double )</summary>
		public virtual Object AnMtlSVBrt1
		{
			get { return this["AnMtlSVBrt1"]; }
			set { this["AnMtlSVBrt1"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 2 ( Double )</summary>
		public virtual Object AnMtlSVBrt2
		{
			get { return this["AnMtlSVBrt2"]; }
			set { this["AnMtlSVBrt2"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 3 ( Double )</summary>
		public virtual Object AnMtlSVBrt3
		{
			get { return this["AnMtlSVBrt3"]; }
			set { this["AnMtlSVBrt3"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 4 ( Double )</summary>
		public virtual Object AnMtlSVBrt4
		{
			get { return this["AnMtlSVBrt4"]; }
			set { this["AnMtlSVBrt4"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 5 ( Double )</summary>
		public virtual Object AnMtlSVBrt5
		{
			get { return this["AnMtlSVBrt5"]; }
			set { this["AnMtlSVBrt5"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug 6 ( Double )</summary>
		public virtual Object AnMtlSVBrt6
		{
			get { return this["AnMtlSVBrt6"]; }
			set { this["AnMtlSVBrt6"] = value; }
		}
		/// <summary>Anderer monatlicher sozialversicherungspflichtiger Bruttobezug (gesamt) ( Double )</summary>
		public virtual Object AnMtlSVBrtGes
		{
			get { return this["AnMtlSVBrtGes"]; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 1 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt1
		{
			get { return this["AnEgaMtlSVBrt1"]; }
			set { this["AnEgaMtlSVBrt1"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 2 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt2
		{
			get { return this["AnEgaMtlSVBrt2"]; }
			set { this["AnEgaMtlSVBrt2"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 3 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt3
		{
			get { return this["AnEgaMtlSVBrt3"]; }
			set { this["AnEgaMtlSVBrt3"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 4 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt4
		{
			get { return this["AnEgaMtlSVBrt4"]; }
			set { this["AnEgaMtlSVBrt4"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 5 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt5
		{
			get { return this["AnEgaMtlSVBrt5"]; }
			set { this["AnEgaMtlSVBrt5"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug 6 ( Double )</summary>
		public virtual Object AnEgaMtlSVBrt6
		{
			get { return this["AnEgaMtlSVBrt6"]; }
			set { this["AnEgaMtlSVBrt6"] = value; }
		}
		/// <summary>Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug (gesamt) ( Double )</summary>
		public virtual Object AnEgaMtlSVBrtGes
		{
			get { return this["AnEgaMtlSVBrtGes"]; }
		}
		/// <summary>KV Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object KVBrtAusNeb
		{
			get { return this["KVBrtAusNeb"]; }
			set { this["KVBrtAusNeb"] = value; }
		}
		/// <summary>RV Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object RVBrtAusNeb
		{
			get { return this["RVBrtAusNeb"]; }
			set { this["RVBrtAusNeb"] = value; }
		}
		/// <summary>InsgUml Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object InsgUmlBrtAusNeb
		{
			get { return this["InsgUmlBrtAusNeb"]; }
			set { this["InsgUmlBrtAusNeb"] = value; }
		}
		/// <summary>AV Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object AVBrtAusNeb
		{
			get { return this["AVBrtAusNeb"]; }
			set { this["AVBrtAusNeb"] = value; }
		}
		/// <summary>PV Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object PVBrtAusNeb
		{
			get { return this["PVBrtAusNeb"]; }
			set { this["PVBrtAusNeb"] = value; }
		}
		/// <summary>KVEga Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object KVEgaBrtAusNeb
		{
			get { return this["KVEgaBrtAusNeb"]; }
			set { this["KVEgaBrtAusNeb"] = value; }
		}
		/// <summary>RVEga Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object RVEgaBrtAusNeb
		{
			get { return this["RVEgaBrtAusNeb"]; }
			set { this["RVEgaBrtAusNeb"] = value; }
		}
		/// <summary>InsgUmlEga Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object InsgUmlEgaBrtAusNeb
		{
			get { return this["InsgUmlEgaBrtAusNeb"]; }
			set { this["InsgUmlEgaBrtAusNeb"] = value; }
		}
		/// <summary>AVEga Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object AVEgaBrtAusNeb
		{
			get { return this["AVEgaBrtAusNeb"]; }
			set { this["AVEgaBrtAusNeb"] = value; }
		}
		/// <summary>PVEga Bruttobezug aus Nebenttigkeit ( Double )</summary>
		public virtual Object PVEgaBrtAusNeb
		{
			get { return this["PVEgaBrtAusNeb"]; }
			set { this["PVEgaBrtAusNeb"] = value; }
		}
		/// <summary>Lohnsteuerbrutto bisher (normales) ( Double )</summary>
		public virtual Object LStBrtBisNo
		{
			get { return this["LStBrtBisNo"]; }
			set { this["LStBrtBisNo"] = value; }
		}
		/// <summary>Lohnsteuerbrutto bisher (sonstiges) ( Double )</summary>
		public virtual Object LStBrtBisSonst
		{
			get { return this["LStBrtBisSonst"]; }
			set { this["LStBrtBisSonst"] = value; }
		}
		/// <summary>Sozialversicherungsbrutto bisher ( Double )</summary>
		public virtual Object SVBrtBis
		{
			get { return this["SVBrtBis"]; }
			set { this["SVBrtBis"] = value; }
		}
		/// <summary>KV Brutto bisher ( Double )</summary>
		public virtual Object KVBrtBis
		{
			get { return this["KVBrtBis"]; }
			set { this["KVBrtBis"] = value; }
		}
		/// <summary>KV Tage bisher ( Integer )</summary>
		public virtual Int32 KVTgBis
		{
			get { return Convert.ToInt32(this["KVTgBis"]); }
			set { this["KVTgBis"] = value; }
		}
		/// <summary>RV Brutto bisher ( Double )</summary>
		public virtual Object RVBrtBis
		{
			get { return this["RVBrtBis"]; }
			set { this["RVBrtBis"] = value; }
		}
		/// <summary>RV Tage bisher ( Integer )</summary>
		public virtual Int32 RVTgBis
		{
			get { return Convert.ToInt32(this["RVTgBis"]); }
			set { this["RVTgBis"] = value; }
		}
		/// <summary>InsgUml Brutto bisher ( Double )</summary>
		public virtual Object InsgUmlBrtBis
		{
			get { return this["InsgUmlBrtBis"]; }
			set { this["InsgUmlBrtBis"] = value; }
		}
		/// <summary>InsgUml Tage bisher ( Integer )</summary>
		public virtual Int32 InsgUmlTgBis
		{
			get { return Convert.ToInt32(this["InsgUmlTgBis"]); }
			set { this["InsgUmlTgBis"] = value; }
		}
		/// <summary>AV Brutto bisher ( Double )</summary>
		public virtual Object AVBrtBis
		{
			get { return this["AVBrtBis"]; }
			set { this["AVBrtBis"] = value; }
		}
		/// <summary>AV Tage bisher ( Integer )</summary>
		public virtual Int32 AVTgBis
		{
			get { return Convert.ToInt32(this["AVTgBis"]); }
			set { this["AVTgBis"] = value; }
		}
		/// <summary>PV Brutto bisher ( Double )</summary>
		public virtual Object PVBrtBis
		{
			get { return this["PVBrtBis"]; }
			set { this["PVBrtBis"] = value; }
		}
		/// <summary>PV Tage bisher ( Integer )</summary>
		public virtual Int32 PVTgBis
		{
			get { return Convert.ToInt32(this["PVTgBis"]); }
			set { this["PVTgBis"] = value; }
		}
		/// <summary>Beitragsgruppenschlssel bisher ( String )</summary>
		public virtual String BGrpSchlBis
		{
			get { return Convert.ToString(this["BGrpSchlBis"]); }
		}
		/// <summary>Beitragsgruppe Krankenversicherung bisher ( Integer )</summary>
		public virtual Int32 BGrp1Bis
		{
			get { return Convert.ToInt32(this["BGrp1Bis"]); }
			set { this["BGrp1Bis"] = value; }
		}
		/// <summary>Beitragsgruppe Rentenversicherung bisher ( Integer )</summary>
		public virtual Int32 BGrp2Bis
		{
			get { return Convert.ToInt32(this["BGrp2Bis"]); }
			set { this["BGrp2Bis"] = value; }
		}
		/// <summary>Beitragsgruppe Arbeitslosenversicherung bisher ( Integer )</summary>
		public virtual Int32 BGrp3Bis
		{
			get { return Convert.ToInt32(this["BGrp3Bis"]); }
			set { this["BGrp3Bis"] = value; }
		}
		/// <summary>Beitragsgruppe Pflegeversicherung bisher ( Integer )</summary>
		public virtual Int32 BGrp4Bis
		{
			get { return Convert.ToInt32(this["BGrp4Bis"]); }
			set { this["BGrp4Bis"] = value; }
		}
		/// <summary>Personengruppe bisher ( Integer )</summary>
		public virtual Int32 PersGrpBis
		{
			get { return Convert.ToInt32(this["PersGrpBis"]); }
			set { this["PersGrpBis"] = value; }
		}
		/// <summary>Betriebssttte Ost bisher ( Boolean )</summary>
		public virtual Object BetrOstKzBis
		{
			get { return this["BetrOstKzBis"]; }
			set { this["BetrOstKzBis"] = value; }
		}
		/// <summary>Einzugsstellennummer bisher ( String )</summary>
		public virtual String KrkNrBis
		{
			get { return Convert.ToString(this["KrkNrBis"]); }
			set { this["KrkNrBis"] = value; }
		}
		/// <summary>Umlage-Einzugstellennummer bisher ( String )</summary>
		public virtual String UmlKrkNrBis
		{
			get { return Convert.ToString(this["UmlKrkNrBis"]); }
			set { this["UmlKrkNrBis"] = value; }
		}
		/// <summary>Umlageschlssel bisher ( Integer )</summary>
		public virtual Int32 UmlSchlBis
		{
			get { return Convert.ToInt32(this["UmlSchlBis"]); }
			set { this["UmlSchlBis"] = value; }
		}
		/// <summary>KV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) ( Double )</summary>
		public virtual Object KVDifBetVJ
		{
			get { return this["KVDifBetVJ"]; }
			set { this["KVDifBetVJ"] = value; }
		}
		/// <summary>KV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) Neu ( Double )</summary>
		public virtual Object KVDifBetVJNeu
		{
			get { return this["KVDifBetVJNeu"]; }
			set { this["KVDifBetVJNeu"] = value; }
		}
		/// <summary>KV Tage (Summe Vorjahr) ( Integer )</summary>
		public virtual Int32 KVTgSumVJ
		{
			get { return Convert.ToInt32(this["KVTgSumVJ"]); }
			set { this["KVTgSumVJ"] = value; }
		}
		/// <summary>RV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) ( Double )</summary>
		public virtual Object RVDifBetVJ
		{
			get { return this["RVDifBetVJ"]; }
			set { this["RVDifBetVJ"] = value; }
		}
		/// <summary>RV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) Neu ( Double )</summary>
		public virtual Object RVDifBetVJNeu
		{
			get { return this["RVDifBetVJNeu"]; }
			set { this["RVDifBetVJNeu"] = value; }
		}
		/// <summary>RV Tage (Summe Vorjahr) ( Integer )</summary>
		public virtual Int32 RVTgSumVJ
		{
			get { return Convert.ToInt32(this["RVTgSumVJ"]); }
			set { this["RVTgSumVJ"] = value; }
		}
		/// <summary>InsgUml-Differenzbetrag zur Bemessungsgrenze (Vorjahr) ( Double )</summary>
		public virtual Object InsgUmlDifBetVJ
		{
			get { return this["InsgUmlDifBetVJ"]; }
			set { this["InsgUmlDifBetVJ"] = value; }
		}
		/// <summary>InsgUml-Differenzbetrag zur Bemessungsgrenze (Vorjahr) Neu ( Double )</summary>
		public virtual Object InsgUmlDifBetVJNeu
		{
			get { return this["InsgUmlDifBetVJNeu"]; }
			set { this["InsgUmlDifBetVJNeu"] = value; }
		}
		/// <summary>InsgUml Tage (Summe Vorjahr) ( Integer )</summary>
		public virtual Int32 InsgUmlTgSumVJ
		{
			get { return Convert.ToInt32(this["InsgUmlTgSumVJ"]); }
			set { this["InsgUmlTgSumVJ"] = value; }
		}
		/// <summary>AV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) ( Double )</summary>
		public virtual Object AVDifBetVJ
		{
			get { return this["AVDifBetVJ"]; }
			set { this["AVDifBetVJ"] = value; }
		}
		/// <summary>AV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) Neu ( Double )</summary>
		public virtual Object AVDifBetVJNeu
		{
			get { return this["AVDifBetVJNeu"]; }
			set { this["AVDifBetVJNeu"] = value; }
		}
		/// <summary>AV Tage (Summe Vorjahr) ( Integer )</summary>
		public virtual Int32 AVTgSumVJ
		{
			get { return Convert.ToInt32(this["AVTgSumVJ"]); }
			set { this["AVTgSumVJ"] = value; }
		}
		/// <summary>PV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) ( Double )</summary>
		public virtual Object PVDifBetVJ
		{
			get { return this["PVDifBetVJ"]; }
			set { this["PVDifBetVJ"] = value; }
		}
		/// <summary>PV-Differenzbetrag zur Bemessungsgrenze (Vorjahr) Neu ( Double )</summary>
		public virtual Object PVDifBetVJNeu
		{
			get { return this["PVDifBetVJNeu"]; }
			set { this["PVDifBetVJNeu"] = value; }
		}
		/// <summary>PV Tage (Summe Vorjahr) ( Integer )</summary>
		public virtual Int32 PVTgSumVJ
		{
			get { return Convert.ToInt32(this["PVTgSumVJ"]); }
			set { this["PVTgSumVJ"] = value; }
		}
		/// <summary>Beitragsgruppenschlssel (Vorjahr) ( String )</summary>
		public virtual String BGrpSchlVJ
		{
			get { return Convert.ToString(this["BGrpSchlVJ"]); }
		}
		/// <summary>Beitragsgruppe Krankenversicherung (Vorjahr) ( Integer )</summary>
		public virtual Int32 BGrp1VJ
		{
			get { return Convert.ToInt32(this["BGrp1VJ"]); }
			set { this["BGrp1VJ"] = value; }
		}
		/// <summary>Beitragsgruppe Rentenversicherung (Vorjahr) ( Integer )</summary>
		public virtual Int32 BGrp2VJ
		{
			get { return Convert.ToInt32(this["BGrp2VJ"]); }
			set { this["BGrp2VJ"] = value; }
		}
		/// <summary>Beitragsgruppe Arbeitslosenversicherung (Vorjahr) ( Integer )</summary>
		public virtual Int32 BGrp3VJ
		{
			get { return Convert.ToInt32(this["BGrp3VJ"]); }
			set { this["BGrp3VJ"] = value; }
		}
		/// <summary>Beitragsgruppe Pflegeversicherung (Vorjahr) ( Integer )</summary>
		public virtual Int32 BGrp4VJ
		{
			get { return Convert.ToInt32(this["BGrp4VJ"]); }
			set { this["BGrp4VJ"] = value; }
		}
		/// <summary>Personengruppe (Vorjahr) ( Integer )</summary>
		public virtual Int32 PersGrpVJ
		{
			get { return Convert.ToInt32(this["PersGrpVJ"]); }
			set { this["PersGrpVJ"] = value; }
		}
		/// <summary>Betriebssttte Ost VJ ( Boolean )</summary>
		public virtual Object BetrOstKzVJ
		{
			get { return this["BetrOstKzVJ"]; }
			set { this["BetrOstKzVJ"] = value; }
		}
		/// <summary>Rechtskreis VJ ( String )</summary>
		public virtual String RechtsKreisKzVJ
		{
			get { return Convert.ToString(this["RechtsKreisKzVJ"]); }
		}
		/// <summary>Einzugsstellennummer (Vorjahr) ( String )</summary>
		public virtual String KrkNrVJ
		{
			get { return Convert.ToString(this["KrkNrVJ"]); }
			set { this["KrkNrVJ"] = value; }
		}
		/// <summary>Umlage-Einzugstellennummer (Vorjahr) ( String )</summary>
		public virtual String UmlKrkNrVJ
		{
			get { return Convert.ToString(this["UmlKrkNrVJ"]); }
			set { this["UmlKrkNrVJ"] = value; }
		}
		/// <summary>Umlageschlssel (Vorjahr) ( Integer )</summary>
		public virtual Int32 UmlSchlVJ
		{
			get { return Convert.ToInt32(this["UmlSchlVJ"]); }
			set { this["UmlSchlVJ"] = value; }
		}
		/// <summary>SV pflichtiger SFN-Zuschlag ( Double )</summary>
		public virtual Object SVBrtSFN
		{
			get { return this["SVBrtSFN"]; }
			set { this["SVBrtSFN"] = value; }
		}
		/// <summary>normale SV pflichtige Bruttobezge ( Double )</summary>
		public virtual Object SVBrtNo
		{
			get { return this["SVBrtNo"]; }
			set { this["SVBrtNo"] = value; }
		}
		/// <summary>sonstige SV pflichtige Bruttobezge ( Double )</summary>
		public virtual Object SVBrtSonst
		{
			get { return this["SVBrtSonst"]; }
			set { this["SVBrtSonst"] = value; }
		}
		/// <summary>gesamte SV pflichtige Bruttobezge ( Double )</summary>
		public virtual Object SVBrtGes
		{
			get { return this["SVBrtGes"]; }
		}
		/// <summary>KV Tage ( Integer )</summary>
		public virtual Int32 KVTg
		{
			get { return Convert.ToInt32(this["KVTg"]); }
			set { this["KVTg"] = value; }
		}
		/// <summary>KV Tage (effektiv) ( Integer )</summary>
		public virtual Int32 KVTgEff
		{
			get { return Convert.ToInt32(this["KVTgEff"]); }
			set { this["KVTgEff"] = value; }
		}
		/// <summary>KV Tage Fiktiv ( Integer )</summary>
		public virtual Int32 KVTgFiktiv
		{
			get { return Convert.ToInt32(this["KVTgFiktiv"]); }
			set { this["KVTgFiktiv"] = value; }
		}
		/// <summary>KVEga Tage ( Integer )</summary>
		public virtual Int32 KVEgaTg
		{
			get { return Convert.ToInt32(this["KVEgaTg"]); }
			set { this["KVEgaTg"] = value; }
		}
		/// <summary>KV EGA wird mit dem Vorjahr verrechnet (Mrzklausel) ( Boolean )</summary>
		public virtual Object KVEgaVJKz
		{
			get { return this["KVEgaVJKz"]; }
			set { this["KVEgaVJKz"] = value; }
		}
		/// <summary>KV Brutto (normal) ( Double )</summary>
		public virtual Object KVBrtNo
		{
			get { return this["KVBrtNo"]; }
			set { this["KVBrtNo"] = value; }
		}
		/// <summary>KV Brutto (normal) FTag ( Double )</summary>
		public virtual Object KVBrtNoFTag
		{
			get { return this["KVBrtNoFTag"]; }
			set { this["KVBrtNoFTag"] = value; }
		}
		/// <summary>KV Brutto (fiktiv; Kug) ( Double )</summary>
		public virtual Object KVBrtKugFiktiv
		{
			get { return this["KVBrtKugFiktiv"]; }
			set { this["KVBrtKugFiktiv"] = value; }
		}
		/// <summary>KV Brutto (EGA) ( Double )</summary>
		public virtual Object KVBrtEga
		{
			get { return this["KVBrtEga"]; }
			set { this["KVBrtEga"] = value; }
		}
		/// <summary>KV Brutto ( Double )</summary>
		public virtual Object KVBrt
		{
			get { return this["KVBrt"]; }
		}
		/// <summary>KV Brutto (gemindert) ( Double )</summary>
		public virtual Object KVBrtNLGem
		{
			get { return this["KVBrtNLGem"]; }
			set { this["KVBrtNLGem"] = value; }
		}
		/// <summary>KV Anderer monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object KVAnMtlSVBrt
		{
			get { return this["KVAnMtlSVBrt"]; }
			set { this["KVAnMtlSVBrt"] = value; }
		}
		/// <summary>KV Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object KVAnEgaMtlSVBrt
		{
			get { return this["KVAnEgaMtlSVBrt"]; }
			set { this["KVAnEgaMtlSVBrt"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (normal) (allgemeiner) ( Double )</summary>
		public virtual Object KVAGANoAllg
		{
			get { return this["KVAGANoAllg"]; }
			set { this["KVAGANoAllg"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (normal) (zustzlicher) ( Double )</summary>
		public virtual Object KVAGANoZus
		{
			get { return this["KVAGANoZus"]; }
			set { this["KVAGANoZus"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (normal) ( Double )</summary>
		public virtual Object KVAGANo
		{
			get { return this["KVAGANo"]; }
		}
		/// <summary>KV Arbeitgeberanteil (normal) (Feiertag) ( Double )</summary>
		public virtual Object KVAGANoFTag
		{
			get { return this["KVAGANoFTag"]; }
			set { this["KVAGANoFTag"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (EGA) (allgemeiner) ( Double )</summary>
		public virtual Object KVAGAEgaAllg
		{
			get { return this["KVAGAEgaAllg"]; }
			set { this["KVAGAEgaAllg"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (EGA) (zustzlicher) ( Double )</summary>
		public virtual Object KVAGAEgaZus
		{
			get { return this["KVAGAEgaZus"]; }
			set { this["KVAGAEgaZus"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (EGA) ( Double )</summary>
		public virtual Object KVAGAEga
		{
			get { return this["KVAGAEga"]; }
		}
		/// <summary>KV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object KVKugAGA
		{
			get { return this["KVKugAGA"]; }
			set { this["KVKugAGA"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil ( Double )</summary>
		public virtual Object KVAGA
		{
			get { return this["KVAGA"]; }
		}
		/// <summary>KV Arbeitnehmeranteil (normal) (allgemeiner) ( Double )</summary>
		public virtual Object KVANANoAllg
		{
			get { return this["KVANANoAllg"]; }
			set { this["KVANANoAllg"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (normal) (zustzlicher) ( Double )</summary>
		public virtual Object KVANANoZus
		{
			get { return this["KVANANoZus"]; }
			set { this["KVANANoZus"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (normal) ( Double )</summary>
		public virtual Object KVANANo
		{
			get { return this["KVANANo"]; }
		}
		/// <summary>KV Arbeitnehmeranteil (EGA) (allgemeiner) ( Double )</summary>
		public virtual Object KVANAEgaAllg
		{
			get { return this["KVANAEgaAllg"]; }
			set { this["KVANAEgaAllg"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (EGA) (zustzlicher) ( Double )</summary>
		public virtual Object KVANAEgaZus
		{
			get { return this["KVANAEgaZus"]; }
			set { this["KVANAEgaZus"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (EGA) ( Double )</summary>
		public virtual Object KVANAEga
		{
			get { return this["KVANAEga"]; }
		}
		/// <summary>KV Arbeitnehmeranteil ( Double )</summary>
		public virtual Object KVANA
		{
			get { return this["KVANA"]; }
		}
		/// <summary>KV Brutto (Vorjahr) ( Double )</summary>
		public virtual Object KVBrtVJ
		{
			get { return this["KVBrtVJ"]; }
			set { this["KVBrtVJ"] = value; }
		}
		/// <summary>KV Arbeitgeberanteil (Vorjahr) ( Double )</summary>
		public virtual Object KVAGAVJ
		{
			get { return this["KVAGAVJ"]; }
			set { this["KVAGAVJ"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (Vorjahr) (allgemeiner) ( Double )</summary>
		public virtual Object KVANAVJAllg
		{
			get { return this["KVANAVJAllg"]; }
			set { this["KVANAVJAllg"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (Vorjahr) (zustzlicher) ( Double )</summary>
		public virtual Object KVANAVJZus
		{
			get { return this["KVANAVJZus"]; }
			set { this["KVANAVJZus"] = value; }
		}
		/// <summary>KV Arbeitnehmeranteil (Vorjahr) ( Double )</summary>
		public virtual Object KVANAVJ
		{
			get { return this["KVANAVJ"]; }
		}
		/// <summary>SumFrwKV Brutto (EGA) VJ ( Double )</summary>
		public virtual Object SumFrwKVBrtEgaVJ
		{
			get { return this["SumFrwKVBrtEgaVJ"]; }
			set { this["SumFrwKVBrtEgaVJ"] = value; }
		}
		/// <summary>pauschales KV-Brutto ( Double )</summary>
		public virtual Object PKVBrt
		{
			get { return this["PKVBrt"]; }
			set { this["PKVBrt"] = value; }
		}
		/// <summary>pauschaler KV-Beitrag ( Double )</summary>
		public virtual Object PKV
		{
			get { return this["PKV"]; }
			set { this["PKV"] = value; }
		}
		/// <summary>RV Tage ( Integer )</summary>
		public virtual Int32 RVTg
		{
			get { return Convert.ToInt32(this["RVTg"]); }
			set { this["RVTg"] = value; }
		}
		/// <summary>RV Tage (effektiv) ( Integer )</summary>
		public virtual Int32 RVTgEff
		{
			get { return Convert.ToInt32(this["RVTgEff"]); }
			set { this["RVTgEff"] = value; }
		}
		/// <summary>RV Tage Fiktiv ( Integer )</summary>
		public virtual Int32 RVTgFiktiv
		{
			get { return Convert.ToInt32(this["RVTgFiktiv"]); }
			set { this["RVTgFiktiv"] = value; }
		}
		/// <summary>RVEga Tage ( Integer )</summary>
		public virtual Int32 RVEgaTg
		{
			get { return Convert.ToInt32(this["RVEgaTg"]); }
			set { this["RVEgaTg"] = value; }
		}
		/// <summary>RV EGA wird mit dem Vorjahr verrechnet (Mrzklausel) ( Boolean )</summary>
		public virtual Object RVEgaVJKz
		{
			get { return this["RVEgaVJKz"]; }
			set { this["RVEgaVJKz"] = value; }
		}
		/// <summary>RV Brutto (normal) ( Double )</summary>
		public virtual Object RVBrtNo
		{
			get { return this["RVBrtNo"]; }
			set { this["RVBrtNo"] = value; }
		}
		/// <summary>RV Brutto (normal) FTag ( Double )</summary>
		public virtual Object RVBrtNoFTag
		{
			get { return this["RVBrtNoFTag"]; }
			set { this["RVBrtNoFTag"] = value; }
		}
		/// <summary>RV Brutto (fiktiv; Kug) ( Double )</summary>
		public virtual Object RVBrtKugFiktiv
		{
			get { return this["RVBrtKugFiktiv"]; }
			set { this["RVBrtKugFiktiv"] = value; }
		}
		/// <summary>RV Brutto (EGA) ( Double )</summary>
		public virtual Object RVBrtEga
		{
			get { return this["RVBrtEga"]; }
			set { this["RVBrtEga"] = value; }
		}
		/// <summary>RV Brutto ( Double )</summary>
		public virtual Object RVBrt
		{
			get { return this["RVBrt"]; }
		}
		/// <summary>RV Brutto (gemindert) ( Double )</summary>
		public virtual Object RVBrtNLGem
		{
			get { return this["RVBrtNLGem"]; }
			set { this["RVBrtNLGem"] = value; }
		}
		/// <summary>RV Brutto (aufgestockt) ( Double )</summary>
		public virtual Object RVBrtMinRv
		{
			get { return this["RVBrtMinRv"]; }
			set { this["RVBrtMinRv"] = value; }
		}
		/// <summary>RV Anderer monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object RVAnMtlSVBrt
		{
			get { return this["RVAnMtlSVBrt"]; }
			set { this["RVAnMtlSVBrt"] = value; }
		}
		/// <summary>RV Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object RVAnEgaMtlSVBrt
		{
			get { return this["RVAnEgaMtlSVBrt"]; }
			set { this["RVAnEgaMtlSVBrt"] = value; }
		}
		/// <summary>RV Arbeitgeberanteil (normal) ( Double )</summary>
		public virtual Object RVAGANo
		{
			get { return this["RVAGANo"]; }
			set { this["RVAGANo"] = value; }
		}
		/// <summary>RV Arbeitgeberanteil (normal) FTag ( Double )</summary>
		public virtual Object RVAGANoFTag
		{
			get { return this["RVAGANoFTag"]; }
			set { this["RVAGANoFTag"] = value; }
		}
		/// <summary>RV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object RVKugAGA
		{
			get { return this["RVKugAGA"]; }
			set { this["RVKugAGA"] = value; }
		}
		/// <summary>RV Arbeitgeberanteil (EGA) ( Double )</summary>
		public virtual Object RVAGAEga
		{
			get { return this["RVAGAEga"]; }
			set { this["RVAGAEga"] = value; }
		}
		/// <summary>RV Arbeitgeberanteil ( Double )</summary>
		public virtual Object RVAGA
		{
			get { return this["RVAGA"]; }
		}
		/// <summary>RV Arbeitnehmeranteil (normal) ( Double )</summary>
		public virtual Object RVANANo
		{
			get { return this["RVANANo"]; }
			set { this["RVANANo"] = value; }
		}
		/// <summary>RV Arbeitnehmeranteil (EGA) ( Double )</summary>
		public virtual Object RVANAEga
		{
			get { return this["RVANAEga"]; }
			set { this["RVANAEga"] = value; }
		}
		/// <summary>RV Arbeitnehmeranteil ( Double )</summary>
		public virtual Object RVANA
		{
			get { return this["RVANA"]; }
		}
		/// <summary>RV Brutto (Vorjahr) ( Double )</summary>
		public virtual Object RVBrtVJ
		{
			get { return this["RVBrtVJ"]; }
			set { this["RVBrtVJ"] = value; }
		}
		/// <summary>RV Arbeitgeberanteil (Vorjahr) ( Double )</summary>
		public virtual Object RVAGAVJ
		{
			get { return this["RVAGAVJ"]; }
			set { this["RVAGAVJ"] = value; }
		}
		/// <summary>RV Arbeitnehmeranteil (Vorjahr) ( Double )</summary>
		public virtual Object RVANAVJ
		{
			get { return this["RVANAVJ"]; }
			set { this["RVANAVJ"] = value; }
		}
		/// <summary>RV Mindestbeitragsbemessungsgrundlage ( Double )</summary>
		public virtual Object RVMindBmg
		{
			get { return this["RVMindBmg"]; }
			set { this["RVMindBmg"] = value; }
		}
		/// <summary>RV Mindestbeitragsbemessungsgrundlage Arbeitgeberanteil ( Double )</summary>
		public virtual Object RVMindAGA
		{
			get { return this["RVMindAGA"]; }
			set { this["RVMindAGA"] = value; }
		}
		/// <summary>pauschales RV-Brutto ( Double )</summary>
		public virtual Object PRVBrt
		{
			get { return this["PRVBrt"]; }
			set { this["PRVBrt"] = value; }
		}
		/// <summary>pauschaler RV-Beitrag ( Double )</summary>
		public virtual Object PRV
		{
			get { return this["PRV"]; }
			set { this["PRV"] = value; }
		}
		/// <summary>pauschaler RV-Beitrag (freiwillige AN Zuzahlung) ( Double )</summary>
		public virtual Object PRVFrw
		{
			get { return this["PRVFrw"]; }
			set { this["PRVFrw"] = value; }
		}
		/// <summary>InsgUml Tage ( Integer )</summary>
		public virtual Int32 InsgUmlTg
		{
			get { return Convert.ToInt32(this["InsgUmlTg"]); }
			set { this["InsgUmlTg"] = value; }
		}
		/// <summary>InsgUml Tage (effektiv) ( Integer )</summary>
		public virtual Int32 InsgUmlTgEff
		{
			get { return Convert.ToInt32(this["InsgUmlTgEff"]); }
			set { this["InsgUmlTgEff"] = value; }
		}
		/// <summary>InsgUml Tage Fiktiv ( Integer )</summary>
		public virtual Int32 InsgUmlTgFiktiv
		{
			get { return Convert.ToInt32(this["InsgUmlTgFiktiv"]); }
			set { this["InsgUmlTgFiktiv"] = value; }
		}
		/// <summary>InsgUmlEga Tage ( Integer )</summary>
		public virtual Int32 InsgUmlEgaTg
		{
			get { return Convert.ToInt32(this["InsgUmlEgaTg"]); }
			set { this["InsgUmlEgaTg"] = value; }
		}
		/// <summary>InsgUml EGA wird mit dem Vorjahr verrechnet (Mrzklausel) ( Boolean )</summary>
		public virtual Object InsgUmlEgaVJKz
		{
			get { return this["InsgUmlEgaVJKz"]; }
			set { this["InsgUmlEgaVJKz"] = value; }
		}
		/// <summary>InsgUml Brutto (normal) ( Double )</summary>
		public virtual Object InsgUmlBrtNo
		{
			get { return this["InsgUmlBrtNo"]; }
			set { this["InsgUmlBrtNo"] = value; }
		}
		/// <summary>InsgUml Brutto (normal) FTag ( Double )</summary>
		public virtual Object InsgUmlBrtNoFTag
		{
			get { return this["InsgUmlBrtNoFTag"]; }
			set { this["InsgUmlBrtNoFTag"] = value; }
		}
		/// <summary>InsgUml Brutto (EGA) ( Double )</summary>
		public virtual Object InsgUmlBrtEga
		{
			get { return this["InsgUmlBrtEga"]; }
			set { this["InsgUmlBrtEga"] = value; }
		}
		/// <summary>InsgUml Brutto ( Double )</summary>
		public virtual Object InsgUmlBrt
		{
			get { return this["InsgUmlBrt"]; }
		}
		/// <summary>InsgUml Brutto (gemindert) ( Double )</summary>
		public virtual Object InsgUmlBrtNLGem
		{
			get { return this["InsgUmlBrtNLGem"]; }
			set { this["InsgUmlBrtNLGem"] = value; }
		}
		/// <summary>InsgUml Brutto (aufgestockt) ( Double )</summary>
		public virtual Object InsgUmlBrtMinInsgUml
		{
			get { return this["InsgUmlBrtMinInsgUml"]; }
			set { this["InsgUmlBrtMinInsgUml"] = value; }
		}
		/// <summary>InsgUml Anderer monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object InsgUmlAnMtlSVBrt
		{
			get { return this["InsgUmlAnMtlSVBrt"]; }
			set { this["InsgUmlAnMtlSVBrt"] = value; }
		}
		/// <summary>InsgUml Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object InsgUmlAnEgaMtlSVBrt
		{
			get { return this["InsgUmlAnEgaMtlSVBrt"]; }
			set { this["InsgUmlAnEgaMtlSVBrt"] = value; }
		}
		/// <summary>InsgUml Arbeitgeberanteil (normal) ( Double )</summary>
		public virtual Object InsgUmlAGANo
		{
			get { return this["InsgUmlAGANo"]; }
			set { this["InsgUmlAGANo"] = value; }
		}
		/// <summary>InsgUml Arbeitgeberanteil (normal) FTag ( Double )</summary>
		public virtual Object InsgUmlAGANoFTag
		{
			get { return this["InsgUmlAGANoFTag"]; }
			set { this["InsgUmlAGANoFTag"] = value; }
		}
		/// <summary>InsgUml Arbeitgeberanteil (EGA) ( Double )</summary>
		public virtual Object InsgUmlAGAEga
		{
			get { return this["InsgUmlAGAEga"]; }
			set { this["InsgUmlAGAEga"] = value; }
		}
		/// <summary>InsgUml Arbeitgeberanteil ( Double )</summary>
		public virtual Object InsgUmlAGA
		{
			get { return this["InsgUmlAGA"]; }
		}
		/// <summary>InsgUml Arbeitnehmeranteil (normal) ( Double )</summary>
		public virtual Object InsgUmlANANo
		{
			get { return this["InsgUmlANANo"]; }
			set { this["InsgUmlANANo"] = value; }
		}
		/// <summary>InsgUml Arbeitnehmeranteil (EGA) ( Double )</summary>
		public virtual Object InsgUmlANAEga
		{
			get { return this["InsgUmlANAEga"]; }
			set { this["InsgUmlANAEga"] = value; }
		}
		/// <summary>InsgUml Arbeitnehmeranteil ( Double )</summary>
		public virtual Object InsgUmlANA
		{
			get { return this["InsgUmlANA"]; }
		}
		/// <summary>InsgUml Brutto (Vorjahr) ( Double )</summary>
		public virtual Object InsgUmlBrtVJ
		{
			get { return this["InsgUmlBrtVJ"]; }
			set { this["InsgUmlBrtVJ"] = value; }
		}
		/// <summary>InsgUml Arbeitgeberanteil (Vorjahr) ( Double )</summary>
		public virtual Object InsgUmlAGAVJ
		{
			get { return this["InsgUmlAGAVJ"]; }
			set { this["InsgUmlAGAVJ"] = value; }
		}
		/// <summary>InsgUml Arbeitnehmeranteil (Vorjahr) ( Double )</summary>
		public virtual Object InsgUmlANAVJ
		{
			get { return this["InsgUmlANAVJ"]; }
			set { this["InsgUmlANAVJ"] = value; }
		}
		/// <summary>Entrichtung von RV-Beitrgen an berufsstndische Versorgungseinrichtung ( Boolean )</summary>
		public virtual Object BstvRVKz
		{
			get { return this["BstvRVKz"]; }
			set { this["BstvRVKz"] = value; }
		}
		/// <summary>Arbeitnehmer RV-Prmie (zu berufsstndischen Versorgungseinrichtung) ( Double )</summary>
		public virtual Object BstvRVAnPraemie
		{
			get { return this["BstvRVAnPraemie"]; }
			set { this["BstvRVAnPraemie"] = value; }
		}
		/// <summary>BstvRV Brutto ( Double )</summary>
		public virtual Object BstvRVBrt
		{
			get { return this["BstvRVBrt"]; }
			set { this["BstvRVBrt"] = value; }
		}
		/// <summary>BstvRV Brutto (Vorjahr) ( Double )</summary>
		public virtual Object BstvRVBrtVJ
		{
			get { return this["BstvRVBrtVJ"]; }
			set { this["BstvRVBrtVJ"] = value; }
		}
		/// <summary>Arbeitgeber Zuschuss zur RV (zu berufsstndischen Versorgungseinrichtung) ( Double )</summary>
		public virtual Object BstvRVAGAZuss
		{
			get { return this["BstvRVAGAZuss"]; }
			set { this["BstvRVAGAZuss"] = value; }
		}
		/// <summary>Arbeitnehmeranteil zur RV (zu berufsstndischen Versorgungseinrichtung) ( Double )</summary>
		public virtual Object BstvRVANA
		{
			get { return this["BstvRVANA"]; }
			set { this["BstvRVANA"] = value; }
		}
		/// <summary>AV Tage ( Integer )</summary>
		public virtual Int32 AVTg
		{
			get { return Convert.ToInt32(this["AVTg"]); }
			set { this["AVTg"] = value; }
		}
		/// <summary>AV Tage (effektiv) ( Integer )</summary>
		public virtual Int32 AVTgEff
		{
			get { return Convert.ToInt32(this["AVTgEff"]); }
			set { this["AVTgEff"] = value; }
		}
		/// <summary>AVEga Tage ( Integer )</summary>
		public virtual Int32 AVEgaTg
		{
			get { return Convert.ToInt32(this["AVEgaTg"]); }
			set { this["AVEgaTg"] = value; }
		}
		/// <summary>AV EGA wird mit dem Vorjahr verrechnet (Mrzklausel) ( Boolean )</summary>
		public virtual Object AVEgaVJKz
		{
			get { return this["AVEgaVJKz"]; }
			set { this["AVEgaVJKz"] = value; }
		}
		/// <summary>AV Brutto (normal) ( Double )</summary>
		public virtual Object AVBrtNo
		{
			get { return this["AVBrtNo"]; }
			set { this["AVBrtNo"] = value; }
		}
		/// <summary>AV Brutto (normal) FTag ( Double )</summary>
		public virtual Object AVBrtNoFTag
		{
			get { return this["AVBrtNoFTag"]; }
			set { this["AVBrtNoFTag"] = value; }
		}
		/// <summary>AV Brutto (EGA) ( Double )</summary>
		public virtual Object AVBrtEga
		{
			get { return this["AVBrtEga"]; }
			set { this["AVBrtEga"] = value; }
		}
		/// <summary>AV Brutto ( Double )</summary>
		public virtual Object AVBrt
		{
			get { return this["AVBrt"]; }
		}
		/// <summary>AV Brutto (gemindert) ( Double )</summary>
		public virtual Object AVBrtNLGem
		{
			get { return this["AVBrtNLGem"]; }
			set { this["AVBrtNLGem"] = value; }
		}
		/// <summary>AV Anderer monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object AVAnMtlSVBrt
		{
			get { return this["AVAnMtlSVBrt"]; }
			set { this["AVAnMtlSVBrt"] = value; }
		}
		/// <summary>AV Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object AVAnEgaMtlSVBrt
		{
			get { return this["AVAnEgaMtlSVBrt"]; }
			set { this["AVAnEgaMtlSVBrt"] = value; }
		}
		/// <summary>AV Arbeitgeberanteil (normal) ( Double )</summary>
		public virtual Object AVAGANo
		{
			get { return this["AVAGANo"]; }
			set { this["AVAGANo"] = value; }
		}
		/// <summary>AV Arbeitgeberanteil (normal) FTag ( Double )</summary>
		public virtual Object AVAGANoFTag
		{
			get { return this["AVAGANoFTag"]; }
			set { this["AVAGANoFTag"] = value; }
		}
		/// <summary>AV Arbeitgeberanteil (EGA) ( Double )</summary>
		public virtual Object AVAGAEga
		{
			get { return this["AVAGAEga"]; }
			set { this["AVAGAEga"] = value; }
		}
		/// <summary>AV Arbeitgeberanteil ( Double )</summary>
		public virtual Object AVAGA
		{
			get { return this["AVAGA"]; }
		}
		/// <summary>AV Arbeitnehmeranteil (normal) ( Double )</summary>
		public virtual Object AVANANo
		{
			get { return this["AVANANo"]; }
			set { this["AVANANo"] = value; }
		}
		/// <summary>AV Arbeitnehmeranteil (EGA) ( Double )</summary>
		public virtual Object AVANAEga
		{
			get { return this["AVANAEga"]; }
			set { this["AVANAEga"] = value; }
		}
		/// <summary>AV Arbeitnehmeranteil ( Double )</summary>
		public virtual Object AVANA
		{
			get { return this["AVANA"]; }
		}
		/// <summary>AV Brutto (Vorjahr) ( Double )</summary>
		public virtual Object AVBrtVJ
		{
			get { return this["AVBrtVJ"]; }
			set { this["AVBrtVJ"] = value; }
		}
		/// <summary>AV Arbeitgeberanteil (Vorjahr) ( Double )</summary>
		public virtual Object AVAGAVJ
		{
			get { return this["AVAGAVJ"]; }
			set { this["AVAGAVJ"] = value; }
		}
		/// <summary>AV Arbeitnehmeranteil (Vorjahr) ( Double )</summary>
		public virtual Object AVANAVJ
		{
			get { return this["AVANAVJ"]; }
			set { this["AVANAVJ"] = value; }
		}
		/// <summary>PV Tage ( Integer )</summary>
		public virtual Int32 PVTg
		{
			get { return Convert.ToInt32(this["PVTg"]); }
			set { this["PVTg"] = value; }
		}
		/// <summary>PV Tage (effektiv) ( Integer )</summary>
		public virtual Int32 PVTgEff
		{
			get { return Convert.ToInt32(this["PVTgEff"]); }
			set { this["PVTgEff"] = value; }
		}
		/// <summary>PV Tage Fiktiv ( Integer )</summary>
		public virtual Int32 PVTgFiktiv
		{
			get { return Convert.ToInt32(this["PVTgFiktiv"]); }
			set { this["PVTgFiktiv"] = value; }
		}
		/// <summary>PVEga Tage ( Integer )</summary>
		public virtual Int32 PVEgaTg
		{
			get { return Convert.ToInt32(this["PVEgaTg"]); }
			set { this["PVEgaTg"] = value; }
		}
		/// <summary>PV EGA wird mit dem Vorjahr verrechnet (Mrzklausel) ( Boolean )</summary>
		public virtual Object PVEgaVJKz
		{
			get { return this["PVEgaVJKz"]; }
			set { this["PVEgaVJKz"] = value; }
		}
		/// <summary>PV Brutto (normal) ( Double )</summary>
		public virtual Object PVBrtNo
		{
			get { return this["PVBrtNo"]; }
			set { this["PVBrtNo"] = value; }
		}
		/// <summary>PV Brutto (normal) FTag ( Double )</summary>
		public virtual Object PVBrtNoFTag
		{
			get { return this["PVBrtNoFTag"]; }
			set { this["PVBrtNoFTag"] = value; }
		}
		/// <summary>PV Brutto (fiktiv; Kug) ( Double )</summary>
		public virtual Object PVBrtKugFiktiv
		{
			get { return this["PVBrtKugFiktiv"]; }
			set { this["PVBrtKugFiktiv"] = value; }
		}
		/// <summary>PV Brutto (EGA) ( Double )</summary>
		public virtual Object PVBrtEga
		{
			get { return this["PVBrtEga"]; }
			set { this["PVBrtEga"] = value; }
		}
		/// <summary>PV Brutto ( Double )</summary>
		public virtual Object PVBrt
		{
			get { return this["PVBrt"]; }
		}
		/// <summary>PV Brutto (gemindert) ( Double )</summary>
		public virtual Object PVBrtNLGem
		{
			get { return this["PVBrtNLGem"]; }
			set { this["PVBrtNLGem"] = value; }
		}
		/// <summary>PV Anderer monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object PVAnMtlSVBrt
		{
			get { return this["PVAnMtlSVBrt"]; }
			set { this["PVAnMtlSVBrt"] = value; }
		}
		/// <summary>PV Anderer einmaliger monatlicher sozialversicherungspflichtiger Bruttobezug ( Double )</summary>
		public virtual Object PVAnEgaMtlSVBrt
		{
			get { return this["PVAnEgaMtlSVBrt"]; }
			set { this["PVAnEgaMtlSVBrt"] = value; }
		}
		/// <summary>PV Arbeitgeberanteil (normal) ( Double )</summary>
		public virtual Object PVAGANo
		{
			get { return this["PVAGANo"]; }
			set { this["PVAGANo"] = value; }
		}
		/// <summary>PV Arbeitgeberanteil (normal) FTag ( Double )</summary>
		public virtual Object PVAGANoFTag
		{
			get { return this["PVAGANoFTag"]; }
			set { this["PVAGANoFTag"] = value; }
		}
		/// <summary>PV Kug Arbeitgeberanteil ( Double )</summary>
		public virtual Object PVKugAGA
		{
			get { return this["PVKugAGA"]; }
			set { this["PVKugAGA"] = value; }
		}
		/// <summary>PV Arbeitgeberanteil (EGA) ( Double )</summary>
		public virtual Object PVAGAEga
		{
			get { return this["PVAGAEga"]; }
			set { this["PVAGAEga"] = value; }
		}
		/// <summary>PV Arbeitgeberanteil ( Double )</summary>
		public virtual Object PVAGA
		{
			get { return this["PVAGA"]; }
		}
		/// <summary>PV Arbeitnehmeranteil (normal) (allgemeiner) ( Double )</summary>
		public virtual Object PVANANoAllg
		{
			get { return this["PVANANoAllg"]; }
			set { this["PVANANoAllg"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (normal) (zustzlicher) ( Double )</summary>
		public virtual Object PVANANoZus
		{
			get { return this["PVANANoZus"]; }
			set { this["PVANANoZus"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (normal) ( Double )</summary>
		public virtual Object PVANANo
		{
			get { return this["PVANANo"]; }
		}
		/// <summary>PV Arbeitnehmeranteil (EGA) (allgemeiner) ( Double )</summary>
		public virtual Object PVANAEgaAllg
		{
			get { return this["PVANAEgaAllg"]; }
			set { this["PVANAEgaAllg"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (EGA) (zustzlicher) ( Double )</summary>
		public virtual Object PVANAEgaZus
		{
			get { return this["PVANAEgaZus"]; }
			set { this["PVANAEgaZus"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (EGA) ( Double )</summary>
		public virtual Object PVANAEga
		{
			get { return this["PVANAEga"]; }
		}
		/// <summary>PV Arbeitnehmeranteil ( Double )</summary>
		public virtual Object PVANA
		{
			get { return this["PVANA"]; }
		}
		/// <summary>PV Brutto (Vorjahr) ( Double )</summary>
		public virtual Object PVBrtVJ
		{
			get { return this["PVBrtVJ"]; }
			set { this["PVBrtVJ"] = value; }
		}
		/// <summary>PV Arbeitgeberanteil (Vorjahr) ( Double )</summary>
		public virtual Object PVAGAVJ
		{
			get { return this["PVAGAVJ"]; }
			set { this["PVAGAVJ"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (Vorjahr) (allgemeiner) ( Double )</summary>
		public virtual Object PVANAVJAllg
		{
			get { return this["PVANAVJAllg"]; }
			set { this["PVANAVJAllg"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (Vorjahr) (zustzlicher) ( Double )</summary>
		public virtual Object PVANAVJZus
		{
			get { return this["PVANAVJZus"]; }
			set { this["PVANAVJZus"] = value; }
		}
		/// <summary>PV Arbeitnehmeranteil (Vorjahr) ( Double )</summary>
		public virtual Object PVANAVJ
		{
			get { return this["PVANAVJ"]; }
		}
		/// <summary>Lohnfortzahlung U1 Bruttobetrag ( Double )</summary>
		public virtual Object LfzU1BrtBet
		{
			get { return this["LfzU1BrtBet"]; }
			set { this["LfzU1BrtBet"] = value; }
		}
		/// <summary>Lohnfortzahlung U1 Tage ( Integer )</summary>
		public virtual Int32 LfzU1Tg
		{
			get { return Convert.ToInt32(this["LfzU1Tg"]); }
			set { this["LfzU1Tg"] = value; }
		}
		/// <summary>Lohnfortzahlung U1 Nettobetrag ( Double )</summary>
		public virtual Object LfzU1NetBet
		{
			get { return this["LfzU1NetBet"]; }
			set { this["LfzU1NetBet"] = value; }
		}
		/// <summary>Lohnfortzahlung U1 Satz (in %) ( Double )</summary>
		public virtual Object LfzU1Sz
		{
			get { return this["LfzU1Sz"]; }
			set { this["LfzU1Sz"] = value; }
		}
		/// <summary>Lohnfortzahlung U1 Betrag ( Double )</summary>
		public virtual Object LfzU1Brt
		{
			get { return this["LfzU1Brt"]; }
			set { this["LfzU1Brt"] = value; }
		}
		/// <summary>Lohnfortzahlung U2 Bruttobetrag ( Double )</summary>
		public virtual Object LfzU2BrtBet
		{
			get { return this["LfzU2BrtBet"]; }
			set { this["LfzU2BrtBet"] = value; }
		}
		/// <summary>Lohnfortzahlung U2 Tage ( Integer )</summary>
		public virtual Int32 LfzU2Tg
		{
			get { return Convert.ToInt32(this["LfzU2Tg"]); }
			set { this["LfzU2Tg"] = value; }
		}
		/// <summary>Lohnfortzahlung U2 Nettobetrag ( Double )</summary>
		public virtual Object LfzU2NetBet
		{
			get { return this["LfzU2NetBet"]; }
			set { this["LfzU2NetBet"] = value; }
		}
		/// <summary>Lohnfortzahlung U2 Satz (in %) ( Double )</summary>
		public virtual Object LfzU2Sz
		{
			get { return this["LfzU2Sz"]; }
			set { this["LfzU2Sz"] = value; }
		}
		/// <summary>Lohnfortzahlung U2 Betrag ( Double )</summary>
		public virtual Object LfzU2Brt
		{
			get { return this["LfzU2Brt"]; }
			set { this["LfzU2Brt"] = value; }
		}
		/// <summary>Lohnfortzahlung Beschftigungsverbot Bruttobetrag ( Double )</summary>
		public virtual Object LfzBVBBrtBet
		{
			get { return this["LfzBVBBrtBet"]; }
			set { this["LfzBVBBrtBet"] = value; }
		}
		/// <summary>Lohnfortzahlung Beschftigungsverbot Tage ( Integer )</summary>
		public virtual Int32 LfzBVBTg
		{
			get { return Convert.ToInt32(this["LfzBVBTg"]); }
			set { this["LfzBVBTg"] = value; }
		}
		/// <summary>Lohnfortzahlung Beschftigungsverbot Nettobetrag ( Double )</summary>
		public virtual Object LfzBVBNetBet
		{
			get { return this["LfzBVBNetBet"]; }
			set { this["LfzBVBNetBet"] = value; }
		}
		/// <summary>Lohnfortzahlung Beschftigungsverbot Satz (in %) ( Double )</summary>
		public virtual Object LfzBVBSz
		{
			get { return this["LfzBVBSz"]; }
			set { this["LfzBVBSz"] = value; }
		}
		/// <summary>Lohnfortzahlung Beschftigungsverbot Betrag ( Double )</summary>
		public virtual Object LfzBVBBrt
		{
			get { return this["LfzBVBBrt"]; }
			set { this["LfzBVBBrt"] = value; }
		}
		/// <summary>Lohnfortzahlung soll separat erstattet werden (wird im Beitragsnachweis nicht verrechnet) ( Boolean )</summary>
		public virtual Object LfzSeparatKz
		{
			get { return this["LfzSeparatKz"]; }
		}
		/// <summary>Einzugsstellennummer ( String )</summary>
		public virtual String KrkNr
		{
			get { return Convert.ToString(this["KrkNr"]); }
			set { this["KrkNr"] = value; }
		}
		/// <summary>Einzugsstelle ( String )</summary>
		public virtual String KrkNrInfo
		{
			get { return Convert.ToString(this["KrkNrInfo"]); }
		}
		/// <summary>Einzugsstellennummer fr RV-Beitrge ( String )</summary>
		public virtual String RVKrkNr
		{
			get { return Convert.ToString(this["RVKrkNr"]); }
			set { this["RVKrkNr"] = value; }
		}
		/// <summary>Einzugsstelle fr RV-Beitrge ( String )</summary>
		public virtual String RVKrkNrInfo
		{
			get { return Convert.ToString(this["RVKrkNrInfo"]); }
		}
		/// <summary>RV-Abrechnungsschlssel (bei abweichender RV-Einzugsstelle) ( Integer )</summary>
		public virtual Int32 RVAbrSchl
		{
			get { return Convert.ToInt32(this["RVAbrSchl"]); }
			set { this["RVAbrSchl"] = value; }
		}
		/// <summary>Beitragsgruppenschlssel RV ( String )</summary>
		public virtual String BGrpSchlRV
		{
			get { return Convert.ToString(this["BGrpSchlRV"]); }
		}
		/// <summary>AV-Beitrge an RV-Einzugsstelle abfhren ( Boolean )</summary>
		public virtual Object AVBetAnRVKrkKz
		{
			get { return this["AVBetAnRVKrkKz"]; }
			set { this["AVBetAnRVKrkKz"] = value; }
		}
		/// <summary>Befristeter Arbeitsvertrag von 4 Wochen ( Boolean )</summary>
		public virtual Object Befristet4WKz
		{
			get { return this["Befristet4WKz"]; }
			set { this["Befristet4WKz"] = value; }
		}
		/// <summary>Von der Umlage 1 befreit ( Boolean )</summary>
		public virtual Object Uml1BefreitKz
		{
			get { return this["Uml1BefreitKz"]; }
			set { this["Uml1BefreitKz"] = value; }
		}
		/// <summary>Umlage-Einzugstellennummer ( String )</summary>
		public virtual String UmlKrkNr
		{
			get { return Convert.ToString(this["UmlKrkNr"]); }
			set { this["UmlKrkNr"] = value; }
		}
		/// <summary>Umlage-Einzugsstelle ( String )</summary>
		public virtual String UmlKrkNrInfo
		{
			get { return Convert.ToString(this["UmlKrkNrInfo"]); }
		}
		/// <summary>Umlageschlssel ( Integer )</summary>
		public virtual Int32 UmlSchl
		{
			get { return Convert.ToInt32(this["UmlSchl"]); }
			set { this["UmlSchl"] = value; }
		}
		/// <summary>Umlageschlssel Nr ( Integer )</summary>
		public virtual Int32 UmlSchlNr
		{
			get { return Convert.ToInt32(this["UmlSchlNr"]); }
		}
		/// <summary>PersGrp > 900 Umlage pflichtig ( Boolean )</summary>
		public virtual Object UmlPflicht900Kz
		{
			get { return this["UmlPflicht900Kz"]; }
			set { this["UmlPflicht900Kz"] = value; }
		}
		/// <summary>Beitragstragung aufgrund Job-AQTIV-Gesetz vom 10.12.2001 (SV-Beitrge werden vollstndig vom Trger der Einrichtung bernommen) ( Boolean )</summary>
		public virtual Object JobAqtivKz
		{
			get { return this["JobAqtivKz"]; }
			set { this["JobAqtivKz"] = value; }
		}
		/// <summary>Ist Arbeiter ( Boolean )</summary>
		public virtual Object ArbeiterKz
		{
			get { return this["ArbeiterKz"]; }
			set { this["ArbeiterKz"] = value; }
		}
		/// <summary>Umlagen Brutto (normal) ( Double )</summary>
		public virtual Object UmlBrtNo
		{
			get { return this["UmlBrtNo"]; }
			set { this["UmlBrtNo"] = value; }
		}
		/// <summary>Umlagen Brutto (EGA) ( Double )</summary>
		public virtual Object UmlBrtEga
		{
			get { return this["UmlBrtEga"]; }
			set { this["UmlBrtEga"] = value; }
		}
		/// <summary>Umlagen Brutto ( Double )</summary>
		public virtual Object UmlBrt
		{
			get { return this["UmlBrt"]; }
		}
		/// <summary>Umlagen Brutto (Vorjahr) ( Double )</summary>
		public virtual Object UmlBrtVJ
		{
			get { return this["UmlBrtVJ"]; }
			set { this["UmlBrtVJ"] = value; }
		}
		/// <summary>Umlagebetrag 1 (normal) ( Double )</summary>
		public virtual Object Uml1BetNo
		{
			get { return this["Uml1BetNo"]; }
			set { this["Uml1BetNo"] = value; }
		}
		/// <summary>Umlagebetrag 1 (EGA) ( Double )</summary>
		public virtual Object Uml1BetEga
		{
			get { return this["Uml1BetEga"]; }
			set { this["Uml1BetEga"] = value; }
		}
		/// <summary>Umlagebetrag 1 ( Double )</summary>
		public virtual Object Uml1Bet
		{
			get { return this["Uml1Bet"]; }
		}
		/// <summary>Umlagebetrag 1 (Vorjahr) ( Double )</summary>
		public virtual Object Uml1BetVJ
		{
			get { return this["Uml1BetVJ"]; }
			set { this["Uml1BetVJ"] = value; }
		}
		/// <summary>Umlagebetrag 2 (normal) ( Double )</summary>
		public virtual Object Uml2BetNo
		{
			get { return this["Uml2BetNo"]; }
			set { this["Uml2BetNo"] = value; }
		}
		/// <summary>Umlagebetrag 2 (EGA) ( Double )</summary>
		public virtual Object Uml2BetEga
		{
			get { return this["Uml2BetEga"]; }
			set { this["Uml2BetEga"] = value; }
		}
		/// <summary>Umlagebetrag 2 ( Double )</summary>
		public virtual Object Uml2Bet
		{
			get { return this["Uml2Bet"]; }
		}
		/// <summary>Umlagebetrag 2 (Vorjahr) ( Double )</summary>
		public virtual Object Uml2BetVJ
		{
			get { return this["Uml2BetVJ"]; }
			set { this["Uml2BetVJ"] = value; }
		}
		/// <summary>Ist Student (hat studentische Pflichtversicherung) ( Boolean )</summary>
		public virtual Object IstStudentKz
		{
			get { return this["IstStudentKz"]; }
			set { this["IstStudentKz"] = value; }
		}
		/// <summary>Kein Arbeitgeberanteil der freiwilligen KV Kz ( Boolean )</summary>
		public virtual Object KeinFrwKVAGAKz
		{
			get { return this["KeinFrwKVAGAKz"]; }
			set { this["KeinFrwKVAGAKz"] = value; }
		}
		/// <summary>freiwillige KV-Einzugstellennummer ( String )</summary>
		public virtual String FrwKVKrkNr
		{
			get { return Convert.ToString(this["FrwKVKrkNr"]); }
			set { this["FrwKVKrkNr"] = value; }
		}
		/// <summary>freiwillige KV-Einzugstelle ( String )</summary>
		public virtual String FrwKVKrkNrInfo
		{
			get { return Convert.ToString(this["FrwKVKrkNrInfo"]); }
		}
		/// <summary>Arbeitgeberzuschuss richtet sich nach Entgelt des Arbeitnehmers ( Boolean )</summary>
		public virtual Object FrwKVAGAZusEntKz
		{
			get { return this["FrwKVAGAZusEntKz"]; }
			set { this["FrwKVAGAZusEntKz"] = value; }
		}
		/// <summary>FrwKV Brutto (normal) ( Double )</summary>
		public virtual Object FrwKVBrtNo
		{
			get { return this["FrwKVBrtNo"]; }
			set { this["FrwKVBrtNo"] = value; }
		}
		/// <summary>FrwKV Brutto (normal) FTag ( Double )</summary>
		public virtual Object FrwKVBrtNoFTag
		{
			get { return this["FrwKVBrtNoFTag"]; }
			set { this["FrwKVBrtNoFTag"] = value; }
		}
		/// <summary>FrwKV Brutto (fiktiv; Kug) ( Double )</summary>
		public virtual Object FrwKVBrtKugFiktiv
		{
			get { return this["FrwKVBrtKugFiktiv"]; }
			set { this["FrwKVBrtKugFiktiv"] = value; }
		}
		/// <summary>FrwKV Brutto (EGA) ( Double )</summary>
		public virtual Object FrwKVBrtEga
		{
			get { return this["FrwKVBrtEga"]; }
			set { this["FrwKVBrtEga"] = value; }
		}
		/// <summary>FrwKV Brutto ( Double )</summary>
		public virtual Object FrwKVBrt
		{
			get { return this["FrwKVBrt"]; }
		}
		/// <summary>FrwKV Brutto (EGA) VJ ( Double )</summary>
		public virtual Object FrwKVBrtEgaVJ
		{
			get { return this["FrwKVBrtEgaVJ"]; }
			set { this["FrwKVBrtEgaVJ"] = value; }
		}
		/// <summary>Privat krankenversicherter Arbeitnehmer KV ( Boolean )</summary>
		public virtual Object FrwKVANAKz
		{
			get { return this["FrwKVANAKz"]; }
			set { this["FrwKVANAKz"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (normal) ( Double )</summary>
		public virtual Object FrwKVAGANo
		{
			get { return this["FrwKVAGANo"]; }
			set { this["FrwKVAGANo"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV NoFTag ( Double )</summary>
		public virtual Object FrwKVAGANoFTag
		{
			get { return this["FrwKVAGANoFTag"]; }
			set { this["FrwKVAGANoFTag"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (EGA) ( Double )</summary>
		public virtual Object FrwKVAGAEga
		{
			get { return this["FrwKVAGAEga"]; }
			set { this["FrwKVAGAEga"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (EGA-Vorjahr) ( Double )</summary>
		public virtual Object FrwKVAGAEgaVJ
		{
			get { return this["FrwKVAGAEgaVJ"]; }
			set { this["FrwKVAGAEgaVJ"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV ( Double )</summary>
		public virtual Object FrwKVAGA
		{
			get { return this["FrwKVAGA"]; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (Kug Arbeitgeberanteil) ( Double )</summary>
		public virtual Object FrwKVAGAKugAGA
		{
			get { return this["FrwKVAGAKugAGA"]; }
			set { this["FrwKVAGAKugAGA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (Kug Arbeitnehmeranteil) ( Double )</summary>
		public virtual Object FrwKVAGAKugANA
		{
			get { return this["FrwKVAGAKugANA"]; }
			set { this["FrwKVAGAKugANA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (KUG) ( Double )</summary>
		public virtual Object FrwKVAGAKug
		{
			get { return this["FrwKVAGAKug"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (normal - allgemeiner) ( Double )</summary>
		public virtual Object FrwKVANANoAllg
		{
			get { return this["FrwKVANANoAllg"]; }
			set { this["FrwKVANANoAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (normal - zustzlicher) ( Double )</summary>
		public virtual Object FrwKVANANoZus
		{
			get { return this["FrwKVANANoZus"]; }
			set { this["FrwKVANANoZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (normal) ( Double )</summary>
		public virtual Object FrwKVANANo
		{
			get { return this["FrwKVANANo"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA - allgemeiner) ( Double )</summary>
		public virtual Object FrwKVANAEgaAllg
		{
			get { return this["FrwKVANAEgaAllg"]; }
			set { this["FrwKVANAEgaAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA - zustzlicher) ( Double )</summary>
		public virtual Object FrwKVANAEgaZus
		{
			get { return this["FrwKVANAEgaZus"]; }
			set { this["FrwKVANAEgaZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA) ( Double )</summary>
		public virtual Object FrwKVANAEga
		{
			get { return this["FrwKVANAEga"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA-Vorjahr - allgemeiner) ( Double )</summary>
		public virtual Object FrwKVANAEgaVJAllg
		{
			get { return this["FrwKVANAEgaVJAllg"]; }
			set { this["FrwKVANAEgaVJAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA-Vorjahr - zustzlicher) ( Double )</summary>
		public virtual Object FrwKVANAEgaVJZus
		{
			get { return this["FrwKVANAEgaVJZus"]; }
			set { this["FrwKVANAEgaVJZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV (EGA-Vorjahr) ( Double )</summary>
		public virtual Object FrwKVANAEgaVJ
		{
			get { return this["FrwKVANAEgaVJ"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen KV ( Double )</summary>
		public virtual Object FrwKVANA
		{
			get { return this["FrwKVANA"]; }
		}
		/// <summary>Gesamtanteil der freiwilligen KV ( Double )</summary>
		public virtual Object FrwKV
		{
			get { return this["FrwKV"]; }
		}
		/// <summary>Arbeitnehmer KV-Prmie ( Double )</summary>
		public virtual Object FrwKVAnPraemie
		{
			get { return this["FrwKVAnPraemie"]; }
			set { this["FrwKVAnPraemie"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen KV (Vorgabe Zuschuss) ( Double )</summary>
		public virtual Object FrwKVAGAVgb
		{
			get { return this["FrwKVAGAVgb"]; }
			set { this["FrwKVAGAVgb"] = value; }
		}
		/// <summary>freiwillige PV-Einzugstellennummer ( String )</summary>
		public virtual String FrwPVKrkNr
		{
			get { return Convert.ToString(this["FrwPVKrkNr"]); }
			set { this["FrwPVKrkNr"] = value; }
		}
		/// <summary>freiwillige PV-Einzugstelle ( String )</summary>
		public virtual String FrwPVKrkNrInfo
		{
			get { return Convert.ToString(this["FrwPVKrkNrInfo"]); }
		}
		/// <summary>Privat krankenversicherter Arbeitnehmer PV ( Boolean )</summary>
		public virtual Object FrwPVANAKz
		{
			get { return this["FrwPVANAKz"]; }
			set { this["FrwPVANAKz"] = value; }
		}
		/// <summary>Hauptberuflich selbststndig ( Boolean )</summary>
		public virtual Object FrwHauptSsKz
		{
			get { return this["FrwHauptSsKz"]; }
			set { this["FrwHauptSsKz"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (normal) ( Double )</summary>
		public virtual Object FrwPVAGANo
		{
			get { return this["FrwPVAGANo"]; }
			set { this["FrwPVAGANo"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (normal) ( Double )</summary>
		public virtual Object FrwPVAGANoFTag
		{
			get { return this["FrwPVAGANoFTag"]; }
			set { this["FrwPVAGANoFTag"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (EGA) ( Double )</summary>
		public virtual Object FrwPVAGAEga
		{
			get { return this["FrwPVAGAEga"]; }
			set { this["FrwPVAGAEga"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (EGA-Vorjahr) ( Double )</summary>
		public virtual Object FrwPVAGAEgaVJ
		{
			get { return this["FrwPVAGAEgaVJ"]; }
			set { this["FrwPVAGAEgaVJ"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV ( Double )</summary>
		public virtual Object FrwPVAGA
		{
			get { return this["FrwPVAGA"]; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (Kug Arbeitgeberanteil) ( Double )</summary>
		public virtual Object FrwPVAGAKugAGA
		{
			get { return this["FrwPVAGAKugAGA"]; }
			set { this["FrwPVAGAKugAGA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (Kug Arbeitnehmeranteil) ( Double )</summary>
		public virtual Object FrwPVAGAKugANA
		{
			get { return this["FrwPVAGAKugANA"]; }
			set { this["FrwPVAGAKugANA"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (KUG) ( Double )</summary>
		public virtual Object FrwPVAGAKug
		{
			get { return this["FrwPVAGAKug"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (normal - allgemeiner) ( Double )</summary>
		public virtual Object FrwPVANANoAllg
		{
			get { return this["FrwPVANANoAllg"]; }
			set { this["FrwPVANANoAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (normal - zustzlicher) ( Double )</summary>
		public virtual Object FrwPVANANoZus
		{
			get { return this["FrwPVANANoZus"]; }
			set { this["FrwPVANANoZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (normal) ( Double )</summary>
		public virtual Object FrwPVANANo
		{
			get { return this["FrwPVANANo"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA - allgemeiner) ( Double )</summary>
		public virtual Object FrwPVANAEgaAllg
		{
			get { return this["FrwPVANAEgaAllg"]; }
			set { this["FrwPVANAEgaAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA - zustzlicher) ( Double )</summary>
		public virtual Object FrwPVANAEgaZus
		{
			get { return this["FrwPVANAEgaZus"]; }
			set { this["FrwPVANAEgaZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA) ( Double )</summary>
		public virtual Object FrwPVANAEga
		{
			get { return this["FrwPVANAEga"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA-Vorjahr - allgemeiner) ( Double )</summary>
		public virtual Object FrwPVANAEgaVJAllg
		{
			get { return this["FrwPVANAEgaVJAllg"]; }
			set { this["FrwPVANAEgaVJAllg"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA-Vorjahr - zustzlicher) ( Double )</summary>
		public virtual Object FrwPVANAEgaVJZus
		{
			get { return this["FrwPVANAEgaVJZus"]; }
			set { this["FrwPVANAEgaVJZus"] = value; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV (EGA-Vorjahr) ( Double )</summary>
		public virtual Object FrwPVANAEgaVJ
		{
			get { return this["FrwPVANAEgaVJ"]; }
		}
		/// <summary>Arbeitnehmeranteil der freiwilligen PV ( Double )</summary>
		public virtual Object FrwPVANA
		{
			get { return this["FrwPVANA"]; }
		}
		/// <summary>Gesamtanteil der freiwilligen PV ( Double )</summary>
		public virtual Object FrwPV
		{
			get { return this["FrwPV"]; }
		}
		/// <summary>Arbeitnehmer PV-Prmie ( Double )</summary>
		public virtual Object FrwPVAnPraemie
		{
			get { return this["FrwPVAnPraemie"]; }
			set { this["FrwPVAnPraemie"] = value; }
		}
		/// <summary>Arbeitgeberanteil der freiwilligen PV (Vorgabe Zuschuss) ( Double )</summary>
		public virtual Object FrwPVAGAVgb
		{
			get { return this["FrwPVAGAVgb"]; }
			set { this["FrwPVAGAVgb"] = value; }
		}
		/// <summary>BvgVertragsAbzuege ( BlobTable )</summary>
		public virtual Object BvgAb
		{
			get { return this["BvgAb"]; }
			set { this["BvgAb"] = value; }
		}
		/// <summary>Beitrag zu VWL 1 ( Double )</summary>
		public virtual Object VWLBet1
		{
			get { return this["VWLBet1"]; }
			set { this["VWLBet1"] = value; }
		}
		/// <summary>Beitrag zu VWL 2 ( Double )</summary>
		public virtual Object VWLBet2
		{
			get { return this["VWLBet2"]; }
			set { this["VWLBet2"] = value; }
		}
		/// <summary>Beitrag zu VWL 3 ( Double )</summary>
		public virtual Object VWLBet3
		{
			get { return this["VWLBet3"]; }
			set { this["VWLBet3"] = value; }
		}
		/// <summary>gesamter Beitrag zu VWL ( Double )</summary>
		public virtual Object VWLBetGes
		{
			get { return this["VWLBetGes"]; }
		}
		/// <summary>Gesamte sonstige Vertragsabzge ( Double )</summary>
		public virtual Object SonstVAbzBetGes
		{
			get { return this["SonstVAbzBetGes"]; }
			set { this["SonstVAbzBetGes"] = value; }
		}
		/// <summary>Kammerbeitrag ( Double )</summary>
		public virtual Object KamBet
		{
			get { return this["KamBet"]; }
			set { this["KamBet"] = value; }
		}
		/// <summary>Berufsgenossenschaftsnummer ( String )</summary>
		public virtual String BGNr
		{
			get { return Convert.ToString(this["BGNr"]); }
			set { this["BGNr"] = value; }
		}
		/// <summary>Unternehmensbereichnummer ( String )</summary>
		public virtual String UntBNr
		{
			get { return Convert.ToString(this["UntBNr"]); }
			set { this["UntBNr"] = value; }
		}
		/// <summary>Menge fr Berufsgenossenschaft ( Double )</summary>
		public virtual Object BGMge
		{
			get { return this["BGMge"]; }
			set { this["BGMge"] = value; }
		}
		/// <summary>Gesamtbetrag fr Berufsgenossenschaft ( Double )</summary>
		public virtual Object BGGesBet
		{
			get { return this["BGGesBet"]; }
			set { this["BGGesBet"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 1 ( String )</summary>
		public virtual String VerGTSNr1
		{
			get { return Convert.ToString(this["VerGTSNr1"]); }
			set { this["VerGTSNr1"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 2 ( String )</summary>
		public virtual String VerGTSNr2
		{
			get { return Convert.ToString(this["VerGTSNr2"]); }
			set { this["VerGTSNr2"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 3 ( String )</summary>
		public virtual String VerGTSNr3
		{
			get { return Convert.ToString(this["VerGTSNr3"]); }
			set { this["VerGTSNr3"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 4 ( String )</summary>
		public virtual String VerGTSNr4
		{
			get { return Convert.ToString(this["VerGTSNr4"]); }
			set { this["VerGTSNr4"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 5 ( String )</summary>
		public virtual String VerGTSNr5
		{
			get { return Convert.ToString(this["VerGTSNr5"]); }
			set { this["VerGTSNr5"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 6 ( String )</summary>
		public virtual String VerGTSNr6
		{
			get { return Convert.ToString(this["VerGTSNr6"]); }
			set { this["VerGTSNr6"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 7 ( String )</summary>
		public virtual String VerGTSNr7
		{
			get { return Convert.ToString(this["VerGTSNr7"]); }
			set { this["VerGTSNr7"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 8 ( String )</summary>
		public virtual String VerGTSNr8
		{
			get { return Convert.ToString(this["VerGTSNr8"]); }
			set { this["VerGTSNr8"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 9 ( String )</summary>
		public virtual String VerGTSNr9
		{
			get { return Convert.ToString(this["VerGTSNr9"]); }
			set { this["VerGTSNr9"] = value; }
		}
		/// <summary>Veranlagte Gefahrtarifstelle 10 ( String )</summary>
		public virtual String VerGTSNr10
		{
			get { return Convert.ToString(this["VerGTSNr10"]); }
			set { this["VerGTSNr10"] = value; }
		}
		/// <summary>BG Betriebsnummer 1 ( String )</summary>
		public virtual String BGBetrNr1
		{
			get { return Convert.ToString(this["BGBetrNr1"]); }
			set { this["BGBetrNr1"] = value; }
		}
		/// <summary>BG Betriebsnummer 2 ( String )</summary>
		public virtual String BGBetrNr2
		{
			get { return Convert.ToString(this["BGBetrNr2"]); }
			set { this["BGBetrNr2"] = value; }
		}
		/// <summary>BG Betriebsnummer 3 ( String )</summary>
		public virtual String BGBetrNr3
		{
			get { return Convert.ToString(this["BGBetrNr3"]); }
			set { this["BGBetrNr3"] = value; }
		}
		/// <summary>BG Betriebsnummer 4 ( String )</summary>
		public virtual String BGBetrNr4
		{
			get { return Convert.ToString(this["BGBetrNr4"]); }
			set { this["BGBetrNr4"] = value; }
		}
		/// <summary>BG Betriebsnummer 5 ( String )</summary>
		public virtual String BGBetrNr5
		{
			get { return Convert.ToString(this["BGBetrNr5"]); }
			set { this["BGBetrNr5"] = value; }
		}
		/// <summary>BG Betriebsnummer 6 ( String )</summary>
		public virtual String BGBetrNr6
		{
			get { return Convert.ToString(this["BGBetrNr6"]); }
			set { this["BGBetrNr6"] = value; }
		}
		/// <summary>BG Betriebsnummer 7 ( String )</summary>
		public virtual String BGBetrNr7
		{
			get { return Convert.ToString(this["BGBetrNr7"]); }
			set { this["BGBetrNr7"] = value; }
		}
		/// <summary>BG Betriebsnummer 8 ( String )</summary>
		public virtual String BGBetrNr8
		{
			get { return Convert.ToString(this["BGBetrNr8"]); }
			set { this["BGBetrNr8"] = value; }
		}
		/// <summary>BG Betriebsnummer 9 ( String )</summary>
		public virtual String BGBetrNr9
		{
			get { return Convert.ToString(this["BGBetrNr9"]); }
			set { this["BGBetrNr9"] = value; }
		}
		/// <summary>BG Betriebsnummer 10 ( String )</summary>
		public virtual String BGBetrNr10
		{
			get { return Convert.ToString(this["BGBetrNr10"]); }
			set { this["BGBetrNr10"] = value; }
		}
		/// <summary>Gefahrtarifstelle 1 ( String )</summary>
		public virtual String GTSNr1
		{
			get { return Convert.ToString(this["GTSNr1"]); }
			set { this["GTSNr1"] = value; }
		}
		/// <summary>Gefahrtarifstelle 2 ( String )</summary>
		public virtual String GTSNr2
		{
			get { return Convert.ToString(this["GTSNr2"]); }
			set { this["GTSNr2"] = value; }
		}
		/// <summary>Gefahrtarifstelle 3 ( String )</summary>
		public virtual String GTSNr3
		{
			get { return Convert.ToString(this["GTSNr3"]); }
			set { this["GTSNr3"] = value; }
		}
		/// <summary>Gefahrtarifstelle 4 ( String )</summary>
		public virtual String GTSNr4
		{
			get { return Convert.ToString(this["GTSNr4"]); }
			set { this["GTSNr4"] = value; }
		}
		/// <summary>Gefahrtarifstelle 5 ( String )</summary>
		public virtual String GTSNr5
		{
			get { return Convert.ToString(this["GTSNr5"]); }
			set { this["GTSNr5"] = value; }
		}
		/// <summary>Gefahrtarifstelle 6 ( String )</summary>
		public virtual String GTSNr6
		{
			get { return Convert.ToString(this["GTSNr6"]); }
			set { this["GTSNr6"] = value; }
		}
		/// <summary>Gefahrtarifstelle 7 ( String )</summary>
		public virtual String GTSNr7
		{
			get { return Convert.ToString(this["GTSNr7"]); }
			set { this["GTSNr7"] = value; }
		}
		/// <summary>Gefahrtarifstelle 8 ( String )</summary>
		public virtual String GTSNr8
		{
			get { return Convert.ToString(this["GTSNr8"]); }
			set { this["GTSNr8"] = value; }
		}
		/// <summary>Gefahrtarifstelle 9 ( String )</summary>
		public virtual String GTSNr9
		{
			get { return Convert.ToString(this["GTSNr9"]); }
			set { this["GTSNr9"] = value; }
		}
		/// <summary>Gefahrtarifstelle 10 ( String )</summary>
		public virtual String GTSNr10
		{
			get { return Convert.ToString(this["GTSNr10"]); }
			set { this["GTSNr10"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 1 ( Double )</summary>
		public virtual Object BGSVBrt1
		{
			get { return this["BGSVBrt1"]; }
			set { this["BGSVBrt1"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 2 ( Double )</summary>
		public virtual Object BGSVBrt2
		{
			get { return this["BGSVBrt2"]; }
			set { this["BGSVBrt2"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 3 ( Double )</summary>
		public virtual Object BGSVBrt3
		{
			get { return this["BGSVBrt3"]; }
			set { this["BGSVBrt3"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 4 ( Double )</summary>
		public virtual Object BGSVBrt4
		{
			get { return this["BGSVBrt4"]; }
			set { this["BGSVBrt4"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 5 ( Double )</summary>
		public virtual Object BGSVBrt5
		{
			get { return this["BGSVBrt5"]; }
			set { this["BGSVBrt5"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 6 ( Double )</summary>
		public virtual Object BGSVBrt6
		{
			get { return this["BGSVBrt6"]; }
			set { this["BGSVBrt6"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 7 ( Double )</summary>
		public virtual Object BGSVBrt7
		{
			get { return this["BGSVBrt7"]; }
			set { this["BGSVBrt7"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 8 ( Double )</summary>
		public virtual Object BGSVBrt8
		{
			get { return this["BGSVBrt8"]; }
			set { this["BGSVBrt8"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 9 ( Double )</summary>
		public virtual Object BGSVBrt9
		{
			get { return this["BGSVBrt9"]; }
			set { this["BGSVBrt9"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Brutto 10 ( Double )</summary>
		public virtual Object BGSVBrt10
		{
			get { return this["BGSVBrt10"]; }
			set { this["BGSVBrt10"] = value; }
		}
		/// <summary>BG sozialversicherungspflichtiges Gesamtbrutto ( Double )</summary>
		public virtual Object BGSVBrtGes
		{
			get { return this["BGSVBrtGes"]; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 1 ( Double )</summary>
		public virtual Object BGUVBrt1
		{
			get { return this["BGUVBrt1"]; }
			set { this["BGUVBrt1"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 2 ( Double )</summary>
		public virtual Object BGUVBrt2
		{
			get { return this["BGUVBrt2"]; }
			set { this["BGUVBrt2"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 3 ( Double )</summary>
		public virtual Object BGUVBrt3
		{
			get { return this["BGUVBrt3"]; }
			set { this["BGUVBrt3"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 4 ( Double )</summary>
		public virtual Object BGUVBrt4
		{
			get { return this["BGUVBrt4"]; }
			set { this["BGUVBrt4"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 5 ( Double )</summary>
		public virtual Object BGUVBrt5
		{
			get { return this["BGUVBrt5"]; }
			set { this["BGUVBrt5"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 6 ( Double )</summary>
		public virtual Object BGUVBrt6
		{
			get { return this["BGUVBrt6"]; }
			set { this["BGUVBrt6"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 7 ( Double )</summary>
		public virtual Object BGUVBrt7
		{
			get { return this["BGUVBrt7"]; }
			set { this["BGUVBrt7"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 8 ( Double )</summary>
		public virtual Object BGUVBrt8
		{
			get { return this["BGUVBrt8"]; }
			set { this["BGUVBrt8"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 9 ( Double )</summary>
		public virtual Object BGUVBrt9
		{
			get { return this["BGUVBrt9"]; }
			set { this["BGUVBrt9"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Brutto 10 ( Double )</summary>
		public virtual Object BGUVBrt10
		{
			get { return this["BGUVBrt10"]; }
			set { this["BGUVBrt10"] = value; }
		}
		/// <summary>BG unfallversicherungspflichtiges Gesamtbrutto  ( Double )</summary>
		public virtual Object BGUVBrtGes
		{
			get { return this["BGUVBrtGes"]; }
		}
		/// <summary>BG Stunden 1 ( Double )</summary>
		public virtual Object BGStd1
		{
			get { return this["BGStd1"]; }
			set { this["BGStd1"] = value; }
		}
		/// <summary>BG Stunden 2 ( Double )</summary>
		public virtual Object BGStd2
		{
			get { return this["BGStd2"]; }
			set { this["BGStd2"] = value; }
		}
		/// <summary>BG Stunden 3 ( Double )</summary>
		public virtual Object BGStd3
		{
			get { return this["BGStd3"]; }
			set { this["BGStd3"] = value; }
		}
		/// <summary>BG Stunden 4 ( Double )</summary>
		public virtual Object BGStd4
		{
			get { return this["BGStd4"]; }
			set { this["BGStd4"] = value; }
		}
		/// <summary>BG Stunden 5 ( Double )</summary>
		public virtual Object BGStd5
		{
			get { return this["BGStd5"]; }
			set { this["BGStd5"] = value; }
		}
		/// <summary>BG Stunden 6 ( Double )</summary>
		public virtual Object BGStd6
		{
			get { return this["BGStd6"]; }
			set { this["BGStd6"] = value; }
		}
		/// <summary>BG Stunden 7 ( Double )</summary>
		public virtual Object BGStd7
		{
			get { return this["BGStd7"]; }
			set { this["BGStd7"] = value; }
		}
		/// <summary>BG Stunden 8 ( Double )</summary>
		public virtual Object BGStd8
		{
			get { return this["BGStd8"]; }
			set { this["BGStd8"] = value; }
		}
		/// <summary>BG Stunden 9 ( Double )</summary>
		public virtual Object BGStd9
		{
			get { return this["BGStd9"]; }
			set { this["BGStd9"] = value; }
		}
		/// <summary>BG Stunden 10 ( Double )</summary>
		public virtual Object BGStd10
		{
			get { return this["BGStd10"]; }
			set { this["BGStd10"] = value; }
		}
		/// <summary>gesamt Steuer ( Double )</summary>
		public virtual Object GesSt
		{
			get { return this["GesSt"]; }
		}
		/// <summary>gesamt Sozialversicherung ( Double )</summary>
		public virtual Object GesSV
		{
			get { return this["GesSV"]; }
		}
		/// <summary>Nettolohn ( Double )</summary>
		public virtual Object NetLohnBet
		{
			get { return this["NetLohnBet"]; }
			set { this["NetLohnBet"] = value; }
		}
		/// <summary>Bezge ( Double )</summary>
		public virtual Object BezugBet
		{
			get { return this["BezugBet"]; }
			set { this["BezugBet"] = value; }
		}
		/// <summary>normale Versorgungsbezge ( Double )</summary>
		public virtual Object VersBezNo
		{
			get { return this["VersBezNo"]; }
			set { this["VersBezNo"] = value; }
		}
		/// <summary>sonstige Versorgungsbezge ( Double )</summary>
		public virtual Object VersBezSonst
		{
			get { return this["VersBezSonst"]; }
			set { this["VersBezSonst"] = value; }
		}
		/// <summary>Versorgungsbezge ( Double )</summary>
		public virtual Object VersBezGes
		{
			get { return this["VersBezGes"]; }
		}
		/// <summary>Betrag aus Kapitalauszahlung, Abfindung oder Sterbegeld ( Double )</summary>
		public virtual Object KapAbfStBet
		{
			get { return this["KapAbfStBet"]; }
			set { this["KapAbfStBet"] = value; }
		}
		/// <summary>Betrag aus Kapitalauszahlung oder Abfindung fr mehrere Jahre ( Double )</summary>
		public virtual Object KapAbfMJBet
		{
			get { return this["KapAbfMJBet"]; }
			set { this["KapAbfMJBet"] = value; }
		}
		/// <summary>gesamt Be-/Abzge ( Double )</summary>
		public virtual Object GesAbzug
		{
			get { return this["GesAbzug"]; }
		}
		/// <summary>Auszahlungsbetrag ( Double )</summary>
		public virtual Object AuszBet
		{
			get { return this["AuszBet"]; }
			set { this["AuszBet"] = value; }
		}
		/// <summary>Aktuelle Laufene Nr fr Beitragsnachweise ( Integer )</summary>
		public virtual Int32 BnwAktNr
		{
			get { return Convert.ToInt32(this["BnwAktNr"]); }
			set { this["BnwAktNr"] = value; }
		}
		/// <summary>Flags fr Beitragsabrechnung ( Integer )</summary>
		public virtual Int32 KbuFlags
		{
			get { return Convert.ToInt32(this["KbuFlags"]); }
			set { this["KbuFlags"] = value; }
		}
		/// <summary>KBuVorl Kennzeichen ( Boolean )</summary>
		public virtual Object KBuVorlKz
		{
			get { return this["KBuVorlKz"]; }
		}
		/// <summary>Einzugsstellennummer fr Beitragsabrechnung ( String )</summary>
		public virtual String KbuKrkNr
		{
			get { return Convert.ToString(this["KbuKrkNr"]); }
			set { this["KbuKrkNr"] = value; }
		}
		/// <summary>Datum fr Beitragsabrechnung ( DateTime )</summary>
		public virtual DateTime KbuDat
		{
			get { return Convert.ToDateTime(this["KbuDat"]); }
			set { this["KbuDat"] = value; }
		}
		/// <summary>Kbu Abrechnungsdatum fr Beitragsabrechnung ( String )</summary>
		public virtual String KbuAbrDat
		{
			get { return Convert.ToString(this["KbuAbrDat"]); }
		}
		/// <summary>Kbu JMAw ( Integer )</summary>
		public virtual Int32 KbuJMAw
		{
			get { return Convert.ToInt32(this["KbuJMAw"]); }
			set { this["KbuJMAw"] = value; }
		}
		/// <summary>Kbu JMAwKor ( Integer )</summary>
		public virtual Int32 KbuJMAwKor
		{
			get { return Convert.ToInt32(this["KbuJMAwKor"]); }
			set { this["KbuJMAwKor"] = value; }
		}
		/// <summary>Kbu Aw ( Integer )</summary>
		public virtual Int32 KbuAw
		{
			get { return Convert.ToInt32(this["KbuAw"]); }
			set { this["KbuAw"] = value; }
		}
		/// <summary>Kbu FieldDef ( Integer )</summary>
		public virtual Int32 KbuFieldDef
		{
			get { return Convert.ToInt32(this["KbuFieldDef"]); }
			set { this["KbuFieldDef"] = value; }
		}
		/// <summary>KVTage Kbu ( String )</summary>
		public virtual String KVTageKbu
		{
			get { return Convert.ToString(this["KVTageKbu"]); }
		}
		/// <summary>RVTage Kbu ( String )</summary>
		public virtual String RVTageKbu
		{
			get { return Convert.ToString(this["RVTageKbu"]); }
		}
		/// <summary>InsgUmlTage Kbu ( String )</summary>
		public virtual String InsgUmlTageKbu
		{
			get { return Convert.ToString(this["InsgUmlTageKbu"]); }
		}
		/// <summary>AVTage Kbu ( String )</summary>
		public virtual String AVTageKbu
		{
			get { return Convert.ToString(this["AVTageKbu"]); }
		}
		/// <summary>PVTage Kbu ( String )</summary>
		public virtual String PVTageKbu
		{
			get { return Convert.ToString(this["PVTageKbu"]); }
		}
		/// <summary>Ent Kbu ( String )</summary>
		public virtual String EntKbu
		{
			get { return Convert.ToString(this["EntKbu"]); }
		}
		/// <summary>EntAusNeb Kbu ( String )</summary>
		public virtual String EntAusNebKbu
		{
			get { return Convert.ToString(this["EntAusNebKbu"]); }
		}
		/// <summary>KVBrtAusNeb Kbu ( String )</summary>
		public virtual String KVBrtAusNebKbu
		{
			get { return Convert.ToString(this["KVBrtAusNebKbu"]); }
		}
		/// <summary>RVBrtAusNeb Kbu ( String )</summary>
		public virtual String RVBrtAusNebKbu
		{
			get { return Convert.ToString(this["RVBrtAusNebKbu"]); }
		}
		/// <summary>InsgUmlBrtAusNeb Kbu ( String )</summary>
		public virtual String InsgUmlBrtAusNebKbu
		{
			get { return Convert.ToString(this["InsgUmlBrtAusNebKbu"]); }
		}
		/// <summary>AVBrtAusNeb Kbu ( String )</summary>
		public virtual String AVBrtAusNebKbu
		{
			get { return Convert.ToString(this["AVBrtAusNebKbu"]); }
		}
		/// <summary>PVBrtAusNeb Kbu ( String )</summary>
		public virtual String PVBrtAusNebKbu
		{
			get { return Convert.ToString(this["PVBrtAusNebKbu"]); }
		}
		/// <summary>KVEgaBrtAusNeb Kbu ( String )</summary>
		public virtual String KVEgaBrtAusNebKbu
		{
			get { return Convert.ToString(this["KVEgaBrtAusNebKbu"]); }
		}
		/// <summary>RVEgaBrtAusNeb Kbu ( String )</summary>
		public virtual String RVEgaBrtAusNebKbu
		{
			get { return Convert.ToString(this["RVEgaBrtAusNebKbu"]); }
		}
		/// <summary>InsgUmlEgaBrtAusNeb Kbu ( String )</summary>
		public virtual String InsgUmlEgaBrtAusNebKbu
		{
			get { return Convert.ToString(this["InsgUmlEgaBrtAusNebKbu"]); }
		}
		/// <summary>AVEgaBrtAusNeb Kbu ( String )</summary>
		public virtual String AVEgaBrtAusNebKbu
		{
			get { return Convert.ToString(this["AVEgaBrtAusNebKbu"]); }
		}
		/// <summary>PVEgaBrtAusNeb Kbu ( String )</summary>
		public virtual String PVEgaBrtAusNebKbu
		{
			get { return Convert.ToString(this["PVEgaBrtAusNebKbu"]); }
		}
		/// <summary>BrtBetGes Kbu ( String )</summary>
		public virtual String BrtBetGesKbu
		{
			get { return Convert.ToString(this["BrtBetGesKbu"]); }
		}
		/// <summary>KVBrt Kbu ( String )</summary>
		public virtual String KVBrtKbu
		{
			get { return Convert.ToString(this["KVBrtKbu"]); }
		}
		/// <summary>RVBrt Kbu ( String )</summary>
		public virtual String RVBrtKbu
		{
			get { return Convert.ToString(this["RVBrtKbu"]); }
		}
		/// <summary>InsgUmlBrt Kbu ( String )</summary>
		public virtual String InsgUmlBrtKbu
		{
			get { return Convert.ToString(this["InsgUmlBrtKbu"]); }
		}
		/// <summary>AVBrt Kbu ( String )</summary>
		public virtual String AVBrtKbu
		{
			get { return Convert.ToString(this["AVBrtKbu"]); }
		}
		/// <summary>PVBrt Kbu ( String )</summary>
		public virtual String PVBrtKbu
		{
			get { return Convert.ToString(this["PVBrtKbu"]); }
		}
		/// <summary>KVBrtNLGem Kbu ( String )</summary>
		public virtual String KVBrtNLGemKbu
		{
			get { return Convert.ToString(this["KVBrtNLGemKbu"]); }
		}
		/// <summary>RVBrtNLGem Kbu ( String )</summary>
		public virtual String RVBrtNLGemKbu
		{
			get { return Convert.ToString(this["RVBrtNLGemKbu"]); }
		}
		/// <summary>InsgUmlBrtNLGem Kbu ( String )</summary>
		public virtual String InsgUmlBrtNLGemKbu
		{
			get { return Convert.ToString(this["InsgUmlBrtNLGemKbu"]); }
		}
		/// <summary>AVBrtNLGem Kbu ( String )</summary>
		public virtual String AVBrtNLGemKbu
		{
			get { return Convert.ToString(this["AVBrtNLGemKbu"]); }
		}
		/// <summary>PVBrtNLGem Kbu ( String )</summary>
		public virtual String PVBrtNLGemKbu
		{
			get { return Convert.ToString(this["PVBrtNLGemKbu"]); }
		}
		/// <summary>KVANANrm Kbu ( String )</summary>
		public virtual String KVANANrmKbu
		{
			get { return Convert.ToString(this["KVANANrmKbu"]); }
		}
		/// <summary>KVAGANrm Kbu ( String )</summary>
		public virtual String KVAGANrmKbu
		{
			get { return Convert.ToString(this["KVAGANrmKbu"]); }
		}
		/// <summary>KVANAErm Kbu ( String )</summary>
		public virtual String KVANAErmKbu
		{
			get { return Convert.ToString(this["KVANAErmKbu"]); }
		}
		/// <summary>KVAGAErm Kbu ( String )</summary>
		public virtual String KVAGAErmKbu
		{
			get { return Convert.ToString(this["KVAGAErmKbu"]); }
		}
		/// <summary>KVANAErh Kbu ( String )</summary>
		public virtual String KVANAErhKbu
		{
			get { return Convert.ToString(this["KVANAErhKbu"]); }
		}
		/// <summary>KVAGAErh Kbu ( String )</summary>
		public virtual String KVAGAErhKbu
		{
			get { return Convert.ToString(this["KVAGAErhKbu"]); }
		}
		/// <summary>RVANAAng Kbu ( String )</summary>
		public virtual String RVANAAngKbu
		{
			get { return Convert.ToString(this["RVANAAngKbu"]); }
		}
		/// <summary>RVAGAAng Kbu ( String )</summary>
		public virtual String RVAGAAngKbu
		{
			get { return Convert.ToString(this["RVAGAAngKbu"]); }
		}
		/// <summary>InsgUmlAGA Kbu ( String )</summary>
		public virtual String InsgUmlAGAKbu
		{
			get { return Convert.ToString(this["InsgUmlAGAKbu"]); }
		}
		/// <summary>RVVollANAArb Kbu ( String )</summary>
		public virtual String RVVollANAArbKbu
		{
			get { return Convert.ToString(this["RVVollANAArbKbu"]); }
		}
		/// <summary>RVVollAGAArb Kbu ( String )</summary>
		public virtual String RVVollAGAArbKbu
		{
			get { return Convert.ToString(this["RVVollAGAArbKbu"]); }
		}
		/// <summary>RVHalbANAArb Kbu ( String )</summary>
		public virtual String RVHalbANAArbKbu
		{
			get { return Convert.ToString(this["RVHalbANAArbKbu"]); }
		}
		/// <summary>RVHalbAGAArb Kbu ( String )</summary>
		public virtual String RVHalbAGAArbKbu
		{
			get { return Convert.ToString(this["RVHalbAGAArbKbu"]); }
		}
		/// <summary>RVMindBmg Kbu ( String )</summary>
		public virtual String RVMindBmgKbu
		{
			get { return Convert.ToString(this["RVMindBmgKbu"]); }
		}
		/// <summary>RVMindAGA Kbu ( String )</summary>
		public virtual String RVMindAGAKbu
		{
			get { return Convert.ToString(this["RVMindAGAKbu"]); }
		}
		/// <summary>AVVollANA Kbu ( String )</summary>
		public virtual String AVVollANAKbu
		{
			get { return Convert.ToString(this["AVVollANAKbu"]); }
		}
		/// <summary>AVVollAGA Kbu ( String )</summary>
		public virtual String AVVollAGAKbu
		{
			get { return Convert.ToString(this["AVVollAGAKbu"]); }
		}
		/// <summary>AVHalbANA Kbu ( String )</summary>
		public virtual String AVHalbANAKbu
		{
			get { return Convert.ToString(this["AVHalbANAKbu"]); }
		}
		/// <summary>AVHalbAGA Kbu ( String )</summary>
		public virtual String AVHalbAGAKbu
		{
			get { return Convert.ToString(this["AVHalbAGAKbu"]); }
		}
		/// <summary>PVANA Kbu ( String )</summary>
		public virtual String PVANAKbu
		{
			get { return Convert.ToString(this["PVANAKbu"]); }
		}
		/// <summary>PVAGA Kbu ( String )</summary>
		public virtual String PVAGAKbu
		{
			get { return Convert.ToString(this["PVAGAKbu"]); }
		}
		/// <summary>UmlBrt Kbu ( String )</summary>
		public virtual String UmlBrtKbu
		{
			get { return Convert.ToString(this["UmlBrtKbu"]); }
		}
		/// <summary>Uml1 Kbu ( String )</summary>
		public virtual String Uml1Kbu
		{
			get { return Convert.ToString(this["Uml1Kbu"]); }
		}
		/// <summary>Uml2 Kbu ( String )</summary>
		public virtual String Uml2Kbu
		{
			get { return Convert.ToString(this["Uml2Kbu"]); }
		}
		/// <summary>LfzU1 Kbu ( String )</summary>
		public virtual String LfzU1Kbu
		{
			get { return Convert.ToString(this["LfzU1Kbu"]); }
		}
		/// <summary>LfzU2 Kbu ( String )</summary>
		public virtual String LfzU2Kbu
		{
			get { return Convert.ToString(this["LfzU2Kbu"]); }
		}
		/// <summary>LfzBVB Kbu ( String )</summary>
		public virtual String LfzBVBKbu
		{
			get { return Convert.ToString(this["LfzBVBKbu"]); }
		}
		/// <summary>FrwKVANA Kbu ( String )</summary>
		public virtual String FrwKVANAKbu
		{
			get { return Convert.ToString(this["FrwKVANAKbu"]); }
		}
		/// <summary>FrwKVAGA Kbu ( String )</summary>
		public virtual String FrwKVAGAKbu
		{
			get { return Convert.ToString(this["FrwKVAGAKbu"]); }
		}
		/// <summary>FrwPVANA Kbu ( String )</summary>
		public virtual String FrwPVANAKbu
		{
			get { return Convert.ToString(this["FrwPVANAKbu"]); }
		}
		/// <summary>FrwPVAGA Kbu ( String )</summary>
		public virtual String FrwPVAGAKbu
		{
			get { return Convert.ToString(this["FrwPVAGAKbu"]); }
		}
		/// <summary>AnMtlSVBrtGes Kbu ( String )</summary>
		public virtual String AnMtlSVBrtGesKbu
		{
			get { return Convert.ToString(this["AnMtlSVBrtGesKbu"]); }
		}
		/// <summary>PStBKGes Kbu ( String )</summary>
		public virtual String PStBKGesKbu
		{
			get { return Convert.ToString(this["PStBKGesKbu"]); }
		}
		/// <summary>PKVBrt Kbu ( String )</summary>
		public virtual String PKVBrtKbu
		{
			get { return Convert.ToString(this["PKVBrtKbu"]); }
		}
		/// <summary>PRVBrt Kbu ( String )</summary>
		public virtual String PRVBrtKbu
		{
			get { return Convert.ToString(this["PRVBrtKbu"]); }
		}
		/// <summary>PKV Kbu ( String )</summary>
		public virtual String PKVKbu
		{
			get { return Convert.ToString(this["PKVKbu"]); }
		}
		/// <summary>PRVAng Kbu ( String )</summary>
		public virtual String PRVAngKbu
		{
			get { return Convert.ToString(this["PRVAngKbu"]); }
		}
		/// <summary>PRVArb Kbu ( String )</summary>
		public virtual String PRVArbKbu
		{
			get { return Convert.ToString(this["PRVArbKbu"]); }
		}
		/// <summary>SVBrtSFN Kbu ( String )</summary>
		public virtual String SVBrtSFNKbu
		{
			get { return Convert.ToString(this["SVBrtSFNKbu"]); }
		}
		/// <summary>LohnStatistikSaetze ( BlobTable )</summary>
		public virtual Object Lss
		{
			get { return this["Lss"]; }
			set { this["Lss"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>Vorlaeufig Kennzeichen ( Boolean )</summary>
		public virtual Object VorlaeufigKz
		{
			get { return this["VorlaeufigKz"]; }
			set { this["VorlaeufigKz"] = value; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
