using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Benutzer : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Benutzer";
			
		public static Benutzer CreateInstance(BpnConnection connection)
		{
		    var benutzerInfo = connection.GetDataSetInfo(DS_NAME);
		    var benutzerDataSet = benutzerInfo.CreateDataSet();
		
		    var ret = new Benutzer(benutzerDataSet);
		    return ret;
		}
		
		public Benutzer(BpNT.AutoDataSet benutzerDataSet) 
			: base(benutzerDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Benutzernummer ( String )</summary>
		public virtual String BzrNr
		{
			get { return Convert.ToString(this["BzrNr"]); }
			set { this["BzrNr"] = value; }
		}
		/// <summary>Anmeldename ( String )</summary>
		public virtual String AnmNa
		{
			get { return Convert.ToString(this["AnmNa"]); }
			set { this["AnmNa"] = value; }
		}
		/// <summary>Anmeldestatus ( String )</summary>
		public virtual String AnmSta
		{
			get { return Convert.ToString(this["AnmSta"]); }
		}
		/// <summary>Kennzeichen (Krzel) ( String )</summary>
		public virtual String KennZ
		{
			get { return Convert.ToString(this["KennZ"]); }
			set { this["KennZ"] = value; }
		}
		/// <summary>Anrede ( String )</summary>
		public virtual String Anr
		{
			get { return Convert.ToString(this["Anr"]); }
			set { this["Anr"] = value; }
		}
		/// <summary>Titel ( String )</summary>
		public virtual String Tit
		{
			get { return Convert.ToString(this["Tit"]); }
			set { this["Tit"] = value; }
		}
		/// <summary>Vorname ( String )</summary>
		public virtual String VNa
		{
			get { return Convert.ToString(this["VNa"]); }
			set { this["VNa"] = value; }
		}
		/// <summary>Nachname ( String )</summary>
		public virtual String NNa
		{
			get { return Convert.ToString(this["NNa"]); }
			set { this["NNa"] = value; }
		}
		/// <summary>Namen ( String )</summary>
		public virtual String Namen
		{
			get { return Convert.ToString(this["Namen"]); }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Telefon 3 ( String )</summary>
		public virtual String Tel3
		{
			get { return Convert.ToString(this["Tel3"]); }
			set { this["Tel3"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Durchwahl ( String )</summary>
		public virtual String TelDW
		{
			get { return Convert.ToString(this["TelDW"]); }
			set { this["TelDW"] = value; }
		}
		/// <summary>Firmen Telefax ( String )</summary>
		public virtual String FirFax
		{
			get { return Convert.ToString(this["FirFax"]); }
			set { this["FirFax"] = value; }
		}
		/// <summary>Firmen E-Mail ( String )</summary>
		public virtual String FirEMail
		{
			get { return Convert.ToString(this["FirEMail"]); }
			set { this["FirEMail"] = value; }
		}
		/// <summary>Firmen E-Mail Name ( String )</summary>
		public virtual String FirEMailNa
		{
			get { return Convert.ToString(this["FirEMailNa"]); }
			set { this["FirEMailNa"] = value; }
		}
		/// <summary>Firmen E-Mail (Intern, im Haus) ( String )</summary>
		public virtual String FirEMailInt
		{
			get { return Convert.ToString(this["FirEMailInt"]); }
			set { this["FirEMailInt"] = value; }
		}
		/// <summary>Firmen Position ( String )</summary>
		public virtual String FirPos
		{
			get { return Convert.ToString(this["FirPos"]); }
			set { this["FirPos"] = value; }
		}
		/// <summary>Firmen Abteilung ( String )</summary>
		public virtual String FirAbt
		{
			get { return Convert.ToString(this["FirAbt"]); }
			set { this["FirAbt"] = value; }
		}
		/// <summary>Firmen Funktion ( String )</summary>
		public virtual String FirFkt
		{
			get { return Convert.ToString(this["FirFkt"]); }
			set { this["FirFkt"] = value; }
		}
		/// <summary>Projektsachbearbeiter ( Boolean )</summary>
		public virtual Object PrjSBKz
		{
			get { return this["PrjSBKz"]; }
			set { this["PrjSBKz"] = value; }
		}
		/// <summary>Eintrittsdatum ( Date )</summary>
		public virtual DateTime EinDat
		{
			get { return Convert.ToDateTime(this["EinDat"]); }
			set { this["EinDat"] = value; }
		}
		/// <summary>Austrittsdatum ( Date )</summary>
		public virtual DateTime AusDat
		{
			get { return Convert.ToDateTime(this["AusDat"]); }
			set { this["AusDat"] = value; }
		}
		/// <summary>Outlook Benutzerkonto ( String )</summary>
		public virtual String OutlookKto
		{
			get { return Convert.ToString(this["OutlookKto"]); }
			set { this["OutlookKto"] = value; }
		}
		/// <summary>Optionen ( Blob )</summary>
		public virtual Object Opt
		{
			get { return this["Opt"]; }
			set { this["Opt"] = value; }
		}
		/// <summary>Opt Datum ( DateTime )</summary>
		public virtual DateTime OptDat
		{
			get { return Convert.ToDateTime(this["OptDat"]); }
			set { this["OptDat"] = value; }
		}
		/// <summary>Kennwort ( Integer )</summary>
		public virtual Int32 KeWo
		{
			get { return Convert.ToInt32(this["KeWo"]); }
			set { this["KeWo"] = value; }
		}
		/// <summary>Berechtigungsbezeichnung ( String )</summary>
		public virtual String BerBez
		{
			get { return Convert.ToString(this["BerBez"]); }
			set { this["BerBez"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Name des Kontoinhabers ( String )</summary>
		public virtual String Inhab
		{
			get { return Convert.ToString(this["Inhab"]); }
			set { this["Inhab"] = value; }
		}
		/// <summary>Geschlecht: mnnlich ( Boolean )</summary>
		public virtual Object Geschl
		{
			get { return this["Geschl"]; }
			set { this["Geschl"] = value; }
		}
		/// <summary>Geburtsdatum ( Date )</summary>
		public virtual DateTime GebDat
		{
			get { return Convert.ToDateTime(this["GebDat"]); }
			set { this["GebDat"] = value; }
		}
		/// <summary>Alter aufgrund Geburtsdatum ( Integer )</summary>
		public virtual Int32 GebDatAlter
		{
			get { return Convert.ToInt32(this["GebDatAlter"]); }
		}
		/// <summary>Gltig von Datum ( Date )</summary>
		public virtual DateTime GVonDat
		{
			get { return Convert.ToDateTime(this["GVonDat"]); }
			set { this["GVonDat"] = value; }
		}
		/// <summary>Gltig bis Datum ( Date )</summary>
		public virtual DateTime GBisDat
		{
			get { return Convert.ToDateTime(this["GBisDat"]); }
			set { this["GBisDat"] = value; }
		}
		/// <summary>Wert fr benutzerspezifische Eingrenzung ( String )</summary>
		public virtual String SpezEg
		{
			get { return Convert.ToString(this["SpezEg"]); }
			set { this["SpezEg"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>BSBild ( Bild )</summary>
		public virtual Object BSBild
		{
			get { return this["BSBild"]; }
			set { this["BSBild"] = value; }
		}
		/// <summary>BSBild Kennzeichen ( Boolean )</summary>
		public virtual Object BSBildKz
		{
			get { return this["BSBildKz"]; }
		}
		/// <summary>BS Datum ( DateTime )</summary>
		public virtual DateTime BSDat
		{
			get { return Convert.ToDateTime(this["BSDat"]); }
			set { this["BSDat"] = value; }
		}
		/// <summary>BSN ( Boolean )</summary>
		public virtual Object BSN
		{
			get { return this["BSN"]; }
			set { this["BSN"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Failed Logins ( Integer )</summary>
		public virtual Int32 FailedLogin
		{
			get { return Convert.ToInt32(this["FailedLogin"]); }
			set { this["FailedLogin"] = value; }
		}
		/// <summary>Benutzer darf sich ber Remotedesktop anmelden ( Boolean )</summary>
		public virtual Object RDPKz
		{
			get { return this["RDPKz"]; }
			set { this["RDPKz"] = value; }
		}
		/// <summary>Nachrichtenbereich ( Integer )</summary>
		public virtual Int32 NaBereich
		{
			get { return Convert.ToInt32(this["NaBereich"]); }
			set { this["NaBereich"] = value; }
		}
		/// <summary>Benutzer-COM-Konfigurationsdaten ( StringList )</summary>
		public virtual Object BzrCOMKonfig
		{
			get { return this["BzrCOMKonfig"]; }
			set { this["BzrCOMKonfig"] = value; }
		}
		/// <summary>benutzereigene Parameter ( StringList )</summary>
		public virtual Object Params
		{
			get { return this["Params"]; }
			set { this["Params"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
