using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BenutzerNachrichten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "BenutzerNachrichten";
			
		public static BenutzerNachrichten CreateInstance(BpnConnection connection)
		{
		    var benutzernachrichtenInfo = connection.GetDataSetInfo(DS_NAME);
		    var benutzernachrichtenDataSet = benutzernachrichtenInfo.CreateDataSet();
		
		    var ret = new BenutzerNachrichten(benutzernachrichtenDataSet);
		    return ret;
		}
		
		public BenutzerNachrichten(BpNT.AutoDataSet benutzernachrichtenDataSet) 
			: base(benutzernachrichtenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Nachrichtenart ( Integer )</summary>
		public virtual Int32 Art
		{
			get { return Convert.ToInt32(this["Art"]); }
			set { this["Art"] = value; }
		}
		/// <summary>Nachrichtengruppenart ( String )</summary>
		public virtual String ArtGrp
		{
			get { return Convert.ToString(this["ArtGrp"]); }
			set { this["ArtGrp"] = value; }
		}
		/// <summary>Gelesen  ( Boolean )</summary>
		public virtual Object GelKz
		{
			get { return this["GelKz"]; }
			set { this["GelKz"] = value; }
		}
		/// <summary>Gelesen Datum ( DateTime )</summary>
		public virtual DateTime GelDatZt
		{
			get { return Convert.ToDateTime(this["GelDatZt"]); }
			set { this["GelDatZt"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Erledigt Datum ( DateTime )</summary>
		public virtual DateTime ErledigtDatZt
		{
			get { return Convert.ToDateTime(this["ErledigtDatZt"]); }
			set { this["ErledigtDatZt"] = value; }
		}
		/// <summary>Erledigt von ( String )</summary>
		public virtual String ErledigtBzr
		{
			get { return Convert.ToString(this["ErledigtBzr"]); }
			set { this["ErledigtBzr"] = value; }
		}
		/// <summary>Erledigt angesehen Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtAngsKz
		{
			get { return this["ErledigtAngsKz"]; }
			set { this["ErledigtAngsKz"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Erfassungsdatum ( DateTime )</summary>
		public virtual DateTime ErfDat
		{
			get { return Convert.ToDateTime(this["ErfDat"]); }
			set { this["ErfDat"] = value; }
		}
		/// <summary>Neg Erfassungsdatum ( DateTime )</summary>
		public virtual DateTime NegErfDat
		{
			get { return Convert.ToDateTime(this["NegErfDat"]); }
			set { this["NegErfDat"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
		public virtual String SBzrNr
		{
			get { return Convert.ToString(this["SBzrNr"]); }
			set { this["SBzrNr"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzer) ( String )</summary>
		public virtual String SBzrNrInfo
		{
			get { return Convert.ToString(this["SBzrNrInfo"]); }
		}
		/// <summary>Mandantnummer ( String )</summary>
		public virtual String MandNr
		{
			get { return Convert.ToString(this["MandNr"]); }
			set { this["MandNr"] = value; }
		}
		/// <summary>Buildnummer ( Integer )</summary>
		public virtual Int32 BuildNr
		{
			get { return Convert.ToInt32(this["BuildNr"]); }
			set { this["BuildNr"] = value; }
		}
		/// <summary>Kurzinformation ( String )</summary>
		public virtual String KuInfo
		{
			get { return Convert.ToString(this["KuInfo"]); }
			set { this["KuInfo"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>StringListData ( StringList )</summary>
		public virtual Object SlData
		{
			get { return this["SlData"]; }
			set { this["SlData"] = value; }
		}
		/// <summary>Prioritt ( Integer )</summary>
		public virtual Int32 Prio
		{
			get { return Convert.ToInt32(this["Prio"]); }
			set { this["Prio"] = value; }
		}
		/// <summary>Referenzlink Information ( String )</summary>
		public virtual String RefLinkInfo
		{
			get { return Convert.ToString(this["RefLinkInfo"]); }
			set { this["RefLinkInfo"] = value; }
		}
		/// <summary>Referenzlink ( String )</summary>
		public virtual String RefLink
		{
			get { return Convert.ToString(this["RefLink"]); }
			set { this["RefLink"] = value; }
		}
		/// <summary>Gltig von Datum ( DateTime )</summary>
		public virtual DateTime GVonDat
		{
			get { return Convert.ToDateTime(this["GVonDat"]); }
			set { this["GVonDat"] = value; }
		}
		/// <summary>Gltig bis Datum ( DateTime )</summary>
		public virtual DateTime GBisDat
		{
			get { return Convert.ToDateTime(this["GBisDat"]); }
			set { this["GBisDat"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
