using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Bestelleingang : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Bestelleingang";
			
		public static Bestelleingang CreateInstance(BpnConnection connection)
		{
		    var bestelleingangInfo = connection.GetDataSetInfo(DS_NAME);
		    var bestelleingangDataSet = bestelleingangInfo.CreateDataSet();
		
		    var ret = new Bestelleingang(bestelleingangDataSet);
		    return ret;
		}
		
		public Bestelleingang(BpNT.AutoDataSet bestelleingangDataSet) 
			: base(bestelleingangDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Lager ( String )</summary>
		public virtual String LagNrInfo
		{
			get { return Convert.ToString(this["LagNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Lagerbestand mit Auftragsnummer buchen ( Boolean )</summary>
		public virtual Object AuftrNrKz
		{
			get { return this["AuftrNrKz"]; }
			set { this["AuftrNrKz"] = value; }
		}
		/// <summary>Lagerbestand mit Kostenstellennummer buchen ( Boolean )</summary>
		public virtual Object KstNrKz
		{
			get { return this["KstNrKz"]; }
			set { this["KstNrKz"] = value; }
		}
		/// <summary>Bestelldatum ( Date )</summary>
		public virtual DateTime BstDat
		{
			get { return Convert.ToDateTime(this["BstDat"]); }
			set { this["BstDat"] = value; }
		}
		/// <summary>Lieferdatum ( Date )</summary>
		public virtual DateTime LiefDat
		{
			get { return Convert.ToDateTime(this["LiefDat"]); }
			set { this["LiefDat"] = value; }
		}
		/// <summary>Bestellmenge ( Double )</summary>
		public virtual Object BstMge
		{
			get { return this["BstMge"]; }
			set { this["BstMge"] = value; }
		}
		/// <summary>offene Menge ( Double )</summary>
		public virtual Object OMge
		{
			get { return this["OMge"]; }
			set { this["OMge"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Mengenfaktor ( Double )</summary>
		public virtual Object MgeFak
		{
			get { return this["MgeFak"]; }
			set { this["MgeFak"] = value; }
		}
		/// <summary>Einzelpreisfaktor ( Double )</summary>
		public virtual Object EPreisFak
		{
			get { return this["EPreisFak"]; }
			set { this["EPreisFak"] = value; }
		}
		/// <summary>Einzelpreis ( Double )</summary>
		public virtual Object EPreis
		{
			get { return this["EPreis"]; }
			set { this["EPreis"] = value; }
		}
		/// <summary>Einzelpreise gelten fr Menge ( Double )</summary>
		public virtual Object EPreisMge
		{
			get { return this["EPreisMge"]; }
			set { this["EPreisMge"] = value; }
		}
		/// <summary>Preis ( Double )</summary>
		public virtual Object Preis
		{
			get { return this["Preis"]; }
		}
		/// <summary>Preis in Leitwhrung 1 ( Double )</summary>
		public virtual Object PreisL1
		{
			get { return this["PreisL1"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Bestellnummer ( String )</summary>
		public virtual String BstNr
		{
			get { return Convert.ToString(this["BstNr"]); }
			set { this["BstNr"] = value; }
		}
		/// <summary>Bezeichnung aus Position ( Info )</summary>
		public virtual Object BezPos
		{
			get { return this["BezPos"]; }
			set { this["BezPos"] = value; }
		}
		/// <summary>Bezeichnung aus Position Kennzeichen ( Boolean )</summary>
		public virtual Object BezPosKz
		{
			get { return this["BezPosKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
