using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BilderSet : BpnEntitySet<Bilder>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Bilder";
			
		public static BilderSet CreateInstance(BpnConnection connection)
		{
		    var bildersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var bildersetDataSet = bildersetInfo.CreateDataSet();
		
		    var ret = new BilderSet(bildersetDataSet);
		    return ret;
		}
		
		internal BilderSet(BpNT.AutoDataSet bilderDataSet) 
			: base(bilderDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BilderSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BilderSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BilderSet parentSet;
		
			protected BilderSetIDIndex iDIndex;
			protected BilderSetNrIndex nrIndex;
			protected BilderSetNrNumIndex nrNumIndex;
			protected BilderSetSuchBegIndex suchBegIndex;
		
			internal IndicesClass(BilderSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new BilderSetIDIndex(parentSet.DataSet);
				nrIndex = new BilderSetNrIndex(parentSet.DataSet);
				nrNumIndex = new BilderSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new BilderSetSuchBegIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public BilderSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public BilderSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public BilderSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public BilderSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
		
			#endregion
		}

		public BilderSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
