using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBu : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "BuchungenFiBu";
			
		public static BuchungenFiBu CreateInstance(BpnConnection connection)
		{
		    var buchungenfibuInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenfibuDataSet = buchungenfibuInfo.CreateDataSet();
		
		    var ret = new BuchungenFiBu(buchungenfibuDataSet);
		    return ret;
		}
		
		public BuchungenFiBu(BpNT.AutoDataSet buchungenfibuDataSet) 
			: base(buchungenfibuDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>VerbuchungsArt ( Byte )</summary>
		public virtual Object VBArt
		{
			get { return this["VBArt"]; }
			set { this["VBArt"] = value; }
		}
		/// <summary>Buchnummer ( Byte )</summary>
		public virtual Object FBchNr
		{
			get { return this["FBchNr"]; }
			set { this["FBchNr"] = value; }
		}
		/// <summary>Zeilennummer ( Integer )</summary>
		public virtual Int32 ZeilenNr
		{
			get { return Convert.ToInt32(this["ZeilenNr"]); }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Jahr ( SmallInt )</summary>
		public virtual Object Jahr
		{
			get { return this["Jahr"]; }
			set { this["Jahr"] = value; }
		}
		/// <summary>Periode ( Byte )</summary>
		public virtual Object Per
		{
			get { return this["Per"]; }
			set { this["Per"] = value; }
		}
		/// <summary>Laufende Buchungsnummer ( Integer )</summary>
		public virtual Int32 LfdBchNr
		{
			get { return Convert.ToInt32(this["LfdBchNr"]); }
			set { this["LfdBchNr"] = value; }
		}
		/// <summary>Buchungsprotokollnummer innerhalb der Periode ( Integer )</summary>
		public virtual Int32 PerPtkNr
		{
			get { return Convert.ToInt32(this["PerPtkNr"]); }
			set { this["PerPtkNr"] = value; }
		}
		/// <summary>Buchungsinfo ( String )</summary>
		public virtual String BchInfo
		{
			get { return Convert.ToString(this["BchInfo"]); }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Felder fr Bezeichnung ( StringList )</summary>
		public virtual Object BezFelder
		{
			get { return this["BezFelder"]; }
			set { this["BezFelder"] = value; }
		}
		/// <summary>Buchfhrungshelfer ( String )</summary>
		public virtual String BHelfer
		{
			get { return Convert.ToString(this["BHelfer"]); }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>Konto ( String )</summary>
		public virtual String KtoNrInfo
		{
			get { return Convert.ToString(this["KtoNrInfo"]); }
		}
		/// <summary>Kontonummer (ohne Steuerschlssel) ( String )</summary>
		public virtual String OKtoNr
		{
			get { return Convert.ToString(this["OKtoNr"]); }
		}
		/// <summary>Konto Buchungssaldo ( Double )</summary>
		public virtual Object KtoBchSaldo
		{
			get { return this["KtoBchSaldo"]; }
			set { this["KtoBchSaldo"] = value; }
		}
		/// <summary>Konto Buchungssaldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object KtoBchSaldoL1
		{
			get { return this["KtoBchSaldoL1"]; }
		}
		/// <summary>Konto Buchungssaldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object KtoBchSaldoL2
		{
			get { return this["KtoBchSaldoL2"]; }
		}
		/// <summary>Konto-Steuerschlssel ( String )</summary>
		public virtual String KtoStSchl
		{
			get { return Convert.ToString(this["KtoStSchl"]); }
		}
		/// <summary>DATEV Konto-Steuerschlssel ( Integer )</summary>
		public virtual Int32 KtoStSchlDv
		{
			get { return Convert.ToInt32(this["KtoStSchlDv"]); }
		}
		/// <summary>Gegenkontonummer ( String )</summary>
		public virtual String GKtoNr
		{
			get { return Convert.ToString(this["GKtoNr"]); }
			set { this["GKtoNr"] = value; }
		}
		/// <summary>Gegenkonto ( String )</summary>
		public virtual String GKtoNrInfo
		{
			get { return Convert.ToString(this["GKtoNrInfo"]); }
		}
		/// <summary>Gegenkontonummer (ohne Steuerschlssel) ( String )</summary>
		public virtual String OGKtoNr
		{
			get { return Convert.ToString(this["OGKtoNr"]); }
		}
		/// <summary>Gegenkonto Buchungssaldo ( Double )</summary>
		public virtual Object GKtoBchSaldo
		{
			get { return this["GKtoBchSaldo"]; }
			set { this["GKtoBchSaldo"] = value; }
		}
		/// <summary>Gegenkonto Buchungssaldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object GKtoBchSaldoL1
		{
			get { return this["GKtoBchSaldoL1"]; }
		}
		/// <summary>Gegenkonto Buchungssaldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object GKtoBchSaldoL2
		{
			get { return this["GKtoBchSaldoL2"]; }
		}
		/// <summary>Gegenkonto-Steuerschlssel ( String )</summary>
		public virtual String GKtoStSchl
		{
			get { return Convert.ToString(this["GKtoStSchl"]); }
		}
		/// <summary>DATEV Gegenkonto-Steuerschlssel ( String )</summary>
		public virtual String GKtoStSchlDv
		{
			get { return Convert.ToString(this["GKtoStSchlDv"]); }
		}
		/// <summary>Soll-Betrag ( Double )</summary>
		public virtual Object SollBet
		{
			get { return this["SollBet"]; }
			set { this["SollBet"] = value; }
		}
		/// <summary>Haben-Betrag ( Double )</summary>
		public virtual Object HabenBet
		{
			get { return this["HabenBet"]; }
			set { this["HabenBet"] = value; }
		}
		/// <summary>Saldo-Betrag ( Double )</summary>
		public virtual Object SaldoBet
		{
			get { return this["SaldoBet"]; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String WaehrInfo
		{
			get { return Convert.ToString(this["WaehrInfo"]); }
		}
		/// <summary>Soll-Betrag LW1 ( Double )</summary>
		public virtual Object SollBetLW1
		{
			get { return this["SollBetLW1"]; }
		}
		/// <summary>Haben-Betrag LW1 ( Double )</summary>
		public virtual Object HabenBetLW1
		{
			get { return this["HabenBetLW1"]; }
		}
		/// <summary>Soll-Betrag LW2 ( Double )</summary>
		public virtual Object SollBetLW2
		{
			get { return this["SollBetLW2"]; }
		}
		/// <summary>Haben-Betrag LW2 ( Double )</summary>
		public virtual Object HabenBetLW2
		{
			get { return this["HabenBetLW2"]; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Splittbuchungsanfang ( Boolean )</summary>
		public virtual Object SplittAnfKz
		{
			get { return this["SplittAnfKz"]; }
		}
		/// <summary>Splittbuchung ( Boolean )</summary>
		public virtual Object SplittKz
		{
			get { return this["SplittKz"]; }
		}
		/// <summary>Splittbuchungsende ( Boolean )</summary>
		public virtual Object SplittEndKz
		{
			get { return this["SplittEndKz"]; }
		}
		/// <summary>Steuerschlssel ( Byte )</summary>
		public virtual Object StSchl
		{
			get { return this["StSchl"]; }
			set { this["StSchl"] = value; }
		}
		/// <summary>Suffix der Steuer ( String )</summary>
		public virtual String StSuf
		{
			get { return Convert.ToString(this["StSuf"]); }
			set { this["StSuf"] = value; }
		}
		/// <summary>Steuer in Konto ( Boolean )</summary>
		public virtual Object StInKtoKz
		{
			get { return this["StInKtoKz"]; }
		}
		/// <summary>Steuer ist fllig ( Boolean )</summary>
		public virtual Object StFaelligKz
		{
			get { return this["StFaelligKz"]; }
		}
		/// <summary>Kein Offenen Posten erzeugen ( Boolean )</summary>
		public virtual Object KeinOPKz
		{
			get { return this["KeinOPKz"]; }
		}
		/// <summary>Steuerkonto Buchungssaldo ( Double )</summary>
		public virtual Object StBchSaldo
		{
			get { return this["StBchSaldo"]; }
			set { this["StBchSaldo"] = value; }
		}
		/// <summary>Steuerkonto Buchungssaldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object StBchSaldoL1
		{
			get { return this["StBchSaldoL1"]; }
		}
		/// <summary>Steuerkonto Buchungssaldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object StBchSaldoL2
		{
			get { return this["StBchSaldoL2"]; }
		}
		/// <summary>Steuerkontonummer ( String )</summary>
		public virtual String StKtoNr
		{
			get { return Convert.ToString(this["StKtoNr"]); }
			set { this["StKtoNr"] = value; }
		}
		/// <summary>Steuerkonto ( String )</summary>
		public virtual String StKtoNrInfo
		{
			get { return Convert.ToString(this["StKtoNrInfo"]); }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Valutadatum ( Date )</summary>
		public virtual DateTime ValutaDat
		{
			get { return Convert.ToDateTime(this["ValutaDat"]); }
			set { this["ValutaDat"] = value; }
		}
		/// <summary>Buchungsintervall fr Dauerbuchungen ( Integer )</summary>
		public virtual Int32 BchIntDB
		{
			get { return Convert.ToInt32(this["BchIntDB"]); }
		}
		/// <summary>Belegnummer 1 ( String )</summary>
		public virtual String BelegNr1
		{
			get { return Convert.ToString(this["BelegNr1"]); }
			set { this["BelegNr1"] = value; }
		}
		/// <summary>Belegnummer 2 ( String )</summary>
		public virtual String BelegNr2
		{
			get { return Convert.ToString(this["BelegNr2"]); }
			set { this["BelegNr2"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Gegenkostenstellennummer ( String )</summary>
		public virtual String GKstNr
		{
			get { return Convert.ToString(this["GKstNr"]); }
			set { this["GKstNr"] = value; }
		}
		/// <summary>Gegenkostenstelle ( String )</summary>
		public virtual String GKstNrInfo
		{
			get { return Convert.ToString(this["GKstNrInfo"]); }
		}
		/// <summary>Skonto (in %) ( Double )</summary>
		public virtual Object SktoSz
		{
			get { return this["SktoSz"]; }
		}
		/// <summary>Skontobetrag ( Double )</summary>
		public virtual Object SktoBet
		{
			get { return this["SktoBet"]; }
			set { this["SktoBet"] = value; }
		}
		/// <summary>Skontokontonummer ( String )</summary>
		public virtual String SktoKtoNr
		{
			get { return Convert.ToString(this["SktoKtoNr"]); }
			set { this["SktoKtoNr"] = value; }
		}
		/// <summary>Skontokonto ( String )</summary>
		public virtual String SktoKtoNrInfo
		{
			get { return Convert.ToString(this["SktoKtoNrInfo"]); }
		}
		/// <summary>Skontokontonummer (ohne Steuerschlssel) ( String )</summary>
		public virtual String OSktoKtoNr
		{
			get { return Convert.ToString(this["OSktoKtoNr"]); }
		}
		/// <summary>Skontokonto Buchungssaldo ( Double )</summary>
		public virtual Object SktoBchSaldo
		{
			get { return this["SktoBchSaldo"]; }
			set { this["SktoBchSaldo"] = value; }
		}
		/// <summary>Skontokonto Buchungssaldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object SktoBchSaldoL1
		{
			get { return this["SktoBchSaldoL1"]; }
		}
		/// <summary>Skontokonto Buchungssaldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object SktoBchSaldoL2
		{
			get { return this["SktoBchSaldoL2"]; }
		}
		/// <summary>Skonto-Steuerkonto Buchungssaldo ( Double )</summary>
		public virtual Object SktoBchStSaldo
		{
			get { return this["SktoBchStSaldo"]; }
			set { this["SktoBchStSaldo"] = value; }
		}
		/// <summary>Skonto-Steuerkonto Buchungssaldo in Leitwhrung 1 ( Double )</summary>
		public virtual Object SktoBchStSaldoL1
		{
			get { return this["SktoBchStSaldoL1"]; }
		}
		/// <summary>Skonto-Steuerkonto Buchungssaldo in Leitwhrung 2 ( Double )</summary>
		public virtual Object SktoBchStSaldoL2
		{
			get { return this["SktoBchStSaldoL2"]; }
		}
		/// <summary>Skonto-Steuerkontonummer ( String )</summary>
		public virtual String SktoStKtoNr
		{
			get { return Convert.ToString(this["SktoStKtoNr"]); }
			set { this["SktoStKtoNr"] = value; }
		}
		/// <summary>Skonto-Steuerkonto ( String )</summary>
		public virtual String SktoStKtoNrInfo
		{
			get { return Convert.ToString(this["SktoStKtoNrInfo"]); }
		}
		/// <summary>Skonto Steuerschlssel ( Byte )</summary>
		public virtual Object SktoStSchl
		{
			get { return this["SktoStSchl"]; }
			set { this["SktoStSchl"] = value; }
		}
		/// <summary>DATEV Skonto Steuerschlssel ( Integer )</summary>
		public virtual Int32 SktoStSchlDv
		{
			get { return Convert.ToInt32(this["SktoStSchlDv"]); }
		}
		/// <summary>Text ( String )</summary>
		public virtual String Text
		{
			get { return Convert.ToString(this["Text"]); }
			set { this["Text"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Buch Adressnummer ( String )</summary>
		public virtual String BuchAdrNr
		{
			get { return Convert.ToString(this["BuchAdrNr"]); }
		}
		/// <summary>Buch Adresse ( String )</summary>
		public virtual String BuchAdrNrInfo
		{
			get { return Convert.ToString(this["BuchAdrNrInfo"]); }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Zahlungsbedingung ( String )</summary>
		public virtual String ZahlBed
		{
			get { return Convert.ToString(this["ZahlBed"]); }
			set { this["ZahlBed"] = value; }
		}
		/// <summary>Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Buchungssatzfehler ( String )</summary>
		public virtual String BchErr
		{
			get { return Convert.ToString(this["BchErr"]); }
		}
		/// <summary>Splittbuchungsgruppe ( Integer )</summary>
		public virtual Int32 SplittGrpKz
		{
			get { return Convert.ToInt32(this["SplittGrpKz"]); }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Aus Auftrag erstellt ( Boolean )</summary>
		public virtual Object AusAuKz
		{
			get { return this["AusAuKz"]; }
		}
		/// <summary>Aus Vorgangsbuchung erstellt ( Boolean )</summary>
		public virtual Object AusVogKz
		{
			get { return this["AusVogKz"]; }
		}
		/// <summary>Aus OP-Buchung / Zahlungsverkehr erstellt ( Boolean )</summary>
		public virtual Object AusOpKz
		{
			get { return this["AusOpKz"]; }
		}
		/// <summary>Aus Lohn erstellt ( Boolean )</summary>
		public virtual Object AusLoKz
		{
			get { return this["AusLoKz"]; }
		}
		/// <summary>Saldo-Betrag ( Double )</summary>
		public virtual Object ISaldoBetBet
		{
			get { return this["ISaldoBetBet"]; }
			set { this["ISaldoBetBet"] = value; }
		}
		/// <summary>Eintrag wurde ber Gutschrift erstellt ( Boolean )</summary>
		public virtual Object GutschriftKz
		{
			get { return this["GutschriftKz"]; }
			set { this["GutschriftKz"] = value; }
		}
		/// <summary>Dreiecksgeschft ( Boolean )</summary>
		public virtual Object DreiGsKz
		{
			get { return this["DreiGsKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
