using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBuArchivSet : BpnEntitySet<BuchungenFiBuArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenFiBuArchiv";
			
		public static BuchungenFiBuArchivSet CreateInstance(BpnConnection connection)
		{
		    var buchungenfibuarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenfibuarchivsetDataSet = buchungenfibuarchivsetInfo.CreateDataSet();
		
		    var ret = new BuchungenFiBuArchivSet(buchungenfibuarchivsetDataSet);
		    return ret;
		}
		
		internal BuchungenFiBuArchivSet(BpNT.AutoDataSet buchungenfibuarchivDataSet) 
			: base(buchungenfibuarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenFiBuArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenFiBuArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenFiBuArchivSet parentSet;
		
			protected BuchungenFiBuArchivSetJBchNrIndex jBchNrIndex;
			protected BuchungenFiBuArchivSetHiDatIndex hiDatIndex;
			protected BuchungenFiBuArchivSetIDIndex iDIndex;
			protected BuchungenFiBuArchivSetKtoNrIndex ktoNrIndex;
			protected BuchungenFiBuArchivSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenFiBuArchivSetDatIndex datIndex;
			protected BuchungenFiBuArchivSetBelegNr1Index belegNr1Index;
			protected BuchungenFiBuArchivSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenFiBuArchivSetBelegNr2Index belegNr2Index;
			protected BuchungenFiBuArchivSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenFiBuArchivSetKstNrIndex kstNrIndex;
			protected BuchungenFiBuArchivSetJPKstNrIndex jPKstNrIndex;
			protected BuchungenFiBuArchivSetGKstNrIndex gKstNrIndex;
			protected BuchungenFiBuArchivSetJPGKstNrIndex jPGKstNrIndex;
			protected BuchungenFiBuArchivSetTextIndex textIndex;
			protected BuchungenFiBuArchivSetAdrNrIndex adrNrIndex;
			protected BuchungenFiBuArchivSetBetIndex betIndex;
			protected BuchungenFiBuArchivSetJPPtkNrBchNrIndex jPPtkNrBchNrIndex;
			protected BuchungenFiBuArchivSetJPStSchlIndex jPStSchlIndex;
		
			internal IndicesClass(BuchungenFiBuArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				jBchNrIndex = new BuchungenFiBuArchivSetJBchNrIndex(parentSet.DataSet);
				hiDatIndex = new BuchungenFiBuArchivSetHiDatIndex(parentSet.DataSet);
				iDIndex = new BuchungenFiBuArchivSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenFiBuArchivSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenFiBuArchivSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenFiBuArchivSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenFiBuArchivSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenFiBuArchivSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenFiBuArchivSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenFiBuArchivSetBelegNr2NumIndex(parentSet.DataSet);
				kstNrIndex = new BuchungenFiBuArchivSetKstNrIndex(parentSet.DataSet);
				jPKstNrIndex = new BuchungenFiBuArchivSetJPKstNrIndex(parentSet.DataSet);
				gKstNrIndex = new BuchungenFiBuArchivSetGKstNrIndex(parentSet.DataSet);
				jPGKstNrIndex = new BuchungenFiBuArchivSetJPGKstNrIndex(parentSet.DataSet);
				textIndex = new BuchungenFiBuArchivSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenFiBuArchivSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenFiBuArchivSetBetIndex(parentSet.DataSet);
				jPPtkNrBchNrIndex = new BuchungenFiBuArchivSetJPPtkNrBchNrIndex(parentSet.DataSet);
				jPStSchlIndex = new BuchungenFiBuArchivSetJPStSchlIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Jahr & Buchungsnummer</summary>
			public BuchungenFiBuArchivSetJBchNrIndex JBchNrIndex
			{
				get { return jBchNrIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public BuchungenFiBuArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public BuchungenFiBuArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenFiBuArchivSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenFiBuArchivSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenFiBuArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenFiBuArchivSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenFiBuArchivSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenFiBuArchivSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenFiBuArchivSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenFiBuArchivSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenFiBuArchivSetJPKstNrIndex JPKstNrIndex
			{
				get { return jPKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenFiBuArchivSetGKstNrIndex GKstNrIndex
			{
				get { return gKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenFiBuArchivSetJPGKstNrIndex JPGKstNrIndex
			{
				get { return jPGKstNrIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenFiBuArchivSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenFiBuArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenFiBuArchivSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>JPPtkNrBchNr</summary>
			public BuchungenFiBuArchivSetJPPtkNrBchNrIndex JPPtkNrBchNrIndex
			{
				get { return jPPtkNrBchNrIndex; }
			}
			
			/// <summary>JPStSchl</summary>
			public BuchungenFiBuArchivSetJPStSchlIndex JPStSchlIndex
			{
				get { return jPStSchlIndex; }
			}
			
		
			#endregion
		}

		public BuchungenFiBuArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
