using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenFiBuSet : BpnEntitySet<BuchungenFiBu>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenFiBu";
			
		public static BuchungenFiBuSet CreateInstance(BpnConnection connection)
		{
		    var buchungenfibusetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenfibusetDataSet = buchungenfibusetInfo.CreateDataSet();
		
		    var ret = new BuchungenFiBuSet(buchungenfibusetDataSet);
		    return ret;
		}
		
		internal BuchungenFiBuSet(BpNT.AutoDataSet buchungenfibuDataSet) 
			: base(buchungenfibuDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenFiBuSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenFiBuSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenFiBuSet parentSet;
		
			protected BuchungenFiBuSetZNrIndex zNrIndex;
			protected BuchungenFiBuSetIDIndex iDIndex;
			protected BuchungenFiBuSetKtoNrIndex ktoNrIndex;
			protected BuchungenFiBuSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenFiBuSetDatIndex datIndex;
			protected BuchungenFiBuSetBelegNr1Index belegNr1Index;
			protected BuchungenFiBuSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenFiBuSetBelegNr2Index belegNr2Index;
			protected BuchungenFiBuSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenFiBuSetKstNrIndex kstNrIndex;
			protected BuchungenFiBuSetJPKstNrIndex jPKstNrIndex;
			protected BuchungenFiBuSetGKstNrIndex gKstNrIndex;
			protected BuchungenFiBuSetJPGKstNrIndex jPGKstNrIndex;
			protected BuchungenFiBuSetTextIndex textIndex;
			protected BuchungenFiBuSetAdrNrIndex adrNrIndex;
			protected BuchungenFiBuSetBetIndex betIndex;
			protected BuchungenFiBuSetJPLfdBchNrIndex jPLfdBchNrIndex;
			protected BuchungenFiBuSetFBchNrZNrIndex fBchNrZNrIndex;
			protected BuchungenFiBuSetFBchNrJPZNrIndex fBchNrJPZNrIndex;
			protected BuchungenFiBuSetFBchNrJPDatIndex fBchNrJPDatIndex;
			protected BuchungenFiBuSetJPStSchlIndex jPStSchlIndex;
		
			internal IndicesClass(BuchungenFiBuSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				zNrIndex = new BuchungenFiBuSetZNrIndex(parentSet.DataSet);
				iDIndex = new BuchungenFiBuSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenFiBuSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenFiBuSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenFiBuSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenFiBuSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenFiBuSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenFiBuSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenFiBuSetBelegNr2NumIndex(parentSet.DataSet);
				kstNrIndex = new BuchungenFiBuSetKstNrIndex(parentSet.DataSet);
				jPKstNrIndex = new BuchungenFiBuSetJPKstNrIndex(parentSet.DataSet);
				gKstNrIndex = new BuchungenFiBuSetGKstNrIndex(parentSet.DataSet);
				jPGKstNrIndex = new BuchungenFiBuSetJPGKstNrIndex(parentSet.DataSet);
				textIndex = new BuchungenFiBuSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenFiBuSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenFiBuSetBetIndex(parentSet.DataSet);
				jPLfdBchNrIndex = new BuchungenFiBuSetJPLfdBchNrIndex(parentSet.DataSet);
				fBchNrZNrIndex = new BuchungenFiBuSetFBchNrZNrIndex(parentSet.DataSet);
				fBchNrJPZNrIndex = new BuchungenFiBuSetFBchNrJPZNrIndex(parentSet.DataSet);
				fBchNrJPDatIndex = new BuchungenFiBuSetFBchNrJPDatIndex(parentSet.DataSet);
				jPStSchlIndex = new BuchungenFiBuSetJPStSchlIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Zeilennummer</summary>
			public BuchungenFiBuSetZNrIndex ZNrIndex
			{
				get { return zNrIndex; }
			}
			
			/// <summary>ID</summary>
			public BuchungenFiBuSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenFiBuSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenFiBuSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenFiBuSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenFiBuSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenFiBuSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenFiBuSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenFiBuSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenFiBuSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public BuchungenFiBuSetJPKstNrIndex JPKstNrIndex
			{
				get { return jPKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenFiBuSetGKstNrIndex GKstNrIndex
			{
				get { return gKstNrIndex; }
			}
			
			/// <summary>Gegenkostenstellennummer</summary>
			public BuchungenFiBuSetJPGKstNrIndex JPGKstNrIndex
			{
				get { return jPGKstNrIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenFiBuSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenFiBuSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenFiBuSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Laufende Buchnummer</summary>
			public BuchungenFiBuSetJPLfdBchNrIndex JPLfdBchNrIndex
			{
				get { return jPLfdBchNrIndex; }
			}
			
			/// <summary>Zeilennummer</summary>
			public BuchungenFiBuSetFBchNrZNrIndex FBchNrZNrIndex
			{
				get { return fBchNrZNrIndex; }
			}
			
			/// <summary>Zeilennummer</summary>
			public BuchungenFiBuSetFBchNrJPZNrIndex FBchNrJPZNrIndex
			{
				get { return fBchNrJPZNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenFiBuSetFBchNrJPDatIndex FBchNrJPDatIndex
			{
				get { return fBchNrJPDatIndex; }
			}
			
			/// <summary>JPStSchl</summary>
			public BuchungenFiBuSetJPStSchlIndex JPStSchlIndex
			{
				get { return jPStSchlIndex; }
			}
			
		
			#endregion
		}

		public BuchungenFiBuSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
