using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class BuchungenLohnArchivSet : BpnEntitySet<BuchungenLohnArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "BuchungenLohnArchiv";
			
		public static BuchungenLohnArchivSet CreateInstance(BpnConnection connection)
		{
		    var buchungenlohnarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var buchungenlohnarchivsetDataSet = buchungenlohnarchivsetInfo.CreateDataSet();
		
		    var ret = new BuchungenLohnArchivSet(buchungenlohnarchivsetDataSet);
		    return ret;
		}
		
		internal BuchungenLohnArchivSet(BpNT.AutoDataSet buchungenlohnarchivDataSet) 
			: base(buchungenlohnarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected BuchungenLohnArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new BuchungenLohnArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected BuchungenLohnArchivSet parentSet;
		
			protected BuchungenLohnArchivSetHiDatIndex hiDatIndex;
			protected BuchungenLohnArchivSetIDIndex iDIndex;
			protected BuchungenLohnArchivSetKtoNrIndex ktoNrIndex;
			protected BuchungenLohnArchivSetGKtoNrIndex gKtoNrIndex;
			protected BuchungenLohnArchivSetDatIndex datIndex;
			protected BuchungenLohnArchivSetBelegNr1Index belegNr1Index;
			protected BuchungenLohnArchivSetBelegNr1NumIndex belegNr1NumIndex;
			protected BuchungenLohnArchivSetBelegNr2Index belegNr2Index;
			protected BuchungenLohnArchivSetBelegNr2NumIndex belegNr2NumIndex;
			protected BuchungenLohnArchivSetTextIndex textIndex;
			protected BuchungenLohnArchivSetAdrNrIndex adrNrIndex;
			protected BuchungenLohnArchivSetBetIndex betIndex;
		
			internal IndicesClass(BuchungenLohnArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new BuchungenLohnArchivSetHiDatIndex(parentSet.DataSet);
				iDIndex = new BuchungenLohnArchivSetIDIndex(parentSet.DataSet);
				ktoNrIndex = new BuchungenLohnArchivSetKtoNrIndex(parentSet.DataSet);
				gKtoNrIndex = new BuchungenLohnArchivSetGKtoNrIndex(parentSet.DataSet);
				datIndex = new BuchungenLohnArchivSetDatIndex(parentSet.DataSet);
				belegNr1Index = new BuchungenLohnArchivSetBelegNr1Index(parentSet.DataSet);
				belegNr1NumIndex = new BuchungenLohnArchivSetBelegNr1NumIndex(parentSet.DataSet);
				belegNr2Index = new BuchungenLohnArchivSetBelegNr2Index(parentSet.DataSet);
				belegNr2NumIndex = new BuchungenLohnArchivSetBelegNr2NumIndex(parentSet.DataSet);
				textIndex = new BuchungenLohnArchivSetTextIndex(parentSet.DataSet);
				adrNrIndex = new BuchungenLohnArchivSetAdrNrIndex(parentSet.DataSet);
				betIndex = new BuchungenLohnArchivSetBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public BuchungenLohnArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public BuchungenLohnArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Kontonummer</summary>
			public BuchungenLohnArchivSetKtoNrIndex KtoNrIndex
			{
				get { return ktoNrIndex; }
			}
			
			/// <summary>Gegenkontonummer</summary>
			public BuchungenLohnArchivSetGKtoNrIndex GKtoNrIndex
			{
				get { return gKtoNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public BuchungenLohnArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Belegnummer 1</summary>
			public BuchungenLohnArchivSetBelegNr1Index BelegNr1Index
			{
				get { return belegNr1Index; }
			}
			
			/// <summary>Belegnummer 1 (numerisch)</summary>
			public BuchungenLohnArchivSetBelegNr1NumIndex BelegNr1NumIndex
			{
				get { return belegNr1NumIndex; }
			}
			
			/// <summary>Belegnummer 2</summary>
			public BuchungenLohnArchivSetBelegNr2Index BelegNr2Index
			{
				get { return belegNr2Index; }
			}
			
			/// <summary>Belegnummer 2 (numerisch)</summary>
			public BuchungenLohnArchivSetBelegNr2NumIndex BelegNr2NumIndex
			{
				get { return belegNr2NumIndex; }
			}
			
			/// <summary>Text</summary>
			public BuchungenLohnArchivSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public BuchungenLohnArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Saldo Betrag</summary>
			public BuchungenLohnArchivSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
		
			#endregion
		}

		public BuchungenLohnArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
