using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class DokumenteSet : BpnEntitySet<Dokumente>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Dokumente";
			
		public static DokumenteSet CreateInstance(BpnConnection connection)
		{
		    var dokumentesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var dokumentesetDataSet = dokumentesetInfo.CreateDataSet();
		
		    var ret = new DokumenteSet(dokumentesetDataSet);
		    return ret;
		}
		
		internal DokumenteSet(BpNT.AutoDataSet dokumenteDataSet) 
			: base(dokumenteDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected DokumenteSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new DokumenteSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected DokumenteSet parentSet;
		
			protected DokumenteSetIDIndex iDIndex;
			protected DokumenteSetNrIndex nrIndex;
			protected DokumenteSetNaIndex naIndex;
			protected DokumenteSetDBKuNameNrIndex dBKuNameNrIndex;
			protected DokumenteSetDBKuNameNaIndex dBKuNameNaIndex;
			protected DokumenteSetIDStrIndex iDStrIndex;
			protected DokumenteSetLinkAutoIncIDIndex linkAutoIncIDIndex;
			protected DokumenteSetAnlNaIndex anlNaIndex;
			protected DokumenteSetDBKuNameAnlNaIndex dBKuNameAnlNaIndex;
		
			internal IndicesClass(DokumenteSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new DokumenteSetIDIndex(parentSet.DataSet);
				nrIndex = new DokumenteSetNrIndex(parentSet.DataSet);
				naIndex = new DokumenteSetNaIndex(parentSet.DataSet);
				dBKuNameNrIndex = new DokumenteSetDBKuNameNrIndex(parentSet.DataSet);
				dBKuNameNaIndex = new DokumenteSetDBKuNameNaIndex(parentSet.DataSet);
				iDStrIndex = new DokumenteSetIDStrIndex(parentSet.DataSet);
				linkAutoIncIDIndex = new DokumenteSetLinkAutoIncIDIndex(parentSet.DataSet);
				anlNaIndex = new DokumenteSetAnlNaIndex(parentSet.DataSet);
				dBKuNameAnlNaIndex = new DokumenteSetDBKuNameAnlNaIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public DokumenteSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public DokumenteSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Name</summary>
			public DokumenteSetNaIndex NaIndex
			{
				get { return naIndex; }
			}
			
			/// <summary>Nummer</summary>
			public DokumenteSetDBKuNameNrIndex DBKuNameNrIndex
			{
				get { return dBKuNameNrIndex; }
			}
			
			/// <summary>Name</summary>
			public DokumenteSetDBKuNameNaIndex DBKuNameNaIndex
			{
				get { return dBKuNameNaIndex; }
			}
			
			/// <summary>IDString</summary>
			public DokumenteSetIDStrIndex IDStrIndex
			{
				get { return iDStrIndex; }
			}
			
			/// <summary>LinkID</summary>
			public DokumenteSetLinkAutoIncIDIndex LinkAutoIncIDIndex
			{
				get { return linkAutoIncIDIndex; }
			}
			
			/// <summary>Name</summary>
			public DokumenteSetAnlNaIndex AnlNaIndex
			{
				get { return anlNaIndex; }
			}
			
			/// <summary>Name</summary>
			public DokumenteSetDBKuNameAnlNaIndex DBKuNameAnlNaIndex
			{
				get { return dBKuNameAnlNaIndex; }
			}
			
		
			#endregion
		}

		public DokumenteSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
