using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Einsatz : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Einsatz";
			
		public static Einsatz CreateInstance(BpnConnection connection)
		{
		    var einsatzInfo = connection.GetDataSetInfo(DS_NAME);
		    var einsatzDataSet = einsatzInfo.CreateDataSet();
		
		    var ret = new Einsatz(einsatzDataSet);
		    return ret;
		}
		
		public Einsatz(BpNT.AutoDataSet einsatzDataSet) 
			: base(einsatzDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Bezeichnung ( Info )</summary>
		public virtual Object Bez
		{
			get { return this["Bez"]; }
			set { this["Bez"] = value; }
		}
		/// <summary>Bezeichnung Kennzeichen ( Boolean )</summary>
		public virtual Object BezKz
		{
			get { return this["BezKz"]; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Mitarbeiternummer ( Integer )</summary>
		public virtual Int32 MitNr
		{
			get { return Convert.ToInt32(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Mitarbeiteranzahl ( Integer )</summary>
		public virtual Int32 AzMit
		{
			get { return Convert.ToInt32(this["AzMit"]); }
			set { this["AzMit"] = value; }
		}
		/// <summary>Startdatum ( Date )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( Date )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Startzeit ( Time )</summary>
		public virtual Object StartZt
		{
			get { return this["StartZt"]; }
			set { this["StartZt"] = value; }
		}
		/// <summary>Endzeit ( Time )</summary>
		public virtual Object EndZt
		{
			get { return this["EndZt"]; }
			set { this["EndZt"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Art ( String )</summary>
		public virtual String Art
		{
			get { return Convert.ToString(this["Art"]); }
			set { this["Art"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
