using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Einsatzzuordnung : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Einsatzzuordnung";
			
		public static Einsatzzuordnung CreateInstance(BpnConnection connection)
		{
		    var einsatzzuordnungInfo = connection.GetDataSetInfo(DS_NAME);
		    var einsatzzuordnungDataSet = einsatzzuordnungInfo.CreateDataSet();
		
		    var ret = new Einsatzzuordnung(einsatzzuordnungDataSet);
		    return ret;
		}
		
		public Einsatzzuordnung(BpNT.AutoDataSet einsatzzuordnungDataSet) 
			: base(einsatzzuordnungDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Mitarbeiternummer ( Integer )</summary>
		public virtual Int32 MitNr
		{
			get { return Convert.ToInt32(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Startdatum ( Date )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( Date )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Startzeit ( Time )</summary>
		public virtual Object StartZt
		{
			get { return this["StartZt"]; }
			set { this["StartZt"] = value; }
		}
		/// <summary>Endzeit ( Time )</summary>
		public virtual Object EndZt
		{
			get { return this["EndZt"]; }
			set { this["EndZt"] = value; }
		}
		/// <summary>Zeitraum ( String )</summary>
		public virtual String ZtRaum
		{
			get { return Convert.ToString(this["ZtRaum"]); }
		}
		/// <summary>Artikelnummer ( Integer )</summary>
		public virtual Int32 ArtNr
		{
			get { return Convert.ToInt32(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}


		#endregion
	}
}
