using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class FilterDefinitionenSet : BpnEntitySet<FilterDefinitionen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "FilterDefinitionen";
			
		public static FilterDefinitionenSet CreateInstance(BpnConnection connection)
		{
		    var filterdefinitionensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var filterdefinitionensetDataSet = filterdefinitionensetInfo.CreateDataSet();
		
		    var ret = new FilterDefinitionenSet(filterdefinitionensetDataSet);
		    return ret;
		}
		
		internal FilterDefinitionenSet(BpNT.AutoDataSet filterdefinitionenDataSet) 
			: base(filterdefinitionenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected FilterDefinitionenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new FilterDefinitionenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected FilterDefinitionenSet parentSet;
		
			protected FilterDefinitionenSetIDIndex iDIndex;
			protected FilterDefinitionenSetNaIndex naIndex;
			protected FilterDefinitionenSetBezIndex bezIndex;
		
			internal IndicesClass(FilterDefinitionenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new FilterDefinitionenSetIDIndex(parentSet.DataSet);
				naIndex = new FilterDefinitionenSetNaIndex(parentSet.DataSet);
				bezIndex = new FilterDefinitionenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public FilterDefinitionenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Name</summary>
			public FilterDefinitionenSetNaIndex NaIndex
			{
				get { return naIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public FilterDefinitionenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public FilterDefinitionenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
