using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class FormMaskenSet : BpnEntitySet<FormMasken>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "FormMasken";
			
		public static FormMaskenSet CreateInstance(BpnConnection connection)
		{
		    var formmaskensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var formmaskensetDataSet = formmaskensetInfo.CreateDataSet();
		
		    var ret = new FormMaskenSet(formmaskensetDataSet);
		    return ret;
		}
		
		internal FormMaskenSet(BpNT.AutoDataSet formmaskenDataSet) 
			: base(formmaskenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected FormMaskenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new FormMaskenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected FormMaskenSet parentSet;
		
			protected FormMaskenSetIDIndex iDIndex;
			protected FormMaskenSetNaBezIndex naBezIndex;
		
			internal IndicesClass(FormMaskenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new FormMaskenSetIDIndex(parentSet.DataSet);
				naBezIndex = new FormMaskenSetNaBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public FormMaskenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>NaBez</summary>
			public FormMaskenSetNaBezIndex NaBezIndex
			{
				get { return naBezIndex; }
			}
			
		
			#endregion
		}

		public FormMaskenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
