using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoKarten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "GeoKarten";
			
		public static GeoKarten CreateInstance(BpnConnection connection)
		{
		    var geokartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var geokartenDataSet = geokartenInfo.CreateDataSet();
		
		    var ret = new GeoKarten(geokartenDataSet);
		    return ret;
		}
		
		public GeoKarten(BpNT.AutoDataSet geokartenDataSet) 
			: base(geokartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Dokumentendaten ( Blob )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Lnderkennzeichen ( Integer )</summary>
		public virtual Int32 LandKennz
		{
			get { return Convert.ToInt32(this["LandKennz"]); }
			set { this["LandKennz"] = value; }
		}
		/// <summary>FileName ( String )</summary>
		public virtual String FileName
		{
			get { return Convert.ToString(this["FileName"]); }
			set { this["FileName"] = value; }
		}
		/// <summary>Hauptkarte Kennzeichen ( Boolean )</summary>
		public virtual Object BaseMapKZ
		{
			get { return this["BaseMapKZ"]; }
			set { this["BaseMapKZ"] = value; }
		}
		/// <summary>Detail der Karte ( Integer )</summary>
		public virtual Int32 Detail
		{
			get { return Convert.ToInt32(this["Detail"]); }
			set { this["Detail"] = value; }
		}
		/// <summary>CheckSumme der Karte ( Integer )</summary>
		public virtual Int32 CheckSum
		{
			get { return Convert.ToInt32(this["CheckSum"]); }
			set { this["CheckSum"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
