using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoKartenSet : BpnEntitySet<GeoKarten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "GeoKarten";
			
		public static GeoKartenSet CreateInstance(BpnConnection connection)
		{
		    var geokartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var geokartensetDataSet = geokartensetInfo.CreateDataSet();
		
		    var ret = new GeoKartenSet(geokartensetDataSet);
		    return ret;
		}
		
		internal GeoKartenSet(BpNT.AutoDataSet geokartenDataSet) 
			: base(geokartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected GeoKartenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new GeoKartenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected GeoKartenSet parentSet;
		
			protected GeoKartenSetIDIndex iDIndex;
			protected GeoKartenSetLandBaseDetailIndex landBaseDetailIndex;
		
			internal IndicesClass(GeoKartenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new GeoKartenSetIDIndex(parentSet.DataSet);
				landBaseDetailIndex = new GeoKartenSetLandBaseDetailIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public GeoKartenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>LandBaseDetail</summary>
			public GeoKartenSetLandBaseDetailIndex LandBaseDetailIndex
			{
				get { return landBaseDetailIndex; }
			}
			
		
			#endregion
		}

		public GeoKartenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
