using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoSchemas : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "GeoSchemas";
			
		public static GeoSchemas CreateInstance(BpnConnection connection)
		{
		    var geoschemasInfo = connection.GetDataSetInfo(DS_NAME);
		    var geoschemasDataSet = geoschemasInfo.CreateDataSet();
		
		    var ret = new GeoSchemas(geoschemasDataSet);
		    return ret;
		}
		
		public GeoSchemas(BpNT.AutoDataSet geoschemasDataSet) 
			: base(geoschemasDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>GeoSchema Typ ( Integer )</summary>
		public virtual Int32 GeoTyp
		{
			get { return Convert.ToInt32(this["GeoTyp"]); }
			set { this["GeoTyp"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>GeoSchemas ( Blob )</summary>
		public virtual Object GoS
		{
			get { return this["GoS"]; }
			set { this["GoS"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
