using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GeoSchemasSet : BpnEntitySet<GeoSchemas>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "GeoSchemas";
			
		public static GeoSchemasSet CreateInstance(BpnConnection connection)
		{
		    var geoschemassetInfo = connection.GetDataSetInfo(DS_NAME);
		    var geoschemassetDataSet = geoschemassetInfo.CreateDataSet();
		
		    var ret = new GeoSchemasSet(geoschemassetDataSet);
		    return ret;
		}
		
		internal GeoSchemasSet(BpNT.AutoDataSet geoschemasDataSet) 
			: base(geoschemasDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected GeoSchemasSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new GeoSchemasSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected GeoSchemasSet parentSet;
		
			protected GeoSchemasSetTypKuBezIndex typKuBezIndex;
		
			internal IndicesClass(GeoSchemasSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				typKuBezIndex = new GeoSchemasSetTypKuBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>TypKurzbezeichner</summary>
			public GeoSchemasSetTypKuBezIndex TypKuBezIndex
			{
				get { return typKuBezIndex; }
			}
			
		
			#endregion
		}

		public GeoSchemasSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
