using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class GlobalDataSet : BpnEntitySet<GlobalData>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "GlobalData";
			
		public static GlobalDataSet CreateInstance(BpnConnection connection)
		{
		    var globaldatasetInfo = connection.GetDataSetInfo(DS_NAME);
		    var globaldatasetDataSet = globaldatasetInfo.CreateDataSet();
		
		    var ret = new GlobalDataSet(globaldatasetDataSet);
		    return ret;
		}
		
		internal GlobalDataSet(BpNT.AutoDataSet globaldataDataSet) 
			: base(globaldataDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected GlobalDataSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new GlobalDataSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected GlobalDataSet parentSet;
		
		
			internal IndicesClass(GlobalDataSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
			}
		
			#region Properties
		
		
			#endregion
		}

		public GlobalDataSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
