using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IOLayouts : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "IOLayouts";
			
		public static IOLayouts CreateInstance(BpnConnection connection)
		{
		    var iolayoutsInfo = connection.GetDataSetInfo(DS_NAME);
		    var iolayoutsDataSet = iolayoutsInfo.CreateDataSet();
		
		    var ret = new IOLayouts(iolayoutsDataSet);
		    return ret;
		}
		
		public IOLayouts(BpNT.AutoDataSet iolayoutsDataSet) 
			: base(iolayoutsDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>SubIndex ( Integer )</summary>
		public virtual Int32 SubIndex
		{
			get { return Convert.ToInt32(this["SubIndex"]); }
			set { this["SubIndex"] = value; }
		}
		/// <summary>Modulkurzbezeichnung ( String )</summary>
		public virtual String ModKuBez
		{
			get { return Convert.ToString(this["ModKuBez"]); }
			set { this["ModKuBez"] = value; }
		}
		/// <summary>Programmversion ( String )</summary>
		public virtual String PrgV
		{
			get { return Convert.ToString(this["PrgV"]); }
			set { this["PrgV"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Revision ( Integer )</summary>
		public virtual Int32 Rev
		{
			get { return Convert.ToInt32(this["Rev"]); }
			set { this["Rev"] = value; }
		}
		/// <summary>ExtKzBez ( String )</summary>
		public virtual String ExtKzBez
		{
			get { return Convert.ToString(this["ExtKzBez"]); }
			set { this["ExtKzBez"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Bezeichnung des Ausgabebereichs ( String )</summary>
		public virtual String BereichBez
		{
			get { return Convert.ToString(this["BereichBez"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Archivkennzeichen ( Boolean )</summary>
		public virtual Object ArchivKz
		{
			get { return this["ArchivKz"]; }
		}
		/// <summary>Name des Layouts ( AutoInc )</summary>
		public virtual Int32 LayoutNa
		{
			get { return Convert.ToInt32(this["LayoutNa"]); }
			set { this["LayoutNa"] = value; }
		}
		/// <summary>Art des Layouts ( Integer )</summary>
		public virtual Int32 LayoutArt
		{
			get { return Convert.ToInt32(this["LayoutArt"]); }
			set { this["LayoutArt"] = value; }
		}
		/// <summary>Art des Layouts Image ( Integer )</summary>
		public virtual Int32 LayoutArtImg
		{
			get { return Convert.ToInt32(this["LayoutArtImg"]); }
		}
		/// <summary>CRC32 ( Integer )</summary>
		public virtual Int32 CRC32
		{
			get { return Convert.ToInt32(this["CRC32"]); }
			set { this["CRC32"] = value; }
		}
		/// <summary>Layout ( Blob )</summary>
		public virtual Object Layout
		{
			get { return this["Layout"]; }
			set { this["Layout"] = value; }
		}
		/// <summary>Layout Version ( Integer )</summary>
		public virtual Int32 LayoutVer
		{
			get { return Convert.ToInt32(this["LayoutVer"]); }
			set { this["LayoutVer"] = value; }
		}
		/// <summary>Vorgaben ( Blob )</summary>
		public virtual Object Vorgaben
		{
			get { return this["Vorgaben"]; }
			set { this["Vorgaben"] = value; }
		}
		/// <summary>Anzahl der im Layout enthaltenen Seiten ( Integer )</summary>
		public virtual Int32 AzLySeiten
		{
			get { return Convert.ToInt32(this["AzLySeiten"]); }
			set { this["AzLySeiten"] = value; }
		}
		/// <summary>Anzahl der Kopien ( Integer )</summary>
		public virtual Int32 Kopien
		{
			get { return Convert.ToInt32(this["Kopien"]); }
			set { this["Kopien"] = value; }
		}
		/// <summary>Etikettnummer ( Integer )</summary>
		public virtual Int32 LblNr
		{
			get { return Convert.ToInt32(this["LblNr"]); }
			set { this["LblNr"] = value; }
		}
		/// <summary>Men Kennzeichen ( Boolean )</summary>
		public virtual Object MenuKz
		{
			get { return this["MenuKz"]; }
			set { this["MenuKz"] = value; }
		}
		/// <summary>Nicht nderbar Kennzeichen ( Boolean )</summary>
		public virtual Object NoModKz
		{
			get { return this["NoModKz"]; }
			set { this["NoModKz"] = value; }
		}
		/// <summary>Nicht nderbar Kennzeichen Anwender ( Boolean )</summary>
		public virtual Object NoModKzAw
		{
			get { return this["NoModKzAw"]; }
			set { this["NoModKzAw"] = value; }
		}
		/// <summary>Information ( Blob )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Zustzliche Variablen ( StringList )</summary>
		public virtual Object ZusatzVar
		{
			get { return this["ZusatzVar"]; }
			set { this["ZusatzVar"] = value; }
		}
		/// <summary>Stufe des Bearbeitungsstandes ( Integer )</summary>
		public virtual Int32 BeaStufe
		{
			get { return Convert.ToInt32(this["BeaStufe"]); }
			set { this["BeaStufe"] = value; }
		}
		/// <summary>Information des Bearbeitungsstandes ( Info )</summary>
		public virtual Object BeaInfo
		{
			get { return this["BeaInfo"]; }
			set { this["BeaInfo"] = value; }
		}
		/// <summary>Information des Bearbeitungsstandes Kennzeichen ( Boolean )</summary>
		public virtual Object BeaInfoKz
		{
			get { return this["BeaInfoKz"]; }
		}
		/// <summary>Ist Link Kennzeichen ( Boolean )</summary>
		public virtual Object IstLinkKz
		{
			get { return this["IstLinkKz"]; }
			set { this["IstLinkKz"] = value; }
		}
		/// <summary>Link Bezeichnung ( String )</summary>
		public virtual String LinkBez
		{
			get { return Convert.ToString(this["LinkBez"]); }
			set { this["LinkBez"] = value; }
		}
		/// <summary>Script Speicher ( Blob )</summary>
		public virtual Object Script
		{
			get { return this["Script"]; }
			set { this["Script"] = value; }
		}
		/// <summary>Stampit Objekt ( Boolean )</summary>
		public virtual Object StampitObjectKz
		{
			get { return this["StampitObjectKz"]; }
		}
		/// <summary>Version 9 Layout ( Boolean )</summary>
		public virtual Object LL135LayoutKz
		{
			get { return this["LL135LayoutKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
