using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IOLayoutsSet : BpnEntitySet<IOLayouts>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "IOLayouts";
			
		public static IOLayoutsSet CreateInstance(BpnConnection connection)
		{
		    var iolayoutssetInfo = connection.GetDataSetInfo(DS_NAME);
		    var iolayoutssetDataSet = iolayoutssetInfo.CreateDataSet();
		
		    var ret = new IOLayoutsSet(iolayoutssetDataSet);
		    return ret;
		}
		
		internal IOLayoutsSet(BpNT.AutoDataSet iolayoutsDataSet) 
			: base(iolayoutsDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected IOLayoutsSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new IOLayoutsSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected IOLayoutsSet parentSet;
		
			protected IOLayoutsSetNaIndex naIndex;
			protected IOLayoutsSetNaSubIndex naSubIndex;
			protected IOLayoutsSetBezIndex bezIndex;
			protected IOLayoutsSetBeaStufeIndex beaStufeIndex;
			protected IOLayoutsSetVerIndex verIndex;
		
			internal IndicesClass(IOLayoutsSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				naIndex = new IOLayoutsSetNaIndex(parentSet.DataSet);
				naSubIndex = new IOLayoutsSetNaSubIndex(parentSet.DataSet);
				bezIndex = new IOLayoutsSetBezIndex(parentSet.DataSet);
				beaStufeIndex = new IOLayoutsSetBeaStufeIndex(parentSet.DataSet);
				verIndex = new IOLayoutsSetVerIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Name</summary>
			public IOLayoutsSetNaIndex NaIndex
			{
				get { return naIndex; }
			}
			
			/// <summary>Name</summary>
			public IOLayoutsSetNaSubIndex NaSubIndex
			{
				get { return naSubIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public IOLayoutsSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Bearbeitungsstufe</summary>
			public IOLayoutsSetBeaStufeIndex BeaStufeIndex
			{
				get { return beaStufeIndex; }
			}
			
			/// <summary>Programmversion</summary>
			public IOLayoutsSetVerIndex VerIndex
			{
				get { return verIndex; }
			}
			
		
			#endregion
		}

		public IOLayoutsSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
