using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Identifikationen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Identifikationen";
			
		public static Identifikationen CreateInstance(BpnConnection connection)
		{
		    var identifikationenInfo = connection.GetDataSetInfo(DS_NAME);
		    var identifikationenDataSet = identifikationenInfo.CreateDataSet();
		
		    var ret = new Identifikationen(identifikationenDataSet);
		    return ret;
		}
		
		public Identifikationen(BpNT.AutoDataSet identifikationenDataSet) 
			: base(identifikationenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Identifikationennummer ( String )</summary>
		public virtual String IdtNr
		{
			get { return Convert.ToString(this["IdtNr"]); }
			set { this["IdtNr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Art ( Integer )</summary>
		public virtual Int32 Art
		{
			get { return Convert.ToInt32(this["Art"]); }
			set { this["Art"] = value; }
		}
		/// <summary>Daten ( String )</summary>
		public virtual String DatenStr
		{
			get { return Convert.ToString(this["DatenStr"]); }
			set { this["DatenStr"] = value; }
		}
		/// <summary>IdentifikationenZO ( Table )</summary>
		public virtual Object Idz
		{
			get { return this["Idz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
