using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IdentifikationenSet : BpnEntitySet<Identifikationen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Identifikationen";
			
		public static IdentifikationenSet CreateInstance(BpnConnection connection)
		{
		    var identifikationensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var identifikationensetDataSet = identifikationensetInfo.CreateDataSet();
		
		    var ret = new IdentifikationenSet(identifikationensetDataSet);
		    return ret;
		}
		
		internal IdentifikationenSet(BpNT.AutoDataSet identifikationenDataSet) 
			: base(identifikationenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected IdentifikationenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new IdentifikationenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected IdentifikationenSet parentSet;
		
			protected IdentifikationenSetIDIndex iDIndex;
			protected IdentifikationenSetNrIndex nrIndex;
			protected IdentifikationenSetBezIndex bezIndex;
			protected IdentifikationenSetDataIndex dataIndex;
		
			internal IndicesClass(IdentifikationenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new IdentifikationenSetIDIndex(parentSet.DataSet);
				nrIndex = new IdentifikationenSetNrIndex(parentSet.DataSet);
				bezIndex = new IdentifikationenSetBezIndex(parentSet.DataSet);
				dataIndex = new IdentifikationenSetDataIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public IdentifikationenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public IdentifikationenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public IdentifikationenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Daten</summary>
			public IdentifikationenSetDataIndex DataIndex
			{
				get { return dataIndex; }
			}
			
		
			#endregion
		}

		public IdentifikationenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
