using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class IdentifikationenZOSet : BpnEntitySet<IdentifikationenZO>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "IdentifikationenZO";
			
		public static IdentifikationenZOSet CreateInstance(BpnConnection connection)
		{
		    var identifikationenzosetInfo = connection.GetDataSetInfo(DS_NAME);
		    var identifikationenzosetDataSet = identifikationenzosetInfo.CreateDataSet();
		
		    var ret = new IdentifikationenZOSet(identifikationenzosetDataSet);
		    return ret;
		}
		
		internal IdentifikationenZOSet(BpNT.AutoDataSet identifikationenzoDataSet) 
			: base(identifikationenzoDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected IdentifikationenZOSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new IdentifikationenZOSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected IdentifikationenZOSet parentSet;
		
			protected IdentifikationenZOSetIDIndex iDIndex;
			protected IdentifikationenZOSetIdtNrIndex idtNrIndex;
			protected IdentifikationenZOSetDBBkzBezIndex dBBkzBezIndex;
			protected IdentifikationenZOSetDBBkzBezNrIndex dBBkzBezNrIndex;
		
			internal IndicesClass(IdentifikationenZOSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new IdentifikationenZOSetIDIndex(parentSet.DataSet);
				idtNrIndex = new IdentifikationenZOSetIdtNrIndex(parentSet.DataSet);
				dBBkzBezIndex = new IdentifikationenZOSetDBBkzBezIndex(parentSet.DataSet);
				dBBkzBezNrIndex = new IdentifikationenZOSetDBBkzBezNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public IdentifikationenZOSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public IdentifikationenZOSetIdtNrIndex IdtNrIndex
			{
				get { return idtNrIndex; }
			}
			
			/// <summary>Bereich</summary>
			public IdentifikationenZOSetDBBkzBezIndex DBBkzBezIndex
			{
				get { return dBBkzBezIndex; }
			}
			
			/// <summary>Bereich und Nummer</summary>
			public IdentifikationenZOSetDBBkzBezNrIndex DBBkzBezNrIndex
			{
				get { return dBBkzBezNrIndex; }
			}
			
		
			#endregion
		}

		public IdentifikationenZOSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
