using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KalendariumSet : BpnEntitySet<Kalendarium>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Kalendarium";
			
		public static KalendariumSet CreateInstance(BpnConnection connection)
		{
		    var kalendariumsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kalendariumsetDataSet = kalendariumsetInfo.CreateDataSet();
		
		    var ret = new KalendariumSet(kalendariumsetDataSet);
		    return ret;
		}
		
		internal KalendariumSet(BpNT.AutoDataSet kalendariumDataSet) 
			: base(kalendariumDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KalendariumSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KalendariumSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KalendariumSet parentSet;
		
			protected KalendariumSetIDIndex iDIndex;
			protected KalendariumSetMitNrDatIndex mitNrDatIndex;
			protected KalendariumSetDatMitNrIndex datMitNrIndex;
		
			internal IndicesClass(KalendariumSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KalendariumSetIDIndex(parentSet.DataSet);
				mitNrDatIndex = new KalendariumSetMitNrDatIndex(parentSet.DataSet);
				datMitNrIndex = new KalendariumSetDatMitNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KalendariumSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>MitNrDat</summary>
			public KalendariumSetMitNrDatIndex MitNrDatIndex
			{
				get { return mitNrDatIndex; }
			}
			
			/// <summary>DatMitNr</summary>
			public KalendariumSetDatMitNrIndex DatMitNrIndex
			{
				get { return datMitNrIndex; }
			}
			
		
			#endregion
		}

		public KalendariumSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
