using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Kalender : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Kalender";
			
		public static Kalender CreateInstance(BpnConnection connection)
		{
		    var kalenderInfo = connection.GetDataSetInfo(DS_NAME);
		    var kalenderDataSet = kalenderInfo.CreateDataSet();
		
		    var ret = new Kalender(kalenderDataSet);
		    return ret;
		}
		
		public Kalender(BpNT.AutoDataSet kalenderDataSet) 
			: base(kalenderDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Kurzinfo ( String )</summary>
		public virtual String KuInfo
		{
			get { return Convert.ToString(this["KuInfo"]); }
			set { this["KuInfo"] = value; }
		}
		/// <summary>Art ( Byte )</summary>
		public virtual Object Art
		{
			get { return this["Art"]; }
			set { this["Art"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Startdatum ( Date )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Enddatum ( Date )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Startzeit ( Time )</summary>
		public virtual Object StartZt
		{
			get { return this["StartZt"]; }
			set { this["StartZt"] = value; }
		}
		/// <summary>Endzeit ( Time )</summary>
		public virtual Object EndZt
		{
			get { return this["EndZt"]; }
			set { this["EndZt"] = value; }
		}
		/// <summary>Startdatum und -zeit ( DateTime )</summary>
		public virtual DateTime StartDatZt
		{
			get { return Convert.ToDateTime(this["StartDatZt"]); }
		}
		/// <summary>Enddatum und -zeit ( DateTime )</summary>
		public virtual DateTime EndDatZt
		{
			get { return Convert.ToDateTime(this["EndDatZt"]); }
		}
		/// <summary>Start- und Enddatum mit Zeit ( String )</summary>
		public virtual String StartEndDatZt
		{
			get { return Convert.ToString(this["StartEndDatZt"]); }
		}
		/// <summary>Ganztgig Kennzeichen ( Boolean )</summary>
		public virtual Object GanzTagKz
		{
			get { return this["GanzTagKz"]; }
			set { this["GanzTagKz"] = value; }
		}
		/// <summary>Serientermin Kennzeichen ( Boolean )</summary>
		public virtual Object StKz
		{
			get { return this["StKz"]; }
			set { this["StKz"] = value; }
		}
		/// <summary>Serientermin Typ Kennzeichen ( Byte )</summary>
		public virtual Object StTypKz
		{
			get { return this["StTypKz"]; }
			set { this["StTypKz"] = value; }
		}
		/// <summary>Serientermin Art ( Byte )</summary>
		public virtual Object StArt
		{
			get { return this["StArt"]; }
		}
		/// <summary>Serientermin EndDatum ( Date )</summary>
		public virtual DateTime StEndDat
		{
			get { return Convert.ToDateTime(this["StEndDat"]); }
			set { this["StEndDat"] = value; }
		}
		/// <summary>Serientermin ParentID Kennzeichen ( Integer )</summary>
		public virtual Int32 StParentIDKz
		{
			get { return Convert.ToInt32(this["StParentIDKz"]); }
			set { this["StParentIDKz"] = value; }
		}
		/// <summary>Serientermin Wiederholung ID Kennzeichen ( Integer )</summary>
		public virtual Int32 StWiedIDKz
		{
			get { return Convert.ToInt32(this["StWiedIDKz"]); }
			set { this["StWiedIDKz"] = value; }
		}
		/// <summary>Serientermin Wiederholungen ( Integer )</summary>
		public virtual Int32 StAnz
		{
			get { return Convert.ToInt32(this["StAnz"]); }
			set { this["StAnz"] = value; }
		}
		/// <summary>Serientermin Tag Nummer ( Integer )</summary>
		public virtual Int32 StTagNummer
		{
			get { return Convert.ToInt32(this["StTagNummer"]); }
			set { this["StTagNummer"] = value; }
		}
		/// <summary>Serientermin Wochentag ( Byte )</summary>
		public virtual Object StTagTyp
		{
			get { return this["StTagTyp"]; }
			set { this["StTagTyp"] = value; }
		}
		/// <summary>Serientermin Tage ( Integer )</summary>
		public virtual Int32 StTageFlag
		{
			get { return Convert.ToInt32(this["StTageFlag"]); }
			set { this["StTageFlag"] = value; }
		}
		/// <summary>Serientermin MontagKennzeichen ( Boolean )</summary>
		public virtual Object StMontagKz
		{
			get { return this["StMontagKz"]; }
		}
		/// <summary>Serientermin Dienstag Kennzeichen ( Boolean )</summary>
		public virtual Object StDienstagKz
		{
			get { return this["StDienstagKz"]; }
		}
		/// <summary>Serientermin Mittwoch Kennzeichen ( Boolean )</summary>
		public virtual Object StMittwochKz
		{
			get { return this["StMittwochKz"]; }
		}
		/// <summary>Serientermin Donnerstag Kennzeichen ( Boolean )</summary>
		public virtual Object StDonnerstagKz
		{
			get { return this["StDonnerstagKz"]; }
		}
		/// <summary>Serientermin Freitag Kennzeichen ( Boolean )</summary>
		public virtual Object StFreitagKz
		{
			get { return this["StFreitagKz"]; }
		}
		/// <summary>Serientermin Samstag Kennzeichen ( Boolean )</summary>
		public virtual Object StSamstagKz
		{
			get { return this["StSamstagKz"]; }
		}
		/// <summary>Serientermin Sonntag Kennzeichen ( Boolean )</summary>
		public virtual Object StSonntagKz
		{
			get { return this["StSonntagKz"]; }
		}
		/// <summary>Serientermin Hufigkeit Kennzeichen ( Integer )</summary>
		public virtual Int32 StHaeufigKeitKz
		{
			get { return Convert.ToInt32(this["StHaeufigKeitKz"]); }
			set { this["StHaeufigKeitKz"] = value; }
		}
		/// <summary>Serientermin Wiederholungsmuster Kennzeichen ( Byte )</summary>
		public virtual Object StWiederholungKz
		{
			get { return this["StWiederholungKz"]; }
			set { this["StWiederholungKz"] = value; }
		}
		/// <summary>Serientermin Jahreshufigkeit Kennzeichen ( Integer )</summary>
		public virtual Int32 StJahrHaeufigKtKz
		{
			get { return Convert.ToInt32(this["StJahrHaeufigKtKz"]); }
			set { this["StJahrHaeufigKtKz"] = value; }
		}
		/// <summary>Terminfarbe ( Integer )</summary>
		public virtual Int32 TerminFarbe
		{
			get { return Convert.ToInt32(this["TerminFarbe"]); }
			set { this["TerminFarbe"] = value; }
		}
		/// <summary>Termin-Status Kennzeichen ( Integer )</summary>
		public virtual Int32 StatusKz
		{
			get { return Convert.ToInt32(this["StatusKz"]); }
			set { this["StatusKz"] = value; }
		}
		/// <summary>Outlook Entry-ID ( String )</summary>
		public virtual String OutlookEntryID
		{
			get { return Convert.ToString(this["OutlookEntryID"]); }
			set { this["OutlookEntryID"] = value; }
		}
		/// <summary>Erinnerungsdatum und -zeit ( DateTime )</summary>
		public virtual DateTime MeldDatZt
		{
			get { return Convert.ToDateTime(this["MeldDatZt"]); }
			set { this["MeldDatZt"] = value; }
		}
		/// <summary>Erinnerung vorher (in Stunden:Minuten) ( DateTime )</summary>
		public virtual DateTime MeldZt
		{
			get { return Convert.ToDateTime(this["MeldZt"]); }
			set { this["MeldZt"] = value; }
		}
		/// <summary>Meldung Kennzeichen ( Boolean )</summary>
		public virtual Object MeldKz
		{
			get { return this["MeldKz"]; }
			set { this["MeldKz"] = value; }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Privat Kennzeichen ( Boolean )</summary>
		public virtual Object PrivKz
		{
			get { return this["PrivKz"]; }
			set { this["PrivKz"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
		public virtual String SBzrNr
		{
			get { return Convert.ToString(this["SBzrNr"]); }
			set { this["SBzrNr"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzer) ( String )</summary>
		public virtual String SBzrNrInfo
		{
			get { return Convert.ToString(this["SBzrNrInfo"]); }
		}
		/// <summary>Ansprechpartner (Bereich) ( String )</summary>
		public virtual String AspDBBkzBez
		{
			get { return Convert.ToString(this["AspDBBkzBez"]); }
			set { this["AspDBBkzBez"] = value; }
		}
		/// <summary>Ansprechpartner (Nr.) ( String )</summary>
		public virtual String AspNr
		{
			get { return Convert.ToString(this["AspNr"]); }
			set { this["AspNr"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Ansp
		{
			get { return Convert.ToString(this["Ansp"]); }
			set { this["Ansp"] = value; }
		}
		/// <summary>Telefon ( String )</summary>
		public virtual String Tel
		{
			get { return Convert.ToString(this["Tel"]); }
			set { this["Tel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>E-Mail ( String )</summary>
		public virtual String EMail
		{
			get { return Convert.ToString(this["EMail"]); }
			set { this["EMail"] = value; }
		}
		/// <summary>Nr. & Anschrift des Ansprechparnter ( String )</summary>
		public virtual String AspInfo
		{
			get { return Convert.ToString(this["AspInfo"]); }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String AspNa1
		{
			get { return Convert.ToString(this["AspNa1"]); }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String AspNa2
		{
			get { return Convert.ToString(this["AspNa2"]); }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String AspNa3
		{
			get { return Convert.ToString(this["AspNa3"]); }
		}
		/// <summary>Name 4 ( String )</summary>
		public virtual String AspNa4
		{
			get { return Convert.ToString(this["AspNa4"]); }
		}
		/// <summary>Name 5 ( String )</summary>
		public virtual String AspNa5
		{
			get { return Convert.ToString(this["AspNa5"]); }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String AspAbt
		{
			get { return Convert.ToString(this["AspAbt"]); }
		}
		/// <summary>Asp Strae ( String )</summary>
		public virtual String AspStr
		{
			get { return Convert.ToString(this["AspStr"]); }
		}
		/// <summary>Asp Land ( Integer )</summary>
		public virtual Int32 AspLand
		{
			get { return Convert.ToInt32(this["AspLand"]); }
		}
		/// <summary>Asp Lnderkennzeichen ( String )</summary>
		public virtual String AspLandKennz
		{
			get { return Convert.ToString(this["AspLandKennz"]); }
		}
		/// <summary>Asp Postleitzahl ( String )</summary>
		public virtual String AspPLZ
		{
			get { return Convert.ToString(this["AspPLZ"]); }
		}
		/// <summary>Asp Land & PLZ ( String )</summary>
		public virtual String AspPLZInfo
		{
			get { return Convert.ToString(this["AspPLZInfo"]); }
		}
		/// <summary>Asp Ort ( String )</summary>
		public virtual String AspOrt
		{
			get { return Convert.ToString(this["AspOrt"]); }
		}
		/// <summary>Asp PLZ & Ort ( String )</summary>
		public virtual String AspPLZOrtInfo
		{
			get { return Convert.ToString(this["AspPLZOrtInfo"]); }
		}
		/// <summary>Asp Anrede fr Serienbrief ( String )</summary>
		public virtual String AspAnrSB
		{
			get { return Convert.ToString(this["AspAnrSB"]); }
		}
		/// <summary>Anhang (Bereich) ( String )</summary>
		public virtual String AnhDBBkzBez
		{
			get { return Convert.ToString(this["AnhDBBkzBez"]); }
			set { this["AnhDBBkzBez"] = value; }
		}
		/// <summary>Anhang (ID) ( Integer )</summary>
		public virtual Int32 AnhNr
		{
			get { return Convert.ToInt32(this["AnhNr"]); }
			set { this["AnhNr"] = value; }
		}
		/// <summary>Anhang ( String )</summary>
		public virtual String AnhInfo
		{
			get { return Convert.ToString(this["AnhInfo"]); }
		}
		/// <summary>Anhang (Aktion) ( Integer )</summary>
		public virtual Int32 AnhAktion
		{
			get { return Convert.ToInt32(this["AnhAktion"]); }
			set { this["AnhAktion"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Stufe ( Byte )</summary>
		public virtual Object Stufe
		{
			get { return this["Stufe"]; }
			set { this["Stufe"] = value; }
		}
		/// <summary>Automatisch erstellt ( Boolean )</summary>
		public virtual Object AutoKz
		{
			get { return this["AutoKz"]; }
			set { this["AutoKz"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Anhang nicht nderbar Kennzeichen ( Boolean )</summary>
		public virtual Object AnhNAendernKz
		{
			get { return this["AnhNAendernKz"]; }
		}
		/// <summary>Felder fr Bezeichnung ( StringList )</summary>
		public virtual Object BezFelder
		{
			get { return this["BezFelder"]; }
			set { this["BezFelder"] = value; }
		}
		/// <summary>Aktion Info Kennzeichen ( Boolean )</summary>
		public virtual Object AktInfoKz
		{
			get { return this["AktInfoKz"]; }
		}
		/// <summary>AktionInfo ( String )</summary>
		public virtual String AktionInfo
		{
			get { return Convert.ToString(this["AktionInfo"]); }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
