using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KasseDefinition : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "KasseDefinition";
			
		public static KasseDefinition CreateInstance(BpnConnection connection)
		{
		    var kassedefinitionInfo = connection.GetDataSetInfo(DS_NAME);
		    var kassedefinitionDataSet = kassedefinitionInfo.CreateDataSet();
		
		    var ret = new KasseDefinition(kassedefinitionDataSet);
		    return ret;
		}
		
		public KasseDefinition(BpNT.AutoDataSet kassedefinitionDataSet) 
			: base(kassedefinitionDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Kassennummer ( Byte )</summary>
		public virtual Object KasseNr
		{
			get { return this["KasseNr"]; }
			set { this["KasseNr"] = value; }
		}
		/// <summary>Zeilennummer ( Byte )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Benutzt Kennzeichen ( Boolean )</summary>
		public virtual Object BenutztKz
		{
			get { return this["BenutztKz"]; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Whrung 2 ( String )</summary>
		public virtual String Waehr2
		{
			get { return Convert.ToString(this["Waehr2"]); }
			set { this["Waehr2"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Kassengruppenbezeichnung fr Buchungsparameter ( String )</summary>
		public virtual String KBPaGrpBez
		{
			get { return Convert.ToString(this["KBPaGrpBez"]); }
			set { this["KBPaGrpBez"] = value; }
		}
		/// <summary>nchste laufende Belegnummer ( String )</summary>
		public virtual String BelegLfdNr
		{
			get { return Convert.ToString(this["BelegLfdNr"]); }
			set { this["BelegLfdNr"] = value; }
		}
		/// <summary>Layout fr Belegnummer ( String )</summary>
		public virtual String BelegNrLay
		{
			get { return Convert.ToString(this["BelegNrLay"]); }
			set { this["BelegNrLay"] = value; }
		}
		/// <summary>Bei Jahreswechsel laufende Beleg-Nr. zurcksetzen ( Boolean )</summary>
		public virtual Object BelegNrJWKz
		{
			get { return this["BelegNrJWKz"]; }
		}
		/// <summary>Tabellenansicht fr Kassenpositionen ( String )</summary>
		public virtual String KPosTabAns
		{
			get { return Convert.ToString(this["KPosTabAns"]); }
			set { this["KPosTabAns"] = value; }
		}
		/// <summary>Kassenpositionen im extra Tabelle eingeben ( Boolean )</summary>
		public virtual Object KPosEgbKz
		{
			get { return this["KPosEgbKz"]; }
		}
		/// <summary>Tabellenansicht fr Kassenpositionseingabe ( String )</summary>
		public virtual String KPosEgbTabAns
		{
			get { return Convert.ToString(this["KPosEgbTabAns"]); }
			set { this["KPosEgbTabAns"] = value; }
		}
		/// <summary>Kassenpositionen in einzeligem Eingabefeld eingeben ( Boolean )</summary>
		public virtual Object KPosEgb1ZKz
		{
			get { return this["KPosEgb1ZKz"]; }
		}
		/// <summary>Vorgabe Anzeigebeleg ( String )</summary>
		public virtual String VgbAnzBeleg
		{
			get { return Convert.ToString(this["VgbAnzBeleg"]); }
			set { this["VgbAnzBeleg"] = value; }
		}
		/// <summary>Ansicht ( Array )</summary>
		public virtual Object Ansicht
		{
			get { return this["Ansicht"]; }
			set { this["Ansicht"] = value; }
		}
		/// <summary>Vorgabeansicht ( Integer )</summary>
		public virtual Int32 KasVgbAnsicht
		{
			get { return Convert.ToInt32(this["KasVgbAnsicht"]); }
			set { this["KasVgbAnsicht"] = value; }
		}
		/// <summary>Vorgabe Belegart ( Byte )</summary>
		public virtual Object VgbBelegArt
		{
			get { return this["VgbBelegArt"]; }
			set { this["VgbBelegArt"] = value; }
		}
		/// <summary>Belegart kann nicht gewechselt werden ( Boolean )</summary>
		public virtual Object NoBelegArtAuswKz
		{
			get { return this["NoBelegArtAuswKz"]; }
		}
		/// <summary>Vorgabe fr "Aus Lager" ( Byte )</summary>
		public virtual Object VgbAusLag
		{
			get { return this["VgbAusLag"]; }
			set { this["VgbAusLag"] = value; }
		}
		/// <summary>Vorgabe fr "Nach Lager" ( Byte )</summary>
		public virtual Object VgbNachLag
		{
			get { return this["VgbNachLag"]; }
			set { this["VgbNachLag"] = value; }
		}
		/// <summary>Vorgabe Katalog fr Positionserfassung ( Integer )</summary>
		public virtual Int32 VgbArtKatalog
		{
			get { return Convert.ToInt32(this["VgbArtKatalog"]); }
			set { this["VgbArtKatalog"] = value; }
		}
		/// <summary>Layout fr OP-Text ( String )</summary>
		public virtual String VgbOPTextLay
		{
			get { return Convert.ToString(this["VgbOPTextLay"]); }
			set { this["VgbOPTextLay"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Umsatzsteuerkategorie aus Adresse Kennzeichen ( Boolean )</summary>
		public virtual Object UStKatAdrKz
		{
			get { return this["UStKatAdrKz"]; }
		}
		/// <summary>Inklusive Steuer aus Adresse ( Boolean )</summary>
		public virtual Object AdrIklStKz
		{
			get { return this["AdrIklStKz"]; }
		}
		/// <summary>Ausgabebeleg ( String )</summary>
		public virtual String AusgBeleg
		{
			get { return Convert.ToString(this["AusgBeleg"]); }
			set { this["AusgBeleg"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Einlage und Abschluss nicht aufgeschlsselt eingeben ( Boolean )</summary>
		public virtual Object EANichtAufKz
		{
			get { return this["EANichtAufKz"]; }
		}
		/// <summary>Vorgangsparametereinstellung fr Adressmeldungen beachten ( Boolean )</summary>
		public virtual Object VogPrmAdrMldKz
		{
			get { return this["VogPrmAdrMldKz"]; }
		}
		/// <summary>Stckelung fr Mnzen ( String )</summary>
		public virtual String MStueck
		{
			get { return Convert.ToString(this["MStueck"]); }
			set { this["MStueck"] = value; }
		}
		/// <summary>Stckelung fr Scheine ( String )</summary>
		public virtual String SStueck
		{
			get { return Convert.ToString(this["SStueck"]); }
			set { this["SStueck"] = value; }
		}
		/// <summary>Zahlungsart 1 ( Integer )</summary>
		public virtual Int32 ZahlArt1
		{
			get { return Convert.ToInt32(this["ZahlArt1"]); }
			set { this["ZahlArt1"] = value; }
		}
		/// <summary>Zahlungsart 2 ( Integer )</summary>
		public virtual Int32 ZahlArt2
		{
			get { return Convert.ToInt32(this["ZahlArt2"]); }
			set { this["ZahlArt2"] = value; }
		}
		/// <summary>Farbe fr "Gesamt" ( Integer )</summary>
		public virtual Int32 GesFarbe
		{
			get { return Convert.ToInt32(this["GesFarbe"]); }
			set { this["GesFarbe"] = value; }
		}
		/// <summary>Farbe fr "Zurck" ( Integer )</summary>
		public virtual Int32 ZurFarbe
		{
			get { return Convert.ToInt32(this["ZurFarbe"]); }
			set { this["ZurFarbe"] = value; }
		}
		/// <summary>Hintergrundfarbe fr "Gesamt" ( Integer )</summary>
		public virtual Int32 GesFarbeBk
		{
			get { return Convert.ToInt32(this["GesFarbeBk"]); }
			set { this["GesFarbeBk"] = value; }
		}
		/// <summary>Hintergrundfarbe fr "Zurck" ( Integer )</summary>
		public virtual Int32 ZurFarbeBk
		{
			get { return Convert.ToInt32(this["ZurFarbeBk"]); }
			set { this["ZurFarbeBk"] = value; }
		}
		/// <summary>Dunkle Pixel fr "Gesamt" unsichtbar ( Boolean )</summary>
		public virtual Object GesOffPix
		{
			get { return this["GesOffPix"]; }
			set { this["GesOffPix"] = value; }
		}
		/// <summary>Dunkle Pixel fr "Zurck" unsichtbar ( Boolean )</summary>
		public virtual Object ZurOffPix
		{
			get { return this["ZurOffPix"]; }
			set { this["ZurOffPix"] = value; }
		}
		/// <summary>Bezeichnung der Buchungskonten ( String )</summary>
		public virtual String BuchKtoBez
		{
			get { return Convert.ToString(this["BuchKtoBez"]); }
			set { this["BuchKtoBez"] = value; }
		}
		/// <summary>Layout fr Vorgangs-Positionsbezeichnung ( String )</summary>
		public virtual String VorgPosBezLay
		{
			get { return Convert.ToString(this["VorgPosBezLay"]); }
			set { this["VorgPosBezLay"] = value; }
		}
		/// <summary>Layout fr OP-Positionsbezeichnung ( String )</summary>
		public virtual String OPPosBezLay
		{
			get { return Convert.ToString(this["OPPosBezLay"]); }
			set { this["OPPosBezLay"] = value; }
		}
		/// <summary>Vorgangsart ( Byte )</summary>
		public virtual Object Art
		{
			get { return this["Art"]; }
			set { this["Art"] = value; }
		}
		/// <summary>Layout fr Rolltext ( String )</summary>
		public virtual String DspRollLay
		{
			get { return Convert.ToString(this["DspRollLay"]); }
			set { this["DspRollLay"] = value; }
		}
		/// <summary>Layout fr Artikeltext ( String )</summary>
		public virtual String DspArtLay
		{
			get { return Convert.ToString(this["DspArtLay"]); }
			set { this["DspArtLay"] = value; }
		}
		/// <summary>Layout fr Gesamt ( String )</summary>
		public virtual String DspGesLay
		{
			get { return Convert.ToString(this["DspGesLay"]); }
			set { this["DspGesLay"] = value; }
		}
		/// <summary>Layout fr Zurck ( String )</summary>
		public virtual String DspZurLay
		{
			get { return Convert.ToString(this["DspZurLay"]); }
			set { this["DspZurLay"] = value; }
		}
		/// <summary>Artikel-Kurzwahlenenbezeichnung ( String )</summary>
		public virtual String AKwnBez
		{
			get { return Convert.ToString(this["AKwnBez"]); }
			set { this["AKwnBez"] = value; }
		}
		/// <summary>AbsDr Name ( String )</summary>
		public virtual String AbsDrNa
		{
			get { return Convert.ToString(this["AbsDrNa"]); }
			set { this["AbsDrNa"] = value; }
		}
		/// <summary>AbsDr Modulkurzbezeichnung ( String )</summary>
		public virtual String AbsDrModKuBez
		{
			get { return Convert.ToString(this["AbsDrModKuBez"]); }
			set { this["AbsDrModKuBez"] = value; }
		}
		/// <summary>AbsDr Bezeichnung ( String )</summary>
		public virtual String AbsDrBez
		{
			get { return Convert.ToString(this["AbsDrBez"]); }
			set { this["AbsDrBez"] = value; }
		}
		/// <summary>AbsDr Berechtigungskenzeichen ( String )</summary>
		public virtual String AbsDrBKZ
		{
			get { return Convert.ToString(this["AbsDrBKZ"]); }
			set { this["AbsDrBKZ"] = value; }
		}
		/// <summary>Zwischenbelegsart fr Beleg parken ( Integer )</summary>
		public virtual Int32 ZwBArtParken
		{
			get { return Convert.ToInt32(this["ZwBArtParken"]); }
			set { this["ZwBArtParken"] = value; }
		}
		/// <summary>verfgbare Zahlarten ( Integer )</summary>
		public virtual Int32 Zahlarten
		{
			get { return Convert.ToInt32(this["Zahlarten"]); }
			set { this["Zahlarten"] = value; }
		}
		/// <summary>Schnelles Kassendisplay ( Boolean )</summary>
		public virtual Object SchKasDispKz
		{
			get { return this["SchKasDispKz"]; }
		}
		/// <summary>Schnelles Kassendisplay nur fr RDP Verbindungen ( Boolean )</summary>
		public virtual Object SchKasDispRDPKz
		{
			get { return this["SchKasDispRDPKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
