using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenPositionSet : BpnEntitySet<KassenPosition>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "KassenPosition";
			
		public static KassenPositionSet CreateInstance(BpnConnection connection)
		{
		    var kassenpositionsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kassenpositionsetDataSet = kassenpositionsetInfo.CreateDataSet();
		
		    var ret = new KassenPositionSet(kassenpositionsetDataSet);
		    return ret;
		}
		
		internal KassenPositionSet(BpNT.AutoDataSet kassenpositionDataSet) 
			: base(kassenpositionDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KassenPositionSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KassenPositionSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KassenPositionSet parentSet;
		
			protected KassenPositionSetIDIndex iDIndex;
			protected KassenPositionSetNrIndex nrIndex;
			protected KassenPositionSetArtNrIndex artNrIndex;
		
			internal IndicesClass(KassenPositionSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KassenPositionSetIDIndex(parentSet.DataSet);
				nrIndex = new KassenPositionSetNrIndex(parentSet.DataSet);
				artNrIndex = new KassenPositionSetArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KassenPositionSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nr</summary>
			public KassenPositionSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>ArtNr</summary>
			public KassenPositionSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
		
			#endregion
		}

		public KassenPositionSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
