using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KassenSet : BpnEntitySet<Kassen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Kassen";
			
		public static KassenSet CreateInstance(BpnConnection connection)
		{
		    var kassensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kassensetDataSet = kassensetInfo.CreateDataSet();
		
		    var ret = new KassenSet(kassensetDataSet);
		    return ret;
		}
		
		internal KassenSet(BpNT.AutoDataSet kassenDataSet) 
			: base(kassenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KassenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KassenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KassenSet parentSet;
		
			protected KassenSetNrIBNrIndex nrIBNrIndex;
			protected KassenSetFNrNrIBNrAltIndex fNrNrIBNrAltIndex;
			protected KassenSetIBNrIndex iBNrIndex;
			protected KassenSetNrDatIBNrIndex nrDatIBNrIndex;
			protected KassenSetNrBNrIndex nrBNrIndex;
			protected KassenSetAdrNrIndex adrNrIndex;
		
			internal IndicesClass(KassenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIBNrIndex = new KassenSetNrIBNrIndex(parentSet.DataSet);
				fNrNrIBNrAltIndex = new KassenSetFNrNrIBNrAltIndex(parentSet.DataSet);
				iBNrIndex = new KassenSetIBNrIndex(parentSet.DataSet);
				nrDatIBNrIndex = new KassenSetNrDatIBNrIndex(parentSet.DataSet);
				nrBNrIndex = new KassenSetNrBNrIndex(parentSet.DataSet);
				adrNrIndex = new KassenSetAdrNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>NrIBNr</summary>
			public KassenSetNrIBNrIndex NrIBNrIndex
			{
				get { return nrIBNrIndex; }
			}
			
			/// <summary>FNrNrIBNrAlt</summary>
			public KassenSetFNrNrIBNrAltIndex FNrNrIBNrAltIndex
			{
				get { return fNrNrIBNrAltIndex; }
			}
			
			/// <summary>IBNr</summary>
			public KassenSetIBNrIndex IBNrIndex
			{
				get { return iBNrIndex; }
			}
			
			/// <summary>NrDatIBNr</summary>
			public KassenSetNrDatIBNrIndex NrDatIBNrIndex
			{
				get { return nrDatIBNrIndex; }
			}
			
			/// <summary>Kassennummer & Belegnummer</summary>
			public KassenSetNrBNrIndex NrBNrIndex
			{
				get { return nrBNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public KassenSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
		
			#endregion
		}

		public KassenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
