using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Kontakte : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Kontakte";
			
		public static Kontakte CreateInstance(BpnConnection connection)
		{
		    var kontakteInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontakteDataSet = kontakteInfo.CreateDataSet();
		
		    var ret = new Kontakte(kontakteDataSet);
		    return ret;
		}
		
		public Kontakte(BpNT.AutoDataSet kontakteDataSet) 
			: base(kontakteDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>ID (Intern) ( Integer )</summary>
		public virtual Int32 IntID
		{
			get { return Convert.ToInt32(this["IntID"]); }
			set { this["IntID"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Kurzinformation ( String )</summary>
		public virtual String KuInfo
		{
			get { return Convert.ToString(this["KuInfo"]); }
			set { this["KuInfo"] = value; }
		}
		/// <summary>Erfassungsdatum ( DateTime )</summary>
		public virtual DateTime ErfDat
		{
			get { return Convert.ToDateTime(this["ErfDat"]); }
			set { this["ErfDat"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzernummer) ( String )</summary>
		public virtual String SBzrNr
		{
			get { return Convert.ToString(this["SBzrNr"]); }
			set { this["SBzrNr"] = value; }
		}
		/// <summary>Sachbearbeiter (Benutzer) ( String )</summary>
		public virtual String SBzrNrInfo
		{
			get { return Convert.ToString(this["SBzrNrInfo"]); }
		}
		/// <summary>Wichtigkeit ( Byte )</summary>
		public virtual Object Wichtig
		{
			get { return this["Wichtig"]; }
			set { this["Wichtig"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Ausgabeverteiler Kennzeichen ( Boolean )</summary>
		public virtual Object AusgVtlKz
		{
			get { return this["AusgVtlKz"]; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>Nummer ( String )</summary>
		public virtual String Nr
		{
			get { return Convert.ToString(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Laufende Nummer ( Integer )</summary>
		public virtual Int32 LfdNr
		{
			get { return Convert.ToInt32(this["LfdNr"]); }
			set { this["LfdNr"] = value; }
		}
		/// <summary>Anschrift ( String )</summary>
		public virtual String AnsInfo
		{
			get { return Convert.ToString(this["AnsInfo"]); }
		}
		/// <summary>Ans International Location Number ( String )</summary>
		public virtual String AnsILN
		{
			get { return Convert.ToString(this["AnsILN"]); }
		}
		/// <summary>Ans Name 1 (Anrede) ( String )</summary>
		public virtual String AnsNa1
		{
			get { return Convert.ToString(this["AnsNa1"]); }
		}
		/// <summary>Ans Name 2 ( String )</summary>
		public virtual String AnsNa2
		{
			get { return Convert.ToString(this["AnsNa2"]); }
		}
		/// <summary>Ans Name 3 (Zusatz) ( String )</summary>
		public virtual String AnsNa3
		{
			get { return Convert.ToString(this["AnsNa3"]); }
		}
		/// <summary>Ans Name 4 ( String )</summary>
		public virtual String AnsNa4
		{
			get { return Convert.ToString(this["AnsNa4"]); }
		}
		/// <summary>Ans Name 5 ( String )</summary>
		public virtual String AnsNa5
		{
			get { return Convert.ToString(this["AnsNa5"]); }
		}
		/// <summary>Ans Abteilung ( String )</summary>
		public virtual String AnsAbt
		{
			get { return Convert.ToString(this["AnsAbt"]); }
		}
		/// <summary>Ans Strae ( String )</summary>
		public virtual String AnsStr
		{
			get { return Convert.ToString(this["AnsStr"]); }
		}
		/// <summary>Ans Land ( Integer )</summary>
		public virtual Int32 AnsLand
		{
			get { return Convert.ToInt32(this["AnsLand"]); }
		}
		/// <summary>Ans Lnderkennzeichen ( String )</summary>
		public virtual String AnsLandKennz
		{
			get { return Convert.ToString(this["AnsLandKennz"]); }
		}
		/// <summary>Ans Postleitzahl ( String )</summary>
		public virtual String AnsPLZ
		{
			get { return Convert.ToString(this["AnsPLZ"]); }
		}
		/// <summary>Ans Land & PLZ ( String )</summary>
		public virtual String AnsPLZInfo
		{
			get { return Convert.ToString(this["AnsPLZInfo"]); }
		}
		/// <summary>Ans Ort ( String )</summary>
		public virtual String AnsOrt
		{
			get { return Convert.ToString(this["AnsOrt"]); }
		}
		/// <summary>Ans PLZ & Ort ( String )</summary>
		public virtual String AnsPLZOrtInfo
		{
			get { return Convert.ToString(this["AnsPLZOrtInfo"]); }
		}
		/// <summary>Ans Postfach ( String )</summary>
		public virtual String AnsPostf
		{
			get { return Convert.ToString(this["AnsPostf"]); }
		}
		/// <summary>Ans Postfach Postleitzahl ( String )</summary>
		public virtual String AnsPfPLZ
		{
			get { return Convert.ToString(this["AnsPfPLZ"]); }
		}
		/// <summary>Ans Postfach Ort ( String )</summary>
		public virtual String AnsPfOrt
		{
			get { return Convert.ToString(this["AnsPfOrt"]); }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Ansp
		{
			get { return Convert.ToString(this["Ansp"]); }
			set { this["Ansp"] = value; }
		}
		/// <summary>Anrede fr Serienbrief ( String )</summary>
		public virtual String AnrSB
		{
			get { return Convert.ToString(this["AnrSB"]); }
			set { this["AnrSB"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Liste der Anlagen als DoKu Referenz ( String )</summary>
		public virtual String DoKuAnlage
		{
			get { return Convert.ToString(this["DoKuAnlage"]); }
		}
		/// <summary>Erreichbar von 1 ( Time )</summary>
		public virtual Object EVon1
		{
			get { return this["EVon1"]; }
			set { this["EVon1"] = value; }
		}
		/// <summary>Erreichbar bis 1 ( Time )</summary>
		public virtual Object EBis1
		{
			get { return this["EBis1"]; }
			set { this["EBis1"] = value; }
		}
		/// <summary>Erreichbarkeit 1 ( String )</summary>
		public virtual String EVonBis1
		{
			get { return Convert.ToString(this["EVonBis1"]); }
		}
		/// <summary>Erreichbar von 2 ( Time )</summary>
		public virtual Object EVon2
		{
			get { return this["EVon2"]; }
			set { this["EVon2"] = value; }
		}
		/// <summary>Erreichbar bis 2 ( Time )</summary>
		public virtual Object EBis2
		{
			get { return this["EBis2"]; }
			set { this["EBis2"] = value; }
		}
		/// <summary>Erreichbarkeit 2 ( String )</summary>
		public virtual String EVonBis2
		{
			get { return Convert.ToString(this["EVonBis2"]); }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Automatisch erstellt Kz ( Boolean )</summary>
		public virtual Object AutoKzKz
		{
			get { return this["AutoKzKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
