using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KontakteSet : BpnEntitySet<Kontakte>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Kontakte";
			
		public static KontakteSet CreateInstance(BpnConnection connection)
		{
		    var kontaktesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kontaktesetDataSet = kontaktesetInfo.CreateDataSet();
		
		    var ret = new KontakteSet(kontaktesetDataSet);
		    return ret;
		}
		
		internal KontakteSet(BpNT.AutoDataSet kontakteDataSet) 
			: base(kontakteDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KontakteSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KontakteSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KontakteSet parentSet;
		
			protected KontakteSetIDIndex iDIndex;
			protected KontakteSetIntIDIndex intIDIndex;
			protected KontakteSetNrIndex nrIndex;
			protected KontakteSetAnspIndex anspIndex;
			protected KontakteSetKuInfoIndex kuInfoIndex;
			protected KontakteSetBzrNrIndex bzrNrIndex;
			protected KontakteSetErfDatIndex erfDatIndex;
			protected KontakteSetPrjNrIndex prjNrIndex;
			protected KontakteSetDBBkzBezNrIndex dBBkzBezNrIndex;
			protected KontakteSetDBBkzBezAnspIndex dBBkzBezAnspIndex;
			protected KontakteSetDBBkzBezKuInfoIndex dBBkzBezKuInfoIndex;
			protected KontakteSetDBBkzBezBzrNrIndex dBBkzBezBzrNrIndex;
			protected KontakteSetDBBkzBezErfDatIndex dBBkzBezErfDatIndex;
			protected KontakteSetDBBkzBezPrjNrIndex dBBkzBezPrjNrIndex;
		
			internal IndicesClass(KontakteSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KontakteSetIDIndex(parentSet.DataSet);
				intIDIndex = new KontakteSetIntIDIndex(parentSet.DataSet);
				nrIndex = new KontakteSetNrIndex(parentSet.DataSet);
				anspIndex = new KontakteSetAnspIndex(parentSet.DataSet);
				kuInfoIndex = new KontakteSetKuInfoIndex(parentSet.DataSet);
				bzrNrIndex = new KontakteSetBzrNrIndex(parentSet.DataSet);
				erfDatIndex = new KontakteSetErfDatIndex(parentSet.DataSet);
				prjNrIndex = new KontakteSetPrjNrIndex(parentSet.DataSet);
				dBBkzBezNrIndex = new KontakteSetDBBkzBezNrIndex(parentSet.DataSet);
				dBBkzBezAnspIndex = new KontakteSetDBBkzBezAnspIndex(parentSet.DataSet);
				dBBkzBezKuInfoIndex = new KontakteSetDBBkzBezKuInfoIndex(parentSet.DataSet);
				dBBkzBezBzrNrIndex = new KontakteSetDBBkzBezBzrNrIndex(parentSet.DataSet);
				dBBkzBezErfDatIndex = new KontakteSetDBBkzBezErfDatIndex(parentSet.DataSet);
				dBBkzBezPrjNrIndex = new KontakteSetDBBkzBezPrjNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KontakteSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>IntID</summary>
			public KontakteSetIntIDIndex IntIDIndex
			{
				get { return intIDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KontakteSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public KontakteSetAnspIndex AnspIndex
			{
				get { return anspIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KontakteSetKuInfoIndex KuInfoIndex
			{
				get { return kuInfoIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KontakteSetBzrNrIndex BzrNrIndex
			{
				get { return bzrNrIndex; }
			}
			
			/// <summary>Erfassungsdatum</summary>
			public KontakteSetErfDatIndex ErfDatIndex
			{
				get { return erfDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KontakteSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Nummer (mit Bereich)</summary>
			public KontakteSetDBBkzBezNrIndex DBBkzBezNrIndex
			{
				get { return dBBkzBezNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public KontakteSetDBBkzBezAnspIndex DBBkzBezAnspIndex
			{
				get { return dBBkzBezAnspIndex; }
			}
			
			/// <summary>Kurzinfo</summary>
			public KontakteSetDBBkzBezKuInfoIndex DBBkzBezKuInfoIndex
			{
				get { return dBBkzBezKuInfoIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public KontakteSetDBBkzBezBzrNrIndex DBBkzBezBzrNrIndex
			{
				get { return dBBkzBezBzrNrIndex; }
			}
			
			/// <summary>Erfassungsdatum</summary>
			public KontakteSetDBBkzBezErfDatIndex DBBkzBezErfDatIndex
			{
				get { return dBBkzBezErfDatIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public KontakteSetDBBkzBezPrjNrIndex DBBkzBezPrjNrIndex
			{
				get { return dBBkzBezPrjNrIndex; }
			}
			
		
			#endregion
		}

		public KontakteSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
