using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Kostenstellen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Kostenstellen";
			
		public static Kostenstellen CreateInstance(BpnConnection connection)
		{
		    var kostenstellenInfo = connection.GetDataSetInfo(DS_NAME);
		    var kostenstellenDataSet = kostenstellenInfo.CreateDataSet();
		
		    var ret = new Kostenstellen(kostenstellenDataSet);
		    return ret;
		}
		
		public Kostenstellen(BpNT.AutoDataSet kostenstellenDataSet) 
			: base(kostenstellenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Immer Netto bebuchen ( Boolean )</summary>
		public virtual Object FNtBuchKz
		{
			get { return this["FNtBuchKz"]; }
		}
		/// <summary>AuftragUmsatz ( BlobTable )</summary>
		public virtual Object AUms
		{
			get { return this["AUms"]; }
			set { this["AUms"] = value; }
		}
		/// <summary>Auftrag Letzter Umsatz ( Date )</summary>
		public virtual DateTime ALtzUmsDat
		{
			get { return Convert.ToDateTime(this["ALtzUmsDat"]); }
			set { this["ALtzUmsDat"] = value; }
		}
		/// <summary>Auftrag Budgetschlssel ( Integer )</summary>
		public virtual Int32 ABudgetSchl
		{
			get { return Convert.ToInt32(this["ABudgetSchl"]); }
			set { this["ABudgetSchl"] = value; }
		}
		/// <summary>FiBuUmsatz ( BlobTable )</summary>
		public virtual Object FUms
		{
			get { return this["FUms"]; }
			set { this["FUms"] = value; }
		}
		/// <summary>FiBu proformaUmsatz ( BlobTable )</summary>
		public virtual Object FPUms
		{
			get { return this["FPUms"]; }
			set { this["FPUms"] = value; }
		}
		/// <summary>FiBuUmsatzin Leitwhrung 2 ( BlobTable )</summary>
		public virtual Object FUmsLW2
		{
			get { return this["FUmsLW2"]; }
			set { this["FUmsLW2"] = value; }
		}
		/// <summary>FiBu proformaUmsatzin Leitwhrung 2 ( BlobTable )</summary>
		public virtual Object FPUmsLW2
		{
			get { return this["FPUmsLW2"]; }
			set { this["FPUmsLW2"] = value; }
		}
		/// <summary>FiBu Budget fr die Perioden 1 bis 12 eingebbar ( Boolean )</summary>
		public virtual Object FBudget12Kz
		{
			get { return this["FBudget12Kz"]; }
		}
		/// <summary>LohnUmsatz ( BlobTable )</summary>
		public virtual Object LUms
		{
			get { return this["LUms"]; }
			set { this["LUms"] = value; }
		}
		/// <summary>Letztes Buchungsdatum ( DateTime )</summary>
		public virtual DateTime LtzBuchDat
		{
			get { return Convert.ToDateTime(this["LtzBuchDat"]); }
			set { this["LtzBuchDat"] = value; }
		}
		/// <summary>INTERN ( Date )</summary>
		public virtual DateTime LtzBuchDatum
		{
			get { return Convert.ToDateTime(this["LtzBuchDatum"]); }
		}
		/// <summary>Konto wurde in aktuellen Periode bebucht ( Integer )</summary>
		public virtual Int32 BIPeriode
		{
			get { return Convert.ToInt32(this["BIPeriode"]); }
		}
		/// <summary>Konto wurde in aktuellen Wirtschaftsjahr bebucht ( Integer )</summary>
		public virtual Int32 BIJahr
		{
			get { return Convert.ToInt32(this["BIJahr"]); }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
