using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KostenstellenSet : BpnEntitySet<Kostenstellen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Kostenstellen";
			
		public static KostenstellenSet CreateInstance(BpnConnection connection)
		{
		    var kostenstellensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var kostenstellensetDataSet = kostenstellensetInfo.CreateDataSet();
		
		    var ret = new KostenstellenSet(kostenstellensetDataSet);
		    return ret;
		}
		
		internal KostenstellenSet(BpNT.AutoDataSet kostenstellenDataSet) 
			: base(kostenstellenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KostenstellenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KostenstellenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KostenstellenSet parentSet;
		
			protected KostenstellenSetIDIndex iDIndex;
			protected KostenstellenSetNrIndex nrIndex;
			protected KostenstellenSetNrNumIndex nrNumIndex;
			protected KostenstellenSetSuchBegIndex suchBegIndex;
			protected KostenstellenSetBezIndex bezIndex;
			protected KostenstellenSetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(KostenstellenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KostenstellenSetIDIndex(parentSet.DataSet);
				nrIndex = new KostenstellenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new KostenstellenSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new KostenstellenSetSuchBegIndex(parentSet.DataSet);
				bezIndex = new KostenstellenSetBezIndex(parentSet.DataSet);
				ltzUmsatzIndex = new KostenstellenSetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KostenstellenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KostenstellenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public KostenstellenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public KostenstellenSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public KostenstellenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Letzter Umsatz (in Auftrag)</summary>
			public KostenstellenSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public KostenstellenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
