using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Krankenkassen : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Krankenkassen";
			
		public static Krankenkassen CreateInstance(BpnConnection connection)
		{
		    var krankenkassenInfo = connection.GetDataSetInfo(DS_NAME);
		    var krankenkassenDataSet = krankenkassenInfo.CreateDataSet();
		
		    var ret = new Krankenkassen(krankenkassenDataSet);
		    return ret;
		}
		
		public Krankenkassen(BpNT.AutoDataSet krankenkassenDataSet) 
			: base(krankenkassenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Einzugsstellennummer ( String )</summary>
		public virtual String KrkNr
		{
			get { return Convert.ToString(this["KrkNr"]); }
			set { this["KrkNr"] = value; }
		}
		/// <summary>Int Nummer ( Integer )</summary>
		public virtual Int32 IntNr
		{
			get { return Convert.ToInt32(this["IntNr"]); }
			set { this["IntNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Vorgabe Einzugsstellennummer ( String )</summary>
		public virtual String VgbKrkNr
		{
			get { return Convert.ToString(this["VgbKrkNr"]); }
			set { this["VgbKrkNr"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Name 3 fr SV Meldung ( String )</summary>
		public virtual String Na3SV
		{
			get { return Convert.ToString(this["Na3SV"]); }
			set { this["Na3SV"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail ( String )</summary>
		public virtual String EMail
		{
			get { return Convert.ToString(this["EMail"]); }
			set { this["EMail"] = value; }
		}
		/// <summary>Gltig in Bundeslnder ( Integer )</summary>
		public virtual Int32 KrkBuLand
		{
			get { return Convert.ToInt32(this["KrkBuLand"]); }
			set { this["KrkBuLand"] = value; }
		}
		/// <summary>Betriebsnummer ( String )</summary>
		public virtual String BetrNr
		{
			get { return Convert.ToString(this["BetrNr"]); }
			set { this["BetrNr"] = value; }
		}
		/// <summary>Betriebsnummer der Datenannahmestelle ( String )</summary>
		public virtual String DAVBetrNr
		{
			get { return Convert.ToString(this["DAVBetrNr"]); }
			set { this["DAVBetrNr"] = value; }
		}
		/// <summary>Betriebsnummer der Weiterleitungsstelle ( String )</summary>
		public virtual String WTLBetrNr
		{
			get { return Convert.ToString(this["WTLBetrNr"]); }
			set { this["WTLBetrNr"] = value; }
		}
		/// <summary>E-Mail der Datenannahmestelle ( String )</summary>
		public virtual String DAVEMail
		{
			get { return Convert.ToString(this["DAVEMail"]); }
			set { this["DAVEMail"] = value; }
		}
		/// <summary>Nachfolgebetriebsnummer ( String )</summary>
		public virtual String NFBetrNr
		{
			get { return Convert.ToString(this["NFBetrNr"]); }
			set { this["NFBetrNr"] = value; }
		}
		/// <summary>Beitragskontonummer ( String )</summary>
		public virtual String BeitrKNr
		{
			get { return Convert.ToString(this["BeitrKNr"]); }
			set { this["BeitrKNr"] = value; }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Asp
		{
			get { return Convert.ToString(this["Asp"]); }
			set { this["Asp"] = value; }
		}
		/// <summary>Buchungssatz erzeugen ( Boolean )</summary>
		public virtual Object BuchSKz
		{
			get { return this["BuchSKz"]; }
			set { this["BuchSKz"] = value; }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Name des Kontoinhabers ( String )</summary>
		public virtual String Inhab
		{
			get { return Convert.ToString(this["Inhab"]); }
			set { this["Inhab"] = value; }
		}
		/// <summary>Einzugsstellennummer zu der diese Stelle fusioniert ( String )</summary>
		public virtual String FusKrkNr
		{
			get { return Convert.ToString(this["FusKrkNr"]); }
			set { this["FusKrkNr"] = value; }
		}
		/// <summary>Datum ab der die Fusion abrechnungstechnisch gltig ist ( Date )</summary>
		public virtual DateTime FusDat
		{
			get { return Convert.ToDateTime(this["FusDat"]); }
			set { this["FusDat"] = value; }
		}
		/// <summary>Fusion per SV-Meldung melden (nur nach Aufforderung) ( Boolean )</summary>
		public virtual Object FusMldKz
		{
			get { return this["FusMldKz"]; }
		}
		/// <summary>Krankenkassenbeitragssaetze ( BlobTable )</summary>
		public virtual Object KBs
		{
			get { return this["KBs"]; }
			set { this["KBs"] = value; }
		}
		/// <summary>Abgleichsstand der Beitragsstze ( Date )</summary>
		public virtual DateTime KBsStandDat
		{
			get { return Convert.ToDateTime(this["KBsStandDat"]); }
			set { this["KBsStandDat"] = value; }
		}
		/// <summary>Lohnfortzahlung soll separat erstattet werden (wird im Beitragsnachweis nicht verrechnet) ( Boolean )</summary>
		public virtual Object LfzSeparatKz
		{
			get { return this["LfzSeparatKz"]; }
		}
		/// <summary>Mindestmitgliedsdauer ( Integer )</summary>
		public virtual Int32 MinMitZeit
		{
			get { return Convert.ToInt32(this["MinMitZeit"]); }
			set { this["MinMitZeit"] = value; }
		}
		/// <summary>Kndigungsfrist ( Integer )</summary>
		public virtual Int32 KndZeit
		{
			get { return Convert.ToInt32(this["KndZeit"]); }
			set { this["KndZeit"] = value; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>In Benutzung Kennzeichen ( Boolean )</summary>
		public virtual Object InBenutzungKz
		{
			get { return this["InBenutzungKz"]; }
			set { this["InBenutzungKz"] = value; }
		}
		/// <summary>Zyklus gesperrt Kennzeichen ( Boolean )</summary>
		public virtual Object ZykGspKz
		{
			get { return this["ZykGspKz"]; }
			set { this["ZykGspKz"] = value; }
		}
		/// <summary>Bruttolohn ( BlobTable )</summary>
		public virtual Object Bln
		{
			get { return this["Bln"]; }
			set { this["Bln"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Einzugsstellenart ( Integer )</summary>
		public virtual Int32 KrkArt
		{
			get { return Convert.ToInt32(this["KrkArt"]); }
			set { this["KrkArt"] = value; }
		}
		/// <summary>Krankenkassenversorgunssaetze ( BlobTable )</summary>
		public virtual Object KVs
		{
			get { return this["KVs"]; }
			set { this["KVs"] = value; }
		}
		/// <summary>Abgleichsstand der Versorgungsstze ( Date )</summary>
		public virtual DateTime KVsStandDat
		{
			get { return Convert.ToDateTime(this["KVsStandDat"]); }
			set { this["KVsStandDat"] = value; }
		}
		/// <summary>Krankenkassenumlagesaetze ( BlobTable )</summary>
		public virtual Object KUs
		{
			get { return this["KUs"]; }
			set { this["KUs"] = value; }
		}
		/// <summary>Abgleichsstand der Umlagestze ( Date )</summary>
		public virtual DateTime KUsStandDat
		{
			get { return Convert.ToDateTime(this["KUsStandDat"]); }
			set { this["KUsStandDat"] = value; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object StatusPts
		{
			get { return this["StatusPts"]; }
			set { this["StatusPts"] = value; }
		}
		/// <summary>Statusprotokoll Lohn ( Integer )</summary>
		public virtual Int32 StatusPtsImgLo
		{
			get { return Convert.ToInt32(this["StatusPtsImgLo"]); }
			set { this["StatusPtsImgLo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>AenderungsProtokoll ( BlobTable )</summary>
		public virtual Object Apk
		{
			get { return this["Apk"]; }
			set { this["Apk"] = value; }
		}
		/// <summary>Unique Child Index ( Integer )</summary>
		public virtual Int32 UCI
		{
			get { return Convert.ToInt32(this["UCI"]); }
			set { this["UCI"] = value; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
