using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class KrankenkassenSet : BpnEntitySet<Krankenkassen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Krankenkassen";
			
		public static KrankenkassenSet CreateInstance(BpnConnection connection)
		{
		    var krankenkassensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var krankenkassensetDataSet = krankenkassensetInfo.CreateDataSet();
		
		    var ret = new KrankenkassenSet(krankenkassensetDataSet);
		    return ret;
		}
		
		internal KrankenkassenSet(BpNT.AutoDataSet krankenkassenDataSet) 
			: base(krankenkassenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected KrankenkassenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new KrankenkassenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected KrankenkassenSet parentSet;
		
			protected KrankenkassenSetIDIndex iDIndex;
			protected KrankenkassenSetNrIndex nrIndex;
			protected KrankenkassenSetNrNumIndex nrNumIndex;
			protected KrankenkassenSetIntNrIndex intNrIndex;
			protected KrankenkassenSetSuchBegIndex suchBegIndex;
			protected KrankenkassenSetNa2Index na2Index;
			protected KrankenkassenSetPLZIndex pLZIndex;
			protected KrankenkassenSetOrtIndex ortIndex;
			protected KrankenkassenSetTel1Index tel1Index;
			protected KrankenkassenSetVgbKrkNrIndex vgbKrkNrIndex;
			protected KrankenkassenSetBetrNrIndex betrNrIndex;
		
			internal IndicesClass(KrankenkassenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new KrankenkassenSetIDIndex(parentSet.DataSet);
				nrIndex = new KrankenkassenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new KrankenkassenSetNrNumIndex(parentSet.DataSet);
				intNrIndex = new KrankenkassenSetIntNrIndex(parentSet.DataSet);
				suchBegIndex = new KrankenkassenSetSuchBegIndex(parentSet.DataSet);
				na2Index = new KrankenkassenSetNa2Index(parentSet.DataSet);
				pLZIndex = new KrankenkassenSetPLZIndex(parentSet.DataSet);
				ortIndex = new KrankenkassenSetOrtIndex(parentSet.DataSet);
				tel1Index = new KrankenkassenSetTel1Index(parentSet.DataSet);
				vgbKrkNrIndex = new KrankenkassenSetVgbKrkNrIndex(parentSet.DataSet);
				betrNrIndex = new KrankenkassenSetBetrNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public KrankenkassenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public KrankenkassenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public KrankenkassenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>IntNr</summary>
			public KrankenkassenSetIntNrIndex IntNrIndex
			{
				get { return intNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public KrankenkassenSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Name 2</summary>
			public KrankenkassenSetNa2Index Na2Index
			{
				get { return na2Index; }
			}
			
			/// <summary>Postleitzahl</summary>
			public KrankenkassenSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public KrankenkassenSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>Telefon 1</summary>
			public KrankenkassenSetTel1Index Tel1Index
			{
				get { return tel1Index; }
			}
			
			/// <summary>VgbKrkNr</summary>
			public KrankenkassenSetVgbKrkNrIndex VgbKrkNrIndex
			{
				get { return vgbKrkNrIndex; }
			}
			
			/// <summary>Betriebsnummer</summary>
			public KrankenkassenSetBetrNrIndex BetrNrIndex
			{
				get { return betrNrIndex; }
			}
			
		
			#endregion
		}

		public KrankenkassenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
