using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Lagerbuch : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Lagerbuch";
			
		public static Lagerbuch CreateInstance(BpnConnection connection)
		{
		    var lagerbuchInfo = connection.GetDataSetInfo(DS_NAME);
		    var lagerbuchDataSet = lagerbuchInfo.CreateDataSet();
		
		    var ret = new Lagerbuch(lagerbuchDataSet);
		    return ret;
		}
		
		public Lagerbuch(BpNT.AutoDataSet lagerbuchDataSet) 
			: base(lagerbuchDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Lager ( String )</summary>
		public virtual String LagNrInfo
		{
			get { return Convert.ToString(this["LagNrInfo"]); }
		}
		/// <summary>Filialnummer ( Integer )</summary>
		public virtual Int32 FilNr
		{
			get { return Convert.ToInt32(this["FilNr"]); }
			set { this["FilNr"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Datum ( DateTime )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Lagermenge Alt ( Double )</summary>
		public virtual Object LagMgeAlt
		{
			get { return this["LagMgeAlt"]; }
			set { this["LagMgeAlt"] = value; }
		}
		/// <summary>Menge ( Double )</summary>
		public virtual Object Mge
		{
			get { return this["Mge"]; }
			set { this["Mge"] = value; }
		}
		/// <summary>Lagermenge Neu ( Double )</summary>
		public virtual Object LagMgeNeu
		{
			get { return this["LagMgeNeu"]; }
		}
		/// <summary>Buchungsart ( Byte )</summary>
		public virtual Object BuchArt
		{
			get { return this["BuchArt"]; }
			set { this["BuchArt"] = value; }
		}
		/// <summary>Buchungsinformation ( String )</summary>
		public virtual String BInfo
		{
			get { return Convert.ToString(this["BInfo"]); }
			set { this["BInfo"] = value; }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
			set { this["ErstBzr"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Seriennummer ( String )</summary>
		public virtual String SerienNr
		{
			get { return Convert.ToString(this["SerienNr"]); }
			set { this["SerienNr"] = value; }
		}
		/// <summary>Charge ( String )</summary>
		public virtual String Charge
		{
			get { return Convert.ToString(this["Charge"]); }
			set { this["Charge"] = value; }
		}
		/// <summary>Verfallsdatum ( Date )</summary>
		public virtual DateTime VerfallDat
		{
			get { return Convert.ToDateTime(this["VerfallDat"]); }
			set { this["VerfallDat"] = value; }
		}
		/// <summary>Bezeichnung aus Position ( Info )</summary>
		public virtual Object BezPos
		{
			get { return this["BezPos"]; }
			set { this["BezPos"] = value; }
		}
		/// <summary>Bezeichnung aus Position Kennzeichen ( Boolean )</summary>
		public virtual Object BezPosKz
		{
			get { return this["BezPosKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}


		#endregion
	}
}
