using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnBuchKonten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "LohnBuchKonten";
			
		public static LohnBuchKonten CreateInstance(BpnConnection connection)
		{
		    var lohnbuchkontenInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnbuchkontenDataSet = lohnbuchkontenInfo.CreateDataSet();
		
		    var ret = new LohnBuchKonten(lohnbuchkontenDataSet);
		    return ret;
		}
		
		public LohnBuchKonten(BpNT.AutoDataSet lohnbuchkontenDataSet) 
			: base(lohnbuchkontenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Sammelbuchungen erzeugen ( Boolean )</summary>
		public virtual Object SamBchKz
		{
			get { return this["SamBchKz"]; }
			set { this["SamBchKz"] = value; }
		}
		/// <summary>Verrechnungskonto fr Lhne und Gehlter ( String )</summary>
		public virtual String KtoNrLuG
		{
			get { return Convert.ToString(this["KtoNrLuG"]); }
			set { this["KtoNrLuG"] = value; }
		}
		/// <summary>Verbindlichkeiten an FA nach FiBu ( Boolean )</summary>
		public virtual Object FaKz
		{
			get { return this["FaKz"]; }
			set { this["FaKz"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten Lohnsteuer ( String )</summary>
		public virtual String FaKtoNrLSt
		{
			get { return Convert.ToString(this["FaKtoNrLSt"]); }
			set { this["FaKtoNrLSt"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten Kirchensteuer ( String )</summary>
		public virtual String FaKtoNrKiSt
		{
			get { return Convert.ToString(this["FaKtoNrKiSt"]); }
			set { this["FaKtoNrKiSt"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten Solidarittszuschlag ( String )</summary>
		public virtual String FaKtoNrSoli
		{
			get { return Convert.ToString(this["FaKtoNrSoli"]); }
			set { this["FaKtoNrSoli"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten pauschale Lohnsteuer ( String )</summary>
		public virtual String FaKtoNrPLSt
		{
			get { return Convert.ToString(this["FaKtoNrPLSt"]); }
			set { this["FaKtoNrPLSt"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten pauschale Kirchensteuer ( String )</summary>
		public virtual String FaKtoNrPKiSt
		{
			get { return Convert.ToString(this["FaKtoNrPKiSt"]); }
			set { this["FaKtoNrPKiSt"] = value; }
		}
		/// <summary>Konto fr Verbindlichkeiten pauschaler Solidarittszuschlag ( String )</summary>
		public virtual String FaKtoNrPSoli
		{
			get { return Convert.ToString(this["FaKtoNrPSoli"]); }
			set { this["FaKtoNrPSoli"] = value; }
		}
		/// <summary>Fa Layout fr Buchungstext ( String )</summary>
		public virtual String FaBuchTextLay
		{
			get { return Convert.ToString(this["FaBuchTextLay"]); }
			set { this["FaBuchTextLay"] = value; }
		}
		/// <summary>Lohnarten nach FiBu ( Boolean )</summary>
		public virtual Object LAKz
		{
			get { return this["LAKz"]; }
			set { this["LAKz"] = value; }
		}
		/// <summary>Konto fr Lohnart andere Zahlungen ( String )</summary>
		public virtual String LAKtoNrAndere
		{
			get { return Convert.ToString(this["LAKtoNrAndere"]); }
			set { this["LAKtoNrAndere"] = value; }
		}
		/// <summary>Konto fr Lohnart sonstige Bezge ( String )</summary>
		public virtual String LAKtoNrSonstige
		{
			get { return Convert.ToString(this["LAKtoNrSonstige"]); }
			set { this["LAKtoNrSonstige"] = value; }
		}
		/// <summary>Konto fr Lohnart Gehalt ( String )</summary>
		public virtual String LAKtoNrGehalt
		{
			get { return Convert.ToString(this["LAKtoNrGehalt"]); }
			set { this["LAKtoNrGehalt"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 1 ( String )</summary>
		public virtual String LAKtoNrStdLohn1
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn1"]); }
			set { this["LAKtoNrStdLohn1"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 2 ( String )</summary>
		public virtual String LAKtoNrStdLohn2
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn2"]); }
			set { this["LAKtoNrStdLohn2"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 3 ( String )</summary>
		public virtual String LAKtoNrStdLohn3
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn3"]); }
			set { this["LAKtoNrStdLohn3"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 4 ( String )</summary>
		public virtual String LAKtoNrStdLohn4
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn4"]); }
			set { this["LAKtoNrStdLohn4"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 5 ( String )</summary>
		public virtual String LAKtoNrStdLohn5
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn5"]); }
			set { this["LAKtoNrStdLohn5"] = value; }
		}
		/// <summary>Konto fr Lohnart Stundenlohn 6 ( String )</summary>
		public virtual String LAKtoNrStdLohn6
		{
			get { return Convert.ToString(this["LAKtoNrStdLohn6"]); }
			set { this["LAKtoNrStdLohn6"] = value; }
		}
		/// <summary>Konto fr Lohnart Stcklohn ( String )</summary>
		public virtual String LAKtoNrStkLohn
		{
			get { return Convert.ToString(this["LAKtoNrStkLohn"]); }
			set { this["LAKtoNrStkLohn"] = value; }
		}
		/// <summary>Konto fr Lohnart Abrechnungskorrektur ( String )</summary>
		public virtual String LAKtoNrAbrKor
		{
			get { return Convert.ToString(this["LAKtoNrAbrKor"]); }
			set { this["LAKtoNrAbrKor"] = value; }
		}
		/// <summary>La Layout fr Buchungstext ( String )</summary>
		public virtual String LaBuchTextLay
		{
			get { return Convert.ToString(this["LaBuchTextLay"]); }
			set { this["LaBuchTextLay"] = value; }
		}
		/// <summary>Arbeitgeberanteil zur Sozialversicherung nach FiBu ( Boolean )</summary>
		public virtual Object AGASVKz
		{
			get { return this["AGASVKz"]; }
			set { this["AGASVKz"] = value; }
		}
		/// <summary>Konto fr AGA KV ( String )</summary>
		public virtual String AGAKtoNrKV
		{
			get { return Convert.ToString(this["AGAKtoNrKV"]); }
			set { this["AGAKtoNrKV"] = value; }
		}
		/// <summary>Konto fr AGA RV ( String )</summary>
		public virtual String AGAKtoNrRV
		{
			get { return Convert.ToString(this["AGAKtoNrRV"]); }
			set { this["AGAKtoNrRV"] = value; }
		}
		/// <summary>Konto fr AGA AV ( String )</summary>
		public virtual String AGAKtoNrAV
		{
			get { return Convert.ToString(this["AGAKtoNrAV"]); }
			set { this["AGAKtoNrAV"] = value; }
		}
		/// <summary>Konto fr AGA InsgUml ( String )</summary>
		public virtual String AGAKtoNrInsgUml
		{
			get { return Convert.ToString(this["AGAKtoNrInsgUml"]); }
			set { this["AGAKtoNrInsgUml"] = value; }
		}
		/// <summary>Konto fr AGA PV ( String )</summary>
		public virtual String AGAKtoNrPV
		{
			get { return Convert.ToString(this["AGAKtoNrPV"]); }
			set { this["AGAKtoNrPV"] = value; }
		}
		/// <summary>Konto fr AGA freiwillige KV ( String )</summary>
		public virtual String AGAKtoNrFrwKV
		{
			get { return Convert.ToString(this["AGAKtoNrFrwKV"]); }
			set { this["AGAKtoNrFrwKV"] = value; }
		}
		/// <summary>Konto fr AGA freiwillige PV ( String )</summary>
		public virtual String AGAKtoNrFrwPV
		{
			get { return Convert.ToString(this["AGAKtoNrFrwPV"]); }
			set { this["AGAKtoNrFrwPV"] = value; }
		}
		/// <summary>Konto fr AGA Umlage 1 ( String )</summary>
		public virtual String AGAKtoNrUml1
		{
			get { return Convert.ToString(this["AGAKtoNrUml1"]); }
			set { this["AGAKtoNrUml1"] = value; }
		}
		/// <summary>Konto fr AGA Umlage 2 ( String )</summary>
		public virtual String AGAKtoNrUml2
		{
			get { return Convert.ToString(this["AGAKtoNrUml2"]); }
			set { this["AGAKtoNrUml2"] = value; }
		}
		/// <summary>Konto fr AGA pauschale KV ( String )</summary>
		public virtual String AGAKtoNrPKV
		{
			get { return Convert.ToString(this["AGAKtoNrPKV"]); }
			set { this["AGAKtoNrPKV"] = value; }
		}
		/// <summary>Konto fr AGA pauschale RV ( String )</summary>
		public virtual String AGAKtoNrPRV
		{
			get { return Convert.ToString(this["AGAKtoNrPRV"]); }
			set { this["AGAKtoNrPRV"] = value; }
		}
		/// <summary>SV Layout fr Buchungstext ( String )</summary>
		public virtual String SVBuchTextLay
		{
			get { return Convert.ToString(this["SVBuchTextLay"]); }
			set { this["SVBuchTextLay"] = value; }
		}
		/// <summary>Konto fr AGA pauschale Lohnsteuer ( String )</summary>
		public virtual String AGAKtoNrPLSt
		{
			get { return Convert.ToString(this["AGAKtoNrPLSt"]); }
			set { this["AGAKtoNrPLSt"] = value; }
		}
		/// <summary>Konto fr AGA pauschale Kirchensteuer ( String )</summary>
		public virtual String AGAKtoNrPKiSt
		{
			get { return Convert.ToString(this["AGAKtoNrPKiSt"]); }
			set { this["AGAKtoNrPKiSt"] = value; }
		}
		/// <summary>Konto fr AGA pauschaler Solidarittszuschlag ( String )</summary>
		public virtual String AGAKtoNrPSoli
		{
			get { return Convert.ToString(this["AGAKtoNrPSoli"]); }
			set { this["AGAKtoNrPSoli"] = value; }
		}
		/// <summary>Konto fr AGA pauschale Steuer (Bundesknappschaft) ( String )</summary>
		public virtual String AGAKtoNrPStBK
		{
			get { return Convert.ToString(this["AGAKtoNrPStBK"]); }
			set { this["AGAKtoNrPStBK"] = value; }
		}
		/// <summary>St Layout fr Buchungstext ( String )</summary>
		public virtual String StBuchTextLay
		{
			get { return Convert.ToString(this["StBuchTextLay"]); }
			set { this["StBuchTextLay"] = value; }
		}
		/// <summary>Konto fr Forderung aus Lohnfortzahlung ( String )</summary>
		public virtual String LfzKtoNrForder
		{
			get { return Convert.ToString(this["LfzKtoNrForder"]); }
			set { this["LfzKtoNrForder"] = value; }
		}
		/// <summary>Konto fr Ertrge aus Lohnfortzahlung ( String )</summary>
		public virtual String LfzKtoNrErtrag
		{
			get { return Convert.ToString(this["LfzKtoNrErtrag"]); }
			set { this["LfzKtoNrErtrag"] = value; }
		}
		/// <summary>Konto fr Forderung aus Kug an Arbeitsamt ( String )</summary>
		public virtual String LfzKtoNrForderAA
		{
			get { return Convert.ToString(this["LfzKtoNrForderAA"]); }
			set { this["LfzKtoNrForderAA"] = value; }
		}
		/// <summary>Konto fr Forderung aus Kug an Krankenkasse ( String )</summary>
		public virtual String LfzKtoNrForderKK
		{
			get { return Convert.ToString(this["LfzKtoNrForderKK"]); }
			set { this["LfzKtoNrForderKK"] = value; }
		}
		/// <summary>Kug Layout fr Buchungstext ( String )</summary>
		public virtual String KugBuchTextLay
		{
			get { return Convert.ToString(this["KugBuchTextLay"]); }
			set { this["KugBuchTextLay"] = value; }
		}
		/// <summary>KV Layout fr Buchungstext ( String )</summary>
		public virtual String KVBuchTextLay
		{
			get { return Convert.ToString(this["KVBuchTextLay"]); }
			set { this["KVBuchTextLay"] = value; }
		}
		/// <summary>VWL Layout fr Buchungstext ( String )</summary>
		public virtual String VWLBuchTextLay
		{
			get { return Convert.ToString(this["VWLBuchTextLay"]); }
			set { this["VWLBuchTextLay"] = value; }
		}
		/// <summary>Mit Layout fr Buchungstext ( String )</summary>
		public virtual String MitBuchTextLay
		{
			get { return Convert.ToString(this["MitBuchTextLay"]); }
			set { this["MitBuchTextLay"] = value; }
		}
		/// <summary>Belegnummer automatisch hochzhlen ( Boolean )</summary>
		public virtual Object BelegNrKz
		{
			get { return this["BelegNrKz"]; }
			set { this["BelegNrKz"] = value; }
		}
		/// <summary>nchste laufende Belegnummer ( String )</summary>
		public virtual String BelegLfdNr
		{
			get { return Convert.ToString(this["BelegLfdNr"]); }
			set { this["BelegLfdNr"] = value; }
		}
		/// <summary>Layout fr Belegnummer ( String )</summary>
		public virtual String BelegNrLay
		{
			get { return Convert.ToString(this["BelegNrLay"]); }
			set { this["BelegNrLay"] = value; }
		}


		#endregion
	}
}
