using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnBuchungsuebersichtSet : BpnEntitySet<LohnBuchungsuebersicht>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "LohnBuchungsuebersicht";
			
		public static LohnBuchungsuebersichtSet CreateInstance(BpnConnection connection)
		{
		    var lohnbuchungsuebersichtsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnbuchungsuebersichtsetDataSet = lohnbuchungsuebersichtsetInfo.CreateDataSet();
		
		    var ret = new LohnBuchungsuebersichtSet(lohnbuchungsuebersichtsetDataSet);
		    return ret;
		}
		
		internal LohnBuchungsuebersichtSet(BpNT.AutoDataSet lohnbuchungsuebersichtDataSet) 
			: base(lohnbuchungsuebersichtDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LohnBuchungsuebersichtSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LohnBuchungsuebersichtSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LohnBuchungsuebersichtSet parentSet;
		
			protected LohnBuchungsuebersichtSetJahrMonatIndex jahrMonatIndex;
		
			internal IndicesClass(LohnBuchungsuebersichtSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				jahrMonatIndex = new LohnBuchungsuebersichtSetJahrMonatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>JahrMonat</summary>
			public LohnBuchungsuebersichtSetJahrMonatIndex JahrMonatIndex
			{
				get { return jahrMonatIndex; }
			}
			
		
			#endregion
		}

		public LohnBuchungsuebersichtSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
