using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Lohnarten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Lohnarten";
			
		public static Lohnarten CreateInstance(BpnConnection connection)
		{
		    var lohnartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnartenDataSet = lohnartenInfo.CreateDataSet();
		
		    var ret = new Lohnarten(lohnartenDataSet);
		    return ret;
		}
		
		public Lohnarten(BpNT.AutoDataSet lohnartenDataSet) 
			: base(lohnartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Lohnartennummer ( String )</summary>
		public virtual String LoANr
		{
			get { return Convert.ToString(this["LoANr"]); }
			set { this["LoANr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Lohnart ( Integer )</summary>
		public virtual Int32 LohnArt
		{
			get { return Convert.ToInt32(this["LohnArt"]); }
			set { this["LohnArt"] = value; }
		}
		/// <summary>Statistik ( String )</summary>
		public virtual String Stat
		{
			get { return Convert.ToString(this["Stat"]); }
			set { this["Stat"] = value; }
		}
		/// <summary>Monatsdurchschnitt ( Integer )</summary>
		public virtual Int32 MonatD
		{
			get { return Convert.ToInt32(this["MonatD"]); }
			set { this["MonatD"] = value; }
		}
		/// <summary>pauschale Lohnsteuer ( Integer )</summary>
		public virtual Int32 PLSt
		{
			get { return Convert.ToInt32(this["PLSt"]); }
			set { this["PLSt"] = value; }
		}
		/// <summary>Negative Bezge mindern SV - und steuerpflichtiges Brutto Kennzeichen ( Boolean )</summary>
		public virtual Object PLStNegMindBrtKz
		{
			get { return this["PLStNegMindBrtKz"]; }
			set { this["PLStNegMindBrtKz"] = value; }
		}
		/// <summary>Arbeitnehmer trgt anfallende pauschale Steuern ( Boolean )</summary>
		public virtual Object ANPStKz
		{
			get { return this["ANPStKz"]; }
			set { this["ANPStKz"] = value; }
		}
		/// <summary>Lohnartennummer fr Abzug der pauschalen Steuern ( String )</summary>
		public virtual String ANPStLoANr
		{
			get { return Convert.ToString(this["ANPStLoANr"]); }
			set { this["ANPStLoANr"] = value; }
		}
		/// <summary>Nettobezug / -abzug ( Integer )</summary>
		public virtual Int32 Bezug
		{
			get { return Convert.ToInt32(this["Bezug"]); }
			set { this["Bezug"] = value; }
		}
		/// <summary>Darstellung auf Lohntasche ( Integer )</summary>
		public virtual Int32 LohnTasche
		{
			get { return Convert.ToInt32(this["LohnTasche"]); }
			set { this["LohnTasche"] = value; }
		}
		/// <summary>Zusammenfassen ( Boolean )</summary>
		public virtual Object ZusamKz
		{
			get { return this["ZusamKz"]; }
			set { this["ZusamKz"] = value; }
		}
		/// <summary>Bercksichtigung bei Ermittlung des Grundlohns ( Boolean )</summary>
		public virtual Object InGrundlohnKz
		{
			get { return this["InGrundlohnKz"]; }
			set { this["InGrundlohnKz"] = value; }
		}
		/// <summary>Sonstiger steuerpflichtiger Bezug ( Boolean )</summary>
		public virtual Object SonstStKz
		{
			get { return this["SonstStKz"]; }
			set { this["SonstStKz"] = value; }
		}
		/// <summary>Kennzeichen fr Kapitalauszahlung, Abfindung oder Sterbegeld ( Boolean )</summary>
		public virtual Object KapAbfStKz
		{
			get { return this["KapAbfStKz"]; }
			set { this["KapAbfStKz"] = value; }
		}
		/// <summary>Vergtung fr mehrjhrige Ttigkeit ( Boolean )</summary>
		public virtual Object VmTStKz
		{
			get { return this["VmTStKz"]; }
			set { this["VmTStKz"] = value; }
		}
		/// <summary>Sonstiger sozialversicherungspflichtiger Bezug ( Boolean )</summary>
		public virtual Object SonstSVKz
		{
			get { return this["SonstSVKz"]; }
			set { this["SonstSVKz"] = value; }
		}
		/// <summary>Buchungssatz erzeugen ( Boolean )</summary>
		public virtual Object BuchSKz
		{
			get { return this["BuchSKz"]; }
			set { this["BuchSKz"] = value; }
		}
		/// <summary>Nicht in Buchungsbersicht unter "Andere Zahlung" ausweisen ( Boolean )</summary>
		public virtual Object NichtInBUebAZKz
		{
			get { return this["NichtInBUebAZKz"]; }
			set { this["NichtInBUebAZKz"] = value; }
		}
		/// <summary>Kontonummer ( String )</summary>
		public virtual String KtoNr
		{
			get { return Convert.ToString(this["KtoNr"]); }
			set { this["KtoNr"] = value; }
		}
		/// <summary>steuerfreier Betrag ( Double )</summary>
		public virtual Object LStFrBet
		{
			get { return this["LStFrBet"]; }
			set { this["LStFrBet"] = value; }
		}
		/// <summary>steuerfreier Satz ( Double )</summary>
		public virtual Object LStFrSz
		{
			get { return this["LStFrSz"]; }
			set { this["LStFrSz"] = value; }
		}
		/// <summary>sozialversicherungsfreier Betrag ( Double )</summary>
		public virtual Object SVFrBet
		{
			get { return this["SVFrBet"]; }
			set { this["SVFrBet"] = value; }
		}
		/// <summary>sozialversicherungsfreier Satz ( Double )</summary>
		public virtual Object SVFrSz
		{
			get { return this["SVFrSz"]; }
			set { this["SVFrSz"] = value; }
		}
		/// <summary>Faktor ( Double )</summary>
		public virtual Object Fak
		{
			get { return this["Fak"]; }
			set { this["Fak"] = value; }
		}
		/// <summary>Stcklohn ( Double )</summary>
		public virtual Object StLohn
		{
			get { return this["StLohn"]; }
			set { this["StLohn"] = value; }
		}
		/// <summary>Bercksichtigung fr Umlage ( Integer )</summary>
		public virtual Int32 BerueckUml
		{
			get { return Convert.ToInt32(this["BerueckUml"]); }
			set { this["BerueckUml"] = value; }
		}
		/// <summary>Gesamtbetrag dieser Lohnart bezieht sich auf den Erstattungszeitraum (keine anteilige Berechnung) ( Boolean )</summary>
		public virtual Object BerueckUmlNetKz
		{
			get { return this["BerueckUmlNetKz"]; }
			set { this["BerueckUmlNetKz"] = value; }
		}
		/// <summary>Bercksichtigung fr Berufsgenossenschaft ( Integer )</summary>
		public virtual Int32 BerueckBG
		{
			get { return Convert.ToInt32(this["BerueckBG"]); }
			set { this["BerueckBG"] = value; }
		}
		/// <summary>Stundenanzahl dieser Lohnart ignorieren ( Boolean )</summary>
		public virtual Object BGStdIgnor
		{
			get { return this["BGStdIgnor"]; }
			set { this["BGStdIgnor"] = value; }
		}
		/// <summary>Zuschlag ( Integer )</summary>
		public virtual Int32 SFNZUschlag
		{
			get { return Convert.ToInt32(this["SFNZUschlag"]); }
			set { this["SFNZUschlag"] = value; }
		}
		/// <summary>Zuschlagsart ( Integer )</summary>
		public virtual Int32 SFNZUschlagArt
		{
			get { return Convert.ToInt32(this["SFNZUschlagArt"]); }
			set { this["SFNZUschlagArt"] = value; }
		}
		/// <summary>Mehrarbeit ( Boolean )</summary>
		public virtual Object MehrarbeitKz
		{
			get { return this["MehrarbeitKz"]; }
			set { this["MehrarbeitKz"] = value; }
		}
		/// <summary>Pfndungsfrei ( Boolean )</summary>
		public virtual Object PfaendungFreiKz
		{
			get { return this["PfaendungFreiKz"]; }
			set { this["PfaendungFreiKz"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Gesperrt ab Datum ( Date )</summary>
		public virtual DateTime GspAbDat
		{
			get { return Convert.ToDateTime(this["GspAbDat"]); }
			set { this["GspAbDat"] = value; }
		}
		/// <summary>Gesperrt bis Datum ( Date )</summary>
		public virtual DateTime GspBisDat
		{
			get { return Convert.ToDateTime(this["GspBisDat"]); }
			set { this["GspBisDat"] = value; }
		}
		/// <summary>Zyklus gesperrt Kennzeichen ( Boolean )</summary>
		public virtual Object ZykGspKz
		{
			get { return this["ZykGspKz"]; }
			set { this["ZykGspKz"] = value; }
		}
		/// <summary>In Benutzung Kennzeichen ( Boolean )</summary>
		public virtual Object InBenutzungKz
		{
			get { return this["InBenutzungKz"]; }
			set { this["InBenutzungKz"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>AenderungsProtokoll ( BlobTable )</summary>
		public virtual Object Apk
		{
			get { return this["Apk"]; }
			set { this["Apk"] = value; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
