using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class LohnartenSet : BpnEntitySet<Lohnarten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Lohnarten";
			
		public static LohnartenSet CreateInstance(BpnConnection connection)
		{
		    var lohnartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var lohnartensetDataSet = lohnartensetInfo.CreateDataSet();
		
		    var ret = new LohnartenSet(lohnartensetDataSet);
		    return ret;
		}
		
		internal LohnartenSet(BpNT.AutoDataSet lohnartenDataSet) 
			: base(lohnartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected LohnartenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new LohnartenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected LohnartenSet parentSet;
		
			protected LohnartenSetIDIndex iDIndex;
			protected LohnartenSetNrIndex nrIndex;
			protected LohnartenSetNrNumIndex nrNumIndex;
			protected LohnartenSetBezIndex bezIndex;
		
			internal IndicesClass(LohnartenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new LohnartenSetIDIndex(parentSet.DataSet);
				nrIndex = new LohnartenSetNrIndex(parentSet.DataSet);
				nrNumIndex = new LohnartenSetNrNumIndex(parentSet.DataSet);
				bezIndex = new LohnartenSetBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public LohnartenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public LohnartenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public LohnartenSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public LohnartenSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
		
			#endregion
		}

		public LohnartenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
