using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MandantSet : BpnEntitySet<Mandant>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Mandant";
			
		public static MandantSet CreateInstance(BpnConnection connection)
		{
		    var mandantsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var mandantsetDataSet = mandantsetInfo.CreateDataSet();
		
		    var ret = new MandantSet(mandantsetDataSet);
		    return ret;
		}
		
		internal MandantSet(BpNT.AutoDataSet mandantDataSet) 
			: base(mandantDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected MandantSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new MandantSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected MandantSet parentSet;
		
			protected MandantSetIDIndex iDIndex;
			protected MandantSetNrIndex nrIndex;
			protected MandantSetKuBezIndex kuBezIndex;
		
			internal IndicesClass(MandantSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new MandantSetIDIndex(parentSet.DataSet);
				nrIndex = new MandantSetNrIndex(parentSet.DataSet);
				kuBezIndex = new MandantSetKuBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public MandantSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public MandantSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public MandantSetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
		
			#endregion
		}

		public MandantSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
