using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Mitarbeiter : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Mitarbeiter";
			
		public static Mitarbeiter CreateInstance(BpnConnection connection)
		{
		    var mitarbeiterInfo = connection.GetDataSetInfo(DS_NAME);
		    var mitarbeiterDataSet = mitarbeiterInfo.CreateDataSet();
		
		    var ret = new Mitarbeiter(mitarbeiterDataSet);
		    return ret;
		}
		
		public Mitarbeiter(BpNT.AutoDataSet mitarbeiterDataSet) 
			: base(mitarbeiterDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Mitarbeiternummer ( String )</summary>
		public virtual String MitNr
		{
			get { return Convert.ToString(this["MitNr"]); }
			set { this["MitNr"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Anrede ( String )</summary>
		public virtual String Anr
		{
			get { return Convert.ToString(this["Anr"]); }
			set { this["Anr"] = value; }
		}
		/// <summary>Titel ( String )</summary>
		public virtual String Tit
		{
			get { return Convert.ToString(this["Tit"]); }
			set { this["Tit"] = value; }
		}
		/// <summary>Vorname ( String )</summary>
		public virtual String VNa
		{
			get { return Convert.ToString(this["VNa"]); }
			set { this["VNa"] = value; }
		}
		/// <summary>Vorsatzwort ( String )</summary>
		public virtual String VSWort
		{
			get { return Convert.ToString(this["VSWort"]); }
			set { this["VSWort"] = value; }
		}
		/// <summary>Nachname ( String )</summary>
		public virtual String NNa
		{
			get { return Convert.ToString(this["NNa"]); }
			set { this["NNa"] = value; }
		}
		/// <summary>Namenszusatz ( String )</summary>
		public virtual String NaZus
		{
			get { return Convert.ToString(this["NaZus"]); }
			set { this["NaZus"] = value; }
		}
		/// <summary>Namen ( String )</summary>
		public virtual String Namen
		{
			get { return Convert.ToString(this["Namen"]); }
		}
		/// <summary>Name Voll ( String )</summary>
		public virtual String NaVoll
		{
			get { return Convert.ToString(this["NaVoll"]); }
		}
		/// <summary>Nach Name Voll ( String )</summary>
		public virtual String NNaVoll
		{
			get { return Convert.ToString(this["NNaVoll"]); }
		}
		/// <summary>Nach Name Namen ( String )</summary>
		public virtual String NNaNamen
		{
			get { return Convert.ToString(this["NNaNamen"]); }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Anschriftenzusatz ( String )</summary>
		public virtual String AnschZus
		{
			get { return Convert.ToString(this["AnschZus"]); }
			set { this["AnschZus"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Telefon 3 ( String )</summary>
		public virtual String Tel3
		{
			get { return Convert.ToString(this["Tel3"]); }
			set { this["Tel3"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>Webseite ( String )</summary>
		public virtual String WSeite
		{
			get { return Convert.ToString(this["WSeite"]); }
			set { this["WSeite"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Name des Kontoinhabers ( String )</summary>
		public virtual String Inhab
		{
			get { return Convert.ToString(this["Inhab"]); }
			set { this["Inhab"] = value; }
		}
		/// <summary>Familienstand ( Integer )</summary>
		public virtual Int32 Familie
		{
			get { return Convert.ToInt32(this["Familie"]); }
			set { this["Familie"] = value; }
		}
		/// <summary>Geschlecht: mnnlich ( Boolean )</summary>
		public virtual Object Geschl
		{
			get { return this["Geschl"]; }
			set { this["Geschl"] = value; }
		}
		/// <summary>Staatsangehrigkeit ( String )</summary>
		public virtual String StaatsNr
		{
			get { return Convert.ToString(this["StaatsNr"]); }
			set { this["StaatsNr"] = value; }
		}
		/// <summary>Abteilungsnummer ( String )</summary>
		public virtual String AbtNr
		{
			get { return Convert.ToString(this["AbtNr"]); }
			set { this["AbtNr"] = value; }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String AbtNrInfo
		{
			get { return Convert.ToString(this["AbtNrInfo"]); }
		}
		/// <summary>ffnungs- und Arbeitszeiten ( String )</summary>
		public virtual String OAZeit
		{
			get { return Convert.ToString(this["OAZeit"]); }
			set { this["OAZeit"] = value; }
		}
		/// <summary>Position ( String )</summary>
		public virtual String Pos
		{
			get { return Convert.ToString(this["Pos"]); }
			set { this["Pos"] = value; }
		}
		/// <summary>Eintrittsdatum ( Date )</summary>
		public virtual DateTime EinDat
		{
			get { return Convert.ToDateTime(this["EinDat"]); }
			set { this["EinDat"] = value; }
		}
		/// <summary>Urlaubstage Vorjahr ( Double )</summary>
		public virtual Object UrlVJ
		{
			get { return this["UrlVJ"]; }
			set { this["UrlVJ"] = value; }
		}
		/// <summary>Urlaubstage aktuelles Jahr ( Double )</summary>
		public virtual Object UrlAJ
		{
			get { return this["UrlAJ"]; }
			set { this["UrlAJ"] = value; }
		}
		/// <summary>Urlaubstage nchstes Jahr ( Double )</summary>
		public virtual Object UrlNJ
		{
			get { return this["UrlNJ"]; }
			set { this["UrlNJ"] = value; }
		}
		/// <summary>Urlaubstage bereits genommen ( Double )</summary>
		public virtual Object UrlGenom
		{
			get { return this["UrlGenom"]; }
			set { this["UrlGenom"] = value; }
		}
		/// <summary>Rest-Urlaubstage vom akt. Jahr ( Double )</summary>
		public virtual Object UrlRest
		{
			get { return this["UrlRest"]; }
		}
		/// <summary>Rest-Urlaubstage (inkl. akt. Monat) ( String )</summary>
		public virtual String UrlRestIM
		{
			get { return Convert.ToString(this["UrlRestIM"]); }
		}
		/// <summary>Personalkennzeichen ( String )</summary>
		public virtual String PersKennZ
		{
			get { return Convert.ToString(this["PersKennZ"]); }
			set { this["PersKennZ"] = value; }
		}
		/// <summary>Tarifgruppe ( String )</summary>
		public virtual String TarifGrp
		{
			get { return Convert.ToString(this["TarifGrp"]); }
			set { this["TarifGrp"] = value; }
		}
		/// <summary>Sozialversicherungsnummer ( String )</summary>
		public virtual String SVsNr
		{
			get { return Convert.ToString(this["SVsNr"]); }
			set { this["SVsNr"] = value; }
		}
		/// <summary>Steuer-Identifikationsnummer ( String )</summary>
		public virtual String StIdNr
		{
			get { return Convert.ToString(this["StIdNr"]); }
			set { this["StIdNr"] = value; }
		}
		/// <summary>Geburtsdatum ( Date )</summary>
		public virtual DateTime GebDat
		{
			get { return Convert.ToDateTime(this["GebDat"]); }
			set { this["GebDat"] = value; }
		}
		/// <summary>Alter aufgrund Geburtsdatum ( Integer )</summary>
		public virtual Int32 GebDatAlter
		{
			get { return Convert.ToInt32(this["GebDatAlter"]); }
		}
		/// <summary>Geburtsdatum ist unbestimmt ( Integer )</summary>
		public virtual Int32 GebDatUB
		{
			get { return Convert.ToInt32(this["GebDatUB"]); }
			set { this["GebDatUB"] = value; }
		}
		/// <summary>Vorsatzwort bei Geburt ( String )</summary>
		public virtual String GebVSWort
		{
			get { return Convert.ToString(this["GebVSWort"]); }
			set { this["GebVSWort"] = value; }
		}
		/// <summary>Geburtsnamen ( String )</summary>
		public virtual String GebNamen
		{
			get { return Convert.ToString(this["GebNamen"]); }
			set { this["GebNamen"] = value; }
		}
		/// <summary>Namenszusatz bei Geburt ( String )</summary>
		public virtual String GebNaZus
		{
			get { return Convert.ToString(this["GebNaZus"]); }
			set { this["GebNaZus"] = value; }
		}
		/// <summary>Geburtsort ( String )</summary>
		public virtual String GebOrt
		{
			get { return Convert.ToString(this["GebOrt"]); }
			set { this["GebOrt"] = value; }
		}
		/// <summary>Geburtsland ( String )</summary>
		public virtual String GebStaatsNr
		{
			get { return Convert.ToString(this["GebStaatsNr"]); }
			set { this["GebStaatsNr"] = value; }
		}
		/// <summary>Versicherungsnummer (eines EU-Landes) ( String )</summary>
		public virtual String EUVsNr
		{
			get { return Convert.ToString(this["EUVsNr"]); }
			set { this["EUVsNr"] = value; }
		}
		/// <summary>Zeiterfassung aus Zeit automatisch bernehmen ( Boolean )</summary>
		public virtual Object ZtZeitErfKz
		{
			get { return this["ZtZeitErfKz"]; }
			set { this["ZtZeitErfKz"] = value; }
		}
		/// <summary>Bruttolohnstatistik aus Zeit automatisch bernehmen ( Boolean )</summary>
		public virtual Object ZtLStatKz
		{
			get { return this["ZtLStatKz"]; }
			set { this["ZtLStatKz"] = value; }
		}
		/// <summary>ZeitInfo fr Abwesenheiten ( Blob )</summary>
		public virtual Object AbwZeitInfo
		{
			get { return this["AbwZeitInfo"]; }
			set { this["AbwZeitInfo"] = value; }
		}
		/// <summary>ZeitInfo fr Vertretungsabwesenheiten ( Blob )</summary>
		public virtual Object AbwVertrZeitInfo
		{
			get { return this["AbwVertrZeitInfo"]; }
			set { this["AbwVertrZeitInfo"] = value; }
		}
		/// <summary>ZeitInfo fr Abwesenheitssperren ( Blob )</summary>
		public virtual Object AbwSpZeitInfo
		{
			get { return this["AbwSpZeitInfo"]; }
			set { this["AbwSpZeitInfo"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Gesperrt ab Datum ( Date )</summary>
		public virtual DateTime GspAbDat
		{
			get { return Convert.ToDateTime(this["GspAbDat"]); }
			set { this["GspAbDat"] = value; }
		}
		/// <summary>Gesperrt bis Datum ( Date )</summary>
		public virtual DateTime GspBisDat
		{
			get { return Convert.ToDateTime(this["GspBisDat"]); }
			set { this["GspBisDat"] = value; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Vertretung ( String )</summary>
		public virtual String VtgNr
		{
			get { return Convert.ToString(this["VtgNr"]); }
			set { this["VtgNr"] = value; }
		}
		/// <summary>Zeiterfassung ( Boolean )</summary>
		public virtual Object ZErf
		{
			get { return this["ZErf"]; }
			set { this["ZErf"] = value; }
		}
		/// <summary>Wochenstunden ( Double )</summary>
		public virtual Object WStd
		{
			get { return this["WStd"]; }
			set { this["WStd"] = value; }
		}
		/// <summary>max. Std./Tag ( Double )</summary>
		public virtual Object MStdPTg
		{
			get { return this["MStdPTg"]; }
			set { this["MStdPTg"] = value; }
		}
		/// <summary>Mit Karte ( Boolean )</summary>
		public virtual Object ZErfMK
		{
			get { return this["ZErfMK"]; }
			set { this["ZErfMK"] = value; }
		}
		/// <summary>Vortrags Saldo ( Double )</summary>
		public virtual Object VortSaldo
		{
			get { return this["VortSaldo"]; }
			set { this["VortSaldo"] = value; }
		}
		/// <summary>Lohn Beschftigungsstatus ( Integer )</summary>
		public virtual Int32 LoBvhStatus
		{
			get { return Convert.ToInt32(this["LoBvhStatus"]); }
			set { this["LoBvhStatus"] = value; }
		}
		/// <summary>Zyklus gesperrt Kennzeichen ( Boolean )</summary>
		public virtual Object ZykGspKz
		{
			get { return this["ZykGspKz"]; }
			set { this["ZykGspKz"] = value; }
		}
		/// <summary>Bvh Eintrittsdatum ( Date )</summary>
		public virtual DateTime BvhEinDat
		{
			get { return Convert.ToDateTime(this["BvhEinDat"]); }
			set { this["BvhEinDat"] = value; }
		}
		/// <summary>Bvh Austrittsdatum ( Date )</summary>
		public virtual DateTime BvhAusDat
		{
			get { return Convert.ToDateTime(this["BvhAusDat"]); }
			set { this["BvhAusDat"] = value; }
		}
		/// <summary>Bvh Abrechnungszyklus ( Integer )</summary>
		public virtual Int32 BvhMitAbrZyk
		{
			get { return Convert.ToInt32(this["BvhMitAbrZyk"]); }
			set { this["BvhMitAbrZyk"] = value; }
		}
		/// <summary>Transfer Info ( StringList )</summary>
		public virtual Object TransInfo
		{
			get { return this["TransInfo"]; }
			set { this["TransInfo"] = value; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object GTSPosData
		{
			get { return this["GTSPosData"]; }
			set { this["GTSPosData"] = value; }
		}
		/// <summary>Beschaeftigungsverhaeltnis ( BlobTable )</summary>
		public virtual Object Bvh
		{
			get { return this["Bvh"]; }
			set { this["Bvh"] = value; }
		}
		/// <summary>Beschaeftigungsverhaeltnis ( BlobTable )</summary>
		public virtual Object BvhSav
		{
			get { return this["BvhSav"]; }
			set { this["BvhSav"] = value; }
		}
		/// <summary>Umsatz verbucht ( Boolean )</summary>
		public virtual Object UmsatzOKKz
		{
			get { return this["UmsatzOKKz"]; }
			set { this["UmsatzOKKz"] = value; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Aktiver Mitarbeiter ( Boolean )</summary>
		public virtual Object AktivKzKz
		{
			get { return this["AktivKzKz"]; }
			set { this["AktivKzKz"] = value; }
		}
		/// <summary>ProtokolleSaetze ( BlobTable )</summary>
		public virtual Object StatusPts
		{
			get { return this["StatusPts"]; }
			set { this["StatusPts"] = value; }
		}
		/// <summary>Statusprotokoll Lohn ( Integer )</summary>
		public virtual Int32 StatusPtsImgLo
		{
			get { return Convert.ToInt32(this["StatusPtsImgLo"]); }
			set { this["StatusPtsImgLo"] = value; }
		}
		/// <summary>Urlaub wurde in Bvh bertragen ( Boolean )</summary>
		public virtual Object BvhUrlaubKz
		{
			get { return this["BvhUrlaubKz"]; }
			set { this["BvhUrlaubKz"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>AenderungsProtokoll ( BlobTable )</summary>
		public virtual Object Apk
		{
			get { return this["Apk"]; }
			set { this["Apk"] = value; }
		}
		/// <summary>Unique Child Index ( Integer )</summary>
		public virtual Int32 UCI
		{
			get { return Convert.ToInt32(this["UCI"]); }
			set { this["UCI"] = value; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
