using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class MitarbeiterSet : BpnEntitySet<Mitarbeiter>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Mitarbeiter";
			
		public static MitarbeiterSet CreateInstance(BpnConnection connection)
		{
		    var mitarbeitersetInfo = connection.GetDataSetInfo(DS_NAME);
		    var mitarbeitersetDataSet = mitarbeitersetInfo.CreateDataSet();
		
		    var ret = new MitarbeiterSet(mitarbeitersetDataSet);
		    return ret;
		}
		
		internal MitarbeiterSet(BpNT.AutoDataSet mitarbeiterDataSet) 
			: base(mitarbeiterDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected MitarbeiterSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new MitarbeiterSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected MitarbeiterSet parentSet;
		
			protected MitarbeiterSetIDIndex iDIndex;
			protected MitarbeiterSetNrIndex nrIndex;
			protected MitarbeiterSetNrNumIndex nrNumIndex;
			protected MitarbeiterSetSuchBegIndex suchBegIndex;
			protected MitarbeiterSetNaNaIndex naNaIndex;
			protected MitarbeiterSetLandPLZIndex landPLZIndex;
			protected MitarbeiterSetPLZIndex pLZIndex;
			protected MitarbeiterSetOrtIndex ortIndex;
			protected MitarbeiterSetTel1Index tel1Index;
			protected MitarbeiterSetAbtNrMitNrNumIndex abtNrMitNrNumIndex;
			protected MitarbeiterSetNrLzIndex nrLzIndex;
		
			internal IndicesClass(MitarbeiterSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new MitarbeiterSetIDIndex(parentSet.DataSet);
				nrIndex = new MitarbeiterSetNrIndex(parentSet.DataSet);
				nrNumIndex = new MitarbeiterSetNrNumIndex(parentSet.DataSet);
				suchBegIndex = new MitarbeiterSetSuchBegIndex(parentSet.DataSet);
				naNaIndex = new MitarbeiterSetNaNaIndex(parentSet.DataSet);
				landPLZIndex = new MitarbeiterSetLandPLZIndex(parentSet.DataSet);
				pLZIndex = new MitarbeiterSetPLZIndex(parentSet.DataSet);
				ortIndex = new MitarbeiterSetOrtIndex(parentSet.DataSet);
				tel1Index = new MitarbeiterSetTel1Index(parentSet.DataSet);
				abtNrMitNrNumIndex = new MitarbeiterSetAbtNrMitNrNumIndex(parentSet.DataSet);
				nrLzIndex = new MitarbeiterSetNrLzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public MitarbeiterSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public MitarbeiterSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Nummer (numerisch)</summary>
			public MitarbeiterSetNrNumIndex NrNumIndex
			{
				get { return nrNumIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public MitarbeiterSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Nachname</summary>
			public MitarbeiterSetNaNaIndex NaNaIndex
			{
				get { return naNaIndex; }
			}
			
			/// <summary>Land</summary>
			public MitarbeiterSetLandPLZIndex LandPLZIndex
			{
				get { return landPLZIndex; }
			}
			
			/// <summary>Postleitzahl</summary>
			public MitarbeiterSetPLZIndex PLZIndex
			{
				get { return pLZIndex; }
			}
			
			/// <summary>Ort</summary>
			public MitarbeiterSetOrtIndex OrtIndex
			{
				get { return ortIndex; }
			}
			
			/// <summary>Telefon 1</summary>
			public MitarbeiterSetTel1Index Tel1Index
			{
				get { return tel1Index; }
			}
			
			/// <summary>Abteilungsnummer</summary>
			public MitarbeiterSetAbtNrMitNrNumIndex AbtNrMitNrNumIndex
			{
				get { return abtNrMitNrNumIndex; }
			}
			
			/// <summary>Nummer</summary>
			public MitarbeiterSetNrLzIndex NrLzIndex
			{
				get { return nrLzIndex; }
			}
			
		
			#endregion
		}

		public MitarbeiterSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
