using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class OffenePostenHistorySet : BpnEntitySet<OffenePostenHistory>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "OffenePostenHistory";
			
		public static OffenePostenHistorySet CreateInstance(BpnConnection connection)
		{
		    var offenepostenhistorysetInfo = connection.GetDataSetInfo(DS_NAME);
		    var offenepostenhistorysetDataSet = offenepostenhistorysetInfo.CreateDataSet();
		
		    var ret = new OffenePostenHistorySet(offenepostenhistorysetDataSet);
		    return ret;
		}
		
		internal OffenePostenHistorySet(BpNT.AutoDataSet offenepostenhistoryDataSet) 
			: base(offenepostenhistoryDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected OffenePostenHistorySet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new OffenePostenHistorySet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected OffenePostenHistorySet parentSet;
		
			protected OffenePostenHistorySetHiDatIndex hiDatIndex;
			protected OffenePostenHistorySetAdrNrBelegNrHiDatIndex adrNrBelegNrHiDatIndex;
			protected OffenePostenHistorySetIDIndex iDIndex;
			protected OffenePostenHistorySetAdrNrIndex adrNrIndex;
			protected OffenePostenHistorySetBelegNrIndex belegNrIndex;
			protected OffenePostenHistorySetPrjNrIndex prjNrIndex;
			protected OffenePostenHistorySetAuftrNrIndex auftrNrIndex;
			protected OffenePostenHistorySetDatIndex datIndex;
			protected OffenePostenHistorySetBetIndex betIndex;
			protected OffenePostenHistorySetZvkIDIndex zvkIDIndex;
		
			internal IndicesClass(OffenePostenHistorySet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new OffenePostenHistorySetHiDatIndex(parentSet.DataSet);
				adrNrBelegNrHiDatIndex = new OffenePostenHistorySetAdrNrBelegNrHiDatIndex(parentSet.DataSet);
				iDIndex = new OffenePostenHistorySetIDIndex(parentSet.DataSet);
				adrNrIndex = new OffenePostenHistorySetAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new OffenePostenHistorySetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new OffenePostenHistorySetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new OffenePostenHistorySetAuftrNrIndex(parentSet.DataSet);
				datIndex = new OffenePostenHistorySetDatIndex(parentSet.DataSet);
				betIndex = new OffenePostenHistorySetBetIndex(parentSet.DataSet);
				zvkIDIndex = new OffenePostenHistorySetZvkIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public OffenePostenHistorySetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Adressnummer/Belegnummer</summary>
			public OffenePostenHistorySetAdrNrBelegNrHiDatIndex AdrNrBelegNrHiDatIndex
			{
				get { return adrNrBelegNrHiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public OffenePostenHistorySetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public OffenePostenHistorySetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public OffenePostenHistorySetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public OffenePostenHistorySetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public OffenePostenHistorySetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public OffenePostenHistorySetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>offener Betrag</summary>
			public OffenePostenHistorySetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Zahlungsverkehrs-ID</summary>
			public OffenePostenHistorySetZvkIDIndex ZvkIDIndex
			{
				get { return zvkIDIndex; }
			}
			
		
			#endregion
		}

		public OffenePostenHistorySet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
