using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class OffenePostenSet : BpnEntitySet<OffenePosten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "OffenePosten";
			
		public static OffenePostenSet CreateInstance(BpnConnection connection)
		{
		    var offenepostensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var offenepostensetDataSet = offenepostensetInfo.CreateDataSet();
		
		    var ret = new OffenePostenSet(offenepostensetDataSet);
		    return ret;
		}
		
		internal OffenePostenSet(BpNT.AutoDataSet offenepostenDataSet) 
			: base(offenepostenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected OffenePostenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new OffenePostenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected OffenePostenSet parentSet;
		
			protected OffenePostenSetIDIndex iDIndex;
			protected OffenePostenSetAdrNrIndex adrNrIndex;
			protected OffenePostenSetBelegNrIndex belegNrIndex;
			protected OffenePostenSetPrjNrIndex prjNrIndex;
			protected OffenePostenSetAuftrNrIndex auftrNrIndex;
			protected OffenePostenSetDatIndex datIndex;
			protected OffenePostenSetMDatIndex mDatIndex;
			protected OffenePostenSetAdrMDatIndex adrMDatIndex;
			protected OffenePostenSetBetIndex betIndex;
		
			internal IndicesClass(OffenePostenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new OffenePostenSetIDIndex(parentSet.DataSet);
				adrNrIndex = new OffenePostenSetAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new OffenePostenSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new OffenePostenSetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new OffenePostenSetAuftrNrIndex(parentSet.DataSet);
				datIndex = new OffenePostenSetDatIndex(parentSet.DataSet);
				mDatIndex = new OffenePostenSetMDatIndex(parentSet.DataSet);
				adrMDatIndex = new OffenePostenSetAdrMDatIndex(parentSet.DataSet);
				betIndex = new OffenePostenSetBetIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public OffenePostenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public OffenePostenSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public OffenePostenSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public OffenePostenSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public OffenePostenSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public OffenePostenSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Mahndatum</summary>
			public OffenePostenSetMDatIndex MDatIndex
			{
				get { return mDatIndex; }
			}
			
			/// <summary>Adress-Mahndatum</summary>
			public OffenePostenSetAdrMDatIndex AdrMDatIndex
			{
				get { return adrMDatIndex; }
			}
			
			/// <summary>offener Betrag</summary>
			public OffenePostenSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
		
			#endregion
		}

		public OffenePostenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
