using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Polling : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Polling";
			
		public static Polling CreateInstance(BpnConnection connection)
		{
		    var pollingInfo = connection.GetDataSetInfo(DS_NAME);
		    var pollingDataSet = pollingInfo.CreateDataSet();
		
		    var ret = new Polling(pollingDataSet);
		    return ret;
		}
		
		public Polling(BpNT.AutoDataSet pollingDataSet) 
			: base(pollingDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>DelFileKennzeichen ( Boolean )</summary>
		public virtual Object DelFileKz
		{
			get { return this["DelFileKz"]; }
			set { this["DelFileKz"] = value; }
		}
		/// <summary>Art des Layouts ( Integer )</summary>
		public virtual Int32 LayoutArt
		{
			get { return Convert.ToInt32(this["LayoutArt"]); }
			set { this["LayoutArt"] = value; }
		}
		/// <summary>Importname ( String )</summary>
		public virtual String ImportNa
		{
			get { return Convert.ToString(this["ImportNa"]); }
			set { this["ImportNa"] = value; }
		}
		/// <summary>Polling kennzeichen ( Integer )</summary>
		public virtual Int32 PolLz
		{
			get { return Convert.ToInt32(this["PolLz"]); }
			set { this["PolLz"] = value; }
		}
		/// <summary>Zeit ( Time )</summary>
		public virtual Object Zt
		{
			get { return this["Zt"]; }
			set { this["Zt"] = value; }
		}
		/// <summary>Name ( String )</summary>
		public virtual String Na
		{
			get { return Convert.ToString(this["Na"]); }
			set { this["Na"] = value; }
		}
		/// <summary>Modulkurzbezeichnung ( String )</summary>
		public virtual String ModKuBez
		{
			get { return Convert.ToString(this["ModKuBez"]); }
			set { this["ModKuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Berechtigungskenzeichen ( String )</summary>
		public virtual String BKZ
		{
			get { return Convert.ToString(this["BKZ"]); }
			set { this["BKZ"] = value; }
		}


		#endregion
	}
}
