using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class PollingSet : BpnEntitySet<Polling>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Polling";
			
		public static PollingSet CreateInstance(BpnConnection connection)
		{
		    var pollingsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var pollingsetDataSet = pollingsetInfo.CreateDataSet();
		
		    var ret = new PollingSet(pollingsetDataSet);
		    return ret;
		}
		
		internal PollingSet(BpNT.AutoDataSet pollingDataSet) 
			: base(pollingDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected PollingSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new PollingSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected PollingSet parentSet;
		
			protected PollingSetPollKzIndex pollKzIndex;
		
			internal IndicesClass(PollingSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				pollKzIndex = new PollingSetPollKzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>PollKz</summary>
			public PollingSetPollKzIndex PollKzIndex
			{
				get { return pollKzIndex; }
			}
			
		
			#endregion
		}

		public PollingSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
