using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjektArtenSet : BpnEntitySet<ProjektArten>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ProjektArten";
			
		public static ProjektArtenSet CreateInstance(BpnConnection connection)
		{
		    var projektartensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var projektartensetDataSet = projektartensetInfo.CreateDataSet();
		
		    var ret = new ProjektArtenSet(projektartensetDataSet);
		    return ret;
		}
		
		internal ProjektArtenSet(BpNT.AutoDataSet projektartenDataSet) 
			: base(projektartenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ProjektArtenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ProjektArtenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ProjektArtenSet parentSet;
		
			protected ProjektArtenSetNrIndex nrIndex;
			protected ProjektArtenSetZNrIndex zNrIndex;
		
			internal IndicesClass(ProjektArtenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				nrIndex = new ProjektArtenSetNrIndex(parentSet.DataSet);
				zNrIndex = new ProjektArtenSetZNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Nummer</summary>
			public ProjektArtenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>ZNr</summary>
			public ProjektArtenSetZNrIndex ZNrIndex
			{
				get { return zNrIndex; }
			}
			
		
			#endregion
		}

		public ProjektArtenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
