using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProjekteSet : BpnEntitySet<Projekte>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Projekte";
			
		public static ProjekteSet CreateInstance(BpnConnection connection)
		{
		    var projektesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var projektesetDataSet = projektesetInfo.CreateDataSet();
		
		    var ret = new ProjekteSet(projektesetDataSet);
		    return ret;
		}
		
		internal ProjekteSet(BpNT.AutoDataSet projekteDataSet) 
			: base(projekteDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ProjekteSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ProjekteSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ProjekteSet parentSet;
		
			protected ProjekteSetIDIndex iDIndex;
			protected ProjekteSetPrioIndex prioIndex;
			protected ProjekteSetNrIndex nrIndex;
			protected ProjekteSetBezIndex bezIndex;
			protected ProjekteSetAuftrNrIndex auftrNrIndex;
			protected ProjekteSetSuchBegIndex suchBegIndex;
			protected ProjekteSetAdrNrIndex adrNrIndex;
			protected ProjekteSetAnspIndex anspIndex;
			protected ProjekteSetDatIndex datIndex;
			protected ProjekteSetBzrNrIndex bzrNrIndex;
			protected ProjekteSetArtPrioIndex artPrioIndex;
			protected ProjekteSetArtNrIndex artNrIndex;
			protected ProjekteSetArtBezIndex artBezIndex;
			protected ProjekteSetArtAuftrNrIndex artAuftrNrIndex;
			protected ProjekteSetArtSuchBegIndex artSuchBegIndex;
			protected ProjekteSetArtAdrNrIndex artAdrNrIndex;
			protected ProjekteSetArtAnspIndex artAnspIndex;
			protected ProjekteSetArtDatIndex artDatIndex;
			protected ProjekteSetArtBzrNrIndex artBzrNrIndex;
			protected ProjekteSetLtzUmsatzIndex ltzUmsatzIndex;
		
			internal IndicesClass(ProjekteSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ProjekteSetIDIndex(parentSet.DataSet);
				prioIndex = new ProjekteSetPrioIndex(parentSet.DataSet);
				nrIndex = new ProjekteSetNrIndex(parentSet.DataSet);
				bezIndex = new ProjekteSetBezIndex(parentSet.DataSet);
				auftrNrIndex = new ProjekteSetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new ProjekteSetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new ProjekteSetAdrNrIndex(parentSet.DataSet);
				anspIndex = new ProjekteSetAnspIndex(parentSet.DataSet);
				datIndex = new ProjekteSetDatIndex(parentSet.DataSet);
				bzrNrIndex = new ProjekteSetBzrNrIndex(parentSet.DataSet);
				artPrioIndex = new ProjekteSetArtPrioIndex(parentSet.DataSet);
				artNrIndex = new ProjekteSetArtNrIndex(parentSet.DataSet);
				artBezIndex = new ProjekteSetArtBezIndex(parentSet.DataSet);
				artAuftrNrIndex = new ProjekteSetArtAuftrNrIndex(parentSet.DataSet);
				artSuchBegIndex = new ProjekteSetArtSuchBegIndex(parentSet.DataSet);
				artAdrNrIndex = new ProjekteSetArtAdrNrIndex(parentSet.DataSet);
				artAnspIndex = new ProjekteSetArtAnspIndex(parentSet.DataSet);
				artDatIndex = new ProjekteSetArtDatIndex(parentSet.DataSet);
				artBzrNrIndex = new ProjekteSetArtBzrNrIndex(parentSet.DataSet);
				ltzUmsatzIndex = new ProjekteSetLtzUmsatzIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ProjekteSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Prioritt</summary>
			public ProjekteSetPrioIndex PrioIndex
			{
				get { return prioIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ProjekteSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ProjekteSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ProjekteSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ProjekteSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ProjekteSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public ProjekteSetAnspIndex AnspIndex
			{
				get { return anspIndex; }
			}
			
			/// <summary>Datum</summary>
			public ProjekteSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public ProjekteSetBzrNrIndex BzrNrIndex
			{
				get { return bzrNrIndex; }
			}
			
			/// <summary>Prioritt</summary>
			public ProjekteSetArtPrioIndex ArtPrioIndex
			{
				get { return artPrioIndex; }
			}
			
			/// <summary>Nummer</summary>
			public ProjekteSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ProjekteSetArtBezIndex ArtBezIndex
			{
				get { return artBezIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ProjekteSetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ProjekteSetArtSuchBegIndex ArtSuchBegIndex
			{
				get { return artSuchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ProjekteSetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Ansprechpartner</summary>
			public ProjekteSetArtAnspIndex ArtAnspIndex
			{
				get { return artAnspIndex; }
			}
			
			/// <summary>Datum</summary>
			public ProjekteSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Sachbearbeiter (Benutzernummer)</summary>
			public ProjekteSetArtBzrNrIndex ArtBzrNrIndex
			{
				get { return artBzrNrIndex; }
			}
			
			/// <summary>Letzter Umsatz</summary>
			public ProjekteSetLtzUmsatzIndex LtzUmsatzIndex
			{
				get { return ltzUmsatzIndex; }
			}
			
		
			#endregion
		}

		public ProjekteSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
