using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ProtokolleSet : BpnEntitySet<Protokolle>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Protokolle";
			
		public static ProtokolleSet CreateInstance(BpnConnection connection)
		{
		    var protokollesetInfo = connection.GetDataSetInfo(DS_NAME);
		    var protokollesetDataSet = protokollesetInfo.CreateDataSet();
		
		    var ret = new ProtokolleSet(protokollesetDataSet);
		    return ret;
		}
		
		internal ProtokolleSet(BpNT.AutoDataSet protokolleDataSet) 
			: base(protokolleDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ProtokolleSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ProtokolleSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ProtokolleSet parentSet;
		
			protected ProtokolleSetIDIndex iDIndex;
			protected ProtokolleSetErstDatIndex erstDatIndex;
			protected ProtokolleSetBezIndex bezIndex;
			protected ProtokolleSetErstDatWichtigIndex erstDatWichtigIndex;
			protected ProtokolleSetErstDatMldIndex erstDatMldIndex;
			protected ProtokolleSetBezMitDelIndex bezMitDelIndex;
		
			internal IndicesClass(ProtokolleSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ProtokolleSetIDIndex(parentSet.DataSet);
				erstDatIndex = new ProtokolleSetErstDatIndex(parentSet.DataSet);
				bezIndex = new ProtokolleSetBezIndex(parentSet.DataSet);
				erstDatWichtigIndex = new ProtokolleSetErstDatWichtigIndex(parentSet.DataSet);
				erstDatMldIndex = new ProtokolleSetErstDatMldIndex(parentSet.DataSet);
				bezMitDelIndex = new ProtokolleSetBezMitDelIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ProtokolleSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public ProtokolleSetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public ProtokolleSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Erstellungsdatum (wichtige, ungelesene Protokolle)</summary>
			public ProtokolleSetErstDatWichtigIndex ErstDatWichtigIndex
			{
				get { return erstDatWichtigIndex; }
			}
			
			/// <summary>Erstellungsdatum (ungelesene Protokolle)</summary>
			public ProtokolleSetErstDatMldIndex ErstDatMldIndex
			{
				get { return erstDatMldIndex; }
			}
			
			/// <summary>Bezeichnung (ikl. gelschte Protokolle)</summary>
			public ProtokolleSetBezMitDelIndex BezMitDelIndex
			{
				get { return bezMitDelIndex; }
			}
			
		
			#endregion
		}

		public ProtokolleSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
