using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RAJournalArchiv : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "RAJournalArchiv";
			
		public static RAJournalArchiv CreateInstance(BpnConnection connection)
		{
		    var rajournalarchivInfo = connection.GetDataSetInfo(DS_NAME);
		    var rajournalarchivDataSet = rajournalarchivInfo.CreateDataSet();
		
		    var ret = new RAJournalArchiv(rajournalarchivDataSet);
		    return ret;
		}
		
		public RAJournalArchiv(BpNT.AutoDataSet rajournalarchivDataSet) 
			: base(rajournalarchivDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Vorgangsart ( Byte )</summary>
		public virtual Object Art
		{
			get { return this["Art"]; }
			set { this["Art"] = value; }
		}
		/// <summary>Vorgangsgruppe ( Byte )</summary>
		public virtual Object Grp
		{
			get { return this["Grp"]; }
			set { this["Grp"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Auftragsnummer ( String )</summary>
		public virtual String AuftrNr
		{
			get { return Convert.ToString(this["AuftrNr"]); }
			set { this["AuftrNr"] = value; }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Valutadatum ( Date )</summary>
		public virtual DateTime ValutaDat
		{
			get { return Convert.ToDateTime(this["ValutaDat"]); }
			set { this["ValutaDat"] = value; }
		}
		/// <summary>Vorgangsbezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Flags 2 ( Integer )</summary>
		public virtual Int32 Flags2
		{
			get { return Convert.ToInt32(this["Flags2"]); }
			set { this["Flags2"] = value; }
		}
		/// <summary>CalcFlags ( Integer )</summary>
		public virtual Int32 CalcFlags
		{
			get { return Convert.ToInt32(this["CalcFlags"]); }
		}
		/// <summary>Verkufer (Abk.) ( String )</summary>
		public virtual String Verk
		{
			get { return Convert.ToString(this["Verk"]); }
			set { this["Verk"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>aktuelle Anschrift ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Rechnungsanschrift International Location Number ( String )</summary>
		public virtual String ReILN
		{
			get { return Convert.ToString(this["ReILN"]); }
			set { this["ReILN"] = value; }
		}
		/// <summary>Rechnungsanschrift Name 1 (Anrede) ( String )</summary>
		public virtual String ReNa1
		{
			get { return Convert.ToString(this["ReNa1"]); }
			set { this["ReNa1"] = value; }
		}
		/// <summary>Rechnungsanschrift Name 2 ( String )</summary>
		public virtual String ReNa2
		{
			get { return Convert.ToString(this["ReNa2"]); }
			set { this["ReNa2"] = value; }
		}
		/// <summary>Rechnungsanschrift Name 3 ( String )</summary>
		public virtual String ReNa3
		{
			get { return Convert.ToString(this["ReNa3"]); }
			set { this["ReNa3"] = value; }
		}
		/// <summary>Rechnungsanschrift Name 4 ( String )</summary>
		public virtual String ReNa4
		{
			get { return Convert.ToString(this["ReNa4"]); }
			set { this["ReNa4"] = value; }
		}
		/// <summary>Rechnungsanschrift Name 5 ( String )</summary>
		public virtual String ReNa5
		{
			get { return Convert.ToString(this["ReNa5"]); }
			set { this["ReNa5"] = value; }
		}
		/// <summary>Rechnungsanschrift Abteilung ( String )</summary>
		public virtual String ReAbt
		{
			get { return Convert.ToString(this["ReAbt"]); }
			set { this["ReAbt"] = value; }
		}
		/// <summary>Rechnungsanschrift Strae ( String )</summary>
		public virtual String ReStr
		{
			get { return Convert.ToString(this["ReStr"]); }
			set { this["ReStr"] = value; }
		}
		/// <summary>Rechnungsanschrift Land ( Integer )</summary>
		public virtual Int32 ReLand
		{
			get { return Convert.ToInt32(this["ReLand"]); }
			set { this["ReLand"] = value; }
		}
		/// <summary>Rechnungsanschrift Lnderkennzeichen ( String )</summary>
		public virtual String ReLandKennz
		{
			get { return Convert.ToString(this["ReLandKennz"]); }
		}
		/// <summary>Rechnungsanschrift Postleitzahl ( String )</summary>
		public virtual String RePLZ
		{
			get { return Convert.ToString(this["RePLZ"]); }
			set { this["RePLZ"] = value; }
		}
		/// <summary>Rechnungsanschrift Land & PLZ ( String )</summary>
		public virtual String RePLZInfo
		{
			get { return Convert.ToString(this["RePLZInfo"]); }
		}
		/// <summary>Rechnungsanschrift Ort ( String )</summary>
		public virtual String ReOrt
		{
			get { return Convert.ToString(this["ReOrt"]); }
			set { this["ReOrt"] = value; }
		}
		/// <summary>Rechnungsanschrift PLZ & Ort ( String )</summary>
		public virtual String RePLZOrtInfo
		{
			get { return Convert.ToString(this["RePLZOrtInfo"]); }
		}
		/// <summary>Rechnungsanschrift Postfach ( String )</summary>
		public virtual String RePostf
		{
			get { return Convert.ToString(this["RePostf"]); }
			set { this["RePostf"] = value; }
		}
		/// <summary>Rechnungsanschrift Postfach Postleitzahl ( String )</summary>
		public virtual String RePfPLZ
		{
			get { return Convert.ToString(this["RePfPLZ"]); }
			set { this["RePfPLZ"] = value; }
		}
		/// <summary>Rechnungsanschrift Postfach Ort ( String )</summary>
		public virtual String RePfOrt
		{
			get { return Convert.ToString(this["RePfOrt"]); }
			set { this["RePfOrt"] = value; }
		}
		/// <summary>Rechnungsanschrift DP LeitCode ( String )</summary>
		public virtual String ReLeitCode
		{
			get { return Convert.ToString(this["ReLeitCode"]); }
			set { this["ReLeitCode"] = value; }
		}
		/// <summary>Rechnungsanschrift DP Frachtzentrum ( String )</summary>
		public virtual String ReFZNr
		{
			get { return Convert.ToString(this["ReFZNr"]); }
			set { this["ReFZNr"] = value; }
		}
		/// <summary>Rechnungsanschrift Leitcode manuell erfassen ( Boolean )</summary>
		public virtual Object ReLcManuellKz
		{
			get { return this["ReLcManuellKz"]; }
		}
		/// <summary>Rechnungsanschrift Telefon ( String )</summary>
		public virtual String ReTel
		{
			get { return Convert.ToString(this["ReTel"]); }
			set { this["ReTel"] = value; }
		}
		/// <summary>Rechnungsanschrift Telefax ( String )</summary>
		public virtual String ReFax
		{
			get { return Convert.ToString(this["ReFax"]); }
			set { this["ReFax"] = value; }
		}
		/// <summary>Rechnungsanschrift E-Mail 1 ( String )</summary>
		public virtual String ReEMail1
		{
			get { return Convert.ToString(this["ReEMail1"]); }
			set { this["ReEMail1"] = value; }
		}
		/// <summary>Rechnungsanschrift E-Mail 2 ( String )</summary>
		public virtual String ReEMail2
		{
			get { return Convert.ToString(this["ReEMail2"]); }
			set { this["ReEMail2"] = value; }
		}
		/// <summary>Rechnungsanschrift Verteiler ( Integer )</summary>
		public virtual Int32 ReVerteiler
		{
			get { return Convert.ToInt32(this["ReVerteiler"]); }
			set { this["ReVerteiler"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Anrede ( String )</summary>
		public virtual String ReAspAnr
		{
			get { return Convert.ToString(this["ReAspAnr"]); }
			set { this["ReAspAnr"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Titel ( String )</summary>
		public virtual String ReAspTit
		{
			get { return Convert.ToString(this["ReAspTit"]); }
			set { this["ReAspTit"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Vorname ( String )</summary>
		public virtual String ReAspVNa
		{
			get { return Convert.ToString(this["ReAspVNa"]); }
			set { this["ReAspVNa"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Vorsatzwort ( String )</summary>
		public virtual String ReAspVSWort
		{
			get { return Convert.ToString(this["ReAspVSWort"]); }
			set { this["ReAspVSWort"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Nachname ( String )</summary>
		public virtual String ReAspNNa
		{
			get { return Convert.ToString(this["ReAspNNa"]); }
			set { this["ReAspNNa"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Namenszusatz ( String )</summary>
		public virtual String ReAspNaZus
		{
			get { return Convert.ToString(this["ReAspNaZus"]); }
			set { this["ReAspNaZus"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Ansprechpartner ( String )</summary>
		public virtual String ReAspAnsp
		{
			get { return Convert.ToString(this["ReAspAnsp"]); }
			set { this["ReAspAnsp"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Anrede fr Serienbrief ( String )</summary>
		public virtual String ReAspAnrSB
		{
			get { return Convert.ToString(this["ReAspAnrSB"]); }
			set { this["ReAspAnrSB"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Position ( String )</summary>
		public virtual String ReAspPos
		{
			get { return Convert.ToString(this["ReAspPos"]); }
			set { this["ReAspPos"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Abteilung ( String )</summary>
		public virtual String ReAspAbt
		{
			get { return Convert.ToString(this["ReAspAbt"]); }
			set { this["ReAspAbt"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Erreichbar von 1 ( Time )</summary>
		public virtual Object ReAspEVon1
		{
			get { return this["ReAspEVon1"]; }
			set { this["ReAspEVon1"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Erreichbar bis 1 ( Time )</summary>
		public virtual Object ReAspEBis1
		{
			get { return this["ReAspEBis1"]; }
			set { this["ReAspEBis1"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Erreichbarkeit 1 ( String )</summary>
		public virtual String ReAspEVonBis1
		{
			get { return Convert.ToString(this["ReAspEVonBis1"]); }
		}
		/// <summary>Rech. Ansprechpartner Erreichbar von 2 ( Time )</summary>
		public virtual Object ReAspEVon2
		{
			get { return this["ReAspEVon2"]; }
			set { this["ReAspEVon2"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Erreichbar bis 2 ( Time )</summary>
		public virtual Object ReAspEBis2
		{
			get { return this["ReAspEBis2"]; }
			set { this["ReAspEBis2"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Erreichbarkeit 2 ( String )</summary>
		public virtual String ReAspEVonBis2
		{
			get { return Convert.ToString(this["ReAspEVonBis2"]); }
		}
		/// <summary>Rech. Ansprechpartner Telefon 1 ( String )</summary>
		public virtual String ReAspTel1
		{
			get { return Convert.ToString(this["ReAspTel1"]); }
			set { this["ReAspTel1"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Telefon 2 ( String )</summary>
		public virtual String ReAspTel2
		{
			get { return Convert.ToString(this["ReAspTel2"]); }
			set { this["ReAspTel2"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Mobil-Telefon ( String )</summary>
		public virtual String ReAspMTel
		{
			get { return Convert.ToString(this["ReAspMTel"]); }
			set { this["ReAspMTel"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Telefax ( String )</summary>
		public virtual String ReAspFax
		{
			get { return Convert.ToString(this["ReAspFax"]); }
			set { this["ReAspFax"] = value; }
		}
		/// <summary>Rech. Ansprechpartner E-Mail 1 ( String )</summary>
		public virtual String ReAspEMail1
		{
			get { return Convert.ToString(this["ReAspEMail1"]); }
			set { this["ReAspEMail1"] = value; }
		}
		/// <summary>Rech. Ansprechpartner E-Mail 2 ( String )</summary>
		public virtual String ReAspEMail2
		{
			get { return Convert.ToString(this["ReAspEMail2"]); }
			set { this["ReAspEMail2"] = value; }
		}
		/// <summary>Rech. Ansprechpartner Verteiler ( Integer )</summary>
		public virtual Int32 ReAspVerteiler
		{
			get { return Convert.ToInt32(this["ReAspVerteiler"]); }
			set { this["ReAspVerteiler"] = value; }
		}
		/// <summary>Lieferanschrift verwenden ( Boolean )</summary>
		public virtual Object LiAnsVwKz
		{
			get { return this["LiAnsVwKz"]; }
		}
		/// <summary>Lieferanschrift Adressnummer ( String )</summary>
		public virtual String LiAdrNr
		{
			get { return Convert.ToString(this["LiAdrNr"]); }
			set { this["LiAdrNr"] = value; }
		}
		/// <summary>Lieferanschrift Anschriftennummer ( Integer )</summary>
		public virtual Int32 LiAnsNr
		{
			get { return Convert.ToInt32(this["LiAnsNr"]); }
			set { this["LiAnsNr"] = value; }
		}
		/// <summary>Lieferanschrift International Location Number ( String )</summary>
		public virtual String LiILN
		{
			get { return Convert.ToString(this["LiILN"]); }
			set { this["LiILN"] = value; }
		}
		/// <summary>Lieferanschrift Name 1 (Anrede) ( String )</summary>
		public virtual String LiNa1
		{
			get { return Convert.ToString(this["LiNa1"]); }
			set { this["LiNa1"] = value; }
		}
		/// <summary>Lieferanschrift Name 2 ( String )</summary>
		public virtual String LiNa2
		{
			get { return Convert.ToString(this["LiNa2"]); }
			set { this["LiNa2"] = value; }
		}
		/// <summary>Lieferanschrift Name 3 ( String )</summary>
		public virtual String LiNa3
		{
			get { return Convert.ToString(this["LiNa3"]); }
			set { this["LiNa3"] = value; }
		}
		/// <summary>Lieferanschrift Name 4 ( String )</summary>
		public virtual String LiNa4
		{
			get { return Convert.ToString(this["LiNa4"]); }
			set { this["LiNa4"] = value; }
		}
		/// <summary>Lieferanschrift Name 5 ( String )</summary>
		public virtual String LiNa5
		{
			get { return Convert.ToString(this["LiNa5"]); }
			set { this["LiNa5"] = value; }
		}
		/// <summary>Lieferanschrift Abteilung ( String )</summary>
		public virtual String LiAbt
		{
			get { return Convert.ToString(this["LiAbt"]); }
			set { this["LiAbt"] = value; }
		}
		/// <summary>Lieferanschrift Strae ( String )</summary>
		public virtual String LiStr
		{
			get { return Convert.ToString(this["LiStr"]); }
			set { this["LiStr"] = value; }
		}
		/// <summary>Lieferanschrift Land ( Integer )</summary>
		public virtual Int32 LiLand
		{
			get { return Convert.ToInt32(this["LiLand"]); }
			set { this["LiLand"] = value; }
		}
		/// <summary>Lieferanschrift Lnderkennzeichen ( String )</summary>
		public virtual String LiLandKennz
		{
			get { return Convert.ToString(this["LiLandKennz"]); }
		}
		/// <summary>Lieferanschrift Postleitzahl ( String )</summary>
		public virtual String LiPLZ
		{
			get { return Convert.ToString(this["LiPLZ"]); }
			set { this["LiPLZ"] = value; }
		}
		/// <summary>Lieferanschrift Land & PLZ ( String )</summary>
		public virtual String LiPLZInfo
		{
			get { return Convert.ToString(this["LiPLZInfo"]); }
		}
		/// <summary>Lieferanschrift Ort ( String )</summary>
		public virtual String LiOrt
		{
			get { return Convert.ToString(this["LiOrt"]); }
			set { this["LiOrt"] = value; }
		}
		/// <summary>Lieferanschrift PLZ & Ort ( String )</summary>
		public virtual String LiPLZOrtInfo
		{
			get { return Convert.ToString(this["LiPLZOrtInfo"]); }
		}
		/// <summary>Lieferanschrift Postfach ( String )</summary>
		public virtual String LiPostf
		{
			get { return Convert.ToString(this["LiPostf"]); }
			set { this["LiPostf"] = value; }
		}
		/// <summary>Lieferanschrift Postfach Postleitzahl ( String )</summary>
		public virtual String LiPfPLZ
		{
			get { return Convert.ToString(this["LiPfPLZ"]); }
			set { this["LiPfPLZ"] = value; }
		}
		/// <summary>Lieferanschrift Postfach Ort ( String )</summary>
		public virtual String LiPfOrt
		{
			get { return Convert.ToString(this["LiPfOrt"]); }
			set { this["LiPfOrt"] = value; }
		}
		/// <summary>Lieferanschrift DP LeitCode ( String )</summary>
		public virtual String LiLeitCode
		{
			get { return Convert.ToString(this["LiLeitCode"]); }
			set { this["LiLeitCode"] = value; }
		}
		/// <summary>Lieferanschrift DP Frachtzentrum ( String )</summary>
		public virtual String LiFZNr
		{
			get { return Convert.ToString(this["LiFZNr"]); }
			set { this["LiFZNr"] = value; }
		}
		/// <summary>Lieferanschrift Leitcode manuell erfassen ( Boolean )</summary>
		public virtual Object LiLcManuellKz
		{
			get { return this["LiLcManuellKz"]; }
		}
		/// <summary>Lieferanschrift Telefon ( String )</summary>
		public virtual String LiTel
		{
			get { return Convert.ToString(this["LiTel"]); }
			set { this["LiTel"] = value; }
		}
		/// <summary>Lieferanschrift Telefax ( String )</summary>
		public virtual String LiFax
		{
			get { return Convert.ToString(this["LiFax"]); }
			set { this["LiFax"] = value; }
		}
		/// <summary>Lieferanschrift E-Mail 1 ( String )</summary>
		public virtual String LiEMail1
		{
			get { return Convert.ToString(this["LiEMail1"]); }
			set { this["LiEMail1"] = value; }
		}
		/// <summary>Lieferanschrift E-Mail 2 ( String )</summary>
		public virtual String LiEMail2
		{
			get { return Convert.ToString(this["LiEMail2"]); }
			set { this["LiEMail2"] = value; }
		}
		/// <summary>Lieferanschrift Verteiler ( Integer )</summary>
		public virtual Int32 LiVerteiler
		{
			get { return Convert.ToInt32(this["LiVerteiler"]); }
			set { this["LiVerteiler"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Anrede ( String )</summary>
		public virtual String LiAspAnr
		{
			get { return Convert.ToString(this["LiAspAnr"]); }
			set { this["LiAspAnr"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Titel ( String )</summary>
		public virtual String LiAspTit
		{
			get { return Convert.ToString(this["LiAspTit"]); }
			set { this["LiAspTit"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Vorname ( String )</summary>
		public virtual String LiAspVNa
		{
			get { return Convert.ToString(this["LiAspVNa"]); }
			set { this["LiAspVNa"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Vorsatzwort ( String )</summary>
		public virtual String LiAspVSWort
		{
			get { return Convert.ToString(this["LiAspVSWort"]); }
			set { this["LiAspVSWort"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Nachname ( String )</summary>
		public virtual String LiAspNNa
		{
			get { return Convert.ToString(this["LiAspNNa"]); }
			set { this["LiAspNNa"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Namenszusatz ( String )</summary>
		public virtual String LiAspNaZus
		{
			get { return Convert.ToString(this["LiAspNaZus"]); }
			set { this["LiAspNaZus"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Ansprechpartner ( String )</summary>
		public virtual String LiAspAnsp
		{
			get { return Convert.ToString(this["LiAspAnsp"]); }
			set { this["LiAspAnsp"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Anrede fr Serienbrief ( String )</summary>
		public virtual String LiAspAnrSB
		{
			get { return Convert.ToString(this["LiAspAnrSB"]); }
			set { this["LiAspAnrSB"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Position ( String )</summary>
		public virtual String LiAspPos
		{
			get { return Convert.ToString(this["LiAspPos"]); }
			set { this["LiAspPos"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Abteilung ( String )</summary>
		public virtual String LiAspAbt
		{
			get { return Convert.ToString(this["LiAspAbt"]); }
			set { this["LiAspAbt"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Erreichbar von 1 ( Time )</summary>
		public virtual Object LiAspEVon1
		{
			get { return this["LiAspEVon1"]; }
			set { this["LiAspEVon1"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Erreichbar bis 1 ( Time )</summary>
		public virtual Object LiAspEBis1
		{
			get { return this["LiAspEBis1"]; }
			set { this["LiAspEBis1"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Erreichbarkeit 1 ( String )</summary>
		public virtual String LiAspEVonBis1
		{
			get { return Convert.ToString(this["LiAspEVonBis1"]); }
		}
		/// <summary>Lief. Ansprechpartner Erreichbar von 2 ( Time )</summary>
		public virtual Object LiAspEVon2
		{
			get { return this["LiAspEVon2"]; }
			set { this["LiAspEVon2"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Erreichbar bis 2 ( Time )</summary>
		public virtual Object LiAspEBis2
		{
			get { return this["LiAspEBis2"]; }
			set { this["LiAspEBis2"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Erreichbarkeit 2 ( String )</summary>
		public virtual String LiAspEVonBis2
		{
			get { return Convert.ToString(this["LiAspEVonBis2"]); }
		}
		/// <summary>Lief. Ansprechpartner Telefon 1 ( String )</summary>
		public virtual String LiAspTel1
		{
			get { return Convert.ToString(this["LiAspTel1"]); }
			set { this["LiAspTel1"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Telefon 2 ( String )</summary>
		public virtual String LiAspTel2
		{
			get { return Convert.ToString(this["LiAspTel2"]); }
			set { this["LiAspTel2"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Mobil-Telefon ( String )</summary>
		public virtual String LiAspMTel
		{
			get { return Convert.ToString(this["LiAspMTel"]); }
			set { this["LiAspMTel"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Telefax ( String )</summary>
		public virtual String LiAspFax
		{
			get { return Convert.ToString(this["LiAspFax"]); }
			set { this["LiAspFax"] = value; }
		}
		/// <summary>Lief. Ansprechpartner E-Mail 1 ( String )</summary>
		public virtual String LiAspEMail1
		{
			get { return Convert.ToString(this["LiAspEMail1"]); }
			set { this["LiAspEMail1"] = value; }
		}
		/// <summary>Lief. Ansprechpartner E-Mail 2 ( String )</summary>
		public virtual String LiAspEMail2
		{
			get { return Convert.ToString(this["LiAspEMail2"]); }
			set { this["LiAspEMail2"] = value; }
		}
		/// <summary>Lief. Ansprechpartner Verteiler ( Integer )</summary>
		public virtual Int32 LiAspVerteiler
		{
			get { return Convert.ToInt32(this["LiAspVerteiler"]); }
			set { this["LiAspVerteiler"] = value; }
		}
		/// <summary>Text Flags ( Integer )</summary>
		public virtual Int32 TextFlags
		{
			get { return Convert.ToInt32(this["TextFlags"]); }
			set { this["TextFlags"] = value; }
		}
		/// <summary>Textkennzeichen 1 ( Boolean )</summary>
		public virtual Object TextKz1
		{
			get { return this["TextKz1"]; }
		}
		/// <summary>Textkennzeichen 2 ( Boolean )</summary>
		public virtual Object TextKz2
		{
			get { return this["TextKz2"]; }
		}
		/// <summary>Textkennzeichen 3 ( Boolean )</summary>
		public virtual Object TextKz3
		{
			get { return this["TextKz3"]; }
		}
		/// <summary>Textkennzeichen 4 ( Boolean )</summary>
		public virtual Object TextKz4
		{
			get { return this["TextKz4"]; }
		}
		/// <summary>Textkennzeichen 5 ( Boolean )</summary>
		public virtual Object TextKz5
		{
			get { return this["TextKz5"]; }
		}
		/// <summary>Textkennzeichen 6 ( Boolean )</summary>
		public virtual Object TextKz6
		{
			get { return this["TextKz6"]; }
		}
		/// <summary>Textkennzeichen 7 ( Boolean )</summary>
		public virtual Object TextKz7
		{
			get { return this["TextKz7"]; }
		}
		/// <summary>Textkennzeichen 8 ( Boolean )</summary>
		public virtual Object TextKz8
		{
			get { return this["TextKz8"]; }
		}
		/// <summary>Textkennzeichen 9 ( Boolean )</summary>
		public virtual Object TextKz9
		{
			get { return this["TextKz9"]; }
		}
		/// <summary>Textkennzeichen 10 ( Boolean )</summary>
		public virtual Object TextKz10
		{
			get { return this["TextKz10"]; }
		}
		/// <summary>Textkennzeichen 11 ( Boolean )</summary>
		public virtual Object TextKz11
		{
			get { return this["TextKz11"]; }
		}
		/// <summary>Textkennzeichen 12 ( Boolean )</summary>
		public virtual Object TextKz12
		{
			get { return this["TextKz12"]; }
		}
		/// <summary>Textkennzeichen 13 ( Boolean )</summary>
		public virtual Object TextKz13
		{
			get { return this["TextKz13"]; }
		}
		/// <summary>Textkennzeichen 14 ( Boolean )</summary>
		public virtual Object TextKz14
		{
			get { return this["TextKz14"]; }
		}
		/// <summary>Textkennzeichen 15 ( Boolean )</summary>
		public virtual Object TextKz15
		{
			get { return this["TextKz15"]; }
		}
		/// <summary>Textkennzeichen 16 ( Boolean )</summary>
		public virtual Object TextKz16
		{
			get { return this["TextKz16"]; }
		}
		/// <summary>Textkennzeichen 17 ( Boolean )</summary>
		public virtual Object TextKz17
		{
			get { return this["TextKz17"]; }
		}
		/// <summary>Textkennzeichen 18 ( Boolean )</summary>
		public virtual Object TextKz18
		{
			get { return this["TextKz18"]; }
		}
		/// <summary>Textkennzeichen 19 ( Boolean )</summary>
		public virtual Object TextKz19
		{
			get { return this["TextKz19"]; }
		}
		/// <summary>Textkennzeichen 20 ( Boolean )</summary>
		public virtual Object TextKz20
		{
			get { return this["TextKz20"]; }
		}
		/// <summary>Textkennzeichen 21 ( Boolean )</summary>
		public virtual Object TextKz21
		{
			get { return this["TextKz21"]; }
		}
		/// <summary>Textkennzeichen 22 ( Boolean )</summary>
		public virtual Object TextKz22
		{
			get { return this["TextKz22"]; }
		}
		/// <summary>Textkennzeichen 23 ( Boolean )</summary>
		public virtual Object TextKz23
		{
			get { return this["TextKz23"]; }
		}
		/// <summary>Textkennzeichen 24 ( Boolean )</summary>
		public virtual Object TextKz24
		{
			get { return this["TextKz24"]; }
		}
		/// <summary>Textkennzeichen 25 ( Boolean )</summary>
		public virtual Object TextKz25
		{
			get { return this["TextKz25"]; }
		}
		/// <summary>Textkennzeichen 26 ( Boolean )</summary>
		public virtual Object TextKz26
		{
			get { return this["TextKz26"]; }
		}
		/// <summary>Textkennzeichen 27 ( Boolean )</summary>
		public virtual Object TextKz27
		{
			get { return this["TextKz27"]; }
		}
		/// <summary>Textkennzeichen 28 ( Boolean )</summary>
		public virtual Object TextKz28
		{
			get { return this["TextKz28"]; }
		}
		/// <summary>Textkennzeichen 29 ( Boolean )</summary>
		public virtual Object TextKz29
		{
			get { return this["TextKz29"]; }
		}
		/// <summary>Textkennzeichen 30 ( Boolean )</summary>
		public virtual Object TextKz30
		{
			get { return this["TextKz30"]; }
		}
		/// <summary>History ( Boolean )</summary>
		public virtual Object HistKz
		{
			get { return this["HistKz"]; }
		}
		/// <summary>Rabattfhig ( Boolean )</summary>
		public virtual Object RabKz
		{
			get { return this["RabKz"]; }
		}
		/// <summary>Rabatt (in %) ( Double )</summary>
		public virtual Object RabSz
		{
			get { return this["RabSz"]; }
			set { this["RabSz"] = value; }
		}
		/// <summary>Kundenrabattgruppe der Warengruppe ( Byte )</summary>
		public virtual Object KdRabGrpWgr
		{
			get { return this["KdRabGrpWgr"]; }
			set { this["KdRabGrpWgr"] = value; }
		}
		/// <summary>Umsatzsteuerkategorie ( Integer )</summary>
		public virtual Int32 UStKat
		{
			get { return Convert.ToInt32(this["UStKat"]); }
			set { this["UStKat"] = value; }
		}
		/// <summary>Auslandskunde Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdKz
		{
			get { return this["AuslKdKz"]; }
		}
		/// <summary>Auslandskunde EU Kennzeichen ( Boolean )</summary>
		public virtual Object AuslKdEUKz
		{
			get { return this["AuslKdEUKz"]; }
		}
		/// <summary>Umsatzsteuerkategorie manuell erfassen ( Boolean )</summary>
		public virtual Object UStKatMKz
		{
			get { return this["UStKatMKz"]; }
		}
		/// <summary>Inklusive Steuer ( Boolean )</summary>
		public virtual Object IklStKz
		{
			get { return this["IklStKz"]; }
		}
		/// <summary>Umsatzsteueridentnummer ( String )</summary>
		public virtual String UStId
		{
			get { return Convert.ToString(this["UStId"]); }
			set { this["UStId"] = value; }
		}
		/// <summary>Versandart ( Integer )</summary>
		public virtual Int32 VsdArt
		{
			get { return Convert.ToInt32(this["VsdArt"]); }
			set { this["VsdArt"] = value; }
		}
		/// <summary>Versand-Zahlweise ( Integer )</summary>
		public virtual Int32 VsdZWeise
		{
			get { return Convert.ToInt32(this["VsdZWeise"]); }
			set { this["VsdZWeise"] = value; }
		}
		/// <summary>Versicherung ( Boolean )</summary>
		public virtual Object VersichKz
		{
			get { return this["VersichKz"]; }
		}
		/// <summary>Lieferbedingung ( String )</summary>
		public virtual String LiefBed
		{
			get { return Convert.ToString(this["LiefBed"]); }
			set { this["LiefBed"] = value; }
		}
		/// <summary>Lieferdatum ( Date )</summary>
		public virtual DateTime LiefDat
		{
			get { return Convert.ToDateTime(this["LiefDat"]); }
			set { this["LiefDat"] = value; }
		}
		/// <summary>Zahlungsart ( Integer )</summary>
		public virtual Int32 ZahlArt
		{
			get { return Convert.ToInt32(this["ZahlArt"]); }
			set { this["ZahlArt"] = value; }
		}
		/// <summary>Bankverbindung ( String )</summary>
		public virtual String BnkVb
		{
			get { return Convert.ToString(this["BnkVb"]); }
		}
		/// <summary>Bankleitzahl ( String )</summary>
		public virtual String BLZ
		{
			get { return Convert.ToString(this["BLZ"]); }
			set { this["BLZ"] = value; }
		}
		/// <summary>laufende Banknummer ( Integer )</summary>
		public virtual Int32 BLZNr
		{
			get { return Convert.ToInt32(this["BLZNr"]); }
			set { this["BLZNr"] = value; }
		}
		/// <summary>Bankkurzbezeichnung ( String )</summary>
		public virtual String BkKuBez
		{
			get { return Convert.ToString(this["BkKuBez"]); }
		}
		/// <summary>Kontonummer fr Bankverbindung ( String )</summary>
		public virtual String KNr
		{
			get { return Convert.ToString(this["KNr"]); }
			set { this["KNr"] = value; }
		}
		/// <summary>IBAN (Internationale Bankverbindung) ( String )</summary>
		public virtual String IBAN
		{
			get { return Convert.ToString(this["IBAN"]); }
			set { this["IBAN"] = value; }
		}
		/// <summary>Art der Karte ( Integer )</summary>
		public virtual Int32 KartArt
		{
			get { return Convert.ToInt32(this["KartArt"]); }
			set { this["KartArt"] = value; }
		}
		/// <summary>Kartennummer der Kreditkarte ( String )</summary>
		public virtual String KartNr
		{
			get { return Convert.ToString(this["KartNr"]); }
			set { this["KartNr"] = value; }
		}
		/// <summary>Gltigkeit der Karte (MMJJ) ( String )</summary>
		public virtual String KartGueltig
		{
			get { return Convert.ToString(this["KartGueltig"]); }
			set { this["KartGueltig"] = value; }
		}
		/// <summary>Name des Karteninhabers ( String )</summary>
		public virtual String KartInhab
		{
			get { return Convert.ToString(this["KartInhab"]); }
			set { this["KartInhab"] = value; }
		}
		/// <summary>Hausbank ( Integer )</summary>
		public virtual Int32 ZahlHBk
		{
			get { return Convert.ToInt32(this["ZahlHBk"]); }
			set { this["ZahlHBk"] = value; }
		}
		/// <summary>Zahlungsbedingung ( String )</summary>
		public virtual String ZahlBed
		{
			get { return Convert.ToString(this["ZahlBed"]); }
			set { this["ZahlBed"] = value; }
		}
		/// <summary>Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Kreditlimit ( Double )</summary>
		public virtual Object KredLimit
		{
			get { return this["KredLimit"]; }
			set { this["KredLimit"] = value; }
		}
		/// <summary>Aktuelle OP-Summe (in LW1) ( Double )</summary>
		public virtual Object OPSumReAdrNr
		{
			get { return this["OPSumReAdrNr"]; }
		}
		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreter ( String )</summary>
		public virtual String VtrNrInfo
		{
			get { return Convert.ToString(this["VtrNrInfo"]); }
		}
		/// <summary>Vertreterprovisionssatz (in %) ( Double )</summary>
		public virtual Object VtrProvSz
		{
			get { return this["VtrProvSz"]; }
			set { this["VtrProvSz"] = value; }
		}
		/// <summary>Kundennummer bei Lieferant ( String )</summary>
		public virtual String KdLiefNr
		{
			get { return Convert.ToString(this["KdLiefNr"]); }
			set { this["KdLiefNr"] = value; }
		}
		/// <summary>Buchungskontonummer ( String )</summary>
		public virtual String BKtoNr
		{
			get { return Convert.ToString(this["BKtoNr"]); }
			set { this["BKtoNr"] = value; }
		}
		/// <summary>Artikelpreisgruppe ( Byte )</summary>
		public virtual Object ArtPrGrp
		{
			get { return this["ArtPrGrp"]; }
			set { this["ArtPrGrp"] = value; }
		}
		/// <summary>Gruppe fr abweichende Artikeldaten ( Integer )</summary>
		public virtual Int32 AAdGrp
		{
			get { return Convert.ToInt32(this["AAdGrp"]); }
			set { this["AAdGrp"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Fremdwhrungsfaktor ( Double )</summary>
		public virtual Object FrWFak
		{
			get { return this["FrWFak"]; }
			set { this["FrWFak"] = value; }
		}
		/// <summary>Basiswhrungsfaktor ( Double )</summary>
		public virtual Object BaWFak
		{
			get { return this["BaWFak"]; }
			set { this["BaWFak"] = value; }
		}
		/// <summary>Vorgang wurde gebucht ( Boolean )</summary>
		public virtual Object GebuchtKz
		{
			get { return this["GebuchtKz"]; }
		}
		/// <summary>Vorgang wurde storniert ( Boolean )</summary>
		public virtual Object StorniertKz
		{
			get { return this["StorniertKz"]; }
		}
		/// <summary>Vorgang wurde gedruckt ( Boolean )</summary>
		public virtual Object GedrucktKz
		{
			get { return this["GedrucktKz"]; }
		}
		/// <summary>Vorgang wurde gefaxt ( Boolean )</summary>
		public virtual Object GefaxtKz
		{
			get { return this["GefaxtKz"]; }
		}
		/// <summary>Vorgang wurde gemailt ( Boolean )</summary>
		public virtual Object GemailtKz
		{
			get { return this["GemailtKz"]; }
		}
		/// <summary>Vorgang wurde exportiert ( Boolean )</summary>
		public virtual Object ExportKz
		{
			get { return this["ExportKz"]; }
		}
		/// <summary>Buchungsinfo des Vorgangs ( Integer )</summary>
		public virtual Int32 BuchtInfo
		{
			get { return Convert.ToInt32(this["BuchtInfo"]); }
		}
		/// <summary>Fr Vorgang wurde Teillieferung erstellt ( Boolean )</summary>
		public virtual Object TeilLiefKz
		{
			get { return this["TeilLiefKz"]; }
		}
		/// <summary>Info ber mgliche Teillieferung ( String )</summary>
		public virtual String TeilLiefInfo
		{
			get { return Convert.ToString(this["TeilLiefInfo"]); }
		}
		/// <summary>Satz (in %) fr teillieferbar ( Double )</summary>
		public virtual Object TlbSz
		{
			get { return this["TlbSz"]; }
		}
		/// <summary>Information fr teillieferbar ( String )</summary>
		public virtual String TlbInfo
		{
			get { return Convert.ToString(this["TlbInfo"]); }
		}
		/// <summary>Info Image fr teillieferbar ( Integer )</summary>
		public virtual Int32 TlbInfoImg
		{
			get { return Convert.ToInt32(this["TlbInfoImg"]); }
		}
		/// <summary>Lieferbar netto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbLiefWWertNt
		{
			get { return this["TlbLiefWWertNt"]; }
		}
		/// <summary>Lieferbar brutto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbLiefWWertBrt
		{
			get { return this["TlbLiefWWertBrt"]; }
		}
		/// <summary>Lieferbar Anzahl Positionen fr teillieferbar ( Integer )</summary>
		public virtual Int32 TlbLiefAzPos
		{
			get { return Convert.ToInt32(this["TlbLiefAzPos"]); }
		}
		/// <summary>Komplettlieferbar Anzahl Positionen fr teillieferbar ( Integer )</summary>
		public virtual Int32 TlbLiefAzPosK
		{
			get { return Convert.ToInt32(this["TlbLiefAzPosK"]); }
		}
		/// <summary>Lieferbar Menge fr teillieferbar ( Double )</summary>
		public virtual Object TlbLiefMge
		{
			get { return this["TlbLiefMge"]; }
		}
		/// <summary>Lieferbar Gewicht fr teillieferbar ( Double )</summary>
		public virtual Object TlbLiefGew
		{
			get { return this["TlbLiefGew"]; }
		}
		/// <summary>Rckstand netto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbRueckWWertNt
		{
			get { return this["TlbRueckWWertNt"]; }
		}
		/// <summary>Rckstand brutto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbRueckWWertBrt
		{
			get { return this["TlbRueckWWertBrt"]; }
		}
		/// <summary>Rckstand Anzahl Positionen fr teillieferbar ( Integer )</summary>
		public virtual Int32 TlbRueckAzPos
		{
			get { return Convert.ToInt32(this["TlbRueckAzPos"]); }
		}
		/// <summary>Rckstand Menge fr teillieferbar ( Double )</summary>
		public virtual Object TlbRueckMge
		{
			get { return this["TlbRueckMge"]; }
		}
		/// <summary>Rckstand Gewicht fr teillieferbar ( Double )</summary>
		public virtual Object TlbRueckGew
		{
			get { return this["TlbRueckGew"]; }
		}
		/// <summary>Gesamt netto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbGWWertNt
		{
			get { return this["TlbGWWertNt"]; }
		}
		/// <summary>Gesamt brutto Warenwert fr teillieferbar ( Double )</summary>
		public virtual Object TlbGWWertBrt
		{
			get { return this["TlbGWWertBrt"]; }
		}
		/// <summary>Gesamt Anzahl Positionen fr teillieferbar ( Integer )</summary>
		public virtual Int32 TlbGAzPos
		{
			get { return Convert.ToInt32(this["TlbGAzPos"]); }
		}
		/// <summary>Gesamt Menge fr teillieferbar ( Double )</summary>
		public virtual Object TlbGMge
		{
			get { return this["TlbGMge"]; }
		}
		/// <summary>ges. Gewicht fr teillieferbar ( Double )</summary>
		public virtual Object TlbGGew
		{
			get { return this["TlbGGew"]; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Parameter fr das Buchen ( Array )</summary>
		public virtual Object PrmBuchen
		{
			get { return this["PrmBuchen"]; }
			set { this["PrmBuchen"] = value; }
		}
		/// <summary>Parameter fr das Buchen (gebuchte Parameter) ( Array )</summary>
		public virtual Object PrmBuchenOK
		{
			get { return this["PrmBuchenOK"]; }
			set { this["PrmBuchenOK"] = value; }
		}
		/// <summary>Vorgangsgruppe beim Buchen ( Byte )</summary>
		public virtual Object GrpBuch
		{
			get { return this["GrpBuch"]; }
			set { this["GrpBuch"] = value; }
		}
		/// <summary>Prm sonstige Parameter ( Array )</summary>
		public virtual Object PrmSonst
		{
			get { return this["PrmSonst"]; }
			set { this["PrmSonst"] = value; }
		}
		/// <summary>Anzahl der Nachkommastellen fr Betrge ( Integer )</summary>
		public virtual Int32 AzNKSBet
		{
			get { return Convert.ToInt32(this["AzNKSBet"]); }
			set { this["AzNKSBet"] = value; }
		}
		/// <summary>Anzahl der Nachkommastellen fr Mengen ( Integer )</summary>
		public virtual Int32 AzNKSMge
		{
			get { return Convert.ToInt32(this["AzNKSMge"]); }
			set { this["AzNKSMge"] = value; }
		}
		/// <summary>Anzahl der Pakete ( SmallInt )</summary>
		public virtual Object AzPakete
		{
			get { return this["AzPakete"]; }
			set { this["AzPakete"] = value; }
		}
		/// <summary>Gewichtsverteilung der Pakete ( String )</summary>
		public virtual String GewVerteil
		{
			get { return Convert.ToString(this["GewVerteil"]); }
		}
		/// <summary>Versicherungswert-Betrag ( Double )</summary>
		public virtual Object VsWertBet
		{
			get { return this["VsWertBet"]; }
			set { this["VsWertBet"] = value; }
		}
		/// <summary>Frachtkosten-Betrag ( Double )</summary>
		public virtual Object FrachtBet
		{
			get { return this["FrachtBet"]; }
			set { this["FrachtBet"] = value; }
		}
		/// <summary>Zugeordnete Paketnummern ( String )</summary>
		public virtual String ZugPktNr
		{
			get { return Convert.ToString(this["ZugPktNr"]); }
		}
		/// <summary>ges. Gewicht ( Double )</summary>
		public virtual Object GGew
		{
			get { return this["GGew"]; }
			set { this["GGew"] = value; }
		}
		/// <summary>ges. Einkaufspreis (Kalkulation) ( Double )</summary>
		public virtual Object GEkKalk
		{
			get { return this["GEkKalk"]; }
			set { this["GEkKalk"] = value; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) ( Double )</summary>
		public virtual Object GEkRoh
		{
			get { return this["GEkRoh"]; }
			set { this["GEkRoh"] = value; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) in Leitwhrung 1 ( Double )</summary>
		public virtual Object GEkRohL1
		{
			get { return this["GEkRohL1"]; }
		}
		/// <summary>ges. Einkaufspreis (Roherls) in Leitwhrung 1 (Stand: laut Faktoren zu Basiswhrung) ( Double )</summary>
		public virtual Object GEkRohL1S
		{
			get { return this["GEkRohL1S"]; }
		}
		/// <summary>Nachlassbetrag ( Double )</summary>
		public virtual Object NachlBet
		{
			get { return this["NachlBet"]; }
			set { this["NachlBet"] = value; }
		}
		/// <summary>ges. Preis ( Array )</summary>
		public virtual Object GPreis
		{
			get { return this["GPreis"]; }
			set { this["GPreis"] = value; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisM7Nt
		{
			get { return this["GPreisM7Nt"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM7St
		{
			get { return this["GPreisM7St"]; }
		}
		/// <summary>ges. Preis [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM7Bt
		{
			get { return this["GPreisM7Bt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisM16Nt
		{
			get { return this["GPreisM16Nt"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM16St
		{
			get { return this["GPreisM16St"]; }
		}
		/// <summary>ges. Preis [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM16Bt
		{
			get { return this["GPreisM16Bt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisM19Nt
		{
			get { return this["GPreisM19Nt"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM19St
		{
			get { return this["GPreisM19St"]; }
		}
		/// <summary>ges. Preis [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM19Bt
		{
			get { return this["GPreisM19Bt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisM15Nt
		{
			get { return this["GPreisM15Nt"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisM15St
		{
			get { return this["GPreisM15St"]; }
		}
		/// <summary>ges. Preis [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisM15Bt
		{
			get { return this["GPreisM15Bt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisV19Nt
		{
			get { return this["GPreisV19Nt"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV19St
		{
			get { return this["GPreisV19St"]; }
		}
		/// <summary>ges. Preis [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV19Bt
		{
			get { return this["GPreisV19Bt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisV15Nt
		{
			get { return this["GPreisV15Nt"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV15St
		{
			get { return this["GPreisV15St"]; }
		}
		/// <summary>ges. Preis [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV15Bt
		{
			get { return this["GPreisV15Bt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisV7Nt
		{
			get { return this["GPreisV7Nt"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV7St
		{
			get { return this["GPreisV7St"]; }
		}
		/// <summary>ges. Preis [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV7Bt
		{
			get { return this["GPreisV7Bt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisV16Nt
		{
			get { return this["GPreisV16Nt"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisV16St
		{
			get { return this["GPreisV16St"]; }
		}
		/// <summary>ges. Preis [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisV16Bt
		{
			get { return this["GPreisV16Bt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisUSFNt
		{
			get { return this["GPreisUSFNt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisUSFSt
		{
			get { return this["GPreisUSFSt"]; }
		}
		/// <summary>ges. Preis [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisUSFBt
		{
			get { return this["GPreisUSFBt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisEFINt
		{
			get { return this["GPreisEFINt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisEFISt
		{
			get { return this["GPreisEFISt"]; }
		}
		/// <summary>ges. Preis [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisEFIBt
		{
			get { return this["GPreisEFIBt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM7Nt
		{
			get { return this["GPreisEM7Nt"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM7St
		{
			get { return this["GPreisEM7St"]; }
		}
		/// <summary>ges. Preis [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM7Bt
		{
			get { return this["GPreisEM7Bt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM16Nt
		{
			get { return this["GPreisEM16Nt"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM16St
		{
			get { return this["GPreisEM16St"]; }
		}
		/// <summary>ges. Preis [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM16Bt
		{
			get { return this["GPreisEM16Bt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM19Nt
		{
			get { return this["GPreisEM19Nt"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM19St
		{
			get { return this["GPreisEM19St"]; }
		}
		/// <summary>ges. Preis [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM19Bt
		{
			get { return this["GPreisEM19Bt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEM15Nt
		{
			get { return this["GPreisEM15Nt"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEM15St
		{
			get { return this["GPreisEM15St"]; }
		}
		/// <summary>ges. Preis [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEM15Bt
		{
			get { return this["GPreisEM15Bt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV19Nt
		{
			get { return this["GPreisEV19Nt"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV19St
		{
			get { return this["GPreisEV19St"]; }
		}
		/// <summary>ges. Preis [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV19Bt
		{
			get { return this["GPreisEV19Bt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV15Nt
		{
			get { return this["GPreisEV15Nt"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV15St
		{
			get { return this["GPreisEV15St"]; }
		}
		/// <summary>ges. Preis [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV15Bt
		{
			get { return this["GPreisEV15Bt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV7Nt
		{
			get { return this["GPreisEV7Nt"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV7St
		{
			get { return this["GPreisEV7St"]; }
		}
		/// <summary>ges. Preis [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV7Bt
		{
			get { return this["GPreisEV7Bt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisEV16Nt
		{
			get { return this["GPreisEV16Nt"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisEV16St
		{
			get { return this["GPreisEV16St"]; }
		}
		/// <summary>ges. Preis [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisEV16Bt
		{
			get { return this["GPreisEV16Bt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBV19Nt
		{
			get { return this["GPreisBV19Nt"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV19St
		{
			get { return this["GPreisBV19St"]; }
		}
		/// <summary>ges. Preis [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV19Bt
		{
			get { return this["GPreisBV19Bt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBV16Nt
		{
			get { return this["GPreisBV16Nt"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBV16St
		{
			get { return this["GPreisBV16St"]; }
		}
		/// <summary>ges. Preis [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBV16Bt
		{
			get { return this["GPreisBV16Bt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisBU19Nt
		{
			get { return this["GPreisBU19Nt"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU19St
		{
			get { return this["GPreisBU19St"]; }
		}
		/// <summary>ges. Preis [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU19Bt
		{
			get { return this["GPreisBU19Bt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisBU16Nt
		{
			get { return this["GPreisBU16Nt"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBU16St
		{
			get { return this["GPreisBU16St"]; }
		}
		/// <summary>ges. Preis [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBU16Bt
		{
			get { return this["GPreisBU16Bt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisBOSNt
		{
			get { return this["GPreisBOSNt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisBOSSt
		{
			get { return this["GPreisBOSSt"]; }
		}
		/// <summary>ges. Preis [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisBOSBt
		{
			get { return this["GPreisBOSBt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisOSNt
		{
			get { return this["GPreisOSNt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisOSSt
		{
			get { return this["GPreisOSSt"]; }
		}
		/// <summary>ges. Preis [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisOSBt
		{
			get { return this["GPreisOSBt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisOS_EKNt
		{
			get { return this["GPreisOS_EKNt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisOS_EKSt
		{
			get { return this["GPreisOS_EKSt"]; }
		}
		/// <summary>ges. Preis [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisOS_EKBt
		{
			get { return this["GPreisOS_EKBt"]; }
		}
		/// <summary>ges. Preis (Netto) ( Double )</summary>
		public virtual Object GPreisNt
		{
			get { return this["GPreisNt"]; }
		}
		/// <summary>ges. Preis (Steuer) ( Double )</summary>
		public virtual Object GPreisSt
		{
			get { return this["GPreisSt"]; }
		}
		/// <summary>ges. Preis (Brutto) ( Double )</summary>
		public virtual Object GPreisBt
		{
			get { return this["GPreisBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 ( Array )</summary>
		public virtual Object GPreisL1
		{
			get { return this["GPreisL1"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M7Nt
		{
			get { return this["GPreisL1M7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M7St
		{
			get { return this["GPreisL1M7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M7Bt
		{
			get { return this["GPreisL1M7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M16Nt
		{
			get { return this["GPreisL1M16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M16St
		{
			get { return this["GPreisL1M16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M16Bt
		{
			get { return this["GPreisL1M16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M19Nt
		{
			get { return this["GPreisL1M19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M19St
		{
			get { return this["GPreisL1M19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M19Bt
		{
			get { return this["GPreisL1M19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1M15Nt
		{
			get { return this["GPreisL1M15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1M15St
		{
			get { return this["GPreisL1M15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1M15Bt
		{
			get { return this["GPreisL1M15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V19Nt
		{
			get { return this["GPreisL1V19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V19St
		{
			get { return this["GPreisL1V19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V19Bt
		{
			get { return this["GPreisL1V19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V15Nt
		{
			get { return this["GPreisL1V15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V15St
		{
			get { return this["GPreisL1V15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V15Bt
		{
			get { return this["GPreisL1V15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V7Nt
		{
			get { return this["GPreisL1V7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V7St
		{
			get { return this["GPreisL1V7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V7Bt
		{
			get { return this["GPreisL1V7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1V16Nt
		{
			get { return this["GPreisL1V16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1V16St
		{
			get { return this["GPreisL1V16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1V16Bt
		{
			get { return this["GPreisL1V16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1USFNt
		{
			get { return this["GPreisL1USFNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1USFSt
		{
			get { return this["GPreisL1USFSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1USFBt
		{
			get { return this["GPreisL1USFBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EFINt
		{
			get { return this["GPreisL1EFINt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EFISt
		{
			get { return this["GPreisL1EFISt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EFIBt
		{
			get { return this["GPreisL1EFIBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM7Nt
		{
			get { return this["GPreisL1EM7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM7St
		{
			get { return this["GPreisL1EM7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM7Bt
		{
			get { return this["GPreisL1EM7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM16Nt
		{
			get { return this["GPreisL1EM16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM16St
		{
			get { return this["GPreisL1EM16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM16Bt
		{
			get { return this["GPreisL1EM16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM19Nt
		{
			get { return this["GPreisL1EM19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM19St
		{
			get { return this["GPreisL1EM19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM19Bt
		{
			get { return this["GPreisL1EM19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EM15Nt
		{
			get { return this["GPreisL1EM15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EM15St
		{
			get { return this["GPreisL1EM15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EM15Bt
		{
			get { return this["GPreisL1EM15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV19Nt
		{
			get { return this["GPreisL1EV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV19St
		{
			get { return this["GPreisL1EV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV19Bt
		{
			get { return this["GPreisL1EV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV15Nt
		{
			get { return this["GPreisL1EV15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV15St
		{
			get { return this["GPreisL1EV15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV15Bt
		{
			get { return this["GPreisL1EV15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV7Nt
		{
			get { return this["GPreisL1EV7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV7St
		{
			get { return this["GPreisL1EV7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV7Bt
		{
			get { return this["GPreisL1EV7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL1EV16Nt
		{
			get { return this["GPreisL1EV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1EV16St
		{
			get { return this["GPreisL1EV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1EV16Bt
		{
			get { return this["GPreisL1EV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BV19Nt
		{
			get { return this["GPreisL1BV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BV19St
		{
			get { return this["GPreisL1BV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BV19Bt
		{
			get { return this["GPreisL1BV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BV16Nt
		{
			get { return this["GPreisL1BV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BV16St
		{
			get { return this["GPreisL1BV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BV16Bt
		{
			get { return this["GPreisL1BV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BU19Nt
		{
			get { return this["GPreisL1BU19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BU19St
		{
			get { return this["GPreisL1BU19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BU19Bt
		{
			get { return this["GPreisL1BU19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BU16Nt
		{
			get { return this["GPreisL1BU16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BU16St
		{
			get { return this["GPreisL1BU16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BU16Bt
		{
			get { return this["GPreisL1BU16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1BOSNt
		{
			get { return this["GPreisL1BOSNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1BOSSt
		{
			get { return this["GPreisL1BOSSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1BOSBt
		{
			get { return this["GPreisL1BOSBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL1OS_EKNt
		{
			get { return this["GPreisL1OS_EKNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL1OS_EKSt
		{
			get { return this["GPreisL1OS_EKSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL1OS_EKBt
		{
			get { return this["GPreisL1OS_EKBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Netto) ( Double )</summary>
		public virtual Object GPreisL1Nt
		{
			get { return this["GPreisL1Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Steuer) ( Double )</summary>
		public virtual Object GPreisL1St
		{
			get { return this["GPreisL1St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 1 (Brutto) ( Double )</summary>
		public virtual Object GPreisL1Bt
		{
			get { return this["GPreisL1Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 ( Array )</summary>
		public virtual Object GPreisL2
		{
			get { return this["GPreisL2"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M7Nt
		{
			get { return this["GPreisL2M7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M7St
		{
			get { return this["GPreisL2M7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M7Bt
		{
			get { return this["GPreisL2M7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M16Nt
		{
			get { return this["GPreisL2M16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M16St
		{
			get { return this["GPreisL2M16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M16Bt
		{
			get { return this["GPreisL2M16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M19Nt
		{
			get { return this["GPreisL2M19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M19St
		{
			get { return this["GPreisL2M19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M19Bt
		{
			get { return this["GPreisL2M19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2M15Nt
		{
			get { return this["GPreisL2M15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2M15St
		{
			get { return this["GPreisL2M15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2M15Bt
		{
			get { return this["GPreisL2M15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V19Nt
		{
			get { return this["GPreisL2V19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V19St
		{
			get { return this["GPreisL2V19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V19Bt
		{
			get { return this["GPreisL2V19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V15Nt
		{
			get { return this["GPreisL2V15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V15St
		{
			get { return this["GPreisL2V15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V15Bt
		{
			get { return this["GPreisL2V15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V7Nt
		{
			get { return this["GPreisL2V7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V7St
		{
			get { return this["GPreisL2V7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V7Bt
		{
			get { return this["GPreisL2V7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2V16Nt
		{
			get { return this["GPreisL2V16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2V16St
		{
			get { return this["GPreisL2V16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2V16Bt
		{
			get { return this["GPreisL2V16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2USFNt
		{
			get { return this["GPreisL2USFNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2USFSt
		{
			get { return this["GPreisL2USFSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2USFBt
		{
			get { return this["GPreisL2USFBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EFINt
		{
			get { return this["GPreisL2EFINt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EFISt
		{
			get { return this["GPreisL2EFISt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EFIBt
		{
			get { return this["GPreisL2EFIBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM7Nt
		{
			get { return this["GPreisL2EM7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM7St
		{
			get { return this["GPreisL2EM7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM7Bt
		{
			get { return this["GPreisL2EM7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM16Nt
		{
			get { return this["GPreisL2EM16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM16St
		{
			get { return this["GPreisL2EM16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM16Bt
		{
			get { return this["GPreisL2EM16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM19Nt
		{
			get { return this["GPreisL2EM19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM19St
		{
			get { return this["GPreisL2EM19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM19Bt
		{
			get { return this["GPreisL2EM19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EM15Nt
		{
			get { return this["GPreisL2EM15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EM15St
		{
			get { return this["GPreisL2EM15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EM15Bt
		{
			get { return this["GPreisL2EM15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV19Nt
		{
			get { return this["GPreisL2EV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV19St
		{
			get { return this["GPreisL2EV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV19Bt
		{
			get { return this["GPreisL2EV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV15Nt
		{
			get { return this["GPreisL2EV15Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV15St
		{
			get { return this["GPreisL2EV15St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV15Bt
		{
			get { return this["GPreisL2EV15Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV7Nt
		{
			get { return this["GPreisL2EV7Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV7St
		{
			get { return this["GPreisL2EV7St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV7Bt
		{
			get { return this["GPreisL2EV7Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GPreisL2EV16Nt
		{
			get { return this["GPreisL2EV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2EV16St
		{
			get { return this["GPreisL2EV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2EV16Bt
		{
			get { return this["GPreisL2EV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BV19Nt
		{
			get { return this["GPreisL2BV19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BV19St
		{
			get { return this["GPreisL2BV19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BV19Bt
		{
			get { return this["GPreisL2BV19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BV16Nt
		{
			get { return this["GPreisL2BV16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BV16St
		{
			get { return this["GPreisL2BV16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BV16Bt
		{
			get { return this["GPreisL2BV16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BU19Nt
		{
			get { return this["GPreisL2BU19Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BU19St
		{
			get { return this["GPreisL2BU19St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BU19Bt
		{
			get { return this["GPreisL2BU19Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BU16Nt
		{
			get { return this["GPreisL2BU16Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BU16St
		{
			get { return this["GPreisL2BU16St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BU16Bt
		{
			get { return this["GPreisL2BU16Bt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2BOSNt
		{
			get { return this["GPreisL2BOSNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2BOSSt
		{
			get { return this["GPreisL2BOSSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2BOSBt
		{
			get { return this["GPreisL2BOSBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GPreisL2OS_EKNt
		{
			get { return this["GPreisL2OS_EKNt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GPreisL2OS_EKSt
		{
			get { return this["GPreisL2OS_EKSt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GPreisL2OS_EKBt
		{
			get { return this["GPreisL2OS_EKBt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Netto) ( Double )</summary>
		public virtual Object GPreisL2Nt
		{
			get { return this["GPreisL2Nt"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Steuer) ( Double )</summary>
		public virtual Object GPreisL2St
		{
			get { return this["GPreisL2St"]; }
		}
		/// <summary>ges. Preis in Leitwhrung 2 (Brutto) ( Double )</summary>
		public virtual Object GPreisL2Bt
		{
			get { return this["GPreisL2Bt"]; }
		}
		/// <summary>Gesamt Roherls (in %) ( Double )</summary>
		public virtual Object GRohSz
		{
			get { return this["GRohSz"]; }
		}
		/// <summary>Gesamt Roherlsbetrag ( Double )</summary>
		public virtual Object GRohBet
		{
			get { return this["GRohBet"]; }
		}
		/// <summary>ges. Rabatt ( Array )</summary>
		public virtual Object GRab
		{
			get { return this["GRab"]; }
			set { this["GRab"] = value; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GRabM7Nt
		{
			get { return this["GRabM7Nt"]; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabM7St
		{
			get { return this["GRabM7St"]; }
		}
		/// <summary>ges. Rabatt [2 Mehrwertsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabM7Bt
		{
			get { return this["GRabM7Bt"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GRabM16Nt
		{
			get { return this["GRabM16Nt"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabM16St
		{
			get { return this["GRabM16St"]; }
		}
		/// <summary>ges. Rabatt [3 Mehrwertsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabM16Bt
		{
			get { return this["GRabM16Bt"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GRabM19Nt
		{
			get { return this["GRabM19Nt"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabM19St
		{
			get { return this["GRabM19St"]; }
		}
		/// <summary>ges. Rabatt [4 Mehrwertsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabM19Bt
		{
			get { return this["GRabM19Bt"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GRabM15Nt
		{
			get { return this["GRabM15Nt"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabM15St
		{
			get { return this["GRabM15St"]; }
		}
		/// <summary>ges. Rabatt [5 Mehrwertsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabM15Bt
		{
			get { return this["GRabM15Bt"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Netto) ( Double )</summary>
		public virtual Object GRabV19Nt
		{
			get { return this["GRabV19Nt"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabV19St
		{
			get { return this["GRabV19St"]; }
		}
		/// <summary>ges. Rabatt [6 Vorsteuer 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabV19Bt
		{
			get { return this["GRabV19Bt"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Netto) ( Double )</summary>
		public virtual Object GRabV15Nt
		{
			get { return this["GRabV15Nt"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabV15St
		{
			get { return this["GRabV15St"]; }
		}
		/// <summary>ges. Rabatt [7 Vorsteuer 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabV15Bt
		{
			get { return this["GRabV15Bt"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Netto) ( Double )</summary>
		public virtual Object GRabV7Nt
		{
			get { return this["GRabV7Nt"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabV7St
		{
			get { return this["GRabV7St"]; }
		}
		/// <summary>ges. Rabatt [8 Vorsteuer 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabV7Bt
		{
			get { return this["GRabV7Bt"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Netto) ( Double )</summary>
		public virtual Object GRabV16Nt
		{
			get { return this["GRabV16Nt"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabV16St
		{
			get { return this["GRabV16St"]; }
		}
		/// <summary>ges. Rabatt [9 Vorsteuer 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabV16Bt
		{
			get { return this["GRabV16Bt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabUSFNt
		{
			get { return this["GRabUSFNt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabUSFSt
		{
			get { return this["GRabUSFSt"]; }
		}
		/// <summary>ges. Rabatt [10 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabUSFBt
		{
			get { return this["GRabUSFBt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Netto) ( Double )</summary>
		public virtual Object GRabEFINt
		{
			get { return this["GRabEFINt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Steuer) ( Double )</summary>
		public virtual Object GRabEFISt
		{
			get { return this["GRabEFISt"]; }
		}
		/// <summary>ges. Rabatt [11 EU Umsatzsteuerfrei mit ID-Nr.] (Brutto) ( Double )</summary>
		public virtual Object GRabEFIBt
		{
			get { return this["GRabEFIBt"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GRabEM7Nt
		{
			get { return this["GRabEM7Nt"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM7St
		{
			get { return this["GRabEM7St"]; }
		}
		/// <summary>ges. Rabatt [12 EU Umsatzsteuerfrei mit MwSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM7Bt
		{
			get { return this["GRabEM7Bt"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GRabEM16Nt
		{
			get { return this["GRabEM16Nt"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM16St
		{
			get { return this["GRabEM16St"]; }
		}
		/// <summary>ges. Rabatt [13 EU Umsatzsteuerfrei mit MwSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM16Bt
		{
			get { return this["GRabEM16Bt"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GRabEM19Nt
		{
			get { return this["GRabEM19Nt"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM19St
		{
			get { return this["GRabEM19St"]; }
		}
		/// <summary>ges. Rabatt [14 EU Umsatzsteuerfrei mit MwSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM19Bt
		{
			get { return this["GRabEM19Bt"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GRabEM15Nt
		{
			get { return this["GRabEM15Nt"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabEM15St
		{
			get { return this["GRabEM15St"]; }
		}
		/// <summary>ges. Rabatt [15 EU Umsatzsteuerfrei mit MwSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabEM15Bt
		{
			get { return this["GRabEM15Bt"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Netto) ( Double )</summary>
		public virtual Object GRabEV19Nt
		{
			get { return this["GRabEV19Nt"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV19St
		{
			get { return this["GRabEV19St"]; }
		}
		/// <summary>ges. Rabatt [16 EU Umsatzsteuerfrei mit VSt.-Abzug 19%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV19Bt
		{
			get { return this["GRabEV19Bt"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Netto) ( Double )</summary>
		public virtual Object GRabEV15Nt
		{
			get { return this["GRabEV15Nt"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV15St
		{
			get { return this["GRabEV15St"]; }
		}
		/// <summary>ges. Rabatt [17 EU Umsatzsteuerfrei mit VSt.-Abzug 15%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV15Bt
		{
			get { return this["GRabEV15Bt"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Netto) ( Double )</summary>
		public virtual Object GRabEV7Nt
		{
			get { return this["GRabEV7Nt"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV7St
		{
			get { return this["GRabEV7St"]; }
		}
		/// <summary>ges. Rabatt [18 EU Umsatzsteuerfrei mit VSt.-Abzug 7%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV7Bt
		{
			get { return this["GRabEV7Bt"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Netto) ( Double )</summary>
		public virtual Object GRabEV16Nt
		{
			get { return this["GRabEV16Nt"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Steuer) ( Double )</summary>
		public virtual Object GRabEV16St
		{
			get { return this["GRabEV16St"]; }
		}
		/// <summary>ges. Rabatt [19 EU Umsatzsteuerfrei mit VSt.-Abzug 16%] (Brutto) ( Double )</summary>
		public virtual Object GRabEV16Bt
		{
			get { return this["GRabEV16Bt"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GRabBV19Nt
		{
			get { return this["GRabBV19Nt"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GRabBV19St
		{
			get { return this["GRabBV19St"]; }
		}
		/// <summary>ges. Rabatt [48 VSt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GRabBV19Bt
		{
			get { return this["GRabBV19Bt"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GRabBV16Nt
		{
			get { return this["GRabBV16Nt"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GRabBV16St
		{
			get { return this["GRabBV16St"]; }
		}
		/// <summary>ges. Rabatt [49 VSt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GRabBV16Bt
		{
			get { return this["GRabBV16Bt"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Netto) ( Double )</summary>
		public virtual Object GRabBU19Nt
		{
			get { return this["GRabBU19Nt"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Steuer) ( Double )</summary>
		public virtual Object GRabBU19St
		{
			get { return this["GRabBU19St"]; }
		}
		/// <summary>ges. Rabatt [58 USt. aus Bauleistungen nach 13 UStG 19] (Brutto) ( Double )</summary>
		public virtual Object GRabBU19Bt
		{
			get { return this["GRabBU19Bt"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Netto) ( Double )</summary>
		public virtual Object GRabBU16Nt
		{
			get { return this["GRabBU16Nt"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Steuer) ( Double )</summary>
		public virtual Object GRabBU16St
		{
			get { return this["GRabBU16St"]; }
		}
		/// <summary>ges. Rabatt [59 USt. aus Bauleistungen nach 13 UStG (normal)] (Brutto) ( Double )</summary>
		public virtual Object GRabBU16Bt
		{
			get { return this["GRabBU16Bt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabBOSNt
		{
			get { return this["GRabBOSNt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabBOSSt
		{
			get { return this["GRabBOSSt"]; }
		}
		/// <summary>ges. Rabatt [69 Umsatzsteuerfrei (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabBOSBt
		{
			get { return this["GRabBOSBt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabOSNt
		{
			get { return this["GRabOSNt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabOSSt
		{
			get { return this["GRabOSSt"]; }
		}
		/// <summary>ges. Rabatt [101 Ohne Steuer (Verkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabOSBt
		{
			get { return this["GRabOSBt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Netto) ( Double )</summary>
		public virtual Object GRabOS_EKNt
		{
			get { return this["GRabOS_EKNt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Steuer) ( Double )</summary>
		public virtual Object GRabOS_EKSt
		{
			get { return this["GRabOS_EKSt"]; }
		}
		/// <summary>ges. Rabatt [102 Ohne Steuer (Einkauf)] (Brutto) ( Double )</summary>
		public virtual Object GRabOS_EKBt
		{
			get { return this["GRabOS_EKBt"]; }
		}
		/// <summary>ges. Rabatt (Netto) ( Double )</summary>
		public virtual Object GRabNt
		{
			get { return this["GRabNt"]; }
		}
		/// <summary>ges. Rabatt (Steuer) ( Double )</summary>
		public virtual Object GRabSt
		{
			get { return this["GRabSt"]; }
		}
		/// <summary>ges. Rabatt (Brutto) ( Double )</summary>
		public virtual Object GRabBt
		{
			get { return this["GRabBt"]; }
		}
		/// <summary>ges. skontofhiger Betrag ( Array )</summary>
		public virtual Object GSkto
		{
			get { return this["GSkto"]; }
			set { this["GSkto"] = value; }
		}
		/// <summary>ges. skontofhiger Betrag (Netto) ( Double )</summary>
		public virtual Object GSktoNt
		{
			get { return this["GSktoNt"]; }
		}
		/// <summary>ges. skontofhiger Betrag (Steuer) ( Double )</summary>
		public virtual Object GSktoSt
		{
			get { return this["GSktoSt"]; }
		}
		/// <summary>ges. skontofhiger Betrag (Brutto) ( Double )</summary>
		public virtual Object GSktoBt
		{
			get { return this["GSktoBt"]; }
		}
		/// <summary>skontofhiger Bruttobetrag ( Double )</summary>
		public virtual Object SktoBrtBet
		{
			get { return this["SktoBrtBet"]; }
			set { this["SktoBrtBet"] = value; }
		}
		/// <summary>Umsatz Netto ( Double )</summary>
		public virtual Object UmsNetto
		{
			get { return this["UmsNetto"]; }
			set { this["UmsNetto"] = value; }
		}
		/// <summary>Umsatz Ek (fr Roherls) ( Double )</summary>
		public virtual Object UmsEkRoh
		{
			get { return this["UmsEkRoh"]; }
			set { this["UmsEkRoh"] = value; }
		}
		/// <summary>Original gesamt Preis (Brutto) ( Double )</summary>
		public virtual Object GPrBrtOrg
		{
			get { return this["GPrBrtOrg"]; }
			set { this["GPrBrtOrg"] = value; }
		}
		/// <summary>Betrag den Kunde bezahlt hat ( Double )</summary>
		public virtual Object KdBezBet
		{
			get { return this["KdBezBet"]; }
			set { this["KdBezBet"] = value; }
		}
		/// <summary>Restbetrag ist Preisnachlass ( Boolean )</summary>
		public virtual Object RBetPrNaKz
		{
			get { return this["RBetPrNaKz"]; }
			set { this["RBetPrNaKz"] = value; }
		}
		/// <summary>Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Kalk_AKalG
		{
			get { return this["Kalk.AKalG"]; }
			set { this["Kalk.AKalG"] = value; }
		}
		/// <summary>Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Kalk_Schema
		{
			get { return this["Kalk.Schema"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_MEkZus1
		{
			get { return this["Kalk.MEkZus1"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Kalk_MEkZus2
		{
			get { return this["Kalk.MEkZus2"]; }
		}
		/// <summary>Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Kalk_MEkZus3
		{
			get { return this["Kalk.MEkZus3"]; }
		}
		/// <summary>Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_MZus
		{
			get { return this["Kalk.MZus"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_MKGrp
		{
			get { return this["Kalk.MKGrp"]; }
		}
		/// <summary>Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Kalk_MKSz
		{
			get { return this["Kalk.MKSz"]; }
		}
		/// <summary>Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Kalk_LZt
		{
			get { return this["Kalk.LZt"]; }
		}
		/// <summary>Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LZtEh
		{
			get { return this["Kalk.LZtEh"]; }
		}
		/// <summary>Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Kalk_LZus1
		{
			get { return this["Kalk.LZus1"]; }
		}
		/// <summary>Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_LKGrp
		{
			get { return this["Kalk.LKGrp"]; }
		}
		/// <summary>Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Kalk_LLBet
		{
			get { return this["Kalk.LLBet"]; }
		}
		/// <summary>Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Kalk_LLZtEh
		{
			get { return this["Kalk.LLZtEh"]; }
		}
		/// <summary>Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_MAntSz
		{
			get { return this["Kalk.MAntSz"]; }
		}
		/// <summary>Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Kalk_LAntSz
		{
			get { return this["Kalk.LAntSz"]; }
		}
		/// <summary>Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_HKZus
		{
			get { return this["Kalk.HKZus"]; }
		}
		/// <summary>Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Kalk_SKZus
		{
			get { return this["Kalk.SKZus"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Kalk_SKKGrp
		{
			get { return this["Kalk.SKKGrp"]; }
		}
		/// <summary>Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Kalk_SKKSz
		{
			get { return this["Kalk.SKKSz"]; }
		}
		/// <summary>Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Kalk_SktoSz
		{
			get { return this["Kalk.SktoSz"]; }
		}
		/// <summary>Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Kalk_ProvSz
		{
			get { return this["Kalk.ProvSz"]; }
		}
		/// <summary>Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Kalk_RabSz
		{
			get { return this["Kalk.RabSz"]; }
		}
		/// <summary>Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Kalk_PFGrp
		{
			get { return this["Kalk.PFGrp"]; }
		}
		/// <summary>Preiszuordnung Material Betrag (Netto) ( Double )</summary>
		public virtual Object PrZuMatBetNet
		{
			get { return this["PrZuMatBetNet"]; }
		}
		/// <summary>Preiszuordnung Material Betrag (Steuer) ( Double )</summary>
		public virtual Object PrZuMatBetSt
		{
			get { return this["PrZuMatBetSt"]; }
			set { this["PrZuMatBetSt"] = value; }
		}
		/// <summary>Preiszuordnung Material Betrag (Brutto) ( Double )</summary>
		public virtual Object PrZuMatBetBrt
		{
			get { return this["PrZuMatBetBrt"]; }
			set { this["PrZuMatBetBrt"] = value; }
		}
		/// <summary>Preiszuordnung Lohn Betrag (Netto) ( Double )</summary>
		public virtual Object PrZuLohnBetNet
		{
			get { return this["PrZuLohnBetNet"]; }
		}
		/// <summary>Preiszuordnung Lohn Betrag (Steuer) ( Double )</summary>
		public virtual Object PrZuLohnBetSt
		{
			get { return this["PrZuLohnBetSt"]; }
			set { this["PrZuLohnBetSt"] = value; }
		}
		/// <summary>Preiszuordnung Lohn Betrag (Brutto) ( Double )</summary>
		public virtual Object PrZuLohnBetBrt
		{
			get { return this["PrZuLohnBetBrt"]; }
			set { this["PrZuLohnBetBrt"] = value; }
		}
		/// <summary>Preiszuordnung Fremdleistung Betrag (Netto) ( Double )</summary>
		public virtual Object PrZuFremdBetNet
		{
			get { return this["PrZuFremdBetNet"]; }
		}
		/// <summary>Preiszuordnung Fremdleistung Betrag (Steuer) ( Double )</summary>
		public virtual Object PrZuFremdBetSt
		{
			get { return this["PrZuFremdBetSt"]; }
			set { this["PrZuFremdBetSt"] = value; }
		}
		/// <summary>Preiszuordnung Fremdleistung Betrag (Brutto) ( Double )</summary>
		public virtual Object PrZuFremdBetBrt
		{
			get { return this["PrZuFremdBetBrt"]; }
			set { this["PrZuFremdBetBrt"] = value; }
		}
		/// <summary>Preiszuordnung Sonstige Betrag (Netto) ( Double )</summary>
		public virtual Object PrZuSonstBetNet
		{
			get { return this["PrZuSonstBetNet"]; }
		}
		/// <summary>Preiszuordnung Sonstige Betrag (Steuer) ( Double )</summary>
		public virtual Object PrZuSonstBetSt
		{
			get { return this["PrZuSonstBetSt"]; }
			set { this["PrZuSonstBetSt"] = value; }
		}
		/// <summary>Preiszuordnung Sonstige Betrag (Brutto) ( Double )</summary>
		public virtual Object PrZuSonstBetBrt
		{
			get { return this["PrZuSonstBetBrt"]; }
			set { this["PrZuSonstBetBrt"] = value; }
		}
		/// <summary>Belegpositionsnummer ( SmallInt )</summary>
		public virtual Object BelegPosNr
		{
			get { return this["BelegPosNr"]; }
			set { this["BelegPosNr"] = value; }
		}
		/// <summary>Ausgabeverteiler Kennzeichen ( Boolean )</summary>
		public virtual Object AusgVtlKz
		{
			get { return this["AusgVtlKz"]; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>VorgangPosition ( BlobTable )</summary>
		public virtual Object VPo
		{
			get { return this["VPo"]; }
			set { this["VPo"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>VorgangInfoBlattSaetze ( BlobTable )</summary>
		public virtual Object VIBls
		{
			get { return this["VIBls"]; }
			set { this["VIBls"] = value; }
		}
		/// <summary>Vor Text ( Info )</summary>
		public virtual Object VorText
		{
			get { return this["VorText"]; }
			set { this["VorText"] = value; }
		}
		/// <summary>Vor Text Kennzeichen ( Boolean )</summary>
		public virtual Object VorTextKz
		{
			get { return this["VorTextKz"]; }
		}
		/// <summary>Nach Text ( Info )</summary>
		public virtual Object NachText
		{
			get { return this["NachText"]; }
			set { this["NachText"] = value; }
		}
		/// <summary>Nach Text Kennzeichen ( Boolean )</summary>
		public virtual Object NachTextKz
		{
			get { return this["NachTextKz"]; }
		}
		/// <summary>VorgangsAnlagen ( BlobTable )</summary>
		public virtual Object VogA
		{
			get { return this["VogA"]; }
			set { this["VogA"] = value; }
		}
		/// <summary>VorgangProtokoll ( BlobTable )</summary>
		public virtual Object VPtk
		{
			get { return this["VPtk"]; }
			set { this["VPtk"] = value; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Belegnummer in Barcodeliste eintragen ( Boolean )</summary>
		public virtual Object BelegNrInBarCodeListeKz
		{
			get { return this["BelegNrInBarCodeListeKz"]; }
		}
		/// <summary>Laufende Teilzahlungsnummer ( Integer )</summary>
		public virtual Int32 LfdTZNr
		{
			get { return Convert.ToInt32(this["LfdTZNr"]); }
			set { this["LfdTZNr"] = value; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Enthllt GAEB Daten ( Boolean )</summary>
		public virtual Object GaebKz
		{
			get { return this["GaebKz"]; }
		}
		/// <summary>ID Auktionsplattform ( String )</summary>
		public virtual String AucWebID
		{
			get { return Convert.ToString(this["AucWebID"]); }
			set { this["AucWebID"] = value; }
		}
		/// <summary>Dreiecksgeschft ( Boolean )</summary>
		public virtual Object DreiGsKz
		{
			get { return this["DreiGsKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
