using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class RAJournalArchivSet : BpnEntitySet<RAJournalArchiv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "RAJournalArchiv";
			
		public static RAJournalArchivSet CreateInstance(BpnConnection connection)
		{
		    var rajournalarchivsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var rajournalarchivsetDataSet = rajournalarchivsetInfo.CreateDataSet();
		
		    var ret = new RAJournalArchivSet(rajournalarchivsetDataSet);
		    return ret;
		}
		
		internal RAJournalArchivSet(BpNT.AutoDataSet rajournalarchivDataSet) 
			: base(rajournalarchivDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected RAJournalArchivSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new RAJournalArchivSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected RAJournalArchivSet parentSet;
		
			protected RAJournalArchivSetHiDatIndex hiDatIndex;
			protected RAJournalArchivSetIDIndex iDIndex;
			protected RAJournalArchivSetBelegNrIndex belegNrIndex;
			protected RAJournalArchivSetAuftrNrIndex auftrNrIndex;
			protected RAJournalArchivSetAdrNrIndex adrNrIndex;
			protected RAJournalArchivSetLiAdrNrIndex liAdrNrIndex;
			protected RAJournalArchivSetDatIndex datIndex;
		
			internal IndicesClass(RAJournalArchivSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new RAJournalArchivSetHiDatIndex(parentSet.DataSet);
				iDIndex = new RAJournalArchivSetIDIndex(parentSet.DataSet);
				belegNrIndex = new RAJournalArchivSetBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new RAJournalArchivSetAuftrNrIndex(parentSet.DataSet);
				adrNrIndex = new RAJournalArchivSetAdrNrIndex(parentSet.DataSet);
				liAdrNrIndex = new RAJournalArchivSetLiAdrNrIndex(parentSet.DataSet);
				datIndex = new RAJournalArchivSetDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public RAJournalArchivSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public RAJournalArchivSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public RAJournalArchivSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public RAJournalArchivSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public RAJournalArchivSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public RAJournalArchivSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public RAJournalArchivSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
		
			#endregion
		}

		public RAJournalArchivSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
