using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Regeln : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Regeln";
			
		public static Regeln CreateInstance(BpnConnection connection)
		{
		    var regelnInfo = connection.GetDataSetInfo(DS_NAME);
		    var regelnDataSet = regelnInfo.CreateDataSet();
		
		    var ret = new Regeln(regelnDataSet);
		    return ret;
		}
		
		public Regeln(BpNT.AutoDataSet regelnDataSet) 
			: base(regelnDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBKuNa
		{
			get { return Convert.ToString(this["DBKuNa"]); }
			set { this["DBKuNa"] = value; }
		}
		/// <summary>Zeilennummer ( Integer )</summary>
		public virtual Int32 ZeilenNr
		{
			get { return Convert.ToInt32(this["ZeilenNr"]); }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Nummer ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Benutzt Kennzeichen ( Boolean )</summary>
		public virtual Object BenutztKz
		{
			get { return this["BenutztKz"]; }
		}
		/// <summary>Auswertungspositionen im Programm ( Integer )</summary>
		public virtual Int32 AuswPos
		{
			get { return Convert.ToInt32(this["AuswPos"]); }
			set { this["AuswPos"] = value; }
		}
		/// <summary>Immer ausfhren ( Boolean )</summary>
		public virtual Object BedImmerKz
		{
			get { return this["BedImmerKz"]; }
		}
		/// <summary>Keine weiteren Regeln auswerten ( Boolean )</summary>
		public virtual Object KeineRglKz
		{
			get { return this["KeineRglKz"]; }
		}
		/// <summary>Bedingungen ( Array )</summary>
		public virtual Object Bedingung
		{
			get { return this["Bedingung"]; }
			set { this["Bedingung"] = value; }
		}
		/// <summary>Formel fr Bedingungen ( String )</summary>
		public virtual String BedFormel
		{
			get { return Convert.ToString(this["BedFormel"]); }
			set { this["BedFormel"] = value; }
		}
		/// <summary>Felder, die bei Auswahl geprft werden sollen ( StringList )</summary>
		public virtual Object BedFeldAuswahl
		{
			get { return this["BedFeldAuswahl"]; }
			set { this["BedFeldAuswahl"] = value; }
		}
		/// <summary>Felder, die auf Benutzernderdung geprft werden sollen ( StringList )</summary>
		public virtual Object BedFeldAend
		{
			get { return this["BedFeldAend"]; }
			set { this["BedFeldAend"] = value; }
		}
		/// <summary>Felder, die auf nderdungen geprft werden sollen ( StringList )</summary>
		public virtual Object BedFeldGeaend
		{
			get { return this["BedFeldGeaend"]; }
			set { this["BedFeldGeaend"] = value; }
		}
		/// <summary>Formel fr verzweigte Bedingungen ( String )</summary>
		public virtual String BedVzFormel
		{
			get { return Convert.ToString(this["BedVzFormel"]); }
			set { this["BedVzFormel"] = value; }
		}
		/// <summary>RegelAnweisungen ( BlobTable )</summary>
		public virtual Object RglAnw
		{
			get { return this["RglAnw"]; }
			set { this["RglAnw"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
