using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ServiceVertraege : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "ServiceVertraege";
			
		public static ServiceVertraege CreateInstance(BpnConnection connection)
		{
		    var servicevertraegeInfo = connection.GetDataSetInfo(DS_NAME);
		    var servicevertraegeDataSet = servicevertraegeInfo.CreateDataSet();
		
		    var ret = new ServiceVertraege(servicevertraegeDataSet);
		    return ret;
		}
		
		public ServiceVertraege(BpNT.AutoDataSet servicevertraegeDataSet) 
			: base(servicevertraegeDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Artikel ( String )</summary>
		public virtual String ArtNrInfo
		{
			get { return Convert.ToString(this["ArtNrInfo"]); }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Kostenstellennummer ( String )</summary>
		public virtual String KstNr
		{
			get { return Convert.ToString(this["KstNr"]); }
			set { this["KstNr"] = value; }
		}
		/// <summary>Kostenstelle ( String )</summary>
		public virtual String KstNrInfo
		{
			get { return Convert.ToString(this["KstNrInfo"]); }
		}
		/// <summary>Vertrag gekndigt ( Boolean )</summary>
		public virtual Object GekKz
		{
			get { return this["GekKz"]; }
			set { this["GekKz"] = value; }
		}
		/// <summary>Datum zu dem der Vertrag gekndigt wurde ( Date )</summary>
		public virtual DateTime GekDat
		{
			get { return Convert.ToDateTime(this["GekDat"]); }
			set { this["GekDat"] = value; }
		}
		/// <summary>Vertrag ist gekndigt ( Boolean )</summary>
		public virtual Object IstGekKz
		{
			get { return this["IstGekKz"]; }
		}
		/// <summary>Voraussichtliches Enddatum (unter Bercksichtigung der Kndigung) ( DateTime )</summary>
		public virtual DateTime VorEndDat
		{
			get { return Convert.ToDateTime(this["VorEndDat"]); }
		}
		/// <summary>Standort ( String )</summary>
		public virtual String Standort
		{
			get { return Convert.ToString(this["Standort"]); }
			set { this["Standort"] = value; }
		}
		/// <summary>Seriennummer ( String )</summary>
		public virtual String SerienNr
		{
			get { return Convert.ToString(this["SerienNr"]); }
			set { this["SerienNr"] = value; }
		}
		/// <summary>Startdatum ( Date )</summary>
		public virtual DateTime StartDat
		{
			get { return Convert.ToDateTime(this["StartDat"]); }
			set { this["StartDat"] = value; }
		}
		/// <summary>Vertragslaufzeit ( Byte )</summary>
		public virtual Object LaufZt
		{
			get { return this["LaufZt"]; }
			set { this["LaufZt"] = value; }
		}
		/// <summary>Vorgabe fr Vertragslaufzeit ( Byte )</summary>
		public virtual Object LaufZtVgb
		{
			get { return this["LaufZtVgb"]; }
			set { this["LaufZtVgb"] = value; }
		}
		/// <summary>Enddatum ( Date )</summary>
		public virtual DateTime EndDat
		{
			get { return Convert.ToDateTime(this["EndDat"]); }
			set { this["EndDat"] = value; }
		}
		/// <summary>Vertrag automatisch verlngern ( Boolean )</summary>
		public virtual Object AutoVKz
		{
			get { return this["AutoVKz"]; }
		}
		/// <summary>Vertragsabrechnung ( Byte )</summary>
		public virtual Object Abrech
		{
			get { return this["Abrech"]; }
			set { this["Abrech"] = value; }
		}
		/// <summary>Laufzeitabrechnung ist fllig ( Boolean )</summary>
		public virtual Object AbrLaufZtKz
		{
			get { return this["AbrLaufZtKz"]; }
		}
		/// <summary>Zhlerstandsabrechnung ist fllig ( Boolean )</summary>
		public virtual Object AbrZaehlSKz
		{
			get { return this["AbrZaehlSKz"]; }
		}
		/// <summary>Vertragsabrechnung ist fllig ( Boolean )</summary>
		public virtual Object AbrVertragKz
		{
			get { return this["AbrVertragKz"]; }
		}
		/// <summary>Abrechnungszyklus ( Byte )</summary>
		public virtual Object AbrZyk
		{
			get { return this["AbrZyk"]; }
			set { this["AbrZyk"] = value; }
		}
		/// <summary>Vorgabe fr Abrechnungszyklus ( Byte )</summary>
		public virtual Object AbrZykVgb
		{
			get { return this["AbrZykVgb"]; }
			set { this["AbrZykVgb"] = value; }
		}
		/// <summary>Datum der nchsten Abrechnung ( Date )</summary>
		public virtual DateTime NaechAbrDat
		{
			get { return Convert.ToDateTime(this["NaechAbrDat"]); }
			set { this["NaechAbrDat"] = value; }
		}
		/// <summary>Belegnummer des Abrechnungsvertrag ( String )</summary>
		public virtual String VertragBelegNr
		{
			get { return Convert.ToString(this["VertragBelegNr"]); }
			set { this["VertragBelegNr"] = value; }
		}
		/// <summary>Anzahl der Kopien ohne Berechnung ( Double )</summary>
		public virtual Object FreiKopien
		{
			get { return this["FreiKopien"]; }
			set { this["FreiKopien"] = value; }
		}
		/// <summary>Aktueller Zhlerstand ( Double )</summary>
		public virtual Object AktZaehler
		{
			get { return this["AktZaehler"]; }
			set { this["AktZaehler"] = value; }
		}
		/// <summary>Datum vom aktuellen Zhlerstand ( Date )</summary>
		public virtual DateTime AktZaehDat
		{
			get { return Convert.ToDateTime(this["AktZaehDat"]); }
			set { this["AktZaehDat"] = value; }
		}
		/// <summary>Neuer Zhlerstand ( Double )</summary>
		public virtual Object NeuZaehler
		{
			get { return this["NeuZaehler"]; }
			set { this["NeuZaehler"] = value; }
		}
		/// <summary>Datum von neuem Zhlerstand ( Date )</summary>
		public virtual DateTime NeuZaehDat
		{
			get { return Convert.ToDateTime(this["NeuZaehDat"]); }
			set { this["NeuZaehDat"] = value; }
		}
		/// <summary>Letzte Belegnummer ( String )</summary>
		public virtual String LtzBelegNr
		{
			get { return Convert.ToString(this["LtzBelegNr"]); }
			set { this["LtzBelegNr"] = value; }
		}
		/// <summary>Letztes Abrechnungsdatum ( Date )</summary>
		public virtual DateTime LtzDat
		{
			get { return Convert.ToDateTime(this["LtzDat"]); }
			set { this["LtzDat"] = value; }
		}
		/// <summary>Rahmenvertrag fr Adressnummer ( String )</summary>
		public virtual String RaVtAdrNr
		{
			get { return Convert.ToString(this["RaVtAdrNr"]); }
			set { this["RaVtAdrNr"] = value; }
		}
		/// <summary>Rahmenvertrag fr Adresse ( String )</summary>
		public virtual String RaVtAdrNrInfo
		{
			get { return Convert.ToString(this["RaVtAdrNrInfo"]); }
		}
		/// <summary>Spezielle Menge fr Laufzeitabrechnung verwenden ( Boolean )</summary>
		public virtual Object SpzMgeKz
		{
			get { return this["SpzMgeKz"]; }
		}
		/// <summary>Spezielle Menge fr Laufzeitabrechnung ( Double )</summary>
		public virtual Object SpzMge
		{
			get { return this["SpzMge"]; }
			set { this["SpzMge"] = value; }
		}
		/// <summary>Spezieller Preis fr Laufzeitabrechnung verwenden ( Boolean )</summary>
		public virtual Object SpzPrLaufZtKz
		{
			get { return this["SpzPrLaufZtKz"]; }
		}
		/// <summary>Spezieller Preis fr Laufzeitabrechnung ( Double )</summary>
		public virtual Object SpzPrLaufZt
		{
			get { return this["SpzPrLaufZt"]; }
			set { this["SpzPrLaufZt"] = value; }
		}
		/// <summary>Spezieller Preis fr Zhlerstandsabrechnung verwenden ( Boolean )</summary>
		public virtual Object SpzPrZaehlKz
		{
			get { return this["SpzPrZaehlKz"]; }
		}
		/// <summary>Spezieller Preis fr Zhlerstandsabrechnung ( Double )</summary>
		public virtual Object SpzPrZaehl
		{
			get { return this["SpzPrZaehl"]; }
			set { this["SpzPrZaehl"] = value; }
		}
		/// <summary>Spezielle Preise sind inklusive Steuer ( Boolean )</summary>
		public virtual Object SpzPrIklStKz
		{
			get { return this["SpzPrIklStKz"]; }
		}
		/// <summary>Spezielle Bezeichnung anstelle Artikelbezeichnung verwenden ( Boolean )</summary>
		public virtual Object SpzBezKz
		{
			get { return this["SpzBezKz"]; }
		}
		/// <summary>Artikel fr spezielle Bezeichnung ( String )</summary>
		public virtual String SpzBezArtNr
		{
			get { return Convert.ToString(this["SpzBezArtNr"]); }
			set { this["SpzBezArtNr"] = value; }
		}
		/// <summary>Artikel fr spezielle Bezeichnung ( String )</summary>
		public virtual String SpzBezArtNrInfo
		{
			get { return Convert.ToString(this["SpzBezArtNrInfo"]); }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Geprftkennzeichen ( Boolean )</summary>
		public virtual Object GeprKz
		{
			get { return this["GeprKz"]; }
			set { this["GeprKz"] = value; }
		}
		/// <summary>Benutzer der Eintrag geprft hat ( String )</summary>
		public virtual String GeprBzr
		{
			get { return Convert.ToString(this["GeprBzr"]); }
			set { this["GeprBzr"] = value; }
		}
		/// <summary>Datum der Prfung ( DateTime )</summary>
		public virtual DateTime GeprDat
		{
			get { return Convert.ToDateTime(this["GeprDat"]); }
			set { this["GeprDat"] = value; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Gesperrt ab Datum ( Date )</summary>
		public virtual DateTime GspAbDat
		{
			get { return Convert.ToDateTime(this["GspAbDat"]); }
			set { this["GspAbDat"] = value; }
		}
		/// <summary>Gesperrt bis Datum ( Date )</summary>
		public virtual DateTime GspBisDat
		{
			get { return Convert.ToDateTime(this["GspBisDat"]); }
			set { this["GspBisDat"] = value; }
		}
		/// <summary>ID des bergeordneten Servicevertrags ( Integer )</summary>
		public virtual Int32 SVtID
		{
			get { return Convert.ToInt32(this["SVtID"]); }
			set { this["SVtID"] = value; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime IntErstDat
		{
			get { return Convert.ToDateTime(this["IntErstDat"]); }
			set { this["IntErstDat"] = value; }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
