using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support0Set : BpnEntitySet<Support0>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Support0";
			
		public static Support0Set CreateInstance(BpnConnection connection)
		{
		    var support0setInfo = connection.GetDataSetInfo(DS_NAME);
		    var support0setDataSet = support0setInfo.CreateDataSet();
		
		    var ret = new Support0Set(support0setDataSet);
		    return ret;
		}
		
		internal Support0Set(BpNT.AutoDataSet support0DataSet) 
			: base(support0DataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected Support0Set.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new Support0Set.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected Support0Set parentSet;
		
			protected Support0SetIDIndex iDIndex;
			protected Support0SetBereichKuBezIndex bereichKuBezIndex;
			protected Support0SetKuBezIndex kuBezIndex;
			protected Support0SetBereichStufeIndex bereichStufeIndex;
			protected Support0SetStufeIndex stufeIndex;
			protected Support0SetBereichErstDatIndex bereichErstDatIndex;
			protected Support0SetErstDatIndex erstDatIndex;
			protected Support0SetBereichAendDatIndex bereichAendDatIndex;
			protected Support0SetAendDatIndex aendDatIndex;
			protected Support0SetPruefSBzrNrIndex pruefSBzrNrIndex;
			protected Support0SetPruefSBzrNrZPIndex pruefSBzrNrZPIndex;
			protected Support0SetNaechPruefDatIndex naechPruefDatIndex;
		
			internal IndicesClass(Support0Set parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new Support0SetIDIndex(parentSet.DataSet);
				bereichKuBezIndex = new Support0SetBereichKuBezIndex(parentSet.DataSet);
				kuBezIndex = new Support0SetKuBezIndex(parentSet.DataSet);
				bereichStufeIndex = new Support0SetBereichStufeIndex(parentSet.DataSet);
				stufeIndex = new Support0SetStufeIndex(parentSet.DataSet);
				bereichErstDatIndex = new Support0SetBereichErstDatIndex(parentSet.DataSet);
				erstDatIndex = new Support0SetErstDatIndex(parentSet.DataSet);
				bereichAendDatIndex = new Support0SetBereichAendDatIndex(parentSet.DataSet);
				aendDatIndex = new Support0SetAendDatIndex(parentSet.DataSet);
				pruefSBzrNrIndex = new Support0SetPruefSBzrNrIndex(parentSet.DataSet);
				pruefSBzrNrZPIndex = new Support0SetPruefSBzrNrZPIndex(parentSet.DataSet);
				naechPruefDatIndex = new Support0SetNaechPruefDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public Support0SetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bereich</summary>
			public Support0SetBereichKuBezIndex BereichKuBezIndex
			{
				get { return bereichKuBezIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public Support0SetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support0SetBereichStufeIndex BereichStufeIndex
			{
				get { return bereichStufeIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support0SetStufeIndex StufeIndex
			{
				get { return stufeIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support0SetBereichErstDatIndex BereichErstDatIndex
			{
				get { return bereichErstDatIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support0SetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support0SetBereichAendDatIndex BereichAendDatIndex
			{
				get { return bereichAendDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support0SetAendDatIndex AendDatIndex
			{
				get { return aendDatIndex; }
			}
			
			/// <summary>Prfsachbearbeiter</summary>
			public Support0SetPruefSBzrNrIndex PruefSBzrNrIndex
			{
				get { return pruefSBzrNrIndex; }
			}
			
			/// <summary>Prfsachbearbeiter (zu prfen)</summary>
			public Support0SetPruefSBzrNrZPIndex PruefSBzrNrZPIndex
			{
				get { return pruefSBzrNrZPIndex; }
			}
			
			/// <summary>Nchstes Prfdatum</summary>
			public Support0SetNaechPruefDatIndex NaechPruefDatIndex
			{
				get { return naechPruefDatIndex; }
			}
			
		
			#endregion
		}

		public Support0Set.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
