using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support1Set : BpnEntitySet<Support1>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Support1";
			
		public static Support1Set CreateInstance(BpnConnection connection)
		{
		    var support1setInfo = connection.GetDataSetInfo(DS_NAME);
		    var support1setDataSet = support1setInfo.CreateDataSet();
		
		    var ret = new Support1Set(support1setDataSet);
		    return ret;
		}
		
		internal Support1Set(BpNT.AutoDataSet support1DataSet) 
			: base(support1DataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected Support1Set.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new Support1Set.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected Support1Set parentSet;
		
			protected Support1SetIDIndex iDIndex;
			protected Support1SetBereichKuBezIndex bereichKuBezIndex;
			protected Support1SetKuBezIndex kuBezIndex;
			protected Support1SetBereichStufeIndex bereichStufeIndex;
			protected Support1SetStufeIndex stufeIndex;
			protected Support1SetBereichErstDatIndex bereichErstDatIndex;
			protected Support1SetErstDatIndex erstDatIndex;
			protected Support1SetBereichAendDatIndex bereichAendDatIndex;
			protected Support1SetAendDatIndex aendDatIndex;
			protected Support1SetPruefSBzrNrIndex pruefSBzrNrIndex;
			protected Support1SetPruefSBzrNrZPIndex pruefSBzrNrZPIndex;
			protected Support1SetNaechPruefDatIndex naechPruefDatIndex;
		
			internal IndicesClass(Support1Set parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new Support1SetIDIndex(parentSet.DataSet);
				bereichKuBezIndex = new Support1SetBereichKuBezIndex(parentSet.DataSet);
				kuBezIndex = new Support1SetKuBezIndex(parentSet.DataSet);
				bereichStufeIndex = new Support1SetBereichStufeIndex(parentSet.DataSet);
				stufeIndex = new Support1SetStufeIndex(parentSet.DataSet);
				bereichErstDatIndex = new Support1SetBereichErstDatIndex(parentSet.DataSet);
				erstDatIndex = new Support1SetErstDatIndex(parentSet.DataSet);
				bereichAendDatIndex = new Support1SetBereichAendDatIndex(parentSet.DataSet);
				aendDatIndex = new Support1SetAendDatIndex(parentSet.DataSet);
				pruefSBzrNrIndex = new Support1SetPruefSBzrNrIndex(parentSet.DataSet);
				pruefSBzrNrZPIndex = new Support1SetPruefSBzrNrZPIndex(parentSet.DataSet);
				naechPruefDatIndex = new Support1SetNaechPruefDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public Support1SetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bereich</summary>
			public Support1SetBereichKuBezIndex BereichKuBezIndex
			{
				get { return bereichKuBezIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public Support1SetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support1SetBereichStufeIndex BereichStufeIndex
			{
				get { return bereichStufeIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support1SetStufeIndex StufeIndex
			{
				get { return stufeIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support1SetBereichErstDatIndex BereichErstDatIndex
			{
				get { return bereichErstDatIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support1SetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support1SetBereichAendDatIndex BereichAendDatIndex
			{
				get { return bereichAendDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support1SetAendDatIndex AendDatIndex
			{
				get { return aendDatIndex; }
			}
			
			/// <summary>Prfsachbearbeiter</summary>
			public Support1SetPruefSBzrNrIndex PruefSBzrNrIndex
			{
				get { return pruefSBzrNrIndex; }
			}
			
			/// <summary>Prfsachbearbeiter (zu prfen)</summary>
			public Support1SetPruefSBzrNrZPIndex PruefSBzrNrZPIndex
			{
				get { return pruefSBzrNrZPIndex; }
			}
			
			/// <summary>Nchstes Prfdatum</summary>
			public Support1SetNaechPruefDatIndex NaechPruefDatIndex
			{
				get { return naechPruefDatIndex; }
			}
			
		
			#endregion
		}

		public Support1Set.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
