using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support2Set : BpnEntitySet<Support2>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Support2";
			
		public static Support2Set CreateInstance(BpnConnection connection)
		{
		    var support2setInfo = connection.GetDataSetInfo(DS_NAME);
		    var support2setDataSet = support2setInfo.CreateDataSet();
		
		    var ret = new Support2Set(support2setDataSet);
		    return ret;
		}
		
		internal Support2Set(BpNT.AutoDataSet support2DataSet) 
			: base(support2DataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected Support2Set.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new Support2Set.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected Support2Set parentSet;
		
			protected Support2SetIDIndex iDIndex;
			protected Support2SetBereichKuBezIndex bereichKuBezIndex;
			protected Support2SetKuBezIndex kuBezIndex;
			protected Support2SetBereichStufeIndex bereichStufeIndex;
			protected Support2SetStufeIndex stufeIndex;
			protected Support2SetBereichErstDatIndex bereichErstDatIndex;
			protected Support2SetErstDatIndex erstDatIndex;
			protected Support2SetBereichAendDatIndex bereichAendDatIndex;
			protected Support2SetAendDatIndex aendDatIndex;
			protected Support2SetPruefSBzrNrIndex pruefSBzrNrIndex;
			protected Support2SetPruefSBzrNrZPIndex pruefSBzrNrZPIndex;
			protected Support2SetNaechPruefDatIndex naechPruefDatIndex;
		
			internal IndicesClass(Support2Set parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new Support2SetIDIndex(parentSet.DataSet);
				bereichKuBezIndex = new Support2SetBereichKuBezIndex(parentSet.DataSet);
				kuBezIndex = new Support2SetKuBezIndex(parentSet.DataSet);
				bereichStufeIndex = new Support2SetBereichStufeIndex(parentSet.DataSet);
				stufeIndex = new Support2SetStufeIndex(parentSet.DataSet);
				bereichErstDatIndex = new Support2SetBereichErstDatIndex(parentSet.DataSet);
				erstDatIndex = new Support2SetErstDatIndex(parentSet.DataSet);
				bereichAendDatIndex = new Support2SetBereichAendDatIndex(parentSet.DataSet);
				aendDatIndex = new Support2SetAendDatIndex(parentSet.DataSet);
				pruefSBzrNrIndex = new Support2SetPruefSBzrNrIndex(parentSet.DataSet);
				pruefSBzrNrZPIndex = new Support2SetPruefSBzrNrZPIndex(parentSet.DataSet);
				naechPruefDatIndex = new Support2SetNaechPruefDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public Support2SetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bereich</summary>
			public Support2SetBereichKuBezIndex BereichKuBezIndex
			{
				get { return bereichKuBezIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public Support2SetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support2SetBereichStufeIndex BereichStufeIndex
			{
				get { return bereichStufeIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support2SetStufeIndex StufeIndex
			{
				get { return stufeIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support2SetBereichErstDatIndex BereichErstDatIndex
			{
				get { return bereichErstDatIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support2SetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support2SetBereichAendDatIndex BereichAendDatIndex
			{
				get { return bereichAendDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support2SetAendDatIndex AendDatIndex
			{
				get { return aendDatIndex; }
			}
			
			/// <summary>Prfsachbearbeiter</summary>
			public Support2SetPruefSBzrNrIndex PruefSBzrNrIndex
			{
				get { return pruefSBzrNrIndex; }
			}
			
			/// <summary>Prfsachbearbeiter (zu prfen)</summary>
			public Support2SetPruefSBzrNrZPIndex PruefSBzrNrZPIndex
			{
				get { return pruefSBzrNrZPIndex; }
			}
			
			/// <summary>Nchstes Prfdatum</summary>
			public Support2SetNaechPruefDatIndex NaechPruefDatIndex
			{
				get { return naechPruefDatIndex; }
			}
			
		
			#endregion
		}

		public Support2Set.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
