using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Support4Set : BpnEntitySet<Support4>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Support4";
			
		public static Support4Set CreateInstance(BpnConnection connection)
		{
		    var support4setInfo = connection.GetDataSetInfo(DS_NAME);
		    var support4setDataSet = support4setInfo.CreateDataSet();
		
		    var ret = new Support4Set(support4setDataSet);
		    return ret;
		}
		
		internal Support4Set(BpNT.AutoDataSet support4DataSet) 
			: base(support4DataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected Support4Set.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new Support4Set.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected Support4Set parentSet;
		
			protected Support4SetIDIndex iDIndex;
			protected Support4SetBereichKuBezIndex bereichKuBezIndex;
			protected Support4SetKuBezIndex kuBezIndex;
			protected Support4SetBereichStufeIndex bereichStufeIndex;
			protected Support4SetStufeIndex stufeIndex;
			protected Support4SetBereichErstDatIndex bereichErstDatIndex;
			protected Support4SetErstDatIndex erstDatIndex;
			protected Support4SetBereichAendDatIndex bereichAendDatIndex;
			protected Support4SetAendDatIndex aendDatIndex;
			protected Support4SetPruefSBzrNrIndex pruefSBzrNrIndex;
			protected Support4SetPruefSBzrNrZPIndex pruefSBzrNrZPIndex;
			protected Support4SetNaechPruefDatIndex naechPruefDatIndex;
		
			internal IndicesClass(Support4Set parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new Support4SetIDIndex(parentSet.DataSet);
				bereichKuBezIndex = new Support4SetBereichKuBezIndex(parentSet.DataSet);
				kuBezIndex = new Support4SetKuBezIndex(parentSet.DataSet);
				bereichStufeIndex = new Support4SetBereichStufeIndex(parentSet.DataSet);
				stufeIndex = new Support4SetStufeIndex(parentSet.DataSet);
				bereichErstDatIndex = new Support4SetBereichErstDatIndex(parentSet.DataSet);
				erstDatIndex = new Support4SetErstDatIndex(parentSet.DataSet);
				bereichAendDatIndex = new Support4SetBereichAendDatIndex(parentSet.DataSet);
				aendDatIndex = new Support4SetAendDatIndex(parentSet.DataSet);
				pruefSBzrNrIndex = new Support4SetPruefSBzrNrIndex(parentSet.DataSet);
				pruefSBzrNrZPIndex = new Support4SetPruefSBzrNrZPIndex(parentSet.DataSet);
				naechPruefDatIndex = new Support4SetNaechPruefDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public Support4SetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Bereich</summary>
			public Support4SetBereichKuBezIndex BereichKuBezIndex
			{
				get { return bereichKuBezIndex; }
			}
			
			/// <summary>Kurzbezeichnung</summary>
			public Support4SetKuBezIndex KuBezIndex
			{
				get { return kuBezIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support4SetBereichStufeIndex BereichStufeIndex
			{
				get { return bereichStufeIndex; }
			}
			
			/// <summary>Stufe</summary>
			public Support4SetStufeIndex StufeIndex
			{
				get { return stufeIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support4SetBereichErstDatIndex BereichErstDatIndex
			{
				get { return bereichErstDatIndex; }
			}
			
			/// <summary>Erstellungsdatum</summary>
			public Support4SetErstDatIndex ErstDatIndex
			{
				get { return erstDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support4SetBereichAendDatIndex BereichAendDatIndex
			{
				get { return bereichAendDatIndex; }
			}
			
			/// <summary>nderungsdatum</summary>
			public Support4SetAendDatIndex AendDatIndex
			{
				get { return aendDatIndex; }
			}
			
			/// <summary>Prfsachbearbeiter</summary>
			public Support4SetPruefSBzrNrIndex PruefSBzrNrIndex
			{
				get { return pruefSBzrNrIndex; }
			}
			
			/// <summary>Prfsachbearbeiter (zu prfen)</summary>
			public Support4SetPruefSBzrNrZPIndex PruefSBzrNrZPIndex
			{
				get { return pruefSBzrNrZPIndex; }
			}
			
			/// <summary>Nchstes Prfdatum</summary>
			public Support4SetNaechPruefDatIndex NaechPruefDatIndex
			{
				get { return naechPruefDatIndex; }
			}
			
		
			#endregion
		}

		public Support4Set.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
