using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Telefon : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Telefon";
			
		public static Telefon CreateInstance(BpnConnection connection)
		{
		    var telefonInfo = connection.GetDataSetInfo(DS_NAME);
		    var telefonDataSet = telefonInfo.CreateDataSet();
		
		    var ret = new Telefon(telefonDataSet);
		    return ret;
		}
		
		public Telefon(BpNT.AutoDataSet telefonDataSet) 
			: base(telefonDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Telefon ( String )</summary>
		public virtual String Tel
		{
			get { return Convert.ToString(this["Tel"]); }
			set { this["Tel"] = value; }
		}
		/// <summary>Bereich ( String )</summary>
		public virtual String DBBkzBez
		{
			get { return Convert.ToString(this["DBBkzBez"]); }
			set { this["DBBkzBez"] = value; }
		}
		/// <summary>(ID) ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}


		#endregion
	}
}
