using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TerminalBenutzer : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "TerminalBenutzer";
			
		public static TerminalBenutzer CreateInstance(BpnConnection connection)
		{
		    var terminalbenutzerInfo = connection.GetDataSetInfo(DS_NAME);
		    var terminalbenutzerDataSet = terminalbenutzerInfo.CreateDataSet();
		
		    var ret = new TerminalBenutzer(terminalbenutzerDataSet);
		    return ret;
		}
		
		public TerminalBenutzer(BpNT.AutoDataSet terminalbenutzerDataSet) 
			: base(terminalbenutzerDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Anmeldename ( String )</summary>
		public virtual String AnmNa
		{
			get { return Convert.ToString(this["AnmNa"]); }
			set { this["AnmNa"] = value; }
		}
		/// <summary>Terminal-Mandant Nummer ( Integer )</summary>
		public virtual Int32 TMaNr
		{
			get { return Convert.ToInt32(this["TMaNr"]); }
			set { this["TMaNr"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
