using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class TerminalMandanten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "TerminalMandanten";
			
		public static TerminalMandanten CreateInstance(BpnConnection connection)
		{
		    var terminalmandantenInfo = connection.GetDataSetInfo(DS_NAME);
		    var terminalmandantenDataSet = terminalmandantenInfo.CreateDataSet();
		
		    var ret = new TerminalMandanten(terminalmandantenDataSet);
		    return ret;
		}
		
		public TerminalMandanten(BpNT.AutoDataSet terminalmandantenDataSet) 
			: base(terminalmandantenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Nummer ( Integer )</summary>
		public virtual Int32 Nr
		{
			get { return Convert.ToInt32(this["Nr"]); }
			set { this["Nr"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>TerminalBenutzer ( Table )</summary>
		public virtual Object TBzr
		{
			get { return this["TBzr"]; }
		}
		/// <summary>Berechtigungsbezeichnung ( String )</summary>
		public virtual String BerBez
		{
			get { return Convert.ToString(this["BerBez"]); }
			set { this["BerBez"] = value; }
		}
		/// <summary>max. Anzahl Lohn Mitarbeiter ( Integer )</summary>
		public virtual Int32 LohnMit
		{
			get { return Convert.ToInt32(this["LohnMit"]); }
			set { this["LohnMit"] = value; }
		}
		/// <summary>max. Anzahl Anmeldungen ( Integer )</summary>
		public virtual Int32 MaxNet
		{
			get { return Convert.ToInt32(this["MaxNet"]); }
			set { this["MaxNet"] = value; }
		}
		/// <summary>Information ( Info )</summary>
		public virtual Object Info
		{
			get { return this["Info"]; }
			set { this["Info"] = value; }
		}
		/// <summary>Information Kennzeichen ( Boolean )</summary>
		public virtual Object InfoKz
		{
			get { return this["InfoKz"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
