using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class UmsSchemas : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "UmsSchemas";
			
		public static UmsSchemas CreateInstance(BpnConnection connection)
		{
		    var umsschemasInfo = connection.GetDataSetInfo(DS_NAME);
		    var umsschemasDataSet = umsschemasInfo.CreateDataSet();
		
		    var ret = new UmsSchemas(umsschemasDataSet);
		    return ret;
		}
		
		public UmsSchemas(BpNT.AutoDataSet umsschemasDataSet) 
			: base(umsschemasDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>DbsKzBez ( String )</summary>
		public virtual String ussDBBkzBez
		{
			get { return Convert.ToString(this["ussDBBkzBez"]); }
			set { this["ussDBBkzBez"] = value; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>UmsSchemas ( Blob )</summary>
		public virtual Object UmS
		{
			get { return this["UmS"]; }
			set { this["UmS"] = value; }
		}
		/// <summary>FeldName ( String )</summary>
		public virtual String ussFeldName
		{
			get { return Convert.ToString(this["ussFeldName"]); }
			set { this["ussFeldName"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
