using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class UmsSchemasSet : BpnEntitySet<UmsSchemas>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "UmsSchemas";
			
		public static UmsSchemasSet CreateInstance(BpnConnection connection)
		{
		    var umsschemassetInfo = connection.GetDataSetInfo(DS_NAME);
		    var umsschemassetDataSet = umsschemassetInfo.CreateDataSet();
		
		    var ret = new UmsSchemasSet(umsschemassetDataSet);
		    return ret;
		}
		
		internal UmsSchemasSet(BpNT.AutoDataSet umsschemasDataSet) 
			: base(umsschemasDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected UmsSchemasSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new UmsSchemasSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected UmsSchemasSet parentSet;
		
			protected UmsSchemasSetTypKuBezIndex typKuBezIndex;
		
			internal IndicesClass(UmsSchemasSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				typKuBezIndex = new UmsSchemasSetTypKuBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>TypKurzbezeichner</summary>
			public UmsSchemasSetTypKuBezIndex TypKuBezIndex
			{
				get { return typKuBezIndex; }
			}
			
		
			#endregion
		}

		public UmsSchemasSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
