using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VersandArchiv : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VersandArchiv";
			
		public static VersandArchiv CreateInstance(BpnConnection connection)
		{
		    var versandarchivInfo = connection.GetDataSetInfo(DS_NAME);
		    var versandarchivDataSet = versandarchivInfo.CreateDataSet();
		
		    var ret = new VersandArchiv(versandarchivDataSet);
		    return ret;
		}
		
		public VersandArchiv(BpNT.AutoDataSet versandarchivDataSet) 
			: base(versandarchivDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Versender ( String )</summary>
		public virtual String Versender
		{
			get { return Convert.ToString(this["Versender"]); }
			set { this["Versender"] = value; }
		}
		/// <summary>Kundennummer beim Versender ( String )</summary>
		public virtual String VersKdNr
		{
			get { return Convert.ToString(this["VersKdNr"]); }
		}
		/// <summary>Versandart ( Integer )</summary>
		public virtual Int32 VsdArt
		{
			get { return Convert.ToInt32(this["VsdArt"]); }
			set { this["VsdArt"] = value; }
		}
		/// <summary>Versandart ( String )</summary>
		public virtual String VsdArtInfo
		{
			get { return Convert.ToString(this["VsdArtInfo"]); }
		}
		/// <summary>Versandart ( Integer )</summary>
		public virtual Int32 PktNrVsdArt
		{
			get { return Convert.ToInt32(this["PktNrVsdArt"]); }
			set { this["PktNrVsdArt"] = value; }
		}
		/// <summary>laufende Paketnummer ( String )</summary>
		public virtual String LfdPktNr
		{
			get { return Convert.ToString(this["LfdPktNr"]); }
			set { this["LfdPktNr"] = value; }
		}
		/// <summary>Paketnummer ( String )</summary>
		public virtual String PktNr
		{
			get { return Convert.ToString(this["PktNr"]); }
			set { this["PktNr"] = value; }
		}
		/// <summary>Datum ( Date )</summary>
		public virtual DateTime Dat
		{
			get { return Convert.ToDateTime(this["Dat"]); }
			set { this["Dat"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Erledigt Kennzeichen ( Boolean )</summary>
		public virtual Object ErledigtKz
		{
			get { return this["ErledigtKz"]; }
			set { this["ErledigtKz"] = value; }
		}
		/// <summary>Adressnummer ( String )</summary>
		public virtual String AdrNr
		{
			get { return Convert.ToString(this["AdrNr"]); }
			set { this["AdrNr"] = value; }
		}
		/// <summary>Anschriftennummer ( Integer )</summary>
		public virtual Int32 AnsNr
		{
			get { return Convert.ToInt32(this["AnsNr"]); }
			set { this["AnsNr"] = value; }
		}
		/// <summary>Name 1 (Anrede) ( String )</summary>
		public virtual String Na1
		{
			get { return Convert.ToString(this["Na1"]); }
			set { this["Na1"] = value; }
		}
		/// <summary>Name 2 ( String )</summary>
		public virtual String Na2
		{
			get { return Convert.ToString(this["Na2"]); }
			set { this["Na2"] = value; }
		}
		/// <summary>Name 3 (Zusatz) ( String )</summary>
		public virtual String Na3
		{
			get { return Convert.ToString(this["Na3"]); }
			set { this["Na3"] = value; }
		}
		/// <summary>Name 4 ( String )</summary>
		public virtual String Na4
		{
			get { return Convert.ToString(this["Na4"]); }
			set { this["Na4"] = value; }
		}
		/// <summary>Name 5 ( String )</summary>
		public virtual String Na5
		{
			get { return Convert.ToString(this["Na5"]); }
			set { this["Na5"] = value; }
		}
		/// <summary>Abteilung ( String )</summary>
		public virtual String Abt
		{
			get { return Convert.ToString(this["Abt"]); }
			set { this["Abt"] = value; }
		}
		/// <summary>Strae ( String )</summary>
		public virtual String Str
		{
			get { return Convert.ToString(this["Str"]); }
			set { this["Str"] = value; }
		}
		/// <summary>Land ( Integer )</summary>
		public virtual Int32 Land
		{
			get { return Convert.ToInt32(this["Land"]); }
			set { this["Land"] = value; }
		}
		/// <summary>Lnderkennzeichen ( String )</summary>
		public virtual String LandKennz
		{
			get { return Convert.ToString(this["LandKennz"]); }
		}
		/// <summary>Postleitzahl ( String )</summary>
		public virtual String PLZ
		{
			get { return Convert.ToString(this["PLZ"]); }
			set { this["PLZ"] = value; }
		}
		/// <summary>Land & PLZ ( String )</summary>
		public virtual String PLZInfo
		{
			get { return Convert.ToString(this["PLZInfo"]); }
		}
		/// <summary>Ort ( String )</summary>
		public virtual String Ort
		{
			get { return Convert.ToString(this["Ort"]); }
			set { this["Ort"] = value; }
		}
		/// <summary>PLZ & Ort ( String )</summary>
		public virtual String PLZOrtInfo
		{
			get { return Convert.ToString(this["PLZOrtInfo"]); }
		}
		/// <summary>DP LeitCode ( String )</summary>
		public virtual String LeitCode
		{
			get { return Convert.ToString(this["LeitCode"]); }
			set { this["LeitCode"] = value; }
		}
		/// <summary>DP Frachtzentrum ( String )</summary>
		public virtual String FZNr
		{
			get { return Convert.ToString(this["FZNr"]); }
			set { this["FZNr"] = value; }
		}
		/// <summary>Leitcode manuell erfassen ( Boolean )</summary>
		public virtual Object LcManuellKz
		{
			get { return this["LcManuellKz"]; }
		}
		/// <summary>Anrede ( String )</summary>
		public virtual String Anr
		{
			get { return Convert.ToString(this["Anr"]); }
			set { this["Anr"] = value; }
		}
		/// <summary>Ansprechpartner ( String )</summary>
		public virtual String Ansp
		{
			get { return Convert.ToString(this["Ansp"]); }
			set { this["Ansp"] = value; }
		}
		/// <summary>Telefon 1 ( String )</summary>
		public virtual String Tel1
		{
			get { return Convert.ToString(this["Tel1"]); }
			set { this["Tel1"] = value; }
		}
		/// <summary>Telefon 2 ( String )</summary>
		public virtual String Tel2
		{
			get { return Convert.ToString(this["Tel2"]); }
			set { this["Tel2"] = value; }
		}
		/// <summary>Mobil-Telefon ( String )</summary>
		public virtual String MTel
		{
			get { return Convert.ToString(this["MTel"]); }
			set { this["MTel"] = value; }
		}
		/// <summary>Telefax ( String )</summary>
		public virtual String Fax
		{
			get { return Convert.ToString(this["Fax"]); }
			set { this["Fax"] = value; }
		}
		/// <summary>E-Mail 1 ( String )</summary>
		public virtual String EMail1
		{
			get { return Convert.ToString(this["EMail1"]); }
			set { this["EMail1"] = value; }
		}
		/// <summary>E-Mail 2 ( String )</summary>
		public virtual String EMail2
		{
			get { return Convert.ToString(this["EMail2"]); }
			set { this["EMail2"] = value; }
		}
		/// <summary>Verteiler ( Integer )</summary>
		public virtual Int32 Verteiler
		{
			get { return Convert.ToInt32(this["Verteiler"]); }
			set { this["Verteiler"] = value; }
		}
		/// <summary>Adresse ( String )</summary>
		public virtual String AdrNrInfo
		{
			get { return Convert.ToString(this["AdrNrInfo"]); }
		}
		/// <summary>Anzahl der Pakete ( Integer )</summary>
		public virtual Int32 AzPakete
		{
			get { return Convert.ToInt32(this["AzPakete"]); }
			set { this["AzPakete"] = value; }
		}
		/// <summary>Gewichtsverteilung der Pakete ( String )</summary>
		public virtual String GewVerteil
		{
			get { return Convert.ToString(this["GewVerteil"]); }
			set { this["GewVerteil"] = value; }
		}
		/// <summary>Belegnummer ( String )</summary>
		public virtual String BelegNr
		{
			get { return Convert.ToString(this["BelegNr"]); }
			set { this["BelegNr"] = value; }
		}
		/// <summary>Rechnungsbetrag ( Double )</summary>
		public virtual Object RBet
		{
			get { return this["RBet"]; }
			set { this["RBet"] = value; }
		}
		/// <summary>Whrung ( String )</summary>
		public virtual String Waehr
		{
			get { return Convert.ToString(this["Waehr"]); }
			set { this["Waehr"] = value; }
		}
		/// <summary>Rechnungsbetrag ( String )</summary>
		public virtual String RBetWaehr
		{
			get { return Convert.ToString(this["RBetWaehr"]); }
		}
		/// <summary>Projektnummer ( String )</summary>
		public virtual String PrjNr
		{
			get { return Convert.ToString(this["PrjNr"]); }
			set { this["PrjNr"] = value; }
		}
		/// <summary>Projekt ( String )</summary>
		public virtual String PrjNrInfo
		{
			get { return Convert.ToString(this["PrjNrInfo"]); }
		}
		/// <summary>Gewicht ( Double )</summary>
		public virtual Object Gew
		{
			get { return this["Gew"]; }
			set { this["Gew"] = value; }
		}
		/// <summary>Versand-Zahlweise ( Integer )</summary>
		public virtual Int32 VsdZWeise
		{
			get { return Convert.ToInt32(this["VsdZWeise"]); }
			set { this["VsdZWeise"] = value; }
		}
		/// <summary>Tarifzone ( Integer )</summary>
		public virtual Int32 Zone
		{
			get { return Convert.ToInt32(this["Zone"]); }
			set { this["Zone"] = value; }
		}
		/// <summary>Versicherung ( Boolean )</summary>
		public virtual Object VersichKz
		{
			get { return this["VersichKz"]; }
		}
		/// <summary>Versicherungswert-Betrag ( Double )</summary>
		public virtual Object VsWertBet
		{
			get { return this["VsWertBet"]; }
			set { this["VsWertBet"] = value; }
		}
		/// <summary>Frachtkosten-Betrag ( Double )</summary>
		public virtual Object FrachtBet
		{
			get { return this["FrachtBet"]; }
			set { this["FrachtBet"] = value; }
		}
		/// <summary>Nachnahme-Betrag ( Double )</summary>
		public virtual Object NNBet
		{
			get { return this["NNBet"]; }
			set { this["NNBet"] = value; }
		}
		/// <summary>Ansprechpartnernummer ( Integer )</summary>
		public virtual Int32 AspNr
		{
			get { return Convert.ToInt32(this["AspNr"]); }
			set { this["AspNr"] = value; }
		}
		/// <summary>Absendebelegnummer ( String )</summary>
		public virtual String AbsBelegNr
		{
			get { return Convert.ToString(this["AbsBelegNr"]); }
			set { this["AbsBelegNr"] = value; }
		}
		/// <summary>Ausgabeverteiler Kennzeichen ( Boolean )</summary>
		public virtual Object AusgVtlKz
		{
			get { return this["AusgVtlKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Historydatum ( DateTime )</summary>
		public virtual DateTime HyDat
		{
			get { return Convert.ToDateTime(this["HyDat"]); }
			set { this["HyDat"] = value; }
		}
		/// <summary>Benutzer bei Erstellung des Historyeintrags ( String )</summary>
		public virtual String HyBzr
		{
			get { return Convert.ToString(this["HyBzr"]); }
			set { this["HyBzr"] = value; }
		}
		/// <summary>Historyinformation ( String )</summary>
		public virtual String HyInfo
		{
			get { return Convert.ToString(this["HyInfo"]); }
			set { this["HyInfo"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}


		#endregion
	}
}
