using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterArtProvSet : BpnEntitySet<VertreterArtProv>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VertreterArtProv";
			
		public static VertreterArtProvSet CreateInstance(BpnConnection connection)
		{
		    var vertreterartprovsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterartprovsetDataSet = vertreterartprovsetInfo.CreateDataSet();
		
		    var ret = new VertreterArtProvSet(vertreterartprovsetDataSet);
		    return ret;
		}
		
		internal VertreterArtProvSet(BpNT.AutoDataSet vertreterartprovDataSet) 
			: base(vertreterartprovDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VertreterArtProvSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VertreterArtProvSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VertreterArtProvSet parentSet;
		
			protected VertreterArtProvSetVtrNrArtNrIndex vtrNrArtNrIndex;
			protected VertreterArtProvSetArtNrVtrNrIndex artNrVtrNrIndex;
		
			internal IndicesClass(VertreterArtProvSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				vtrNrArtNrIndex = new VertreterArtProvSetVtrNrArtNrIndex(parentSet.DataSet);
				artNrVtrNrIndex = new VertreterArtProvSetArtNrVtrNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Vertreternummer</summary>
			public VertreterArtProvSetVtrNrArtNrIndex VtrNrArtNrIndex
			{
				get { return vtrNrArtNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public VertreterArtProvSetArtNrVtrNrIndex ArtNrVtrNrIndex
			{
				get { return artNrVtrNrIndex; }
			}
			
		
			#endregion
		}

		public VertreterArtProvSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
