using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterProvAbrHistorySet : BpnEntitySet<VertreterProvAbrHistory>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VertreterProvAbrHistory";
			
		public static VertreterProvAbrHistorySet CreateInstance(BpnConnection connection)
		{
		    var vertreterprovabrhistorysetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterprovabrhistorysetDataSet = vertreterprovabrhistorysetInfo.CreateDataSet();
		
		    var ret = new VertreterProvAbrHistorySet(vertreterprovabrhistorysetDataSet);
		    return ret;
		}
		
		internal VertreterProvAbrHistorySet(BpNT.AutoDataSet vertreterprovabrhistoryDataSet) 
			: base(vertreterprovabrhistoryDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VertreterProvAbrHistorySet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VertreterProvAbrHistorySet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VertreterProvAbrHistorySet parentSet;
		
			protected VertreterProvAbrHistorySetHiDatIndex hiDatIndex;
			protected VertreterProvAbrHistorySetIDIndex iDIndex;
			protected VertreterProvAbrHistorySetVtrNrIndex vtrNrIndex;
			protected VertreterProvAbrHistorySetAdrNrIndex adrNrIndex;
			protected VertreterProvAbrHistorySetBelegNrIndex belegNrIndex;
			protected VertreterProvAbrHistorySetAuftrNrIndex auftrNrIndex;
			protected VertreterProvAbrHistorySetDatIndex datIndex;
			protected VertreterProvAbrHistorySetArtNrIndex artNrIndex;
			protected VertreterProvAbrHistorySetVtrNrWgrNrDatIndex vtrNrWgrNrDatIndex;
		
			internal IndicesClass(VertreterProvAbrHistorySet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				hiDatIndex = new VertreterProvAbrHistorySetHiDatIndex(parentSet.DataSet);
				iDIndex = new VertreterProvAbrHistorySetIDIndex(parentSet.DataSet);
				vtrNrIndex = new VertreterProvAbrHistorySetVtrNrIndex(parentSet.DataSet);
				adrNrIndex = new VertreterProvAbrHistorySetAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new VertreterProvAbrHistorySetBelegNrIndex(parentSet.DataSet);
				auftrNrIndex = new VertreterProvAbrHistorySetAuftrNrIndex(parentSet.DataSet);
				datIndex = new VertreterProvAbrHistorySetDatIndex(parentSet.DataSet);
				artNrIndex = new VertreterProvAbrHistorySetArtNrIndex(parentSet.DataSet);
				vtrNrWgrNrDatIndex = new VertreterProvAbrHistorySetVtrNrWgrNrDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>Historydatum</summary>
			public VertreterProvAbrHistorySetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>ID</summary>
			public VertreterProvAbrHistorySetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public VertreterProvAbrHistorySetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VertreterProvAbrHistorySetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VertreterProvAbrHistorySetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VertreterProvAbrHistorySetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VertreterProvAbrHistorySetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public VertreterProvAbrHistorySetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>VtrNrWgrNrDat</summary>
			public VertreterProvAbrHistorySetVtrNrWgrNrDatIndex VtrNrWgrNrDatIndex
			{
				get { return vtrNrWgrNrDatIndex; }
			}
			
		
			#endregion
		}

		public VertreterProvAbrHistorySet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
