using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VertreterWgrProv : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VertreterWgrProv";
			
		public static VertreterWgrProv CreateInstance(BpnConnection connection)
		{
		    var vertreterwgrprovInfo = connection.GetDataSetInfo(DS_NAME);
		    var vertreterwgrprovDataSet = vertreterwgrprovInfo.CreateDataSet();
		
		    var ret = new VertreterWgrProv(vertreterwgrprovDataSet);
		    return ret;
		}
		
		public VertreterWgrProv(BpNT.AutoDataSet vertreterwgrprovDataSet) 
			: base(vertreterwgrprovDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Vertreternummer ( String )</summary>
		public virtual String VtrNr
		{
			get { return Convert.ToString(this["VtrNr"]); }
			set { this["VtrNr"] = value; }
		}
		/// <summary>Vertreter ( String )</summary>
		public virtual String VtrNrInfo
		{
			get { return Convert.ToString(this["VtrNrInfo"]); }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Warengruppe ( String )</summary>
		public virtual String WgrNrInfo
		{
			get { return Convert.ToString(this["WgrNrInfo"]); }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}


		#endregion
	}
}
