using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorbestellungPositionSet : BpnEntitySet<VorbestellungPosition>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VorbestellungPosition";
			
		public static VorbestellungPositionSet CreateInstance(BpnConnection connection)
		{
		    var vorbestellungpositionsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorbestellungpositionsetDataSet = vorbestellungpositionsetInfo.CreateDataSet();
		
		    var ret = new VorbestellungPositionSet(vorbestellungpositionsetDataSet);
		    return ret;
		}
		
		internal VorbestellungPositionSet(BpNT.AutoDataSet vorbestellungpositionDataSet) 
			: base(vorbestellungpositionDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorbestellungPositionSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorbestellungPositionSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorbestellungPositionSet parentSet;
		
			protected VorbestellungPositionSetIDIndex iDIndex;
			protected VorbestellungPositionSetBelegNrArtNrIndex belegNrArtNrIndex;
			protected VorbestellungPositionSetBelegNrVbaIndex belegNrVbaIndex;
		
			internal IndicesClass(VorbestellungPositionSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VorbestellungPositionSetIDIndex(parentSet.DataSet);
				belegNrArtNrIndex = new VorbestellungPositionSetBelegNrArtNrIndex(parentSet.DataSet);
				belegNrVbaIndex = new VorbestellungPositionSetBelegNrVbaIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VorbestellungPositionSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Beleg und Artikelnummer</summary>
			public VorbestellungPositionSetBelegNrArtNrIndex BelegNrArtNrIndex
			{
				get { return belegNrArtNrIndex; }
			}
			
			/// <summary>Beleg und Vorbestellungposition</summary>
			public VorbestellungPositionSetBelegNrVbaIndex BelegNrVbaIndex
			{
				get { return belegNrVbaIndex; }
			}
			
		
			#endregion
		}

		public VorbestellungPositionSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
