using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorbestellungSet : BpnEntitySet<Vorbestellung>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Vorbestellung";
			
		public static VorbestellungSet CreateInstance(BpnConnection connection)
		{
		    var vorbestellungsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorbestellungsetDataSet = vorbestellungsetInfo.CreateDataSet();
		
		    var ret = new VorbestellungSet(vorbestellungsetDataSet);
		    return ret;
		}
		
		internal VorbestellungSet(BpNT.AutoDataSet vorbestellungDataSet) 
			: base(vorbestellungDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorbestellungSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorbestellungSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorbestellungSet parentSet;
		
			protected VorbestellungSetIDIndex iDIndex;
			protected VorbestellungSetBelegNrIndex belegNrIndex;
			protected VorbestellungSetBezIndex bezIndex;
			protected VorbestellungSetVbaBelegNrIndex vbaBelegNrIndex;
			protected VorbestellungSetVbaBezIndex vbaBezIndex;
			protected VorbestellungSetVbaErledigtIndex vbaErledigtIndex;
		
			internal IndicesClass(VorbestellungSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VorbestellungSetIDIndex(parentSet.DataSet);
				belegNrIndex = new VorbestellungSetBelegNrIndex(parentSet.DataSet);
				bezIndex = new VorbestellungSetBezIndex(parentSet.DataSet);
				vbaBelegNrIndex = new VorbestellungSetVbaBelegNrIndex(parentSet.DataSet);
				vbaBezIndex = new VorbestellungSetVbaBezIndex(parentSet.DataSet);
				vbaErledigtIndex = new VorbestellungSetVbaErledigtIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VorbestellungSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorbestellungSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Bezeichnung</summary>
			public VorbestellungSetBezIndex BezIndex
			{
				get { return bezIndex; }
			}
			
			/// <summary>Vorbestellungart und Belegnummer</summary>
			public VorbestellungSetVbaBelegNrIndex VbaBelegNrIndex
			{
				get { return vbaBelegNrIndex; }
			}
			
			/// <summary>Vorbestellungart und Bezeichnung</summary>
			public VorbestellungSetVbaBezIndex VbaBezIndex
			{
				get { return vbaBezIndex; }
			}
			
			/// <summary>Vorbestellungart und Erledigt</summary>
			public VorbestellungSetVbaErledigtIndex VbaErledigtIndex
			{
				get { return vbaErledigtIndex; }
			}
			
		
			#endregion
		}

		public VorbestellungSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
