using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangArten : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "VorgangArten";
			
		public static VorgangArten CreateInstance(BpnConnection connection)
		{
		    var vorgangartenInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangartenDataSet = vorgangartenInfo.CreateDataSet();
		
		    var ret = new VorgangArten(vorgangartenDataSet);
		    return ret;
		}
		
		public VorgangArten(BpNT.AutoDataSet vorgangartenDataSet) 
			: base(vorgangartenDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>Nummer ( Byte )</summary>
		public virtual Object Nr
		{
			get { return this["Nr"]; }
			set { this["Nr"] = value; }
		}
		/// <summary>Zeilennummer ( Byte )</summary>
		public virtual Object ZeilenNr
		{
			get { return this["ZeilenNr"]; }
			set { this["ZeilenNr"] = value; }
		}
		/// <summary>Vorgangsgruppe ( Byte )</summary>
		public virtual Object Grp
		{
			get { return this["Grp"]; }
			set { this["Grp"] = value; }
		}
		/// <summary>Verfgbarkeit der Vorgangsart ( Byte )</summary>
		public virtual Object VerfGruppe
		{
			get { return this["VerfGruppe"]; }
			set { this["VerfGruppe"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Benutzt Kennzeichen ( Boolean )</summary>
		public virtual Object BenutztKz
		{
			get { return this["BenutztKz"]; }
		}
		/// <summary>ist Standard Kennzeichen ( Boolean )</summary>
		public virtual Object StdKz
		{
			get { return this["StdKz"]; }
		}
		/// <summary>Kurzbezeichnung ( String )</summary>
		public virtual String KuBez
		{
			get { return Convert.ToString(this["KuBez"]); }
			set { this["KuBez"] = value; }
		}
		/// <summary>Bezeichnung ( String )</summary>
		public virtual String Bez
		{
			get { return Convert.ToString(this["Bez"]); }
			set { this["Bez"] = value; }
		}
		/// <summary>Vorgangsgruppenbezeichnung fr Buchungsparameter ( String )</summary>
		public virtual String VBPaGrpBez
		{
			get { return Convert.ToString(this["VBPaGrpBez"]); }
			set { this["VBPaGrpBez"] = value; }
		}
		/// <summary>Layout fr berschrift (Sammelrechnung) ( String )</summary>
		public virtual String UebSchriftLay
		{
			get { return Convert.ToString(this["UebSchriftLay"]); }
			set { this["UebSchriftLay"] = value; }
		}
		/// <summary>Layout fr berschrift ( String )</summary>
		public virtual String ZwBUebSchriftLayLay
		{
			get { return Convert.ToString(this["ZwBUebSchriftLayLay"]); }
			set { this["ZwBUebSchriftLayLay"] = value; }
		}
		/// <summary>Positionen beim Einladen einblenden ( Boolean )</summary>
		public virtual Object ZwBPosEinblendenKzArt
		{
			get { return this["ZwBPosEinblendenKzArt"]; }
		}
		/// <summary>nchste laufende Belegnummer ( String )</summary>
		public virtual String BelegLfdNr
		{
			get { return Convert.ToString(this["BelegLfdNr"]); }
			set { this["BelegLfdNr"] = value; }
		}
		/// <summary>Layout fr Belegnummer ( String )</summary>
		public virtual String BelegNrLay
		{
			get { return Convert.ToString(this["BelegNrLay"]); }
			set { this["BelegNrLay"] = value; }
		}
		/// <summary>Bei Jahreswechsel laufende Beleg-Nr. zurcksetzen ( Boolean )</summary>
		public virtual Object BelegNrJWKz
		{
			get { return this["BelegNrJWKz"]; }
		}
		/// <summary>Berechtigungsgruppe ( Byte )</summary>
		public virtual Object BerechtGrp
		{
			get { return this["BerechtGrp"]; }
			set { this["BerechtGrp"] = value; }
		}
		/// <summary>Anzahl der Nachkommastellen fr Betrge ( Integer )</summary>
		public virtual Int32 AzNKSBet
		{
			get { return Convert.ToInt32(this["AzNKSBet"]); }
			set { this["AzNKSBet"] = value; }
		}
		/// <summary>Anzahl der Nachkommastellen fr Mengen ( Integer )</summary>
		public virtual Int32 AzNKSMge
		{
			get { return Convert.ToInt32(this["AzNKSMge"]); }
			set { this["AzNKSMge"] = value; }
		}
		/// <summary>Leerzeilen zwischen Positionen ( Integer )</summary>
		public virtual Int32 LZeilen
		{
			get { return Convert.ToInt32(this["LZeilen"]); }
			set { this["LZeilen"] = value; }
		}
		/// <summary>Immer Vorgabe fr Zahlart benutzen ( Boolean )</summary>
		public virtual Object VgbZahlArtKz
		{
			get { return this["VgbZahlArtKz"]; }
		}
		/// <summary>Immer Vorgabe fr Zahlart benutzen sofern in der Adresse nicht angegeben ( Boolean )</summary>
		public virtual Object AdrNAVgbZahlArtKz
		{
			get { return this["AdrNAVgbZahlArtKz"]; }
		}
		/// <summary>Vorgabe Zahlungsart ( Integer )</summary>
		public virtual Int32 VgbZahlArt
		{
			get { return Convert.ToInt32(this["VgbZahlArt"]); }
			set { this["VgbZahlArt"] = value; }
		}
		/// <summary>Immer Vorgabe fr Zahlungsbedingung benutzen ( Boolean )</summary>
		public virtual Object VgbZahlBedKz
		{
			get { return this["VgbZahlBedKz"]; }
		}
		/// <summary>Vorgabe fr Zahlungsbedingung ( String )</summary>
		public virtual String VgbZahlBed
		{
			get { return Convert.ToString(this["VgbZahlBed"]); }
			set { this["VgbZahlBed"] = value; }
		}
		/// <summary>Vorgabe Skonto (in %) 1 ( Double )</summary>
		public virtual Object SktoSz1
		{
			get { return this["SktoSz1"]; }
			set { this["SktoSz1"] = value; }
		}
		/// <summary>Vorgabe Skontotage 1 ( Integer )</summary>
		public virtual Int32 SktoTg1
		{
			get { return Convert.ToInt32(this["SktoTg1"]); }
			set { this["SktoTg1"] = value; }
		}
		/// <summary>Vorgabe Skonto (in %) 2 ( Double )</summary>
		public virtual Object SktoSz2
		{
			get { return this["SktoSz2"]; }
			set { this["SktoSz2"] = value; }
		}
		/// <summary>Vorgabe Skontotage 2 ( Integer )</summary>
		public virtual Int32 SktoTg2
		{
			get { return Convert.ToInt32(this["SktoTg2"]); }
			set { this["SktoTg2"] = value; }
		}
		/// <summary>Vorgabe Nettotage ( Integer )</summary>
		public virtual Int32 NettoTg
		{
			get { return Convert.ToInt32(this["NettoTg"]); }
			set { this["NettoTg"] = value; }
		}
		/// <summary>Immer Vorgabe fr abweichende Artikeldatengruppe benutzen ( Boolean )</summary>
		public virtual Object VgbAAdGrpKz
		{
			get { return this["VgbAAdGrpKz"]; }
		}
		/// <summary>Vorgabe Gruppe fr abweichende Artikeldatengruppe ( Integer )</summary>
		public virtual Int32 VgbAAdGrp
		{
			get { return Convert.ToInt32(this["VgbAAdGrp"]); }
			set { this["VgbAAdGrp"] = value; }
		}
		/// <summary>Immer Vorgabe fr Umsatzsteuerkategorie benutzen ( Boolean )</summary>
		public virtual Object VgbUStKatKz
		{
			get { return this["VgbUStKatKz"]; }
		}
		/// <summary>Vorgabe Umsatzsteuerkategorie ( Integer )</summary>
		public virtual Int32 VgbUStKat
		{
			get { return Convert.ToInt32(this["VgbUStKat"]); }
			set { this["VgbUStKat"] = value; }
		}
		/// <summary>Vorgabe Katalog fr Positionserfassung ( Integer )</summary>
		public virtual Int32 VgbArtKatalog
		{
			get { return Convert.ToInt32(this["VgbArtKatalog"]); }
			set { this["VgbArtKatalog"] = value; }
		}
		/// <summary>Vorgabe Positions-Abschlusstext (Nummer) ( Integer )</summary>
		public virtual Int32 VgbPaTxtNr
		{
			get { return Convert.ToInt32(this["VgbPaTxtNr"]); }
			set { this["VgbPaTxtNr"] = value; }
		}
		/// <summary>Werte fr teillieferbar bereitstellen Kennzeichen ( Boolean )</summary>
		public virtual Object TlbKz
		{
			get { return this["TlbKz"]; }
		}
		/// <summary>Layout fr teillieferbar ( String )</summary>
		public virtual String TlbLay
		{
			get { return Convert.ToString(this["TlbLay"]); }
			set { this["TlbLay"] = value; }
		}
		/// <summary>Formel fr teillieferbar ( String )</summary>
		public virtual String TlbFormel
		{
			get { return Convert.ToString(this["TlbFormel"]); }
			set { this["TlbFormel"] = value; }
		}
		/// <summary>Teillieferbarstufe fr Rot Satz (in %) ( Double )</summary>
		public virtual Object TlbRotSz
		{
			get { return this["TlbRotSz"]; }
			set { this["TlbRotSz"] = value; }
		}
		/// <summary>Teillieferbarstufe fr Gelb Satz (in %) ( Double )</summary>
		public virtual Object TlbGelbSz
		{
			get { return this["TlbGelbSz"]; }
			set { this["TlbGelbSz"] = value; }
		}
		/// <summary>Tabellenansicht fr Vorgangspositionen ( String )</summary>
		public virtual String VPosTabAns
		{
			get { return Convert.ToString(this["VPosTabAns"]); }
			set { this["VPosTabAns"] = value; }
		}
		/// <summary>Vorgangspositionen im extra Tabelle eingeben ( Boolean )</summary>
		public virtual Object VPosEgbKz
		{
			get { return this["VPosEgbKz"]; }
		}
		/// <summary>Tabellenansicht fr Vorgangspositionseingabe ( String )</summary>
		public virtual String VPosEgbTabAns
		{
			get { return Convert.ToString(this["VPosEgbTabAns"]); }
			set { this["VPosEgbTabAns"] = value; }
		}
		/// <summary>Vorgabe fr "Aus Lager" ( Byte )</summary>
		public virtual Object VgbAusLag
		{
			get { return this["VgbAusLag"]; }
			set { this["VgbAusLag"] = value; }
		}
		/// <summary>Vorgabe fr "Nach Lager" ( Byte )</summary>
		public virtual Object VgbNachLag
		{
			get { return this["VgbNachLag"]; }
			set { this["VgbNachLag"] = value; }
		}
		/// <summary>Vorgabe fr Vorgangsart beim Wandeln ( Byte )</summary>
		public virtual Object VgbWdlVogArt
		{
			get { return this["VgbWdlVogArt"]; }
			set { this["VgbWdlVogArt"] = value; }
		}
		/// <summary>Liefervorgaben fr jede Vorgangsart separat erfassen ( Boolean )</summary>
		public virtual Object AbwVgbWdlKz
		{
			get { return this["AbwVgbWdlKz"]; }
		}
		/// <summary>Vorgabe Lieferdatum beim Wandeln beachten ( Boolean )</summary>
		public virtual Object VgbWdlLiefDatKz
		{
			get { return this["VgbWdlLiefDatKz"]; }
		}
		/// <summary>Vorgabe wann Liefermenge berechnet wird ( Integer )</summary>
		public virtual Int32 VgbWdlLiefMgeSchl
		{
			get { return Convert.ToInt32(this["VgbWdlLiefMgeSchl"]); }
			set { this["VgbWdlLiefMgeSchl"] = value; }
		}
		/// <summary>Vorgabedaten fr das Wandeln ( StringList )</summary>
		public virtual Object VgbWdlData
		{
			get { return this["VgbWdlData"]; }
			set { this["VgbWdlData"] = value; }
		}
		/// <summary>Erweiterte Vorgaben fr das Einladen in diese Vorgangsart benutzen ( Boolean )</summary>
		public virtual Object VgbEinlErwKz
		{
			get { return this["VgbEinlErwKz"]; }
		}
		/// <summary>Erweiterte Vorgaben fr das Einladen ber Drag & Drop in diese Vorgangsart benutzen ( Boolean )</summary>
		public virtual Object VgbEinlErwDDKz
		{
			get { return this["VgbEinlErwDDKz"]; }
		}
		/// <summary>Vorgabe Lieferdatum beim Einladen beachten ( Boolean )</summary>
		public virtual Object VgbEinlLiefDatKz
		{
			get { return this["VgbEinlLiefDatKz"]; }
		}
		/// <summary>Vorgabe beim Einladen, wann Liefermenge berechnet wird ( Integer )</summary>
		public virtual Int32 VgbEinlLiefMgeSchl
		{
			get { return Convert.ToInt32(this["VgbEinlLiefMgeSchl"]); }
			set { this["VgbEinlLiefMgeSchl"] = value; }
		}
		/// <summary>Vorgabedaten fr das Einladen ( StringList )</summary>
		public virtual Object VgbEinlData
		{
			get { return this["VgbEinlData"]; }
			set { this["VgbEinlData"] = value; }
		}
		/// <summary>Vorgabe Lieferschein-Vorgangsart (fr Sammelrechnung) ( Byte )</summary>
		public virtual Object VgbLiVorgArt
		{
			get { return this["VgbLiVorgArt"]; }
			set { this["VgbLiVorgArt"] = value; }
		}
		/// <summary>Vorgabe Vorgangsart fr Sammelvorgang ( Byte )</summary>
		public virtual Object VgbSVVorgArt
		{
			get { return this["VgbSVVorgArt"]; }
			set { this["VgbSVVorgArt"] = value; }
		}
		/// <summary>Vorgabe Position ( String )</summary>
		public virtual String VgbPos
		{
			get { return Convert.ToString(this["VgbPos"]); }
			set { this["VgbPos"] = value; }
		}
		/// <summary>Vorgabe Position fr Titel ( String )</summary>
		public virtual String VgbPosTit
		{
			get { return Convert.ToString(this["VgbPosTit"]); }
			set { this["VgbPosTit"] = value; }
		}
		/// <summary>Vorgabe Position fr Titelposition ( String )</summary>
		public virtual String VgbPosTitPos
		{
			get { return Convert.ToString(this["VgbPosTitPos"]); }
			set { this["VgbPosTitPos"] = value; }
		}
		/// <summary>Bezeichnung der Buchungskonten ( String )</summary>
		public virtual String BuchKtoBez
		{
			get { return Convert.ToString(this["BuchKtoBez"]); }
			set { this["BuchKtoBez"] = value; }
		}
		/// <summary>VorgangFesteArtikel ( BlobTable )</summary>
		public virtual Object VFArt
		{
			get { return this["VFArt"]; }
			set { this["VFArt"] = value; }
		}
		/// <summary>Automatischer Kontakt erstellen ( Boolean )</summary>
		public virtual Object KktAutoKz
		{
			get { return this["KktAutoKz"]; }
		}
		/// <summary>Kurzinfo des automatischen Kontaktes  ( String )</summary>
		public virtual String KktKuInfo
		{
			get { return Convert.ToString(this["KktKuInfo"]); }
			set { this["KktKuInfo"] = value; }
		}
		/// <summary>Vorgabe fr Sachbearbeiter (Benutzer) ( Byte )</summary>
		public virtual Object KktVgbSBzr
		{
			get { return this["KktVgbSBzr"]; }
			set { this["KktVgbSBzr"] = value; }
		}
		/// <summary>Automatischer Wiedervorlage erstellen ( Boolean )</summary>
		public virtual Object WvlAutoKz
		{
			get { return this["WvlAutoKz"]; }
		}
		/// <summary>Kurzinfo ( String )</summary>
		public virtual String KdrKuInfo
		{
			get { return Convert.ToString(this["KdrKuInfo"]); }
			set { this["KdrKuInfo"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 1 ( Integer )</summary>
		public virtual Int32 WvlTgStf1
		{
			get { return Convert.ToInt32(this["WvlTgStf1"]); }
			set { this["WvlTgStf1"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 2 ( Integer )</summary>
		public virtual Int32 WvlTgStf2
		{
			get { return Convert.ToInt32(this["WvlTgStf2"]); }
			set { this["WvlTgStf2"] = value; }
		}
		/// <summary>Tage fr Wiedervorlagestufe 3 ( Integer )</summary>
		public virtual Int32 WvlTgStf3
		{
			get { return Convert.ToInt32(this["WvlTgStf3"]); }
			set { this["WvlTgStf3"] = value; }
		}
		/// <summary>Vorgabe fr Sachbearbeiter (Benutzer) ( Byte )</summary>
		public virtual Object WvlVgbSBzr
		{
			get { return this["WvlVgbSBzr"]; }
			set { this["WvlVgbSBzr"] = value; }
		}
		/// <summary>Anhang (Aktion) ( Integer )</summary>
		public virtual Int32 AnhAktion
		{
			get { return Convert.ToInt32(this["AnhAktion"]); }
			set { this["AnhAktion"] = value; }
		}
		/// <summary>Wiedervorlage mit Abfrage erstellen ( Boolean )</summary>
		public virtual Object WvlAbfrKz
		{
			get { return this["WvlAbfrKz"]; }
		}
		/// <summary>Wiedervorlage mit aktiviertem Erinnerungskennzeichen erstellen ( Boolean )</summary>
		public virtual Object WvlMeldKz
		{
			get { return this["WvlMeldKz"]; }
		}
		/// <summary>Meldung falls der gleiche Artikel in den letzten x Werktagen bereits fakturiert wurde ( Byte )</summary>
		public virtual Object MeldBereitsFaktTage
		{
			get { return this["MeldBereitsFaktTage"]; }
			set { this["MeldBereitsFaktTage"] = value; }
		}
		/// <summary>AusgabeVerteiler ( BlobTable )</summary>
		public virtual Object AgV
		{
			get { return this["AgV"]; }
			set { this["AgV"] = value; }
		}
		/// <summary>Belegnummer in Barcodeliste eintragen ( Boolean )</summary>
		public virtual Object BelegNrInBarCodeListeKz
		{
			get { return this["BelegNrInBarCodeListeKz"]; }
		}
		/// <summary>erzeugte Zwischenbelege automatisch drucken ( Boolean )</summary>
		public virtual Object ZwBDruckenKz
		{
			get { return this["ZwBDruckenKz"]; }
		}
		/// <summary>ZwBDr Name ( String )</summary>
		public virtual String ZwBDrNa
		{
			get { return Convert.ToString(this["ZwBDrNa"]); }
			set { this["ZwBDrNa"] = value; }
		}
		/// <summary>ZwBDr Modulkurzbezeichnung ( String )</summary>
		public virtual String ZwBDrModKuBez
		{
			get { return Convert.ToString(this["ZwBDrModKuBez"]); }
			set { this["ZwBDrModKuBez"] = value; }
		}
		/// <summary>ZwBDr Bezeichnung ( String )</summary>
		public virtual String ZwBDrBez
		{
			get { return Convert.ToString(this["ZwBDrBez"]); }
			set { this["ZwBDrBez"] = value; }
		}
		/// <summary>ZwBDr Berechtigungskenzeichen ( String )</summary>
		public virtual String ZwBDrBKZ
		{
			get { return Convert.ToString(this["ZwBDrBKZ"]); }
			set { this["ZwBDrBKZ"] = value; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>RecordRevision ( SmallInt )</summary>
		public virtual Object RecRev
		{
			get { return this["RecRev"]; }
			set { this["RecRev"] = value; }
		}


		#endregion
	}
}
