using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangPositionSet : BpnEntitySet<VorgangPosition>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "VorgangPosition";
			
		public static VorgangPositionSet CreateInstance(BpnConnection connection)
		{
		    var vorgangpositionsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangpositionsetDataSet = vorgangpositionsetInfo.CreateDataSet();
		
		    var ret = new VorgangPositionSet(vorgangpositionsetDataSet);
		    return ret;
		}
		
		internal VorgangPositionSet(BpNT.AutoDataSet vorgangpositionDataSet) 
			: base(vorgangpositionDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorgangPositionSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorgangPositionSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorgangPositionSet parentSet;
		
			protected VorgangPositionSetIDIndex iDIndex;
			protected VorgangPositionSetNrIndex nrIndex;
			protected VorgangPositionSetArtNrIndex artNrIndex;
			protected VorgangPositionSetGrpLiefDatIndex grpLiefDatIndex;
			protected VorgangPositionSetGrpArtNrIndex grpArtNrIndex;
		
			internal IndicesClass(VorgangPositionSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VorgangPositionSetIDIndex(parentSet.DataSet);
				nrIndex = new VorgangPositionSetNrIndex(parentSet.DataSet);
				artNrIndex = new VorgangPositionSetArtNrIndex(parentSet.DataSet);
				grpLiefDatIndex = new VorgangPositionSetGrpLiefDatIndex(parentSet.DataSet);
				grpArtNrIndex = new VorgangPositionSetGrpArtNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VorgangPositionSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangPositionSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public VorgangPositionSetArtNrIndex ArtNrIndex
			{
				get { return artNrIndex; }
			}
			
			/// <summary>GrpLiefDat</summary>
			public VorgangPositionSetGrpLiefDatIndex GrpLiefDatIndex
			{
				get { return grpLiefDatIndex; }
			}
			
			/// <summary>GrpArtNr</summary>
			public VorgangPositionSetGrpArtNrIndex GrpArtNrIndex
			{
				get { return grpArtNrIndex; }
			}
			
		
			#endregion
		}

		public VorgangPositionSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
