using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class VorgangSet : BpnEntitySet<Vorgang>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Vorgang";
			
		public static VorgangSet CreateInstance(BpnConnection connection)
		{
		    var vorgangsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var vorgangsetDataSet = vorgangsetInfo.CreateDataSet();
		
		    var ret = new VorgangSet(vorgangsetDataSet);
		    return ret;
		}
		
		internal VorgangSet(BpNT.AutoDataSet vorgangDataSet) 
			: base(vorgangDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected VorgangSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new VorgangSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected VorgangSet parentSet;
		
			protected VorgangSetIDIndex iDIndex;
			protected VorgangSetBelegNrIndex belegNrIndex;
			protected VorgangSetPrjNrIndex prjNrIndex;
			protected VorgangSetAuftrNrIndex auftrNrIndex;
			protected VorgangSetSuchBegIndex suchBegIndex;
			protected VorgangSetAdrNrIndex adrNrIndex;
			protected VorgangSetAdrNrDatIndex adrNrDatIndex;
			protected VorgangSetLiAdrNrIndex liAdrNrIndex;
			protected VorgangSetVerkIndex verkIndex;
			protected VorgangSetVtrNrIndex vtrNrIndex;
			protected VorgangSetDatIndex datIndex;
			protected VorgangSetLiefDatIndex liefDatIndex;
			protected VorgangSetKstNrIndex kstNrIndex;
			protected VorgangSetAucWebIdIndex aucWebIdIndex;
			protected VorgangSetArtBelegNrIndex artBelegNrIndex;
			protected VorgangSetArtPrjNrIndex artPrjNrIndex;
			protected VorgangSetArtAuftrNrIndex artAuftrNrIndex;
			protected VorgangSetArtAdrNrIndex artAdrNrIndex;
			protected VorgangSetArtDatIndex artDatIndex;
			protected VorgangSetArtLiefDatIndex artLiefDatIndex;
			protected VorgangSetArtKstNrIndex artKstNrIndex;
			protected VorgangSetGrpBelegNrIndex grpBelegNrIndex;
			protected VorgangSetGrpPrjNrIndex grpPrjNrIndex;
			protected VorgangSetGrpAuftrNrIndex grpAuftrNrIndex;
			protected VorgangSetGrpSuchBegIndex grpSuchBegIndex;
			protected VorgangSetGrpAdrNrIndex grpAdrNrIndex;
			protected VorgangSetGrpDatIndex grpDatIndex;
			protected VorgangSetGrpLiefDatIndex grpLiefDatIndex;
			protected VorgangSetGrpAucWebIdIndex grpAucWebIdIndex;
		
			internal IndicesClass(VorgangSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new VorgangSetIDIndex(parentSet.DataSet);
				belegNrIndex = new VorgangSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new VorgangSetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new VorgangSetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new VorgangSetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new VorgangSetAdrNrIndex(parentSet.DataSet);
				adrNrDatIndex = new VorgangSetAdrNrDatIndex(parentSet.DataSet);
				liAdrNrIndex = new VorgangSetLiAdrNrIndex(parentSet.DataSet);
				verkIndex = new VorgangSetVerkIndex(parentSet.DataSet);
				vtrNrIndex = new VorgangSetVtrNrIndex(parentSet.DataSet);
				datIndex = new VorgangSetDatIndex(parentSet.DataSet);
				liefDatIndex = new VorgangSetLiefDatIndex(parentSet.DataSet);
				kstNrIndex = new VorgangSetKstNrIndex(parentSet.DataSet);
				aucWebIdIndex = new VorgangSetAucWebIdIndex(parentSet.DataSet);
				artBelegNrIndex = new VorgangSetArtBelegNrIndex(parentSet.DataSet);
				artPrjNrIndex = new VorgangSetArtPrjNrIndex(parentSet.DataSet);
				artAuftrNrIndex = new VorgangSetArtAuftrNrIndex(parentSet.DataSet);
				artAdrNrIndex = new VorgangSetArtAdrNrIndex(parentSet.DataSet);
				artDatIndex = new VorgangSetArtDatIndex(parentSet.DataSet);
				artLiefDatIndex = new VorgangSetArtLiefDatIndex(parentSet.DataSet);
				artKstNrIndex = new VorgangSetArtKstNrIndex(parentSet.DataSet);
				grpBelegNrIndex = new VorgangSetGrpBelegNrIndex(parentSet.DataSet);
				grpPrjNrIndex = new VorgangSetGrpPrjNrIndex(parentSet.DataSet);
				grpAuftrNrIndex = new VorgangSetGrpAuftrNrIndex(parentSet.DataSet);
				grpSuchBegIndex = new VorgangSetGrpSuchBegIndex(parentSet.DataSet);
				grpAdrNrIndex = new VorgangSetGrpAdrNrIndex(parentSet.DataSet);
				grpDatIndex = new VorgangSetGrpDatIndex(parentSet.DataSet);
				grpLiefDatIndex = new VorgangSetGrpLiefDatIndex(parentSet.DataSet);
				grpAucWebIdIndex = new VorgangSetGrpAucWebIdIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public VorgangSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VorgangSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VorgangSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public VorgangSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VorgangSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer & Datum</summary>
			public VorgangSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public VorgangSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Verkufer</summary>
			public VorgangSetVerkIndex VerkIndex
			{
				get { return verkIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public VorgangSetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VorgangSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Lieferdatum</summary>
			public VorgangSetLiefDatIndex LiefDatIndex
			{
				get { return liefDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public VorgangSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public VorgangSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangSetArtBelegNrIndex ArtBelegNrIndex
			{
				get { return artBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VorgangSetArtPrjNrIndex ArtPrjNrIndex
			{
				get { return artPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VorgangSetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VorgangSetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VorgangSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Lieferdatum</summary>
			public VorgangSetArtLiefDatIndex ArtLiefDatIndex
			{
				get { return artLiefDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public VorgangSetArtKstNrIndex ArtKstNrIndex
			{
				get { return artKstNrIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public VorgangSetGrpBelegNrIndex GrpBelegNrIndex
			{
				get { return grpBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public VorgangSetGrpPrjNrIndex GrpPrjNrIndex
			{
				get { return grpPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public VorgangSetGrpAuftrNrIndex GrpAuftrNrIndex
			{
				get { return grpAuftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public VorgangSetGrpSuchBegIndex GrpSuchBegIndex
			{
				get { return grpSuchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public VorgangSetGrpAdrNrIndex GrpAdrNrIndex
			{
				get { return grpAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public VorgangSetGrpDatIndex GrpDatIndex
			{
				get { return grpDatIndex; }
			}
			
			/// <summary>Lieferdatum</summary>
			public VorgangSetGrpLiefDatIndex GrpLiefDatIndex
			{
				get { return grpLiefDatIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public VorgangSetGrpAucWebIdIndex GrpAucWebIdIndex
			{
				get { return grpAucWebIdIndex; }
			}
			
		
			#endregion
		}

		public VorgangSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
