using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WarengruppenZuweisenSet : BpnEntitySet<WarengruppenZuweisen>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "WarengruppenZuweisen";
			
		public static WarengruppenZuweisenSet CreateInstance(BpnConnection connection)
		{
		    var warengruppenzuweisensetInfo = connection.GetDataSetInfo(DS_NAME);
		    var warengruppenzuweisensetDataSet = warengruppenzuweisensetInfo.CreateDataSet();
		
		    var ret = new WarengruppenZuweisenSet(warengruppenzuweisensetDataSet);
		    return ret;
		}
		
		internal WarengruppenZuweisenSet(BpNT.AutoDataSet warengruppenzuweisenDataSet) 
			: base(warengruppenzuweisenDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected WarengruppenZuweisenSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new WarengruppenZuweisenSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected WarengruppenZuweisenSet parentSet;
		
			protected WarengruppenZuweisenSetIDIndex iDIndex;
			protected WarengruppenZuweisenSetNrIndex nrIndex;
		
			internal IndicesClass(WarengruppenZuweisenSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new WarengruppenZuweisenSetIDIndex(parentSet.DataSet);
				nrIndex = new WarengruppenZuweisenSetNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public WarengruppenZuweisenSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Nummer</summary>
			public WarengruppenZuweisenSetNrIndex NrIndex
			{
				get { return nrIndex; }
			}
			
		
			#endregion
		}

		public WarengruppenZuweisenSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
