using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class WarenkorbSet : BpnEntitySet<Warenkorb>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "Warenkorb";
			
		public static WarenkorbSet CreateInstance(BpnConnection connection)
		{
		    var warenkorbsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var warenkorbsetDataSet = warenkorbsetInfo.CreateDataSet();
		
		    var ret = new WarenkorbSet(warenkorbsetDataSet);
		    return ret;
		}
		
		internal WarenkorbSet(BpNT.AutoDataSet warenkorbDataSet) 
			: base(warenkorbDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected WarenkorbSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new WarenkorbSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected WarenkorbSet parentSet;
		
			protected WarenkorbSetIDIndex iDIndex;
			protected WarenkorbSetAdrNrIndex adrNrIndex;
			protected WarenkorbSetArtNrLagNrIndex artNrLagNrIndex;
			protected WarenkorbSetAdrNrArtNrLagNrIndex adrNrArtNrLagNrIndex;
			protected WarenkorbSetLagNrArtNrIndex lagNrArtNrIndex;
			protected WarenkorbSetAdrNrLagNrArtNrIndex adrNrLagNrArtNrIndex;
			protected WarenkorbSetAuftrNrIndex auftrNrIndex;
			protected WarenkorbSetAdrNrAuftrNrIndex adrNrAuftrNrIndex;
			protected WarenkorbSetKstNrIndex kstNrIndex;
			protected WarenkorbSetAdrNrKstNrIndex adrNrKstNrIndex;
		
			internal IndicesClass(WarenkorbSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new WarenkorbSetIDIndex(parentSet.DataSet);
				adrNrIndex = new WarenkorbSetAdrNrIndex(parentSet.DataSet);
				artNrLagNrIndex = new WarenkorbSetArtNrLagNrIndex(parentSet.DataSet);
				adrNrArtNrLagNrIndex = new WarenkorbSetAdrNrArtNrLagNrIndex(parentSet.DataSet);
				lagNrArtNrIndex = new WarenkorbSetLagNrArtNrIndex(parentSet.DataSet);
				adrNrLagNrArtNrIndex = new WarenkorbSetAdrNrLagNrArtNrIndex(parentSet.DataSet);
				auftrNrIndex = new WarenkorbSetAuftrNrIndex(parentSet.DataSet);
				adrNrAuftrNrIndex = new WarenkorbSetAdrNrAuftrNrIndex(parentSet.DataSet);
				kstNrIndex = new WarenkorbSetKstNrIndex(parentSet.DataSet);
				adrNrKstNrIndex = new WarenkorbSetAdrNrKstNrIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public WarenkorbSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Lieferantennummer</summary>
			public WarenkorbSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public WarenkorbSetArtNrLagNrIndex ArtNrLagNrIndex
			{
				get { return artNrLagNrIndex; }
			}
			
			/// <summary>Artikelnummer</summary>
			public WarenkorbSetAdrNrArtNrLagNrIndex AdrNrArtNrLagNrIndex
			{
				get { return adrNrArtNrLagNrIndex; }
			}
			
			/// <summary>Lagernummer</summary>
			public WarenkorbSetLagNrArtNrIndex LagNrArtNrIndex
			{
				get { return lagNrArtNrIndex; }
			}
			
			/// <summary>Lagernummer</summary>
			public WarenkorbSetAdrNrLagNrArtNrIndex AdrNrLagNrArtNrIndex
			{
				get { return adrNrLagNrArtNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public WarenkorbSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public WarenkorbSetAdrNrAuftrNrIndex AdrNrAuftrNrIndex
			{
				get { return adrNrAuftrNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public WarenkorbSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public WarenkorbSetAdrNrKstNrIndex AdrNrKstNrIndex
			{
				get { return adrNrKstNrIndex; }
			}
			
		
			#endregion
		}

		public WarenkorbSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
