using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSet : BpnEntitySet<ZahlungsVerkehr>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZahlungsVerkehr";
			
		public static ZahlungsVerkehrSet CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehrsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehrsetDataSet = zahlungsverkehrsetInfo.CreateDataSet();
		
		    var ret = new ZahlungsVerkehrSet(zahlungsverkehrsetDataSet);
		    return ret;
		}
		
		internal ZahlungsVerkehrSet(BpNT.AutoDataSet zahlungsverkehrDataSet) 
			: base(zahlungsverkehrDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZahlungsVerkehrSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZahlungsVerkehrSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZahlungsVerkehrSet parentSet;
		
			protected ZahlungsVerkehrSetIDIndex iDIndex;
			protected ZahlungsVerkehrSetDBBkzBezNrBNrIndex dBBkzBezNrBNrIndex;
			protected ZahlungsVerkehrSetEmBezIndex emBezIndex;
			protected ZahlungsVerkehrSetZAEmBezIndex zAEmBezIndex;
			protected ZahlungsVerkehrSetEmKNrIndex emKNrIndex;
			protected ZahlungsVerkehrSetZAEmKNrIndex zAEmKNrIndex;
			protected ZahlungsVerkehrSetEmBLZIndex emBLZIndex;
			protected ZahlungsVerkehrSetZAEmBLZIndex zAEmBLZIndex;
			protected ZahlungsVerkehrSetVwz1Index vwz1Index;
			protected ZahlungsVerkehrSetZAVwz1Index zAVwz1Index;
			protected ZahlungsVerkehrSetVwz2Index vwz2Index;
			protected ZahlungsVerkehrSetZAVwz2Index zAVwz2Index;
			protected ZahlungsVerkehrSetAbsBezIndex absBezIndex;
			protected ZahlungsVerkehrSetZAAbsBezIndex zAAbsBezIndex;
			protected ZahlungsVerkehrSetAbsKNrIndex absKNrIndex;
			protected ZahlungsVerkehrSetZAAbsKNrIndex zAAbsKNrIndex;
			protected ZahlungsVerkehrSetAbsBLZIndex absBLZIndex;
			protected ZahlungsVerkehrSetZAAbsBLZIndex zAAbsBLZIndex;
			protected ZahlungsVerkehrSetZABLZKtoNrEmBezIndex zABLZKtoNrEmBezIndex;
		
			internal IndicesClass(ZahlungsVerkehrSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ZahlungsVerkehrSetIDIndex(parentSet.DataSet);
				dBBkzBezNrBNrIndex = new ZahlungsVerkehrSetDBBkzBezNrBNrIndex(parentSet.DataSet);
				emBezIndex = new ZahlungsVerkehrSetEmBezIndex(parentSet.DataSet);
				zAEmBezIndex = new ZahlungsVerkehrSetZAEmBezIndex(parentSet.DataSet);
				emKNrIndex = new ZahlungsVerkehrSetEmKNrIndex(parentSet.DataSet);
				zAEmKNrIndex = new ZahlungsVerkehrSetZAEmKNrIndex(parentSet.DataSet);
				emBLZIndex = new ZahlungsVerkehrSetEmBLZIndex(parentSet.DataSet);
				zAEmBLZIndex = new ZahlungsVerkehrSetZAEmBLZIndex(parentSet.DataSet);
				vwz1Index = new ZahlungsVerkehrSetVwz1Index(parentSet.DataSet);
				zAVwz1Index = new ZahlungsVerkehrSetZAVwz1Index(parentSet.DataSet);
				vwz2Index = new ZahlungsVerkehrSetVwz2Index(parentSet.DataSet);
				zAVwz2Index = new ZahlungsVerkehrSetZAVwz2Index(parentSet.DataSet);
				absBezIndex = new ZahlungsVerkehrSetAbsBezIndex(parentSet.DataSet);
				zAAbsBezIndex = new ZahlungsVerkehrSetZAAbsBezIndex(parentSet.DataSet);
				absKNrIndex = new ZahlungsVerkehrSetAbsKNrIndex(parentSet.DataSet);
				zAAbsKNrIndex = new ZahlungsVerkehrSetZAAbsKNrIndex(parentSet.DataSet);
				absBLZIndex = new ZahlungsVerkehrSetAbsBLZIndex(parentSet.DataSet);
				zAAbsBLZIndex = new ZahlungsVerkehrSetZAAbsBLZIndex(parentSet.DataSet);
				zABLZKtoNrEmBezIndex = new ZahlungsVerkehrSetZABLZKtoNrEmBezIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ZahlungsVerkehrSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>DBBkzBezNrBNr</summary>
			public ZahlungsVerkehrSetDBBkzBezNrBNrIndex DBBkzBezNrBNrIndex
			{
				get { return dBBkzBezNrBNrIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsVerkehrSetEmBezIndex EmBezIndex
			{
				get { return emBezIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsVerkehrSetZAEmBezIndex ZAEmBezIndex
			{
				get { return zAEmBezIndex; }
			}
			
			/// <summary>Konto-Nr. des Empfngers</summary>
			public ZahlungsVerkehrSetEmKNrIndex EmKNrIndex
			{
				get { return emKNrIndex; }
			}
			
			/// <summary>Konto-Nr. des Empfngers</summary>
			public ZahlungsVerkehrSetZAEmKNrIndex ZAEmKNrIndex
			{
				get { return zAEmKNrIndex; }
			}
			
			/// <summary>BLZ des Empfngers</summary>
			public ZahlungsVerkehrSetEmBLZIndex EmBLZIndex
			{
				get { return emBLZIndex; }
			}
			
			/// <summary>BLZ des Empfngers</summary>
			public ZahlungsVerkehrSetZAEmBLZIndex ZAEmBLZIndex
			{
				get { return zAEmBLZIndex; }
			}
			
			/// <summary>Verwendungszweck 1</summary>
			public ZahlungsVerkehrSetVwz1Index Vwz1Index
			{
				get { return vwz1Index; }
			}
			
			/// <summary>Verwendungszweck 1</summary>
			public ZahlungsVerkehrSetZAVwz1Index ZAVwz1Index
			{
				get { return zAVwz1Index; }
			}
			
			/// <summary>Verwendungszweck 2</summary>
			public ZahlungsVerkehrSetVwz2Index Vwz2Index
			{
				get { return vwz2Index; }
			}
			
			/// <summary>Verwendungszweck 2</summary>
			public ZahlungsVerkehrSetZAVwz2Index ZAVwz2Index
			{
				get { return zAVwz2Index; }
			}
			
			/// <summary>Absender</summary>
			public ZahlungsVerkehrSetAbsBezIndex AbsBezIndex
			{
				get { return absBezIndex; }
			}
			
			/// <summary>Absender</summary>
			public ZahlungsVerkehrSetZAAbsBezIndex ZAAbsBezIndex
			{
				get { return zAAbsBezIndex; }
			}
			
			/// <summary>Konto-Nr. des Absenders</summary>
			public ZahlungsVerkehrSetAbsKNrIndex AbsKNrIndex
			{
				get { return absKNrIndex; }
			}
			
			/// <summary>Konto-Nr. des Absenders</summary>
			public ZahlungsVerkehrSetZAAbsKNrIndex ZAAbsKNrIndex
			{
				get { return zAAbsKNrIndex; }
			}
			
			/// <summary>BLZ des Absenders</summary>
			public ZahlungsVerkehrSetAbsBLZIndex AbsBLZIndex
			{
				get { return absBLZIndex; }
			}
			
			/// <summary>BLZ des Absenders</summary>
			public ZahlungsVerkehrSetZAAbsBLZIndex ZAAbsBLZIndex
			{
				get { return zAAbsBLZIndex; }
			}
			
			/// <summary>ZABLZKtoNrEmBez</summary>
			public ZahlungsVerkehrSetZABLZKtoNrEmBezIndex ZABLZKtoNrEmBezIndex
			{
				get { return zABLZKtoNrEmBezIndex; }
			}
			
		
			#endregion
		}

		public ZahlungsVerkehrSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
