using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsVerkehrSetAbsBezIndex : BpnIndex
	{
		public static readonly String INDEX_NAME = "AbsBez";
			

		internal ZahlungsVerkehrSetAbsBezIndex(BpNT.AutoDataSet dataSet) 
			: base(dataSet, INDEX_NAME)
			{ }

		public int ApplyRange(ZahlungsVerkehrSetAbsBezIndex.IndexFields rangeQuery)
		{
			return base.ApplyRange(rangeQuery);
		}

		public int ApplyRange(ZahlungsVerkehrSetAbsBezIndex.IndexFields rangeBegin, ZahlungsVerkehrSetAbsBezIndex.IndexFields rangeEnd)
		{
			return base.ApplyRange(rangeBegin, rangeEnd);
		}

		#region IndexFields nested Class


		public class IndexFields : Dictionary<String, Object>
		{
			#region Properties
		
			/// <summary>Namen des Absenders ( String )</summary>
			public virtual String Namen {
				get { return Convert.ToString(this["Namen"]); }
				set { this["Namen"] = value; }
			}
			/// <summary>Bankleitzahl des Absenders ( String )</summary>
			public virtual String BLZ {
				get { return Convert.ToString(this["BLZ"]); }
				set { this["BLZ"] = value; }
			}
			/// <summary>Kontonummer des Absenders ( String )</summary>
			public virtual String KNr {
				get { return Convert.ToString(this["KNr"]); }
				set { this["KNr"] = value; }
			}
		
			#endregion
		}


		#endregion

	}
}
