using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZahlungsverkehrEingangSet : BpnEntitySet<ZahlungsverkehrEingang>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZahlungsverkehrEingang";
			
		public static ZahlungsverkehrEingangSet CreateInstance(BpnConnection connection)
		{
		    var zahlungsverkehreingangsetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zahlungsverkehreingangsetDataSet = zahlungsverkehreingangsetInfo.CreateDataSet();
		
		    var ret = new ZahlungsverkehrEingangSet(zahlungsverkehreingangsetDataSet);
		    return ret;
		}
		
		internal ZahlungsverkehrEingangSet(BpNT.AutoDataSet zahlungsverkehreingangDataSet) 
			: base(zahlungsverkehreingangDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZahlungsverkehrEingangSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZahlungsverkehrEingangSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZahlungsverkehrEingangSet parentSet;
		
			protected ZahlungsverkehrEingangSetIDIndex iDIndex;
			protected ZahlungsverkehrEingangSetDatIndex datIndex;
			protected ZahlungsverkehrEingangSetHBkDatIndex hBkDatIndex;
			protected ZahlungsverkehrEingangSetEmNameIndex emNameIndex;
			protected ZahlungsverkehrEingangSetHBkEmNameIndex hBkEmNameIndex;
			protected ZahlungsverkehrEingangSetTextIndex textIndex;
			protected ZahlungsverkehrEingangSetHBkTextIndex hBkTextIndex;
			protected ZahlungsverkehrEingangSetBetIndex betIndex;
			protected ZahlungsverkehrEingangSetHBkBetIndex hBkBetIndex;
			protected ZahlungsverkehrEingangSetAdrNrIndex adrNrIndex;
			protected ZahlungsverkehrEingangSetHBkAdrNrIndex hBkAdrNrIndex;
			protected ZahlungsverkehrEingangSetBelegNrIndex belegNrIndex;
			protected ZahlungsverkehrEingangSetHBkBelegNrIndex hBkBelegNrIndex;
			protected ZahlungsverkehrEingangSetKazIDIndex kazIDIndex;
		
			internal IndicesClass(ZahlungsverkehrEingangSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ZahlungsverkehrEingangSetIDIndex(parentSet.DataSet);
				datIndex = new ZahlungsverkehrEingangSetDatIndex(parentSet.DataSet);
				hBkDatIndex = new ZahlungsverkehrEingangSetHBkDatIndex(parentSet.DataSet);
				emNameIndex = new ZahlungsverkehrEingangSetEmNameIndex(parentSet.DataSet);
				hBkEmNameIndex = new ZahlungsverkehrEingangSetHBkEmNameIndex(parentSet.DataSet);
				textIndex = new ZahlungsverkehrEingangSetTextIndex(parentSet.DataSet);
				hBkTextIndex = new ZahlungsverkehrEingangSetHBkTextIndex(parentSet.DataSet);
				betIndex = new ZahlungsverkehrEingangSetBetIndex(parentSet.DataSet);
				hBkBetIndex = new ZahlungsverkehrEingangSetHBkBetIndex(parentSet.DataSet);
				adrNrIndex = new ZahlungsverkehrEingangSetAdrNrIndex(parentSet.DataSet);
				hBkAdrNrIndex = new ZahlungsverkehrEingangSetHBkAdrNrIndex(parentSet.DataSet);
				belegNrIndex = new ZahlungsverkehrEingangSetBelegNrIndex(parentSet.DataSet);
				hBkBelegNrIndex = new ZahlungsverkehrEingangSetHBkBelegNrIndex(parentSet.DataSet);
				kazIDIndex = new ZahlungsverkehrEingangSetKazIDIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ZahlungsverkehrEingangSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZahlungsverkehrEingangSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZahlungsverkehrEingangSetHBkDatIndex HBkDatIndex
			{
				get { return hBkDatIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsverkehrEingangSetEmNameIndex EmNameIndex
			{
				get { return emNameIndex; }
			}
			
			/// <summary>Empfnger</summary>
			public ZahlungsverkehrEingangSetHBkEmNameIndex HBkEmNameIndex
			{
				get { return hBkEmNameIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public ZahlungsverkehrEingangSetTextIndex TextIndex
			{
				get { return textIndex; }
			}
			
			/// <summary>Text (Verwendungszweck)</summary>
			public ZahlungsverkehrEingangSetHBkTextIndex HBkTextIndex
			{
				get { return hBkTextIndex; }
			}
			
			/// <summary>Betrag</summary>
			public ZahlungsverkehrEingangSetBetIndex BetIndex
			{
				get { return betIndex; }
			}
			
			/// <summary>Betrag</summary>
			public ZahlungsverkehrEingangSetHBkBetIndex HBkBetIndex
			{
				get { return hBkBetIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZahlungsverkehrEingangSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZahlungsverkehrEingangSetHBkAdrNrIndex HBkAdrNrIndex
			{
				get { return hBkAdrNrIndex; }
			}
			
			/// <summary>Belegnummern</summary>
			public ZahlungsverkehrEingangSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Belegnummern</summary>
			public ZahlungsverkehrEingangSetHBkBelegNrIndex HBkBelegNrIndex
			{
				get { return hBkBelegNrIndex; }
			}
			
			/// <summary>KazID</summary>
			public ZahlungsverkehrEingangSetKazIDIndex KazIDIndex
			{
				get { return kazIDIndex; }
			}
			
		
			#endregion
		}

		public ZahlungsverkehrEingangSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
