using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class ZwischenBelegeHisSet : BpnEntitySet<ZwischenBelegeHis>
	{
		#region Static Factory for EntitySet
		
		public static readonly String DS_NAME = "ZwischenBelegeHis";
			
		public static ZwischenBelegeHisSet CreateInstance(BpnConnection connection)
		{
		    var zwischenbelegehissetInfo = connection.GetDataSetInfo(DS_NAME);
		    var zwischenbelegehissetDataSet = zwischenbelegehissetInfo.CreateDataSet();
		
		    var ret = new ZwischenBelegeHisSet(zwischenbelegehissetDataSet);
		    return ret;
		}
		
		internal ZwischenBelegeHisSet(BpNT.AutoDataSet zwischenbelegehisDataSet) 
			: base(zwischenbelegehisDataSet)
		{
			InitializeIndicesNestedClass();
		}				
		
		#endregion

		#region Indices nested Class

		protected ZwischenBelegeHisSet.IndicesClass indices;

		protected void InitializeIndicesNestedClass() 
		{
			indices = new ZwischenBelegeHisSet.IndicesClass(this);
		}

		public class IndicesClass
		{
			protected ZwischenBelegeHisSet parentSet;
		
			protected ZwischenBelegeHisSetIDIndex iDIndex;
			protected ZwischenBelegeHisSetBelegNrIndex belegNrIndex;
			protected ZwischenBelegeHisSetPrjNrIndex prjNrIndex;
			protected ZwischenBelegeHisSetAuftrNrIndex auftrNrIndex;
			protected ZwischenBelegeHisSetSuchBegIndex suchBegIndex;
			protected ZwischenBelegeHisSetAdrNrIndex adrNrIndex;
			protected ZwischenBelegeHisSetAdrNrDatIndex adrNrDatIndex;
			protected ZwischenBelegeHisSetLiAdrNrIndex liAdrNrIndex;
			protected ZwischenBelegeHisSetVerkIndex verkIndex;
			protected ZwischenBelegeHisSetVtrNrIndex vtrNrIndex;
			protected ZwischenBelegeHisSetDatIndex datIndex;
			protected ZwischenBelegeHisSetKstNrIndex kstNrIndex;
			protected ZwischenBelegeHisSetAucWebIdIndex aucWebIdIndex;
			protected ZwischenBelegeHisSetArtBelegNrIndex artBelegNrIndex;
			protected ZwischenBelegeHisSetArtPrjNrIndex artPrjNrIndex;
			protected ZwischenBelegeHisSetArtAuftrNrIndex artAuftrNrIndex;
			protected ZwischenBelegeHisSetArtAdrNrIndex artAdrNrIndex;
			protected ZwischenBelegeHisSetArtDatIndex artDatIndex;
			protected ZwischenBelegeHisSetArtKstNrIndex artKstNrIndex;
			protected ZwischenBelegeHisSetHiDatIndex hiDatIndex;
			protected ZwischenBelegeHisSetArtHiDatIndex artHiDatIndex;
		
			internal IndicesClass(ZwischenBelegeHisSet parentSet)
			{
				this.parentSet = parentSet;
				InitializeIndices();
			}
		
			protected void InitializeIndices() {
				iDIndex = new ZwischenBelegeHisSetIDIndex(parentSet.DataSet);
				belegNrIndex = new ZwischenBelegeHisSetBelegNrIndex(parentSet.DataSet);
				prjNrIndex = new ZwischenBelegeHisSetPrjNrIndex(parentSet.DataSet);
				auftrNrIndex = new ZwischenBelegeHisSetAuftrNrIndex(parentSet.DataSet);
				suchBegIndex = new ZwischenBelegeHisSetSuchBegIndex(parentSet.DataSet);
				adrNrIndex = new ZwischenBelegeHisSetAdrNrIndex(parentSet.DataSet);
				adrNrDatIndex = new ZwischenBelegeHisSetAdrNrDatIndex(parentSet.DataSet);
				liAdrNrIndex = new ZwischenBelegeHisSetLiAdrNrIndex(parentSet.DataSet);
				verkIndex = new ZwischenBelegeHisSetVerkIndex(parentSet.DataSet);
				vtrNrIndex = new ZwischenBelegeHisSetVtrNrIndex(parentSet.DataSet);
				datIndex = new ZwischenBelegeHisSetDatIndex(parentSet.DataSet);
				kstNrIndex = new ZwischenBelegeHisSetKstNrIndex(parentSet.DataSet);
				aucWebIdIndex = new ZwischenBelegeHisSetAucWebIdIndex(parentSet.DataSet);
				artBelegNrIndex = new ZwischenBelegeHisSetArtBelegNrIndex(parentSet.DataSet);
				artPrjNrIndex = new ZwischenBelegeHisSetArtPrjNrIndex(parentSet.DataSet);
				artAuftrNrIndex = new ZwischenBelegeHisSetArtAuftrNrIndex(parentSet.DataSet);
				artAdrNrIndex = new ZwischenBelegeHisSetArtAdrNrIndex(parentSet.DataSet);
				artDatIndex = new ZwischenBelegeHisSetArtDatIndex(parentSet.DataSet);
				artKstNrIndex = new ZwischenBelegeHisSetArtKstNrIndex(parentSet.DataSet);
				hiDatIndex = new ZwischenBelegeHisSetHiDatIndex(parentSet.DataSet);
				artHiDatIndex = new ZwischenBelegeHisSetArtHiDatIndex(parentSet.DataSet);
			}
		
			#region Properties
		
			/// <summary>ID</summary>
			public ZwischenBelegeHisSetIDIndex IDIndex
			{
				get { return iDIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public ZwischenBelegeHisSetBelegNrIndex BelegNrIndex
			{
				get { return belegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ZwischenBelegeHisSetPrjNrIndex PrjNrIndex
			{
				get { return prjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ZwischenBelegeHisSetAuftrNrIndex AuftrNrIndex
			{
				get { return auftrNrIndex; }
			}
			
			/// <summary>Suchbegriff</summary>
			public ZwischenBelegeHisSetSuchBegIndex SuchBegIndex
			{
				get { return suchBegIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZwischenBelegeHisSetAdrNrIndex AdrNrIndex
			{
				get { return adrNrIndex; }
			}
			
			/// <summary>Adressnummer & Datum</summary>
			public ZwischenBelegeHisSetAdrNrDatIndex AdrNrDatIndex
			{
				get { return adrNrDatIndex; }
			}
			
			/// <summary>Adr.-Nr. der Lieferanschrift</summary>
			public ZwischenBelegeHisSetLiAdrNrIndex LiAdrNrIndex
			{
				get { return liAdrNrIndex; }
			}
			
			/// <summary>Verkufer</summary>
			public ZwischenBelegeHisSetVerkIndex VerkIndex
			{
				get { return verkIndex; }
			}
			
			/// <summary>Vertreternummer</summary>
			public ZwischenBelegeHisSetVtrNrIndex VtrNrIndex
			{
				get { return vtrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZwischenBelegeHisSetDatIndex DatIndex
			{
				get { return datIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ZwischenBelegeHisSetKstNrIndex KstNrIndex
			{
				get { return kstNrIndex; }
			}
			
			/// <summary>Auktionsplattform ID</summary>
			public ZwischenBelegeHisSetAucWebIdIndex AucWebIdIndex
			{
				get { return aucWebIdIndex; }
			}
			
			/// <summary>Belegnummer</summary>
			public ZwischenBelegeHisSetArtBelegNrIndex ArtBelegNrIndex
			{
				get { return artBelegNrIndex; }
			}
			
			/// <summary>Projektnummer</summary>
			public ZwischenBelegeHisSetArtPrjNrIndex ArtPrjNrIndex
			{
				get { return artPrjNrIndex; }
			}
			
			/// <summary>Auftragsnummer</summary>
			public ZwischenBelegeHisSetArtAuftrNrIndex ArtAuftrNrIndex
			{
				get { return artAuftrNrIndex; }
			}
			
			/// <summary>Adressnummer</summary>
			public ZwischenBelegeHisSetArtAdrNrIndex ArtAdrNrIndex
			{
				get { return artAdrNrIndex; }
			}
			
			/// <summary>Datum</summary>
			public ZwischenBelegeHisSetArtDatIndex ArtDatIndex
			{
				get { return artDatIndex; }
			}
			
			/// <summary>Kostenstellennummer</summary>
			public ZwischenBelegeHisSetArtKstNrIndex ArtKstNrIndex
			{
				get { return artKstNrIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ZwischenBelegeHisSetHiDatIndex HiDatIndex
			{
				get { return hiDatIndex; }
			}
			
			/// <summary>Historydatum</summary>
			public ZwischenBelegeHisSetArtHiDatIndex ArtHiDatIndex
			{
				get { return artHiDatIndex; }
			}
			
		
			#endregion
		}

		public ZwischenBelegeHisSet.IndicesClass Indices 
		{
			get { return indices; }
		}

		#endregion

	}
}
