using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using BpnEntityCommon;

namespace BpnEntityCommon.Entities
{
	public partial class Artikel : BpnEntity
	{
		#region Static Factory
		
		public static readonly String DS_NAME = "Artikel";
			
		public static Artikel CreateInstance(BpnConnection connection)
		{
		    var artikelInfo = connection.GetDataSetInfo(DS_NAME);
		    var artikelDataSet = artikelInfo.CreateDataSet();
		
		    var ret = new Artikel(artikelDataSet);
		    return ret;
		}
		
		public Artikel(BpNT.AutoDataSet artikelDataSet) 
			: base(artikelDataSet)
		{ }
						
		
		#endregion

		#region Properties


		/// <summary>ID ( AutoInc )</summary>
		public virtual Int32 ID
		{
			get { return Convert.ToInt32(this["ID"]); }
			set { this["ID"] = value; }
		}
		/// <summary>Artikelnummer ( String )</summary>
		public virtual String ArtNr
		{
			get { return Convert.ToString(this["ArtNr"]); }
			set { this["ArtNr"] = value; }
		}
		/// <summary>Katalog ( Byte )</summary>
		public virtual Object Katalog
		{
			get { return this["Katalog"]; }
			set { this["Katalog"] = value; }
		}
		/// <summary>Suchbegriff ( String )</summary>
		public virtual String SuchBeg
		{
			get { return Convert.ToString(this["SuchBeg"]); }
			set { this["SuchBeg"] = value; }
		}
		/// <summary>Art des Artikel ( Integer )</summary>
		public virtual Int32 ArtikelArt
		{
			get { return Convert.ToInt32(this["ArtikelArt"]); }
			set { this["ArtikelArt"] = value; }
		}
		/// <summary>Artikel mit Varianten Kennzeichen ( Boolean )</summary>
		public virtual Object VariantenKz
		{
			get { return this["VariantenKz"]; }
			set { this["VariantenKz"] = value; }
		}
		/// <summary>Varianten Artikel ( Table )</summary>
		public virtual Object VariantenArt
		{
			get { return this["VariantenArt"]; }
		}
		/// <summary>Vorgabe fr Varianten der Artikelausprgung 1 ( Integer )</summary>
		public virtual Int32 VgbAusPVar1
		{
			get { return Convert.ToInt32(this["VgbAusPVar1"]); }
			set { this["VgbAusPVar1"] = value; }
		}
		/// <summary>Vorgabe fr Varianten der Artikelausprgung 2 ( Integer )</summary>
		public virtual Int32 VgbAusPVar2
		{
			get { return Convert.ToInt32(this["VgbAusPVar2"]); }
			set { this["VgbAusPVar2"] = value; }
		}
		/// <summary>Vorgabe fr Varianten der Artikelausprgung 3 ( Integer )</summary>
		public virtual Int32 VgbAusPVar3
		{
			get { return Convert.ToInt32(this["VgbAusPVar3"]); }
			set { this["VgbAusPVar3"] = value; }
		}
		/// <summary>Ist Variante von Artikelnummer ( String )</summary>
		public virtual String ArtNrAMV
		{
			get { return Convert.ToString(this["ArtNrAMV"]); }
			set { this["ArtNrAMV"] = value; }
		}
		/// <summary>Ist Variante von Artikel ( String )</summary>
		public virtual String ArtNrAMVInfo
		{
			get { return Convert.ToString(this["ArtNrAMVInfo"]); }
		}
		/// <summary>Art des Artikel des Artikels mit Varianten ( Integer )</summary>
		public virtual Int32 ArtikelArtAMV
		{
			get { return Convert.ToInt32(this["ArtikelArtAMV"]); }
			set { this["ArtikelArtAMV"] = value; }
		}
		/// <summary>Layout fr Varianteninfo ( String )</summary>
		public virtual String VarInfoLay
		{
			get { return Convert.ToString(this["VarInfoLay"]); }
			set { this["VarInfoLay"] = value; }
		}
		/// <summary>Varianteninfo ( String )</summary>
		public virtual String VarInfo
		{
			get { return Convert.ToString(this["VarInfo"]); }
		}
		/// <summary>Variante fr Artikelausprgung 1 ( String )</summary>
		public virtual String ArtAusPVar1
		{
			get { return Convert.ToString(this["ArtAusPVar1"]); }
			set { this["ArtAusPVar1"] = value; }
		}
		/// <summary>Bezeichnung der Variante fr Artikelausprgung 1 ( String )</summary>
		public virtual String ArtAusPVarBez1
		{
			get { return Convert.ToString(this["ArtAusPVarBez1"]); }
		}
		/// <summary>Variante fr Artikelausprgung 2 ( String )</summary>
		public virtual String ArtAusPVar2
		{
			get { return Convert.ToString(this["ArtAusPVar2"]); }
			set { this["ArtAusPVar2"] = value; }
		}
		/// <summary>Bezeichnung der Variante fr Artikelausprgung 2 ( String )</summary>
		public virtual String ArtAusPVarBez2
		{
			get { return Convert.ToString(this["ArtAusPVarBez2"]); }
		}
		/// <summary>Variante fr Artikelausprgung 3 ( String )</summary>
		public virtual String ArtAusPVar3
		{
			get { return Convert.ToString(this["ArtAusPVar3"]); }
			set { this["ArtAusPVar3"] = value; }
		}
		/// <summary>Bezeichnung der Variante fr Artikelausprgung 3 ( String )</summary>
		public virtual String ArtAusPVarBez3
		{
			get { return Convert.ToString(this["ArtAusPVarBez3"]); }
		}
		/// <summary>Variante ( String )</summary>
		public virtual String Variante
		{
			get { return Convert.ToString(this["Variante"]); }
			set { this["Variante"] = value; }
		}
		/// <summary>Variantenbezeichnung ( String )</summary>
		public virtual String VarianteBez
		{
			get { return Convert.ToString(this["VarianteBez"]); }
		}
		/// <summary>Varianten Flags ( Integer )</summary>
		public virtual Int32 VarFlags
		{
			get { return Convert.ToInt32(this["VarFlags"]); }
			set { this["VarFlags"] = value; }
		}
		/// <summary>Varianten Bezeichner Flags ( Integer )</summary>
		public virtual Int32 VarBezFlags
		{
			get { return Convert.ToInt32(this["VarBezFlags"]); }
			set { this["VarBezFlags"] = value; }
		}
		/// <summary>Referenz ( String )</summary>
		public virtual String Ref
		{
			get { return Convert.ToString(this["Ref"]); }
			set { this["Ref"] = value; }
		}
		/// <summary>Referenzwertung ( Integer )</summary>
		public virtual Int32 RefWert
		{
			get { return Convert.ToInt32(this["RefWert"]); }
			set { this["RefWert"] = value; }
		}
		/// <summary>Barcode ( String )</summary>
		public virtual String BarCd
		{
			get { return Convert.ToString(this["BarCd"]); }
			set { this["BarCd"] = value; }
		}
		/// <summary>Warengruppennummer ( String )</summary>
		public virtual String WgrNr
		{
			get { return Convert.ToString(this["WgrNr"]); }
			set { this["WgrNr"] = value; }
		}
		/// <summary>Warengruppe ( String )</summary>
		public virtual String WgrNrInfo
		{
			get { return Convert.ToString(this["WgrNrInfo"]); }
		}
		/// <summary>Kurzbezeichnung 1 ( String )</summary>
		public virtual String KuBez1
		{
			get { return Convert.ToString(this["KuBez1"]); }
			set { this["KuBez1"] = value; }
		}
		/// <summary>Bezeichnung 1 ( Info )</summary>
		public virtual Object Bez1
		{
			get { return this["Bez1"]; }
			set { this["Bez1"] = value; }
		}
		/// <summary>Bezeichnung 1 Kennzeichen ( Boolean )</summary>
		public virtual Object Bez1Kz
		{
			get { return this["Bez1Kz"]; }
		}
		/// <summary>Kurzbezeichnung 2 ( String )</summary>
		public virtual String KuBez2
		{
			get { return Convert.ToString(this["KuBez2"]); }
			set { this["KuBez2"] = value; }
		}
		/// <summary>Bezeichnung 2 ( Info )</summary>
		public virtual Object Bez2
		{
			get { return this["Bez2"]; }
			set { this["Bez2"] = value; }
		}
		/// <summary>Bezeichnung 2 Kennzeichen ( Boolean )</summary>
		public virtual Object Bez2Kz
		{
			get { return this["Bez2Kz"]; }
		}
		/// <summary>Kurzbezeichnung 3 ( String )</summary>
		public virtual String KuBez3
		{
			get { return Convert.ToString(this["KuBez3"]); }
			set { this["KuBez3"] = value; }
		}
		/// <summary>Bezeichnung 3 ( Info )</summary>
		public virtual Object Bez3
		{
			get { return this["Bez3"]; }
			set { this["Bez3"] = value; }
		}
		/// <summary>Bezeichnung 3 Kennzeichen ( Boolean )</summary>
		public virtual Object Bez3Kz
		{
			get { return this["Bez3Kz"]; }
		}
		/// <summary>Kurzbezeichnung 4 ( String )</summary>
		public virtual String KuBez4
		{
			get { return Convert.ToString(this["KuBez4"]); }
			set { this["KuBez4"] = value; }
		}
		/// <summary>Bezeichnung 4 ( Info )</summary>
		public virtual Object Bez4
		{
			get { return this["Bez4"]; }
			set { this["Bez4"] = value; }
		}
		/// <summary>Bezeichnung 4 Kennzeichen ( Boolean )</summary>
		public virtual Object Bez4Kz
		{
			get { return this["Bez4Kz"]; }
		}
		/// <summary>Kurzbezeichnung 5 ( String )</summary>
		public virtual String KuBez5
		{
			get { return Convert.ToString(this["KuBez5"]); }
			set { this["KuBez5"] = value; }
		}
		/// <summary>Bezeichnung 5 ( Info )</summary>
		public virtual Object Bez5
		{
			get { return this["Bez5"]; }
			set { this["Bez5"] = value; }
		}
		/// <summary>Bezeichnung 5 Kennzeichen ( Boolean )</summary>
		public virtual Object Bez5Kz
		{
			get { return this["Bez5Kz"]; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 Flags
		{
			get { return Convert.ToInt32(this["Flags"]); }
			set { this["Flags"] = value; }
		}
		/// <summary>Flags 2 ( Integer )</summary>
		public virtual Int32 Flags2
		{
			get { return Convert.ToInt32(this["Flags2"]); }
			set { this["Flags2"] = value; }
		}
		/// <summary>Verkaufsanzahl ( Double )</summary>
		public virtual Object Verkauft
		{
			get { return this["Verkauft"]; }
			set { this["Verkauft"] = value; }
		}
		/// <summary>Einheit ( String )</summary>
		public virtual String Einh
		{
			get { return Convert.ToString(this["Einh"]); }
			set { this["Einh"] = value; }
		}
		/// <summary>Mengenfaktor ( Double )</summary>
		public virtual Object MgeFak
		{
			get { return this["MgeFak"]; }
		}
		/// <summary>Einzelpreisfaktor ( Double )</summary>
		public virtual Object EPreisFak
		{
			get { return this["EPreisFak"]; }
		}
		/// <summary>Vorgabe Menge fr Fakturierung ( Double )</summary>
		public virtual Object MgeFakt
		{
			get { return this["MgeFakt"]; }
			set { this["MgeFakt"] = value; }
		}
		/// <summary>Vorgabe Einheit fr Fakturierung ( String )</summary>
		public virtual String EinhFakt
		{
			get { return Convert.ToString(this["EinhFakt"]); }
			set { this["EinhFakt"] = value; }
		}
		/// <summary>Negative Menge fr Fakturierung ( Boolean )</summary>
		public virtual Object NegMgeFaktKz
		{
			get { return this["NegMgeFaktKz"]; }
		}
		/// <summary>Zuschlagsgruppe ( Integer )</summary>
		public virtual Int32 ZuschlGrp
		{
			get { return Convert.ToInt32(this["ZuschlGrp"]); }
			set { this["ZuschlGrp"] = value; }
		}
		/// <summary>Zuschlagsfaktor ( Double )</summary>
		public virtual Object ZuschlFak
		{
			get { return this["ZuschlFak"]; }
			set { this["ZuschlFak"] = value; }
		}
		/// <summary>Provisionsfhig ( Boolean )</summary>
		public virtual Object ProvKz
		{
			get { return this["ProvKz"]; }
		}
		/// <summary>Provisionssatz (in %) ( Double )</summary>
		public virtual Object ProvSz
		{
			get { return this["ProvSz"]; }
			set { this["ProvSz"] = value; }
		}
		/// <summary>Vorgabe Lohn-Zeit ( Double )</summary>
		public virtual Object VgbLZt
		{
			get { return this["VgbLZt"]; }
			set { this["VgbLZt"] = value; }
		}
		/// <summary>Vorgabe Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object VgbLZtEh
		{
			get { return this["VgbLZtEh"]; }
			set { this["VgbLZtEh"] = value; }
		}
		/// <summary>Vorgabe Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object VgbLKGrp
		{
			get { return this["VgbLKGrp"]; }
			set { this["VgbLKGrp"] = value; }
		}
		/// <summary>Vorgabe Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object VgbLLBet
		{
			get { return this["VgbLLBet"]; }
			set { this["VgbLLBet"] = value; }
		}
		/// <summary>Vorgabe Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object VgbLLZtEh
		{
			get { return this["VgbLLZtEh"]; }
			set { this["VgbLLZtEh"] = value; }
		}
		/// <summary>Gewicht ( Double )</summary>
		public virtual Object Gew
		{
			get { return this["Gew"]; }
			set { this["Gew"] = value; }
		}
		/// <summary>Menge beim Fakturieren von Waage abfragen ( Boolean )</summary>
		public virtual Object WiegeArtKz
		{
			get { return this["WiegeArtKz"]; }
		}
		/// <summary>History ( Boolean )</summary>
		public virtual Object HistKz
		{
			get { return this["HistKz"]; }
		}
		/// <summary>ber History eindeutige Seriennummern erzeugen ( Boolean )</summary>
		public virtual Object HisSNrKz
		{
			get { return this["HisSNrKz"]; }
		}
		/// <summary>Kalender-Aufgabe erzeugen wenn Wert von "Kunde hat bezahlt" in History sich ndert ( Boolean )</summary>
		public virtual Object AufHisKdBezKz
		{
			get { return this["AufHisKdBezKz"]; }
		}
		/// <summary>Kalender-Aufgabe mit gesetztem Erinnerungskennzeichen erzeugen ( Boolean )</summary>
		public virtual Object AufHisMeldKz
		{
			get { return this["AufHisMeldKz"]; }
		}
		/// <summary>Benutzer fr Kalender-Aufgabe ( String )</summary>
		public virtual String AufHisBzrNr
		{
			get { return Convert.ToString(this["AufHisBzrNr"]); }
		}
		/// <summary>Kurzinfo fr Kalender-Aufgabe ( String )</summary>
		public virtual String AufHisKuInfo
		{
			get { return Convert.ToString(this["AufHisKuInfo"]); }
		}
		/// <summary>Anhang Aktion fr Kalender-Aufgabe ( Integer )</summary>
		public virtual Int32 AufHisAnhAktion
		{
			get { return Convert.ToInt32(this["AufHisAnhAktion"]); }
		}
		/// <summary>Vorgaben fr Lieferdatum benutzen ( Boolean )</summary>
		public virtual Object LiefDatVgbKz
		{
			get { return this["LiefDatVgbKz"]; }
		}
		/// <summary>Vorgabetage fr Lieferdatum ( Integer )</summary>
		public virtual Int32 LiefDatVgbTg
		{
			get { return Convert.ToInt32(this["LiefDatVgbTg"]); }
		}
		/// <summary>Vorgabedatum fr Lieferdatum ( Date )</summary>
		public virtual DateTime LiefDatVgb
		{
			get { return Convert.ToDateTime(this["LiefDatVgb"]); }
		}
		/// <summary>Auswahl fr Lieferdatum ( String )</summary>
		public virtual String LiefDatAuswahl
		{
			get { return Convert.ToString(this["LiefDatAuswahl"]); }
		}
		/// <summary>Vorgaben fr Artikeldatum benutzen ( Boolean )</summary>
		public virtual Object ArtDatVgbKz
		{
			get { return this["ArtDatVgbKz"]; }
		}
		/// <summary>Vorgabetage fr Artikeldatum ( Integer )</summary>
		public virtual Int32 ArtDatVgbTg
		{
			get { return Convert.ToInt32(this["ArtDatVgbTg"]); }
		}
		/// <summary>Vorgabedatum fr Artikeldatum ( Date )</summary>
		public virtual DateTime ArtDatVgb
		{
			get { return Convert.ToDateTime(this["ArtDatVgb"]); }
		}
		/// <summary>Auswahl fr Artikeldatum ( String )</summary>
		public virtual String ArtDatAuswahl
		{
			get { return Convert.ToString(this["ArtDatAuswahl"]); }
		}
		/// <summary>Beschreibung ( Info )</summary>
		public virtual Object Beschr
		{
			get { return this["Beschr"]; }
			set { this["Beschr"] = value; }
		}
		/// <summary>Beschreibung Kennzeichen ( Boolean )</summary>
		public virtual Object BeschrKz
		{
			get { return this["BeschrKz"]; }
		}
		/// <summary>Steuerschlssel ( String )</summary>
		public virtual String StSchl
		{
			get { return Convert.ToString(this["StSchl"]); }
		}
		/// <summary>Steuerschlsselart ( Integer )</summary>
		public virtual Int32 StSchlArt
		{
			get { return Convert.ToInt32(this["StSchlArt"]); }
		}
		/// <summary>Steuerverteilung ( Array )</summary>
		public virtual Object StVert
		{
			get { return this["StVert"]; }
			set { this["StVert"] = value; }
		}
		/// <summary>Steuerverteilung (Netto) ( Double )</summary>
		public virtual Object StVertNt
		{
			get { return this["StVertNt"]; }
		}
		/// <summary>Steuerverteilung (Steuer) ( Double )</summary>
		public virtual Object StVertSt
		{
			get { return this["StVertSt"]; }
		}
		/// <summary>Steuerverteilung (Brutto) ( Double )</summary>
		public virtual Object StVertBt
		{
			get { return this["StVertBt"]; }
		}
		/// <summary>Skontofhig ( Boolean )</summary>
		public virtual Object SktoKz
		{
			get { return this["SktoKz"]; }
		}
		/// <summary>Umsatzfhig ( Boolean )</summary>
		public virtual Object UmsKz
		{
			get { return this["UmsKz"]; }
		}
		/// <summary>Separate Stck- und Gewichtsumsatzbuchung ( Boolean )</summary>
		public virtual Object SepStGewUmsKz
		{
			get { return this["SepStGewUmsKz"]; }
		}
		/// <summary>Keine abweichenden Artikeldaten ( Boolean )</summary>
		public virtual Object KAbwADKz
		{
			get { return this["KAbwADKz"]; }
		}
		/// <summary>Artikelvorbestellungsart ( Integer )</summary>
		public virtual Int32 ArtVba
		{
			get { return Convert.ToInt32(this["ArtVba"]); }
			set { this["ArtVba"] = value; }
		}
		/// <summary>Adressnummer des Herstellers ( String )</summary>
		public virtual String HstAdrNr
		{
			get { return Convert.ToString(this["HstAdrNr"]); }
			set { this["HstAdrNr"] = value; }
		}
		/// <summary>Adresse des Herstellers ( String )</summary>
		public virtual String HstAdrNrInfo
		{
			get { return Convert.ToString(this["HstAdrNrInfo"]); }
		}
		/// <summary>Artikelnummer des Herstellers ( String )</summary>
		public virtual String HstArtNr
		{
			get { return Convert.ToString(this["HstArtNr"]); }
			set { this["HstArtNr"] = value; }
		}
		/// <summary>DataNorm (intern) ( Integer )</summary>
		public virtual Int32 DataNorm
		{
			get { return Convert.ToInt32(this["DataNorm"]); }
			set { this["DataNorm"] = value; }
		}
		/// <summary>Schlssel fr Zuschlagskalkulation ( Byte )</summary>
		public virtual Object ZKalkSchl
		{
			get { return this["ZKalkSchl"]; }
			set { this["ZKalkSchl"] = value; }
		}
		/// <summary>mittlerer Ek ( Double )</summary>
		public virtual Object EkMitt
		{
			get { return this["EkMitt"]; }
			set { this["EkMitt"] = value; }
		}
		/// <summary>Vorgabe Ek fr Vk-Kalkulation ( Double )</summary>
		public virtual Object EkKalkVgb
		{
			get { return this["EkKalkVgb"]; }
			set { this["EkKalkVgb"] = value; }
		}
		/// <summary>Schlssel Ek fr Vk-Kalkulation ( Byte )</summary>
		public virtual Object EkKalkSchl
		{
			get { return this["EkKalkSchl"]; }
			set { this["EkKalkSchl"] = value; }
		}
		/// <summary>Ek (fr Kalkulation) ( Double )</summary>
		public virtual Object EkKalk
		{
			get { return this["EkKalk"]; }
		}
		/// <summary>Vorgabe Ek (fr Roherls) ( Double )</summary>
		public virtual Object EkRohVgb
		{
			get { return this["EkRohVgb"]; }
			set { this["EkRohVgb"] = value; }
		}
		/// <summary>Schlssel Ek fr Roherls ( Byte )</summary>
		public virtual Object EkRohSchl
		{
			get { return this["EkRohSchl"]; }
			set { this["EkRohSchl"] = value; }
		}
		/// <summary>Ek (fr Roherls) ( Double )</summary>
		public virtual Object EkRoh
		{
			get { return this["EkRoh"]; }
		}
		/// <summary>Nicht Roherlsfhig ( Boolean )</summary>
		public virtual Object NichtRohKz
		{
			get { return this["NichtRohKz"]; }
		}
		/// <summary>Vk0->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk0_AVkG
		{
			get { return this["Vk0.AVkG"]; }
			set { this["Vk0.AVkG"] = value; }
		}
		/// <summary>Vk0->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk0_MinVk
		{
			get { return this["Vk0.MinVk"]; }
		}
		/// <summary>Vk0->Preis ( Double )</summary>
		public virtual Object Vk0_Preis
		{
			get { return this["Vk0.Preis"]; }
		}
		/// <summary>Vk0->Preis (Netto) ( Double )</summary>
		public virtual Object Vk0_PreisNt
		{
			get { return this["Vk0.PreisNt"]; }
		}
		/// <summary>Vk0->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk0_PreisBt
		{
			get { return this["Vk0.PreisBt"]; }
		}
		/// <summary>Vk0->Roherls (in %) ( Double )</summary>
		public virtual Object Vk0_RohSz
		{
			get { return this["Vk0.RohSz"]; }
		}
		/// <summary>Vk0->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk0_RohBet
		{
			get { return this["Vk0.RohBet"]; }
		}
		/// <summary>Vk0->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk0_ZuschlBet
		{
			get { return this["Vk0.ZuschlBet"]; }
		}
		/// <summary>Vk0->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk0_PFGrpL2
		{
			get { return this["Vk0.PFGrpL2"]; }
		}
		/// <summary>Vk0->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_PrL2
		{
			get { return this["Vk0.PrL2"]; }
		}
		/// <summary>Vk0->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk0_W1Bet
		{
			get { return this["Vk0.W1Bet"]; }
		}
		/// <summary>Vk0->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk0_W2Bet
		{
			get { return this["Vk0.W2Bet"]; }
		}
		/// <summary>Vk0->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk0_VKFlags
		{
			get { return Convert.ToInt32(this["Vk0.VKFlags"]); }
		}
		/// <summary>Vk0->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk0_IklStKz
		{
			get { return this["Vk0.IklStKz"]; }
		}
		/// <summary>Vk0->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk0_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk0.SVonDat"]); }
		}
		/// <summary>Vk0->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk0_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk0.SBisDat"]); }
		}
		/// <summary>Vk0->Sonderpreis ( Double )</summary>
		public virtual Object Vk0_SPr
		{
			get { return this["Vk0.SPr"]; }
		}
		/// <summary>Vk0->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_SPrL2
		{
			get { return this["Vk0.SPrL2"]; }
		}
		/// <summary>Vk0->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk0_SAbwPrKz
		{
			get { return this["Vk0.SAbwPrKz"]; }
		}
		/// <summary>Vk0->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk0_SRabKz
		{
			get { return this["Vk0.SRabKz"]; }
		}
		/// <summary>Vk0->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk0_SNoZuschlKz
		{
			get { return this["Vk0.SNoZuschlKz"]; }
		}
		/// <summary>Vk0->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk0_RabKz
		{
			get { return this["Vk0.RabKz"]; }
		}
		/// <summary>Vk0->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk0_MaxRabSz
		{
			get { return this["Vk0.MaxRabSz"]; }
		}
		/// <summary>Vk0->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab0_ARabG
		{
			get { return this["Vk0.Rab0.ARabG"]; }
			set { this["Vk0.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab0_Mge
		{
			get { return this["Vk0.Rab0.Mge"]; }
		}
		/// <summary>Vk0->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab0_Sz
		{
			get { return this["Vk0.Rab0.Sz"]; }
		}
		/// <summary>Vk0->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab0_Pr
		{
			get { return this["Vk0.Rab0.Pr"]; }
		}
		/// <summary>Vk0->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab0_PrL2
		{
			get { return this["Vk0.Rab0.PrL2"]; }
		}
		/// <summary>Vk0->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab1_ARabG
		{
			get { return this["Vk0.Rab1.ARabG"]; }
			set { this["Vk0.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab1_Mge
		{
			get { return this["Vk0.Rab1.Mge"]; }
		}
		/// <summary>Vk0->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab1_Sz
		{
			get { return this["Vk0.Rab1.Sz"]; }
		}
		/// <summary>Vk0->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab1_Pr
		{
			get { return this["Vk0.Rab1.Pr"]; }
		}
		/// <summary>Vk0->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab1_PrL2
		{
			get { return this["Vk0.Rab1.PrL2"]; }
		}
		/// <summary>Vk0->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab2_ARabG
		{
			get { return this["Vk0.Rab2.ARabG"]; }
			set { this["Vk0.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab2_Mge
		{
			get { return this["Vk0.Rab2.Mge"]; }
		}
		/// <summary>Vk0->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab2_Sz
		{
			get { return this["Vk0.Rab2.Sz"]; }
		}
		/// <summary>Vk0->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab2_Pr
		{
			get { return this["Vk0.Rab2.Pr"]; }
		}
		/// <summary>Vk0->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab2_PrL2
		{
			get { return this["Vk0.Rab2.PrL2"]; }
		}
		/// <summary>Vk0->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab3_ARabG
		{
			get { return this["Vk0.Rab3.ARabG"]; }
			set { this["Vk0.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab3_Mge
		{
			get { return this["Vk0.Rab3.Mge"]; }
		}
		/// <summary>Vk0->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab3_Sz
		{
			get { return this["Vk0.Rab3.Sz"]; }
		}
		/// <summary>Vk0->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab3_Pr
		{
			get { return this["Vk0.Rab3.Pr"]; }
		}
		/// <summary>Vk0->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab3_PrL2
		{
			get { return this["Vk0.Rab3.PrL2"]; }
		}
		/// <summary>Vk0->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab4_ARabG
		{
			get { return this["Vk0.Rab4.ARabG"]; }
			set { this["Vk0.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab4_Mge
		{
			get { return this["Vk0.Rab4.Mge"]; }
		}
		/// <summary>Vk0->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab4_Sz
		{
			get { return this["Vk0.Rab4.Sz"]; }
		}
		/// <summary>Vk0->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab4_Pr
		{
			get { return this["Vk0.Rab4.Pr"]; }
		}
		/// <summary>Vk0->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab4_PrL2
		{
			get { return this["Vk0.Rab4.PrL2"]; }
		}
		/// <summary>Vk0->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab5_ARabG
		{
			get { return this["Vk0.Rab5.ARabG"]; }
			set { this["Vk0.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab5_Mge
		{
			get { return this["Vk0.Rab5.Mge"]; }
		}
		/// <summary>Vk0->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab5_Sz
		{
			get { return this["Vk0.Rab5.Sz"]; }
		}
		/// <summary>Vk0->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab5_Pr
		{
			get { return this["Vk0.Rab5.Pr"]; }
		}
		/// <summary>Vk0->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab5_PrL2
		{
			get { return this["Vk0.Rab5.PrL2"]; }
		}
		/// <summary>Vk0->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab6_ARabG
		{
			get { return this["Vk0.Rab6.ARabG"]; }
			set { this["Vk0.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab6_Mge
		{
			get { return this["Vk0.Rab6.Mge"]; }
		}
		/// <summary>Vk0->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab6_Sz
		{
			get { return this["Vk0.Rab6.Sz"]; }
		}
		/// <summary>Vk0->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab6_Pr
		{
			get { return this["Vk0.Rab6.Pr"]; }
		}
		/// <summary>Vk0->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab6_PrL2
		{
			get { return this["Vk0.Rab6.PrL2"]; }
		}
		/// <summary>Vk0->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab7_ARabG
		{
			get { return this["Vk0.Rab7.ARabG"]; }
			set { this["Vk0.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab7_Mge
		{
			get { return this["Vk0.Rab7.Mge"]; }
		}
		/// <summary>Vk0->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab7_Sz
		{
			get { return this["Vk0.Rab7.Sz"]; }
		}
		/// <summary>Vk0->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab7_Pr
		{
			get { return this["Vk0.Rab7.Pr"]; }
		}
		/// <summary>Vk0->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab7_PrL2
		{
			get { return this["Vk0.Rab7.PrL2"]; }
		}
		/// <summary>Vk0->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab8_ARabG
		{
			get { return this["Vk0.Rab8.ARabG"]; }
			set { this["Vk0.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab8_Mge
		{
			get { return this["Vk0.Rab8.Mge"]; }
		}
		/// <summary>Vk0->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab8_Sz
		{
			get { return this["Vk0.Rab8.Sz"]; }
		}
		/// <summary>Vk0->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab8_Pr
		{
			get { return this["Vk0.Rab8.Pr"]; }
		}
		/// <summary>Vk0->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab8_PrL2
		{
			get { return this["Vk0.Rab8.PrL2"]; }
		}
		/// <summary>Vk0->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk0_Rab9_ARabG
		{
			get { return this["Vk0.Rab9.ARabG"]; }
			set { this["Vk0.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk0->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk0_Rab9_Mge
		{
			get { return this["Vk0.Rab9.Mge"]; }
		}
		/// <summary>Vk0->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk0_Rab9_Sz
		{
			get { return this["Vk0.Rab9.Sz"]; }
		}
		/// <summary>Vk0->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk0_Rab9_Pr
		{
			get { return this["Vk0.Rab9.Pr"]; }
		}
		/// <summary>Vk0->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk0_Rab9_PrL2
		{
			get { return this["Vk0.Rab9.PrL2"]; }
		}
		/// <summary>Vk0->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk0_Kalk_AKalG
		{
			get { return this["Vk0.Kalk.AKalG"]; }
			set { this["Vk0.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk0->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk0_Kalk_Schema
		{
			get { return this["Vk0.Kalk.Schema"]; }
		}
		/// <summary>Vk0->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk0_Kalk_MEkZus1
		{
			get { return this["Vk0.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk0->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk0_Kalk_MEkZus2
		{
			get { return this["Vk0.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk0->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk0_Kalk_MEkZus3
		{
			get { return this["Vk0.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk0->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_MZus
		{
			get { return this["Vk0.Kalk.MZus"]; }
		}
		/// <summary>Vk0->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk0_Kalk_MKGrp
		{
			get { return this["Vk0.Kalk.MKGrp"]; }
		}
		/// <summary>Vk0->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_MKSz
		{
			get { return this["Vk0.Kalk.MKSz"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk0_Kalk_LZt
		{
			get { return this["Vk0.Kalk.LZt"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk0_Kalk_LZtEh
		{
			get { return this["Vk0.Kalk.LZtEh"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk0_Kalk_LZus1
		{
			get { return this["Vk0.Kalk.LZus1"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk0_Kalk_LKGrp
		{
			get { return this["Vk0.Kalk.LKGrp"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk0_Kalk_LLBet
		{
			get { return this["Vk0.Kalk.LLBet"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk0_Kalk_LLZtEh
		{
			get { return this["Vk0.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk0->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_MAntSz
		{
			get { return this["Vk0.Kalk.MAntSz"]; }
		}
		/// <summary>Vk0->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_LAntSz
		{
			get { return this["Vk0.Kalk.LAntSz"]; }
		}
		/// <summary>Vk0->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_HKZus
		{
			get { return this["Vk0.Kalk.HKZus"]; }
		}
		/// <summary>Vk0->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk0_Kalk_SKZus
		{
			get { return this["Vk0.Kalk.SKZus"]; }
		}
		/// <summary>Vk0->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk0_Kalk_SKKGrp
		{
			get { return this["Vk0.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk0->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk0_Kalk_SKKSz
		{
			get { return this["Vk0.Kalk.SKKSz"]; }
		}
		/// <summary>Vk0->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk0_Kalk_SktoSz
		{
			get { return this["Vk0.Kalk.SktoSz"]; }
		}
		/// <summary>Vk0->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk0_Kalk_ProvSz
		{
			get { return this["Vk0.Kalk.ProvSz"]; }
		}
		/// <summary>Vk0->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk0_Kalk_RabSz
		{
			get { return this["Vk0.Kalk.RabSz"]; }
		}
		/// <summary>Vk0->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk0_Kalk_PFGrp
		{
			get { return this["Vk0.Kalk.PFGrp"]; }
		}
		/// <summary>Vk1->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk1_AVkG
		{
			get { return this["Vk1.AVkG"]; }
			set { this["Vk1.AVkG"] = value; }
		}
		/// <summary>Vk1->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk1_MinVk
		{
			get { return this["Vk1.MinVk"]; }
		}
		/// <summary>Vk1->Preis ( Double )</summary>
		public virtual Object Vk1_Preis
		{
			get { return this["Vk1.Preis"]; }
		}
		/// <summary>Vk1->Preis (Netto) ( Double )</summary>
		public virtual Object Vk1_PreisNt
		{
			get { return this["Vk1.PreisNt"]; }
		}
		/// <summary>Vk1->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk1_PreisBt
		{
			get { return this["Vk1.PreisBt"]; }
		}
		/// <summary>Vk1->Roherls (in %) ( Double )</summary>
		public virtual Object Vk1_RohSz
		{
			get { return this["Vk1.RohSz"]; }
		}
		/// <summary>Vk1->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk1_RohBet
		{
			get { return this["Vk1.RohBet"]; }
		}
		/// <summary>Vk1->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk1_ZuschlBet
		{
			get { return this["Vk1.ZuschlBet"]; }
		}
		/// <summary>Vk1->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk1_PFGrpL2
		{
			get { return this["Vk1.PFGrpL2"]; }
		}
		/// <summary>Vk1->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_PrL2
		{
			get { return this["Vk1.PrL2"]; }
		}
		/// <summary>Vk1->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk1_W1Bet
		{
			get { return this["Vk1.W1Bet"]; }
		}
		/// <summary>Vk1->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk1_W2Bet
		{
			get { return this["Vk1.W2Bet"]; }
		}
		/// <summary>Vk1->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk1_VKFlags
		{
			get { return Convert.ToInt32(this["Vk1.VKFlags"]); }
		}
		/// <summary>Vk1->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk1_IklStKz
		{
			get { return this["Vk1.IklStKz"]; }
		}
		/// <summary>Vk1->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk1_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk1.SVonDat"]); }
		}
		/// <summary>Vk1->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk1_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk1.SBisDat"]); }
		}
		/// <summary>Vk1->Sonderpreis ( Double )</summary>
		public virtual Object Vk1_SPr
		{
			get { return this["Vk1.SPr"]; }
		}
		/// <summary>Vk1->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_SPrL2
		{
			get { return this["Vk1.SPrL2"]; }
		}
		/// <summary>Vk1->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk1_SAbwPrKz
		{
			get { return this["Vk1.SAbwPrKz"]; }
		}
		/// <summary>Vk1->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk1_SRabKz
		{
			get { return this["Vk1.SRabKz"]; }
		}
		/// <summary>Vk1->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk1_SNoZuschlKz
		{
			get { return this["Vk1.SNoZuschlKz"]; }
		}
		/// <summary>Vk1->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk1_RabKz
		{
			get { return this["Vk1.RabKz"]; }
		}
		/// <summary>Vk1->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk1_MaxRabSz
		{
			get { return this["Vk1.MaxRabSz"]; }
		}
		/// <summary>Vk1->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab0_ARabG
		{
			get { return this["Vk1.Rab0.ARabG"]; }
			set { this["Vk1.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab0_Mge
		{
			get { return this["Vk1.Rab0.Mge"]; }
		}
		/// <summary>Vk1->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab0_Sz
		{
			get { return this["Vk1.Rab0.Sz"]; }
		}
		/// <summary>Vk1->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab0_Pr
		{
			get { return this["Vk1.Rab0.Pr"]; }
		}
		/// <summary>Vk1->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab0_PrL2
		{
			get { return this["Vk1.Rab0.PrL2"]; }
		}
		/// <summary>Vk1->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab1_ARabG
		{
			get { return this["Vk1.Rab1.ARabG"]; }
			set { this["Vk1.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab1_Mge
		{
			get { return this["Vk1.Rab1.Mge"]; }
		}
		/// <summary>Vk1->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab1_Sz
		{
			get { return this["Vk1.Rab1.Sz"]; }
		}
		/// <summary>Vk1->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab1_Pr
		{
			get { return this["Vk1.Rab1.Pr"]; }
		}
		/// <summary>Vk1->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab1_PrL2
		{
			get { return this["Vk1.Rab1.PrL2"]; }
		}
		/// <summary>Vk1->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab2_ARabG
		{
			get { return this["Vk1.Rab2.ARabG"]; }
			set { this["Vk1.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab2_Mge
		{
			get { return this["Vk1.Rab2.Mge"]; }
		}
		/// <summary>Vk1->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab2_Sz
		{
			get { return this["Vk1.Rab2.Sz"]; }
		}
		/// <summary>Vk1->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab2_Pr
		{
			get { return this["Vk1.Rab2.Pr"]; }
		}
		/// <summary>Vk1->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab2_PrL2
		{
			get { return this["Vk1.Rab2.PrL2"]; }
		}
		/// <summary>Vk1->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab3_ARabG
		{
			get { return this["Vk1.Rab3.ARabG"]; }
			set { this["Vk1.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab3_Mge
		{
			get { return this["Vk1.Rab3.Mge"]; }
		}
		/// <summary>Vk1->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab3_Sz
		{
			get { return this["Vk1.Rab3.Sz"]; }
		}
		/// <summary>Vk1->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab3_Pr
		{
			get { return this["Vk1.Rab3.Pr"]; }
		}
		/// <summary>Vk1->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab3_PrL2
		{
			get { return this["Vk1.Rab3.PrL2"]; }
		}
		/// <summary>Vk1->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab4_ARabG
		{
			get { return this["Vk1.Rab4.ARabG"]; }
			set { this["Vk1.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab4_Mge
		{
			get { return this["Vk1.Rab4.Mge"]; }
		}
		/// <summary>Vk1->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab4_Sz
		{
			get { return this["Vk1.Rab4.Sz"]; }
		}
		/// <summary>Vk1->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab4_Pr
		{
			get { return this["Vk1.Rab4.Pr"]; }
		}
		/// <summary>Vk1->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab4_PrL2
		{
			get { return this["Vk1.Rab4.PrL2"]; }
		}
		/// <summary>Vk1->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab5_ARabG
		{
			get { return this["Vk1.Rab5.ARabG"]; }
			set { this["Vk1.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab5_Mge
		{
			get { return this["Vk1.Rab5.Mge"]; }
		}
		/// <summary>Vk1->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab5_Sz
		{
			get { return this["Vk1.Rab5.Sz"]; }
		}
		/// <summary>Vk1->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab5_Pr
		{
			get { return this["Vk1.Rab5.Pr"]; }
		}
		/// <summary>Vk1->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab5_PrL2
		{
			get { return this["Vk1.Rab5.PrL2"]; }
		}
		/// <summary>Vk1->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab6_ARabG
		{
			get { return this["Vk1.Rab6.ARabG"]; }
			set { this["Vk1.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab6_Mge
		{
			get { return this["Vk1.Rab6.Mge"]; }
		}
		/// <summary>Vk1->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab6_Sz
		{
			get { return this["Vk1.Rab6.Sz"]; }
		}
		/// <summary>Vk1->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab6_Pr
		{
			get { return this["Vk1.Rab6.Pr"]; }
		}
		/// <summary>Vk1->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab6_PrL2
		{
			get { return this["Vk1.Rab6.PrL2"]; }
		}
		/// <summary>Vk1->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab7_ARabG
		{
			get { return this["Vk1.Rab7.ARabG"]; }
			set { this["Vk1.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab7_Mge
		{
			get { return this["Vk1.Rab7.Mge"]; }
		}
		/// <summary>Vk1->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab7_Sz
		{
			get { return this["Vk1.Rab7.Sz"]; }
		}
		/// <summary>Vk1->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab7_Pr
		{
			get { return this["Vk1.Rab7.Pr"]; }
		}
		/// <summary>Vk1->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab7_PrL2
		{
			get { return this["Vk1.Rab7.PrL2"]; }
		}
		/// <summary>Vk1->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab8_ARabG
		{
			get { return this["Vk1.Rab8.ARabG"]; }
			set { this["Vk1.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab8_Mge
		{
			get { return this["Vk1.Rab8.Mge"]; }
		}
		/// <summary>Vk1->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab8_Sz
		{
			get { return this["Vk1.Rab8.Sz"]; }
		}
		/// <summary>Vk1->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab8_Pr
		{
			get { return this["Vk1.Rab8.Pr"]; }
		}
		/// <summary>Vk1->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab8_PrL2
		{
			get { return this["Vk1.Rab8.PrL2"]; }
		}
		/// <summary>Vk1->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk1_Rab9_ARabG
		{
			get { return this["Vk1.Rab9.ARabG"]; }
			set { this["Vk1.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk1->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk1_Rab9_Mge
		{
			get { return this["Vk1.Rab9.Mge"]; }
		}
		/// <summary>Vk1->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk1_Rab9_Sz
		{
			get { return this["Vk1.Rab9.Sz"]; }
		}
		/// <summary>Vk1->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk1_Rab9_Pr
		{
			get { return this["Vk1.Rab9.Pr"]; }
		}
		/// <summary>Vk1->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk1_Rab9_PrL2
		{
			get { return this["Vk1.Rab9.PrL2"]; }
		}
		/// <summary>Vk1->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk1_Kalk_AKalG
		{
			get { return this["Vk1.Kalk.AKalG"]; }
			set { this["Vk1.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk1->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk1_Kalk_Schema
		{
			get { return this["Vk1.Kalk.Schema"]; }
		}
		/// <summary>Vk1->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk1_Kalk_MEkZus1
		{
			get { return this["Vk1.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk1->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk1_Kalk_MEkZus2
		{
			get { return this["Vk1.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk1->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk1_Kalk_MEkZus3
		{
			get { return this["Vk1.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk1->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_MZus
		{
			get { return this["Vk1.Kalk.MZus"]; }
		}
		/// <summary>Vk1->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk1_Kalk_MKGrp
		{
			get { return this["Vk1.Kalk.MKGrp"]; }
		}
		/// <summary>Vk1->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_MKSz
		{
			get { return this["Vk1.Kalk.MKSz"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk1_Kalk_LZt
		{
			get { return this["Vk1.Kalk.LZt"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk1_Kalk_LZtEh
		{
			get { return this["Vk1.Kalk.LZtEh"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk1_Kalk_LZus1
		{
			get { return this["Vk1.Kalk.LZus1"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk1_Kalk_LKGrp
		{
			get { return this["Vk1.Kalk.LKGrp"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk1_Kalk_LLBet
		{
			get { return this["Vk1.Kalk.LLBet"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk1_Kalk_LLZtEh
		{
			get { return this["Vk1.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk1->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_MAntSz
		{
			get { return this["Vk1.Kalk.MAntSz"]; }
		}
		/// <summary>Vk1->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_LAntSz
		{
			get { return this["Vk1.Kalk.LAntSz"]; }
		}
		/// <summary>Vk1->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_HKZus
		{
			get { return this["Vk1.Kalk.HKZus"]; }
		}
		/// <summary>Vk1->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk1_Kalk_SKZus
		{
			get { return this["Vk1.Kalk.SKZus"]; }
		}
		/// <summary>Vk1->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk1_Kalk_SKKGrp
		{
			get { return this["Vk1.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk1->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk1_Kalk_SKKSz
		{
			get { return this["Vk1.Kalk.SKKSz"]; }
		}
		/// <summary>Vk1->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk1_Kalk_SktoSz
		{
			get { return this["Vk1.Kalk.SktoSz"]; }
		}
		/// <summary>Vk1->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk1_Kalk_ProvSz
		{
			get { return this["Vk1.Kalk.ProvSz"]; }
		}
		/// <summary>Vk1->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk1_Kalk_RabSz
		{
			get { return this["Vk1.Kalk.RabSz"]; }
		}
		/// <summary>Vk1->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk1_Kalk_PFGrp
		{
			get { return this["Vk1.Kalk.PFGrp"]; }
		}
		/// <summary>Vk2->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk2_AVkG
		{
			get { return this["Vk2.AVkG"]; }
			set { this["Vk2.AVkG"] = value; }
		}
		/// <summary>Vk2->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk2_MinVk
		{
			get { return this["Vk2.MinVk"]; }
		}
		/// <summary>Vk2->Preis ( Double )</summary>
		public virtual Object Vk2_Preis
		{
			get { return this["Vk2.Preis"]; }
		}
		/// <summary>Vk2->Preis (Netto) ( Double )</summary>
		public virtual Object Vk2_PreisNt
		{
			get { return this["Vk2.PreisNt"]; }
		}
		/// <summary>Vk2->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk2_PreisBt
		{
			get { return this["Vk2.PreisBt"]; }
		}
		/// <summary>Vk2->Roherls (in %) ( Double )</summary>
		public virtual Object Vk2_RohSz
		{
			get { return this["Vk2.RohSz"]; }
		}
		/// <summary>Vk2->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk2_RohBet
		{
			get { return this["Vk2.RohBet"]; }
		}
		/// <summary>Vk2->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk2_ZuschlBet
		{
			get { return this["Vk2.ZuschlBet"]; }
		}
		/// <summary>Vk2->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk2_PFGrpL2
		{
			get { return this["Vk2.PFGrpL2"]; }
		}
		/// <summary>Vk2->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_PrL2
		{
			get { return this["Vk2.PrL2"]; }
		}
		/// <summary>Vk2->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk2_W1Bet
		{
			get { return this["Vk2.W1Bet"]; }
		}
		/// <summary>Vk2->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk2_W2Bet
		{
			get { return this["Vk2.W2Bet"]; }
		}
		/// <summary>Vk2->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk2_VKFlags
		{
			get { return Convert.ToInt32(this["Vk2.VKFlags"]); }
		}
		/// <summary>Vk2->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk2_IklStKz
		{
			get { return this["Vk2.IklStKz"]; }
		}
		/// <summary>Vk2->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk2_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk2.SVonDat"]); }
		}
		/// <summary>Vk2->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk2_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk2.SBisDat"]); }
		}
		/// <summary>Vk2->Sonderpreis ( Double )</summary>
		public virtual Object Vk2_SPr
		{
			get { return this["Vk2.SPr"]; }
		}
		/// <summary>Vk2->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_SPrL2
		{
			get { return this["Vk2.SPrL2"]; }
		}
		/// <summary>Vk2->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk2_SAbwPrKz
		{
			get { return this["Vk2.SAbwPrKz"]; }
		}
		/// <summary>Vk2->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk2_SRabKz
		{
			get { return this["Vk2.SRabKz"]; }
		}
		/// <summary>Vk2->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk2_SNoZuschlKz
		{
			get { return this["Vk2.SNoZuschlKz"]; }
		}
		/// <summary>Vk2->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk2_RabKz
		{
			get { return this["Vk2.RabKz"]; }
		}
		/// <summary>Vk2->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk2_MaxRabSz
		{
			get { return this["Vk2.MaxRabSz"]; }
		}
		/// <summary>Vk2->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab0_ARabG
		{
			get { return this["Vk2.Rab0.ARabG"]; }
			set { this["Vk2.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab0_Mge
		{
			get { return this["Vk2.Rab0.Mge"]; }
		}
		/// <summary>Vk2->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab0_Sz
		{
			get { return this["Vk2.Rab0.Sz"]; }
		}
		/// <summary>Vk2->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab0_Pr
		{
			get { return this["Vk2.Rab0.Pr"]; }
		}
		/// <summary>Vk2->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab0_PrL2
		{
			get { return this["Vk2.Rab0.PrL2"]; }
		}
		/// <summary>Vk2->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab1_ARabG
		{
			get { return this["Vk2.Rab1.ARabG"]; }
			set { this["Vk2.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab1_Mge
		{
			get { return this["Vk2.Rab1.Mge"]; }
		}
		/// <summary>Vk2->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab1_Sz
		{
			get { return this["Vk2.Rab1.Sz"]; }
		}
		/// <summary>Vk2->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab1_Pr
		{
			get { return this["Vk2.Rab1.Pr"]; }
		}
		/// <summary>Vk2->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab1_PrL2
		{
			get { return this["Vk2.Rab1.PrL2"]; }
		}
		/// <summary>Vk2->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab2_ARabG
		{
			get { return this["Vk2.Rab2.ARabG"]; }
			set { this["Vk2.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab2_Mge
		{
			get { return this["Vk2.Rab2.Mge"]; }
		}
		/// <summary>Vk2->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab2_Sz
		{
			get { return this["Vk2.Rab2.Sz"]; }
		}
		/// <summary>Vk2->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab2_Pr
		{
			get { return this["Vk2.Rab2.Pr"]; }
		}
		/// <summary>Vk2->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab2_PrL2
		{
			get { return this["Vk2.Rab2.PrL2"]; }
		}
		/// <summary>Vk2->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab3_ARabG
		{
			get { return this["Vk2.Rab3.ARabG"]; }
			set { this["Vk2.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab3_Mge
		{
			get { return this["Vk2.Rab3.Mge"]; }
		}
		/// <summary>Vk2->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab3_Sz
		{
			get { return this["Vk2.Rab3.Sz"]; }
		}
		/// <summary>Vk2->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab3_Pr
		{
			get { return this["Vk2.Rab3.Pr"]; }
		}
		/// <summary>Vk2->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab3_PrL2
		{
			get { return this["Vk2.Rab3.PrL2"]; }
		}
		/// <summary>Vk2->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab4_ARabG
		{
			get { return this["Vk2.Rab4.ARabG"]; }
			set { this["Vk2.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab4_Mge
		{
			get { return this["Vk2.Rab4.Mge"]; }
		}
		/// <summary>Vk2->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab4_Sz
		{
			get { return this["Vk2.Rab4.Sz"]; }
		}
		/// <summary>Vk2->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab4_Pr
		{
			get { return this["Vk2.Rab4.Pr"]; }
		}
		/// <summary>Vk2->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab4_PrL2
		{
			get { return this["Vk2.Rab4.PrL2"]; }
		}
		/// <summary>Vk2->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab5_ARabG
		{
			get { return this["Vk2.Rab5.ARabG"]; }
			set { this["Vk2.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab5_Mge
		{
			get { return this["Vk2.Rab5.Mge"]; }
		}
		/// <summary>Vk2->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab5_Sz
		{
			get { return this["Vk2.Rab5.Sz"]; }
		}
		/// <summary>Vk2->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab5_Pr
		{
			get { return this["Vk2.Rab5.Pr"]; }
		}
		/// <summary>Vk2->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab5_PrL2
		{
			get { return this["Vk2.Rab5.PrL2"]; }
		}
		/// <summary>Vk2->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab6_ARabG
		{
			get { return this["Vk2.Rab6.ARabG"]; }
			set { this["Vk2.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab6_Mge
		{
			get { return this["Vk2.Rab6.Mge"]; }
		}
		/// <summary>Vk2->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab6_Sz
		{
			get { return this["Vk2.Rab6.Sz"]; }
		}
		/// <summary>Vk2->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab6_Pr
		{
			get { return this["Vk2.Rab6.Pr"]; }
		}
		/// <summary>Vk2->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab6_PrL2
		{
			get { return this["Vk2.Rab6.PrL2"]; }
		}
		/// <summary>Vk2->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab7_ARabG
		{
			get { return this["Vk2.Rab7.ARabG"]; }
			set { this["Vk2.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab7_Mge
		{
			get { return this["Vk2.Rab7.Mge"]; }
		}
		/// <summary>Vk2->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab7_Sz
		{
			get { return this["Vk2.Rab7.Sz"]; }
		}
		/// <summary>Vk2->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab7_Pr
		{
			get { return this["Vk2.Rab7.Pr"]; }
		}
		/// <summary>Vk2->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab7_PrL2
		{
			get { return this["Vk2.Rab7.PrL2"]; }
		}
		/// <summary>Vk2->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab8_ARabG
		{
			get { return this["Vk2.Rab8.ARabG"]; }
			set { this["Vk2.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab8_Mge
		{
			get { return this["Vk2.Rab8.Mge"]; }
		}
		/// <summary>Vk2->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab8_Sz
		{
			get { return this["Vk2.Rab8.Sz"]; }
		}
		/// <summary>Vk2->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab8_Pr
		{
			get { return this["Vk2.Rab8.Pr"]; }
		}
		/// <summary>Vk2->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab8_PrL2
		{
			get { return this["Vk2.Rab8.PrL2"]; }
		}
		/// <summary>Vk2->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk2_Rab9_ARabG
		{
			get { return this["Vk2.Rab9.ARabG"]; }
			set { this["Vk2.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk2->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk2_Rab9_Mge
		{
			get { return this["Vk2.Rab9.Mge"]; }
		}
		/// <summary>Vk2->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk2_Rab9_Sz
		{
			get { return this["Vk2.Rab9.Sz"]; }
		}
		/// <summary>Vk2->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk2_Rab9_Pr
		{
			get { return this["Vk2.Rab9.Pr"]; }
		}
		/// <summary>Vk2->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk2_Rab9_PrL2
		{
			get { return this["Vk2.Rab9.PrL2"]; }
		}
		/// <summary>Vk2->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk2_Kalk_AKalG
		{
			get { return this["Vk2.Kalk.AKalG"]; }
			set { this["Vk2.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk2->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk2_Kalk_Schema
		{
			get { return this["Vk2.Kalk.Schema"]; }
		}
		/// <summary>Vk2->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk2_Kalk_MEkZus1
		{
			get { return this["Vk2.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk2->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk2_Kalk_MEkZus2
		{
			get { return this["Vk2.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk2->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk2_Kalk_MEkZus3
		{
			get { return this["Vk2.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk2->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_MZus
		{
			get { return this["Vk2.Kalk.MZus"]; }
		}
		/// <summary>Vk2->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk2_Kalk_MKGrp
		{
			get { return this["Vk2.Kalk.MKGrp"]; }
		}
		/// <summary>Vk2->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_MKSz
		{
			get { return this["Vk2.Kalk.MKSz"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk2_Kalk_LZt
		{
			get { return this["Vk2.Kalk.LZt"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk2_Kalk_LZtEh
		{
			get { return this["Vk2.Kalk.LZtEh"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk2_Kalk_LZus1
		{
			get { return this["Vk2.Kalk.LZus1"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk2_Kalk_LKGrp
		{
			get { return this["Vk2.Kalk.LKGrp"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk2_Kalk_LLBet
		{
			get { return this["Vk2.Kalk.LLBet"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk2_Kalk_LLZtEh
		{
			get { return this["Vk2.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk2->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_MAntSz
		{
			get { return this["Vk2.Kalk.MAntSz"]; }
		}
		/// <summary>Vk2->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_LAntSz
		{
			get { return this["Vk2.Kalk.LAntSz"]; }
		}
		/// <summary>Vk2->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_HKZus
		{
			get { return this["Vk2.Kalk.HKZus"]; }
		}
		/// <summary>Vk2->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk2_Kalk_SKZus
		{
			get { return this["Vk2.Kalk.SKZus"]; }
		}
		/// <summary>Vk2->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk2_Kalk_SKKGrp
		{
			get { return this["Vk2.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk2->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk2_Kalk_SKKSz
		{
			get { return this["Vk2.Kalk.SKKSz"]; }
		}
		/// <summary>Vk2->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk2_Kalk_SktoSz
		{
			get { return this["Vk2.Kalk.SktoSz"]; }
		}
		/// <summary>Vk2->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk2_Kalk_ProvSz
		{
			get { return this["Vk2.Kalk.ProvSz"]; }
		}
		/// <summary>Vk2->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk2_Kalk_RabSz
		{
			get { return this["Vk2.Kalk.RabSz"]; }
		}
		/// <summary>Vk2->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk2_Kalk_PFGrp
		{
			get { return this["Vk2.Kalk.PFGrp"]; }
		}
		/// <summary>Vk3->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk3_AVkG
		{
			get { return this["Vk3.AVkG"]; }
			set { this["Vk3.AVkG"] = value; }
		}
		/// <summary>Vk3->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk3_MinVk
		{
			get { return this["Vk3.MinVk"]; }
		}
		/// <summary>Vk3->Preis ( Double )</summary>
		public virtual Object Vk3_Preis
		{
			get { return this["Vk3.Preis"]; }
		}
		/// <summary>Vk3->Preis (Netto) ( Double )</summary>
		public virtual Object Vk3_PreisNt
		{
			get { return this["Vk3.PreisNt"]; }
		}
		/// <summary>Vk3->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk3_PreisBt
		{
			get { return this["Vk3.PreisBt"]; }
		}
		/// <summary>Vk3->Roherls (in %) ( Double )</summary>
		public virtual Object Vk3_RohSz
		{
			get { return this["Vk3.RohSz"]; }
		}
		/// <summary>Vk3->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk3_RohBet
		{
			get { return this["Vk3.RohBet"]; }
		}
		/// <summary>Vk3->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk3_ZuschlBet
		{
			get { return this["Vk3.ZuschlBet"]; }
		}
		/// <summary>Vk3->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk3_PFGrpL2
		{
			get { return this["Vk3.PFGrpL2"]; }
		}
		/// <summary>Vk3->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_PrL2
		{
			get { return this["Vk3.PrL2"]; }
		}
		/// <summary>Vk3->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk3_W1Bet
		{
			get { return this["Vk3.W1Bet"]; }
		}
		/// <summary>Vk3->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk3_W2Bet
		{
			get { return this["Vk3.W2Bet"]; }
		}
		/// <summary>Vk3->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk3_VKFlags
		{
			get { return Convert.ToInt32(this["Vk3.VKFlags"]); }
		}
		/// <summary>Vk3->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk3_IklStKz
		{
			get { return this["Vk3.IklStKz"]; }
		}
		/// <summary>Vk3->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk3_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk3.SVonDat"]); }
		}
		/// <summary>Vk3->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk3_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk3.SBisDat"]); }
		}
		/// <summary>Vk3->Sonderpreis ( Double )</summary>
		public virtual Object Vk3_SPr
		{
			get { return this["Vk3.SPr"]; }
		}
		/// <summary>Vk3->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_SPrL2
		{
			get { return this["Vk3.SPrL2"]; }
		}
		/// <summary>Vk3->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk3_SAbwPrKz
		{
			get { return this["Vk3.SAbwPrKz"]; }
		}
		/// <summary>Vk3->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk3_SRabKz
		{
			get { return this["Vk3.SRabKz"]; }
		}
		/// <summary>Vk3->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk3_SNoZuschlKz
		{
			get { return this["Vk3.SNoZuschlKz"]; }
		}
		/// <summary>Vk3->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk3_RabKz
		{
			get { return this["Vk3.RabKz"]; }
		}
		/// <summary>Vk3->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk3_MaxRabSz
		{
			get { return this["Vk3.MaxRabSz"]; }
		}
		/// <summary>Vk3->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab0_ARabG
		{
			get { return this["Vk3.Rab0.ARabG"]; }
			set { this["Vk3.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab0_Mge
		{
			get { return this["Vk3.Rab0.Mge"]; }
		}
		/// <summary>Vk3->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab0_Sz
		{
			get { return this["Vk3.Rab0.Sz"]; }
		}
		/// <summary>Vk3->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab0_Pr
		{
			get { return this["Vk3.Rab0.Pr"]; }
		}
		/// <summary>Vk3->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab0_PrL2
		{
			get { return this["Vk3.Rab0.PrL2"]; }
		}
		/// <summary>Vk3->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab1_ARabG
		{
			get { return this["Vk3.Rab1.ARabG"]; }
			set { this["Vk3.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab1_Mge
		{
			get { return this["Vk3.Rab1.Mge"]; }
		}
		/// <summary>Vk3->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab1_Sz
		{
			get { return this["Vk3.Rab1.Sz"]; }
		}
		/// <summary>Vk3->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab1_Pr
		{
			get { return this["Vk3.Rab1.Pr"]; }
		}
		/// <summary>Vk3->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab1_PrL2
		{
			get { return this["Vk3.Rab1.PrL2"]; }
		}
		/// <summary>Vk3->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab2_ARabG
		{
			get { return this["Vk3.Rab2.ARabG"]; }
			set { this["Vk3.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab2_Mge
		{
			get { return this["Vk3.Rab2.Mge"]; }
		}
		/// <summary>Vk3->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab2_Sz
		{
			get { return this["Vk3.Rab2.Sz"]; }
		}
		/// <summary>Vk3->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab2_Pr
		{
			get { return this["Vk3.Rab2.Pr"]; }
		}
		/// <summary>Vk3->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab2_PrL2
		{
			get { return this["Vk3.Rab2.PrL2"]; }
		}
		/// <summary>Vk3->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab3_ARabG
		{
			get { return this["Vk3.Rab3.ARabG"]; }
			set { this["Vk3.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab3_Mge
		{
			get { return this["Vk3.Rab3.Mge"]; }
		}
		/// <summary>Vk3->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab3_Sz
		{
			get { return this["Vk3.Rab3.Sz"]; }
		}
		/// <summary>Vk3->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab3_Pr
		{
			get { return this["Vk3.Rab3.Pr"]; }
		}
		/// <summary>Vk3->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab3_PrL2
		{
			get { return this["Vk3.Rab3.PrL2"]; }
		}
		/// <summary>Vk3->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab4_ARabG
		{
			get { return this["Vk3.Rab4.ARabG"]; }
			set { this["Vk3.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab4_Mge
		{
			get { return this["Vk3.Rab4.Mge"]; }
		}
		/// <summary>Vk3->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab4_Sz
		{
			get { return this["Vk3.Rab4.Sz"]; }
		}
		/// <summary>Vk3->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab4_Pr
		{
			get { return this["Vk3.Rab4.Pr"]; }
		}
		/// <summary>Vk3->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab4_PrL2
		{
			get { return this["Vk3.Rab4.PrL2"]; }
		}
		/// <summary>Vk3->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab5_ARabG
		{
			get { return this["Vk3.Rab5.ARabG"]; }
			set { this["Vk3.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab5_Mge
		{
			get { return this["Vk3.Rab5.Mge"]; }
		}
		/// <summary>Vk3->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab5_Sz
		{
			get { return this["Vk3.Rab5.Sz"]; }
		}
		/// <summary>Vk3->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab5_Pr
		{
			get { return this["Vk3.Rab5.Pr"]; }
		}
		/// <summary>Vk3->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab5_PrL2
		{
			get { return this["Vk3.Rab5.PrL2"]; }
		}
		/// <summary>Vk3->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab6_ARabG
		{
			get { return this["Vk3.Rab6.ARabG"]; }
			set { this["Vk3.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab6_Mge
		{
			get { return this["Vk3.Rab6.Mge"]; }
		}
		/// <summary>Vk3->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab6_Sz
		{
			get { return this["Vk3.Rab6.Sz"]; }
		}
		/// <summary>Vk3->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab6_Pr
		{
			get { return this["Vk3.Rab6.Pr"]; }
		}
		/// <summary>Vk3->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab6_PrL2
		{
			get { return this["Vk3.Rab6.PrL2"]; }
		}
		/// <summary>Vk3->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab7_ARabG
		{
			get { return this["Vk3.Rab7.ARabG"]; }
			set { this["Vk3.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab7_Mge
		{
			get { return this["Vk3.Rab7.Mge"]; }
		}
		/// <summary>Vk3->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab7_Sz
		{
			get { return this["Vk3.Rab7.Sz"]; }
		}
		/// <summary>Vk3->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab7_Pr
		{
			get { return this["Vk3.Rab7.Pr"]; }
		}
		/// <summary>Vk3->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab7_PrL2
		{
			get { return this["Vk3.Rab7.PrL2"]; }
		}
		/// <summary>Vk3->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab8_ARabG
		{
			get { return this["Vk3.Rab8.ARabG"]; }
			set { this["Vk3.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab8_Mge
		{
			get { return this["Vk3.Rab8.Mge"]; }
		}
		/// <summary>Vk3->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab8_Sz
		{
			get { return this["Vk3.Rab8.Sz"]; }
		}
		/// <summary>Vk3->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab8_Pr
		{
			get { return this["Vk3.Rab8.Pr"]; }
		}
		/// <summary>Vk3->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab8_PrL2
		{
			get { return this["Vk3.Rab8.PrL2"]; }
		}
		/// <summary>Vk3->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk3_Rab9_ARabG
		{
			get { return this["Vk3.Rab9.ARabG"]; }
			set { this["Vk3.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk3->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk3_Rab9_Mge
		{
			get { return this["Vk3.Rab9.Mge"]; }
		}
		/// <summary>Vk3->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk3_Rab9_Sz
		{
			get { return this["Vk3.Rab9.Sz"]; }
		}
		/// <summary>Vk3->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk3_Rab9_Pr
		{
			get { return this["Vk3.Rab9.Pr"]; }
		}
		/// <summary>Vk3->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk3_Rab9_PrL2
		{
			get { return this["Vk3.Rab9.PrL2"]; }
		}
		/// <summary>Vk3->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk3_Kalk_AKalG
		{
			get { return this["Vk3.Kalk.AKalG"]; }
			set { this["Vk3.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk3->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk3_Kalk_Schema
		{
			get { return this["Vk3.Kalk.Schema"]; }
		}
		/// <summary>Vk3->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk3_Kalk_MEkZus1
		{
			get { return this["Vk3.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk3->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk3_Kalk_MEkZus2
		{
			get { return this["Vk3.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk3->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk3_Kalk_MEkZus3
		{
			get { return this["Vk3.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk3->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_MZus
		{
			get { return this["Vk3.Kalk.MZus"]; }
		}
		/// <summary>Vk3->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk3_Kalk_MKGrp
		{
			get { return this["Vk3.Kalk.MKGrp"]; }
		}
		/// <summary>Vk3->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_MKSz
		{
			get { return this["Vk3.Kalk.MKSz"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk3_Kalk_LZt
		{
			get { return this["Vk3.Kalk.LZt"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk3_Kalk_LZtEh
		{
			get { return this["Vk3.Kalk.LZtEh"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk3_Kalk_LZus1
		{
			get { return this["Vk3.Kalk.LZus1"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk3_Kalk_LKGrp
		{
			get { return this["Vk3.Kalk.LKGrp"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk3_Kalk_LLBet
		{
			get { return this["Vk3.Kalk.LLBet"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk3_Kalk_LLZtEh
		{
			get { return this["Vk3.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk3->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_MAntSz
		{
			get { return this["Vk3.Kalk.MAntSz"]; }
		}
		/// <summary>Vk3->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_LAntSz
		{
			get { return this["Vk3.Kalk.LAntSz"]; }
		}
		/// <summary>Vk3->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_HKZus
		{
			get { return this["Vk3.Kalk.HKZus"]; }
		}
		/// <summary>Vk3->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk3_Kalk_SKZus
		{
			get { return this["Vk3.Kalk.SKZus"]; }
		}
		/// <summary>Vk3->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk3_Kalk_SKKGrp
		{
			get { return this["Vk3.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk3->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk3_Kalk_SKKSz
		{
			get { return this["Vk3.Kalk.SKKSz"]; }
		}
		/// <summary>Vk3->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk3_Kalk_SktoSz
		{
			get { return this["Vk3.Kalk.SktoSz"]; }
		}
		/// <summary>Vk3->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk3_Kalk_ProvSz
		{
			get { return this["Vk3.Kalk.ProvSz"]; }
		}
		/// <summary>Vk3->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk3_Kalk_RabSz
		{
			get { return this["Vk3.Kalk.RabSz"]; }
		}
		/// <summary>Vk3->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk3_Kalk_PFGrp
		{
			get { return this["Vk3.Kalk.PFGrp"]; }
		}
		/// <summary>Vk4->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk4_AVkG
		{
			get { return this["Vk4.AVkG"]; }
			set { this["Vk4.AVkG"] = value; }
		}
		/// <summary>Vk4->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk4_MinVk
		{
			get { return this["Vk4.MinVk"]; }
		}
		/// <summary>Vk4->Preis ( Double )</summary>
		public virtual Object Vk4_Preis
		{
			get { return this["Vk4.Preis"]; }
		}
		/// <summary>Vk4->Preis (Netto) ( Double )</summary>
		public virtual Object Vk4_PreisNt
		{
			get { return this["Vk4.PreisNt"]; }
		}
		/// <summary>Vk4->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk4_PreisBt
		{
			get { return this["Vk4.PreisBt"]; }
		}
		/// <summary>Vk4->Roherls (in %) ( Double )</summary>
		public virtual Object Vk4_RohSz
		{
			get { return this["Vk4.RohSz"]; }
		}
		/// <summary>Vk4->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk4_RohBet
		{
			get { return this["Vk4.RohBet"]; }
		}
		/// <summary>Vk4->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk4_ZuschlBet
		{
			get { return this["Vk4.ZuschlBet"]; }
		}
		/// <summary>Vk4->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk4_PFGrpL2
		{
			get { return this["Vk4.PFGrpL2"]; }
		}
		/// <summary>Vk4->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_PrL2
		{
			get { return this["Vk4.PrL2"]; }
		}
		/// <summary>Vk4->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk4_W1Bet
		{
			get { return this["Vk4.W1Bet"]; }
		}
		/// <summary>Vk4->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk4_W2Bet
		{
			get { return this["Vk4.W2Bet"]; }
		}
		/// <summary>Vk4->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk4_VKFlags
		{
			get { return Convert.ToInt32(this["Vk4.VKFlags"]); }
		}
		/// <summary>Vk4->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk4_IklStKz
		{
			get { return this["Vk4.IklStKz"]; }
		}
		/// <summary>Vk4->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk4_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk4.SVonDat"]); }
		}
		/// <summary>Vk4->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk4_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk4.SBisDat"]); }
		}
		/// <summary>Vk4->Sonderpreis ( Double )</summary>
		public virtual Object Vk4_SPr
		{
			get { return this["Vk4.SPr"]; }
		}
		/// <summary>Vk4->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_SPrL2
		{
			get { return this["Vk4.SPrL2"]; }
		}
		/// <summary>Vk4->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk4_SAbwPrKz
		{
			get { return this["Vk4.SAbwPrKz"]; }
		}
		/// <summary>Vk4->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk4_SRabKz
		{
			get { return this["Vk4.SRabKz"]; }
		}
		/// <summary>Vk4->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk4_SNoZuschlKz
		{
			get { return this["Vk4.SNoZuschlKz"]; }
		}
		/// <summary>Vk4->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk4_RabKz
		{
			get { return this["Vk4.RabKz"]; }
		}
		/// <summary>Vk4->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk4_MaxRabSz
		{
			get { return this["Vk4.MaxRabSz"]; }
		}
		/// <summary>Vk4->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab0_ARabG
		{
			get { return this["Vk4.Rab0.ARabG"]; }
			set { this["Vk4.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab0_Mge
		{
			get { return this["Vk4.Rab0.Mge"]; }
		}
		/// <summary>Vk4->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab0_Sz
		{
			get { return this["Vk4.Rab0.Sz"]; }
		}
		/// <summary>Vk4->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab0_Pr
		{
			get { return this["Vk4.Rab0.Pr"]; }
		}
		/// <summary>Vk4->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab0_PrL2
		{
			get { return this["Vk4.Rab0.PrL2"]; }
		}
		/// <summary>Vk4->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab1_ARabG
		{
			get { return this["Vk4.Rab1.ARabG"]; }
			set { this["Vk4.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab1_Mge
		{
			get { return this["Vk4.Rab1.Mge"]; }
		}
		/// <summary>Vk4->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab1_Sz
		{
			get { return this["Vk4.Rab1.Sz"]; }
		}
		/// <summary>Vk4->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab1_Pr
		{
			get { return this["Vk4.Rab1.Pr"]; }
		}
		/// <summary>Vk4->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab1_PrL2
		{
			get { return this["Vk4.Rab1.PrL2"]; }
		}
		/// <summary>Vk4->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab2_ARabG
		{
			get { return this["Vk4.Rab2.ARabG"]; }
			set { this["Vk4.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab2_Mge
		{
			get { return this["Vk4.Rab2.Mge"]; }
		}
		/// <summary>Vk4->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab2_Sz
		{
			get { return this["Vk4.Rab2.Sz"]; }
		}
		/// <summary>Vk4->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab2_Pr
		{
			get { return this["Vk4.Rab2.Pr"]; }
		}
		/// <summary>Vk4->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab2_PrL2
		{
			get { return this["Vk4.Rab2.PrL2"]; }
		}
		/// <summary>Vk4->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab3_ARabG
		{
			get { return this["Vk4.Rab3.ARabG"]; }
			set { this["Vk4.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab3_Mge
		{
			get { return this["Vk4.Rab3.Mge"]; }
		}
		/// <summary>Vk4->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab3_Sz
		{
			get { return this["Vk4.Rab3.Sz"]; }
		}
		/// <summary>Vk4->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab3_Pr
		{
			get { return this["Vk4.Rab3.Pr"]; }
		}
		/// <summary>Vk4->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab3_PrL2
		{
			get { return this["Vk4.Rab3.PrL2"]; }
		}
		/// <summary>Vk4->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab4_ARabG
		{
			get { return this["Vk4.Rab4.ARabG"]; }
			set { this["Vk4.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab4_Mge
		{
			get { return this["Vk4.Rab4.Mge"]; }
		}
		/// <summary>Vk4->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab4_Sz
		{
			get { return this["Vk4.Rab4.Sz"]; }
		}
		/// <summary>Vk4->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab4_Pr
		{
			get { return this["Vk4.Rab4.Pr"]; }
		}
		/// <summary>Vk4->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab4_PrL2
		{
			get { return this["Vk4.Rab4.PrL2"]; }
		}
		/// <summary>Vk4->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab5_ARabG
		{
			get { return this["Vk4.Rab5.ARabG"]; }
			set { this["Vk4.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab5_Mge
		{
			get { return this["Vk4.Rab5.Mge"]; }
		}
		/// <summary>Vk4->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab5_Sz
		{
			get { return this["Vk4.Rab5.Sz"]; }
		}
		/// <summary>Vk4->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab5_Pr
		{
			get { return this["Vk4.Rab5.Pr"]; }
		}
		/// <summary>Vk4->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab5_PrL2
		{
			get { return this["Vk4.Rab5.PrL2"]; }
		}
		/// <summary>Vk4->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab6_ARabG
		{
			get { return this["Vk4.Rab6.ARabG"]; }
			set { this["Vk4.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab6_Mge
		{
			get { return this["Vk4.Rab6.Mge"]; }
		}
		/// <summary>Vk4->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab6_Sz
		{
			get { return this["Vk4.Rab6.Sz"]; }
		}
		/// <summary>Vk4->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab6_Pr
		{
			get { return this["Vk4.Rab6.Pr"]; }
		}
		/// <summary>Vk4->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab6_PrL2
		{
			get { return this["Vk4.Rab6.PrL2"]; }
		}
		/// <summary>Vk4->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab7_ARabG
		{
			get { return this["Vk4.Rab7.ARabG"]; }
			set { this["Vk4.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab7_Mge
		{
			get { return this["Vk4.Rab7.Mge"]; }
		}
		/// <summary>Vk4->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab7_Sz
		{
			get { return this["Vk4.Rab7.Sz"]; }
		}
		/// <summary>Vk4->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab7_Pr
		{
			get { return this["Vk4.Rab7.Pr"]; }
		}
		/// <summary>Vk4->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab7_PrL2
		{
			get { return this["Vk4.Rab7.PrL2"]; }
		}
		/// <summary>Vk4->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab8_ARabG
		{
			get { return this["Vk4.Rab8.ARabG"]; }
			set { this["Vk4.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab8_Mge
		{
			get { return this["Vk4.Rab8.Mge"]; }
		}
		/// <summary>Vk4->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab8_Sz
		{
			get { return this["Vk4.Rab8.Sz"]; }
		}
		/// <summary>Vk4->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab8_Pr
		{
			get { return this["Vk4.Rab8.Pr"]; }
		}
		/// <summary>Vk4->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab8_PrL2
		{
			get { return this["Vk4.Rab8.PrL2"]; }
		}
		/// <summary>Vk4->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk4_Rab9_ARabG
		{
			get { return this["Vk4.Rab9.ARabG"]; }
			set { this["Vk4.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk4->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk4_Rab9_Mge
		{
			get { return this["Vk4.Rab9.Mge"]; }
		}
		/// <summary>Vk4->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk4_Rab9_Sz
		{
			get { return this["Vk4.Rab9.Sz"]; }
		}
		/// <summary>Vk4->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk4_Rab9_Pr
		{
			get { return this["Vk4.Rab9.Pr"]; }
		}
		/// <summary>Vk4->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk4_Rab9_PrL2
		{
			get { return this["Vk4.Rab9.PrL2"]; }
		}
		/// <summary>Vk4->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk4_Kalk_AKalG
		{
			get { return this["Vk4.Kalk.AKalG"]; }
			set { this["Vk4.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk4->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk4_Kalk_Schema
		{
			get { return this["Vk4.Kalk.Schema"]; }
		}
		/// <summary>Vk4->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk4_Kalk_MEkZus1
		{
			get { return this["Vk4.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk4->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk4_Kalk_MEkZus2
		{
			get { return this["Vk4.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk4->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk4_Kalk_MEkZus3
		{
			get { return this["Vk4.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk4->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_MZus
		{
			get { return this["Vk4.Kalk.MZus"]; }
		}
		/// <summary>Vk4->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk4_Kalk_MKGrp
		{
			get { return this["Vk4.Kalk.MKGrp"]; }
		}
		/// <summary>Vk4->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_MKSz
		{
			get { return this["Vk4.Kalk.MKSz"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk4_Kalk_LZt
		{
			get { return this["Vk4.Kalk.LZt"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk4_Kalk_LZtEh
		{
			get { return this["Vk4.Kalk.LZtEh"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk4_Kalk_LZus1
		{
			get { return this["Vk4.Kalk.LZus1"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk4_Kalk_LKGrp
		{
			get { return this["Vk4.Kalk.LKGrp"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk4_Kalk_LLBet
		{
			get { return this["Vk4.Kalk.LLBet"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk4_Kalk_LLZtEh
		{
			get { return this["Vk4.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk4->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_MAntSz
		{
			get { return this["Vk4.Kalk.MAntSz"]; }
		}
		/// <summary>Vk4->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_LAntSz
		{
			get { return this["Vk4.Kalk.LAntSz"]; }
		}
		/// <summary>Vk4->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_HKZus
		{
			get { return this["Vk4.Kalk.HKZus"]; }
		}
		/// <summary>Vk4->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk4_Kalk_SKZus
		{
			get { return this["Vk4.Kalk.SKZus"]; }
		}
		/// <summary>Vk4->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk4_Kalk_SKKGrp
		{
			get { return this["Vk4.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk4->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk4_Kalk_SKKSz
		{
			get { return this["Vk4.Kalk.SKKSz"]; }
		}
		/// <summary>Vk4->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk4_Kalk_SktoSz
		{
			get { return this["Vk4.Kalk.SktoSz"]; }
		}
		/// <summary>Vk4->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk4_Kalk_ProvSz
		{
			get { return this["Vk4.Kalk.ProvSz"]; }
		}
		/// <summary>Vk4->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk4_Kalk_RabSz
		{
			get { return this["Vk4.Kalk.RabSz"]; }
		}
		/// <summary>Vk4->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk4_Kalk_PFGrp
		{
			get { return this["Vk4.Kalk.PFGrp"]; }
		}
		/// <summary>Vk5->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk5_AVkG
		{
			get { return this["Vk5.AVkG"]; }
			set { this["Vk5.AVkG"] = value; }
		}
		/// <summary>Vk5->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk5_MinVk
		{
			get { return this["Vk5.MinVk"]; }
		}
		/// <summary>Vk5->Preis ( Double )</summary>
		public virtual Object Vk5_Preis
		{
			get { return this["Vk5.Preis"]; }
		}
		/// <summary>Vk5->Preis (Netto) ( Double )</summary>
		public virtual Object Vk5_PreisNt
		{
			get { return this["Vk5.PreisNt"]; }
		}
		/// <summary>Vk5->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk5_PreisBt
		{
			get { return this["Vk5.PreisBt"]; }
		}
		/// <summary>Vk5->Roherls (in %) ( Double )</summary>
		public virtual Object Vk5_RohSz
		{
			get { return this["Vk5.RohSz"]; }
		}
		/// <summary>Vk5->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk5_RohBet
		{
			get { return this["Vk5.RohBet"]; }
		}
		/// <summary>Vk5->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk5_ZuschlBet
		{
			get { return this["Vk5.ZuschlBet"]; }
		}
		/// <summary>Vk5->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk5_PFGrpL2
		{
			get { return this["Vk5.PFGrpL2"]; }
		}
		/// <summary>Vk5->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_PrL2
		{
			get { return this["Vk5.PrL2"]; }
		}
		/// <summary>Vk5->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk5_W1Bet
		{
			get { return this["Vk5.W1Bet"]; }
		}
		/// <summary>Vk5->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk5_W2Bet
		{
			get { return this["Vk5.W2Bet"]; }
		}
		/// <summary>Vk5->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk5_VKFlags
		{
			get { return Convert.ToInt32(this["Vk5.VKFlags"]); }
		}
		/// <summary>Vk5->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk5_IklStKz
		{
			get { return this["Vk5.IklStKz"]; }
		}
		/// <summary>Vk5->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk5_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk5.SVonDat"]); }
		}
		/// <summary>Vk5->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk5_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk5.SBisDat"]); }
		}
		/// <summary>Vk5->Sonderpreis ( Double )</summary>
		public virtual Object Vk5_SPr
		{
			get { return this["Vk5.SPr"]; }
		}
		/// <summary>Vk5->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_SPrL2
		{
			get { return this["Vk5.SPrL2"]; }
		}
		/// <summary>Vk5->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk5_SAbwPrKz
		{
			get { return this["Vk5.SAbwPrKz"]; }
		}
		/// <summary>Vk5->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk5_SRabKz
		{
			get { return this["Vk5.SRabKz"]; }
		}
		/// <summary>Vk5->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk5_SNoZuschlKz
		{
			get { return this["Vk5.SNoZuschlKz"]; }
		}
		/// <summary>Vk5->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk5_RabKz
		{
			get { return this["Vk5.RabKz"]; }
		}
		/// <summary>Vk5->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk5_MaxRabSz
		{
			get { return this["Vk5.MaxRabSz"]; }
		}
		/// <summary>Vk5->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab0_ARabG
		{
			get { return this["Vk5.Rab0.ARabG"]; }
			set { this["Vk5.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab0_Mge
		{
			get { return this["Vk5.Rab0.Mge"]; }
		}
		/// <summary>Vk5->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab0_Sz
		{
			get { return this["Vk5.Rab0.Sz"]; }
		}
		/// <summary>Vk5->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab0_Pr
		{
			get { return this["Vk5.Rab0.Pr"]; }
		}
		/// <summary>Vk5->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab0_PrL2
		{
			get { return this["Vk5.Rab0.PrL2"]; }
		}
		/// <summary>Vk5->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab1_ARabG
		{
			get { return this["Vk5.Rab1.ARabG"]; }
			set { this["Vk5.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab1_Mge
		{
			get { return this["Vk5.Rab1.Mge"]; }
		}
		/// <summary>Vk5->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab1_Sz
		{
			get { return this["Vk5.Rab1.Sz"]; }
		}
		/// <summary>Vk5->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab1_Pr
		{
			get { return this["Vk5.Rab1.Pr"]; }
		}
		/// <summary>Vk5->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab1_PrL2
		{
			get { return this["Vk5.Rab1.PrL2"]; }
		}
		/// <summary>Vk5->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab2_ARabG
		{
			get { return this["Vk5.Rab2.ARabG"]; }
			set { this["Vk5.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab2_Mge
		{
			get { return this["Vk5.Rab2.Mge"]; }
		}
		/// <summary>Vk5->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab2_Sz
		{
			get { return this["Vk5.Rab2.Sz"]; }
		}
		/// <summary>Vk5->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab2_Pr
		{
			get { return this["Vk5.Rab2.Pr"]; }
		}
		/// <summary>Vk5->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab2_PrL2
		{
			get { return this["Vk5.Rab2.PrL2"]; }
		}
		/// <summary>Vk5->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab3_ARabG
		{
			get { return this["Vk5.Rab3.ARabG"]; }
			set { this["Vk5.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab3_Mge
		{
			get { return this["Vk5.Rab3.Mge"]; }
		}
		/// <summary>Vk5->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab3_Sz
		{
			get { return this["Vk5.Rab3.Sz"]; }
		}
		/// <summary>Vk5->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab3_Pr
		{
			get { return this["Vk5.Rab3.Pr"]; }
		}
		/// <summary>Vk5->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab3_PrL2
		{
			get { return this["Vk5.Rab3.PrL2"]; }
		}
		/// <summary>Vk5->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab4_ARabG
		{
			get { return this["Vk5.Rab4.ARabG"]; }
			set { this["Vk5.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab4_Mge
		{
			get { return this["Vk5.Rab4.Mge"]; }
		}
		/// <summary>Vk5->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab4_Sz
		{
			get { return this["Vk5.Rab4.Sz"]; }
		}
		/// <summary>Vk5->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab4_Pr
		{
			get { return this["Vk5.Rab4.Pr"]; }
		}
		/// <summary>Vk5->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab4_PrL2
		{
			get { return this["Vk5.Rab4.PrL2"]; }
		}
		/// <summary>Vk5->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab5_ARabG
		{
			get { return this["Vk5.Rab5.ARabG"]; }
			set { this["Vk5.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab5_Mge
		{
			get { return this["Vk5.Rab5.Mge"]; }
		}
		/// <summary>Vk5->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab5_Sz
		{
			get { return this["Vk5.Rab5.Sz"]; }
		}
		/// <summary>Vk5->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab5_Pr
		{
			get { return this["Vk5.Rab5.Pr"]; }
		}
		/// <summary>Vk5->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab5_PrL2
		{
			get { return this["Vk5.Rab5.PrL2"]; }
		}
		/// <summary>Vk5->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab6_ARabG
		{
			get { return this["Vk5.Rab6.ARabG"]; }
			set { this["Vk5.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab6_Mge
		{
			get { return this["Vk5.Rab6.Mge"]; }
		}
		/// <summary>Vk5->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab6_Sz
		{
			get { return this["Vk5.Rab6.Sz"]; }
		}
		/// <summary>Vk5->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab6_Pr
		{
			get { return this["Vk5.Rab6.Pr"]; }
		}
		/// <summary>Vk5->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab6_PrL2
		{
			get { return this["Vk5.Rab6.PrL2"]; }
		}
		/// <summary>Vk5->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab7_ARabG
		{
			get { return this["Vk5.Rab7.ARabG"]; }
			set { this["Vk5.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab7_Mge
		{
			get { return this["Vk5.Rab7.Mge"]; }
		}
		/// <summary>Vk5->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab7_Sz
		{
			get { return this["Vk5.Rab7.Sz"]; }
		}
		/// <summary>Vk5->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab7_Pr
		{
			get { return this["Vk5.Rab7.Pr"]; }
		}
		/// <summary>Vk5->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab7_PrL2
		{
			get { return this["Vk5.Rab7.PrL2"]; }
		}
		/// <summary>Vk5->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab8_ARabG
		{
			get { return this["Vk5.Rab8.ARabG"]; }
			set { this["Vk5.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab8_Mge
		{
			get { return this["Vk5.Rab8.Mge"]; }
		}
		/// <summary>Vk5->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab8_Sz
		{
			get { return this["Vk5.Rab8.Sz"]; }
		}
		/// <summary>Vk5->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab8_Pr
		{
			get { return this["Vk5.Rab8.Pr"]; }
		}
		/// <summary>Vk5->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab8_PrL2
		{
			get { return this["Vk5.Rab8.PrL2"]; }
		}
		/// <summary>Vk5->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk5_Rab9_ARabG
		{
			get { return this["Vk5.Rab9.ARabG"]; }
			set { this["Vk5.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk5->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk5_Rab9_Mge
		{
			get { return this["Vk5.Rab9.Mge"]; }
		}
		/// <summary>Vk5->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk5_Rab9_Sz
		{
			get { return this["Vk5.Rab9.Sz"]; }
		}
		/// <summary>Vk5->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk5_Rab9_Pr
		{
			get { return this["Vk5.Rab9.Pr"]; }
		}
		/// <summary>Vk5->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk5_Rab9_PrL2
		{
			get { return this["Vk5.Rab9.PrL2"]; }
		}
		/// <summary>Vk5->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk5_Kalk_AKalG
		{
			get { return this["Vk5.Kalk.AKalG"]; }
			set { this["Vk5.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk5->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk5_Kalk_Schema
		{
			get { return this["Vk5.Kalk.Schema"]; }
		}
		/// <summary>Vk5->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk5_Kalk_MEkZus1
		{
			get { return this["Vk5.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk5->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk5_Kalk_MEkZus2
		{
			get { return this["Vk5.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk5->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk5_Kalk_MEkZus3
		{
			get { return this["Vk5.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk5->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_MZus
		{
			get { return this["Vk5.Kalk.MZus"]; }
		}
		/// <summary>Vk5->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk5_Kalk_MKGrp
		{
			get { return this["Vk5.Kalk.MKGrp"]; }
		}
		/// <summary>Vk5->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_MKSz
		{
			get { return this["Vk5.Kalk.MKSz"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk5_Kalk_LZt
		{
			get { return this["Vk5.Kalk.LZt"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk5_Kalk_LZtEh
		{
			get { return this["Vk5.Kalk.LZtEh"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk5_Kalk_LZus1
		{
			get { return this["Vk5.Kalk.LZus1"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk5_Kalk_LKGrp
		{
			get { return this["Vk5.Kalk.LKGrp"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk5_Kalk_LLBet
		{
			get { return this["Vk5.Kalk.LLBet"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk5_Kalk_LLZtEh
		{
			get { return this["Vk5.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk5->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_MAntSz
		{
			get { return this["Vk5.Kalk.MAntSz"]; }
		}
		/// <summary>Vk5->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_LAntSz
		{
			get { return this["Vk5.Kalk.LAntSz"]; }
		}
		/// <summary>Vk5->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_HKZus
		{
			get { return this["Vk5.Kalk.HKZus"]; }
		}
		/// <summary>Vk5->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk5_Kalk_SKZus
		{
			get { return this["Vk5.Kalk.SKZus"]; }
		}
		/// <summary>Vk5->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk5_Kalk_SKKGrp
		{
			get { return this["Vk5.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk5->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk5_Kalk_SKKSz
		{
			get { return this["Vk5.Kalk.SKKSz"]; }
		}
		/// <summary>Vk5->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk5_Kalk_SktoSz
		{
			get { return this["Vk5.Kalk.SktoSz"]; }
		}
		/// <summary>Vk5->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk5_Kalk_ProvSz
		{
			get { return this["Vk5.Kalk.ProvSz"]; }
		}
		/// <summary>Vk5->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk5_Kalk_RabSz
		{
			get { return this["Vk5.Kalk.RabSz"]; }
		}
		/// <summary>Vk5->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk5_Kalk_PFGrp
		{
			get { return this["Vk5.Kalk.PFGrp"]; }
		}
		/// <summary>Vk6->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk6_AVkG
		{
			get { return this["Vk6.AVkG"]; }
			set { this["Vk6.AVkG"] = value; }
		}
		/// <summary>Vk6->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk6_MinVk
		{
			get { return this["Vk6.MinVk"]; }
		}
		/// <summary>Vk6->Preis ( Double )</summary>
		public virtual Object Vk6_Preis
		{
			get { return this["Vk6.Preis"]; }
		}
		/// <summary>Vk6->Preis (Netto) ( Double )</summary>
		public virtual Object Vk6_PreisNt
		{
			get { return this["Vk6.PreisNt"]; }
		}
		/// <summary>Vk6->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk6_PreisBt
		{
			get { return this["Vk6.PreisBt"]; }
		}
		/// <summary>Vk6->Roherls (in %) ( Double )</summary>
		public virtual Object Vk6_RohSz
		{
			get { return this["Vk6.RohSz"]; }
		}
		/// <summary>Vk6->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk6_RohBet
		{
			get { return this["Vk6.RohBet"]; }
		}
		/// <summary>Vk6->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk6_ZuschlBet
		{
			get { return this["Vk6.ZuschlBet"]; }
		}
		/// <summary>Vk6->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk6_PFGrpL2
		{
			get { return this["Vk6.PFGrpL2"]; }
		}
		/// <summary>Vk6->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_PrL2
		{
			get { return this["Vk6.PrL2"]; }
		}
		/// <summary>Vk6->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk6_W1Bet
		{
			get { return this["Vk6.W1Bet"]; }
		}
		/// <summary>Vk6->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk6_W2Bet
		{
			get { return this["Vk6.W2Bet"]; }
		}
		/// <summary>Vk6->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk6_VKFlags
		{
			get { return Convert.ToInt32(this["Vk6.VKFlags"]); }
		}
		/// <summary>Vk6->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk6_IklStKz
		{
			get { return this["Vk6.IklStKz"]; }
		}
		/// <summary>Vk6->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk6_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk6.SVonDat"]); }
		}
		/// <summary>Vk6->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk6_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk6.SBisDat"]); }
		}
		/// <summary>Vk6->Sonderpreis ( Double )</summary>
		public virtual Object Vk6_SPr
		{
			get { return this["Vk6.SPr"]; }
		}
		/// <summary>Vk6->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_SPrL2
		{
			get { return this["Vk6.SPrL2"]; }
		}
		/// <summary>Vk6->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk6_SAbwPrKz
		{
			get { return this["Vk6.SAbwPrKz"]; }
		}
		/// <summary>Vk6->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk6_SRabKz
		{
			get { return this["Vk6.SRabKz"]; }
		}
		/// <summary>Vk6->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk6_SNoZuschlKz
		{
			get { return this["Vk6.SNoZuschlKz"]; }
		}
		/// <summary>Vk6->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk6_RabKz
		{
			get { return this["Vk6.RabKz"]; }
		}
		/// <summary>Vk6->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk6_MaxRabSz
		{
			get { return this["Vk6.MaxRabSz"]; }
		}
		/// <summary>Vk6->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab0_ARabG
		{
			get { return this["Vk6.Rab0.ARabG"]; }
			set { this["Vk6.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab0_Mge
		{
			get { return this["Vk6.Rab0.Mge"]; }
		}
		/// <summary>Vk6->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab0_Sz
		{
			get { return this["Vk6.Rab0.Sz"]; }
		}
		/// <summary>Vk6->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab0_Pr
		{
			get { return this["Vk6.Rab0.Pr"]; }
		}
		/// <summary>Vk6->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab0_PrL2
		{
			get { return this["Vk6.Rab0.PrL2"]; }
		}
		/// <summary>Vk6->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab1_ARabG
		{
			get { return this["Vk6.Rab1.ARabG"]; }
			set { this["Vk6.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab1_Mge
		{
			get { return this["Vk6.Rab1.Mge"]; }
		}
		/// <summary>Vk6->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab1_Sz
		{
			get { return this["Vk6.Rab1.Sz"]; }
		}
		/// <summary>Vk6->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab1_Pr
		{
			get { return this["Vk6.Rab1.Pr"]; }
		}
		/// <summary>Vk6->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab1_PrL2
		{
			get { return this["Vk6.Rab1.PrL2"]; }
		}
		/// <summary>Vk6->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab2_ARabG
		{
			get { return this["Vk6.Rab2.ARabG"]; }
			set { this["Vk6.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab2_Mge
		{
			get { return this["Vk6.Rab2.Mge"]; }
		}
		/// <summary>Vk6->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab2_Sz
		{
			get { return this["Vk6.Rab2.Sz"]; }
		}
		/// <summary>Vk6->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab2_Pr
		{
			get { return this["Vk6.Rab2.Pr"]; }
		}
		/// <summary>Vk6->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab2_PrL2
		{
			get { return this["Vk6.Rab2.PrL2"]; }
		}
		/// <summary>Vk6->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab3_ARabG
		{
			get { return this["Vk6.Rab3.ARabG"]; }
			set { this["Vk6.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab3_Mge
		{
			get { return this["Vk6.Rab3.Mge"]; }
		}
		/// <summary>Vk6->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab3_Sz
		{
			get { return this["Vk6.Rab3.Sz"]; }
		}
		/// <summary>Vk6->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab3_Pr
		{
			get { return this["Vk6.Rab3.Pr"]; }
		}
		/// <summary>Vk6->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab3_PrL2
		{
			get { return this["Vk6.Rab3.PrL2"]; }
		}
		/// <summary>Vk6->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab4_ARabG
		{
			get { return this["Vk6.Rab4.ARabG"]; }
			set { this["Vk6.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab4_Mge
		{
			get { return this["Vk6.Rab4.Mge"]; }
		}
		/// <summary>Vk6->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab4_Sz
		{
			get { return this["Vk6.Rab4.Sz"]; }
		}
		/// <summary>Vk6->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab4_Pr
		{
			get { return this["Vk6.Rab4.Pr"]; }
		}
		/// <summary>Vk6->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab4_PrL2
		{
			get { return this["Vk6.Rab4.PrL2"]; }
		}
		/// <summary>Vk6->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab5_ARabG
		{
			get { return this["Vk6.Rab5.ARabG"]; }
			set { this["Vk6.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab5_Mge
		{
			get { return this["Vk6.Rab5.Mge"]; }
		}
		/// <summary>Vk6->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab5_Sz
		{
			get { return this["Vk6.Rab5.Sz"]; }
		}
		/// <summary>Vk6->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab5_Pr
		{
			get { return this["Vk6.Rab5.Pr"]; }
		}
		/// <summary>Vk6->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab5_PrL2
		{
			get { return this["Vk6.Rab5.PrL2"]; }
		}
		/// <summary>Vk6->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab6_ARabG
		{
			get { return this["Vk6.Rab6.ARabG"]; }
			set { this["Vk6.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab6_Mge
		{
			get { return this["Vk6.Rab6.Mge"]; }
		}
		/// <summary>Vk6->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab6_Sz
		{
			get { return this["Vk6.Rab6.Sz"]; }
		}
		/// <summary>Vk6->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab6_Pr
		{
			get { return this["Vk6.Rab6.Pr"]; }
		}
		/// <summary>Vk6->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab6_PrL2
		{
			get { return this["Vk6.Rab6.PrL2"]; }
		}
		/// <summary>Vk6->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab7_ARabG
		{
			get { return this["Vk6.Rab7.ARabG"]; }
			set { this["Vk6.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab7_Mge
		{
			get { return this["Vk6.Rab7.Mge"]; }
		}
		/// <summary>Vk6->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab7_Sz
		{
			get { return this["Vk6.Rab7.Sz"]; }
		}
		/// <summary>Vk6->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab7_Pr
		{
			get { return this["Vk6.Rab7.Pr"]; }
		}
		/// <summary>Vk6->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab7_PrL2
		{
			get { return this["Vk6.Rab7.PrL2"]; }
		}
		/// <summary>Vk6->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab8_ARabG
		{
			get { return this["Vk6.Rab8.ARabG"]; }
			set { this["Vk6.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab8_Mge
		{
			get { return this["Vk6.Rab8.Mge"]; }
		}
		/// <summary>Vk6->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab8_Sz
		{
			get { return this["Vk6.Rab8.Sz"]; }
		}
		/// <summary>Vk6->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab8_Pr
		{
			get { return this["Vk6.Rab8.Pr"]; }
		}
		/// <summary>Vk6->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab8_PrL2
		{
			get { return this["Vk6.Rab8.PrL2"]; }
		}
		/// <summary>Vk6->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk6_Rab9_ARabG
		{
			get { return this["Vk6.Rab9.ARabG"]; }
			set { this["Vk6.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk6->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk6_Rab9_Mge
		{
			get { return this["Vk6.Rab9.Mge"]; }
		}
		/// <summary>Vk6->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk6_Rab9_Sz
		{
			get { return this["Vk6.Rab9.Sz"]; }
		}
		/// <summary>Vk6->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk6_Rab9_Pr
		{
			get { return this["Vk6.Rab9.Pr"]; }
		}
		/// <summary>Vk6->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk6_Rab9_PrL2
		{
			get { return this["Vk6.Rab9.PrL2"]; }
		}
		/// <summary>Vk6->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk6_Kalk_AKalG
		{
			get { return this["Vk6.Kalk.AKalG"]; }
			set { this["Vk6.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk6->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk6_Kalk_Schema
		{
			get { return this["Vk6.Kalk.Schema"]; }
		}
		/// <summary>Vk6->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk6_Kalk_MEkZus1
		{
			get { return this["Vk6.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk6->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk6_Kalk_MEkZus2
		{
			get { return this["Vk6.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk6->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk6_Kalk_MEkZus3
		{
			get { return this["Vk6.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk6->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_MZus
		{
			get { return this["Vk6.Kalk.MZus"]; }
		}
		/// <summary>Vk6->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk6_Kalk_MKGrp
		{
			get { return this["Vk6.Kalk.MKGrp"]; }
		}
		/// <summary>Vk6->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_MKSz
		{
			get { return this["Vk6.Kalk.MKSz"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk6_Kalk_LZt
		{
			get { return this["Vk6.Kalk.LZt"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk6_Kalk_LZtEh
		{
			get { return this["Vk6.Kalk.LZtEh"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk6_Kalk_LZus1
		{
			get { return this["Vk6.Kalk.LZus1"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk6_Kalk_LKGrp
		{
			get { return this["Vk6.Kalk.LKGrp"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk6_Kalk_LLBet
		{
			get { return this["Vk6.Kalk.LLBet"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk6_Kalk_LLZtEh
		{
			get { return this["Vk6.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk6->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_MAntSz
		{
			get { return this["Vk6.Kalk.MAntSz"]; }
		}
		/// <summary>Vk6->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_LAntSz
		{
			get { return this["Vk6.Kalk.LAntSz"]; }
		}
		/// <summary>Vk6->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_HKZus
		{
			get { return this["Vk6.Kalk.HKZus"]; }
		}
		/// <summary>Vk6->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk6_Kalk_SKZus
		{
			get { return this["Vk6.Kalk.SKZus"]; }
		}
		/// <summary>Vk6->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk6_Kalk_SKKGrp
		{
			get { return this["Vk6.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk6->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk6_Kalk_SKKSz
		{
			get { return this["Vk6.Kalk.SKKSz"]; }
		}
		/// <summary>Vk6->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk6_Kalk_SktoSz
		{
			get { return this["Vk6.Kalk.SktoSz"]; }
		}
		/// <summary>Vk6->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk6_Kalk_ProvSz
		{
			get { return this["Vk6.Kalk.ProvSz"]; }
		}
		/// <summary>Vk6->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk6_Kalk_RabSz
		{
			get { return this["Vk6.Kalk.RabSz"]; }
		}
		/// <summary>Vk6->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk6_Kalk_PFGrp
		{
			get { return this["Vk6.Kalk.PFGrp"]; }
		}
		/// <summary>Vk7->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk7_AVkG
		{
			get { return this["Vk7.AVkG"]; }
			set { this["Vk7.AVkG"] = value; }
		}
		/// <summary>Vk7->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk7_MinVk
		{
			get { return this["Vk7.MinVk"]; }
		}
		/// <summary>Vk7->Preis ( Double )</summary>
		public virtual Object Vk7_Preis
		{
			get { return this["Vk7.Preis"]; }
		}
		/// <summary>Vk7->Preis (Netto) ( Double )</summary>
		public virtual Object Vk7_PreisNt
		{
			get { return this["Vk7.PreisNt"]; }
		}
		/// <summary>Vk7->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk7_PreisBt
		{
			get { return this["Vk7.PreisBt"]; }
		}
		/// <summary>Vk7->Roherls (in %) ( Double )</summary>
		public virtual Object Vk7_RohSz
		{
			get { return this["Vk7.RohSz"]; }
		}
		/// <summary>Vk7->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk7_RohBet
		{
			get { return this["Vk7.RohBet"]; }
		}
		/// <summary>Vk7->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk7_ZuschlBet
		{
			get { return this["Vk7.ZuschlBet"]; }
		}
		/// <summary>Vk7->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk7_PFGrpL2
		{
			get { return this["Vk7.PFGrpL2"]; }
		}
		/// <summary>Vk7->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_PrL2
		{
			get { return this["Vk7.PrL2"]; }
		}
		/// <summary>Vk7->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk7_W1Bet
		{
			get { return this["Vk7.W1Bet"]; }
		}
		/// <summary>Vk7->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk7_W2Bet
		{
			get { return this["Vk7.W2Bet"]; }
		}
		/// <summary>Vk7->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk7_VKFlags
		{
			get { return Convert.ToInt32(this["Vk7.VKFlags"]); }
		}
		/// <summary>Vk7->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk7_IklStKz
		{
			get { return this["Vk7.IklStKz"]; }
		}
		/// <summary>Vk7->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk7_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk7.SVonDat"]); }
		}
		/// <summary>Vk7->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk7_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk7.SBisDat"]); }
		}
		/// <summary>Vk7->Sonderpreis ( Double )</summary>
		public virtual Object Vk7_SPr
		{
			get { return this["Vk7.SPr"]; }
		}
		/// <summary>Vk7->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_SPrL2
		{
			get { return this["Vk7.SPrL2"]; }
		}
		/// <summary>Vk7->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk7_SAbwPrKz
		{
			get { return this["Vk7.SAbwPrKz"]; }
		}
		/// <summary>Vk7->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk7_SRabKz
		{
			get { return this["Vk7.SRabKz"]; }
		}
		/// <summary>Vk7->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk7_SNoZuschlKz
		{
			get { return this["Vk7.SNoZuschlKz"]; }
		}
		/// <summary>Vk7->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk7_RabKz
		{
			get { return this["Vk7.RabKz"]; }
		}
		/// <summary>Vk7->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk7_MaxRabSz
		{
			get { return this["Vk7.MaxRabSz"]; }
		}
		/// <summary>Vk7->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab0_ARabG
		{
			get { return this["Vk7.Rab0.ARabG"]; }
			set { this["Vk7.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab0_Mge
		{
			get { return this["Vk7.Rab0.Mge"]; }
		}
		/// <summary>Vk7->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab0_Sz
		{
			get { return this["Vk7.Rab0.Sz"]; }
		}
		/// <summary>Vk7->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab0_Pr
		{
			get { return this["Vk7.Rab0.Pr"]; }
		}
		/// <summary>Vk7->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab0_PrL2
		{
			get { return this["Vk7.Rab0.PrL2"]; }
		}
		/// <summary>Vk7->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab1_ARabG
		{
			get { return this["Vk7.Rab1.ARabG"]; }
			set { this["Vk7.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab1_Mge
		{
			get { return this["Vk7.Rab1.Mge"]; }
		}
		/// <summary>Vk7->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab1_Sz
		{
			get { return this["Vk7.Rab1.Sz"]; }
		}
		/// <summary>Vk7->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab1_Pr
		{
			get { return this["Vk7.Rab1.Pr"]; }
		}
		/// <summary>Vk7->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab1_PrL2
		{
			get { return this["Vk7.Rab1.PrL2"]; }
		}
		/// <summary>Vk7->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab2_ARabG
		{
			get { return this["Vk7.Rab2.ARabG"]; }
			set { this["Vk7.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab2_Mge
		{
			get { return this["Vk7.Rab2.Mge"]; }
		}
		/// <summary>Vk7->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab2_Sz
		{
			get { return this["Vk7.Rab2.Sz"]; }
		}
		/// <summary>Vk7->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab2_Pr
		{
			get { return this["Vk7.Rab2.Pr"]; }
		}
		/// <summary>Vk7->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab2_PrL2
		{
			get { return this["Vk7.Rab2.PrL2"]; }
		}
		/// <summary>Vk7->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab3_ARabG
		{
			get { return this["Vk7.Rab3.ARabG"]; }
			set { this["Vk7.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab3_Mge
		{
			get { return this["Vk7.Rab3.Mge"]; }
		}
		/// <summary>Vk7->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab3_Sz
		{
			get { return this["Vk7.Rab3.Sz"]; }
		}
		/// <summary>Vk7->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab3_Pr
		{
			get { return this["Vk7.Rab3.Pr"]; }
		}
		/// <summary>Vk7->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab3_PrL2
		{
			get { return this["Vk7.Rab3.PrL2"]; }
		}
		/// <summary>Vk7->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab4_ARabG
		{
			get { return this["Vk7.Rab4.ARabG"]; }
			set { this["Vk7.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab4_Mge
		{
			get { return this["Vk7.Rab4.Mge"]; }
		}
		/// <summary>Vk7->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab4_Sz
		{
			get { return this["Vk7.Rab4.Sz"]; }
		}
		/// <summary>Vk7->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab4_Pr
		{
			get { return this["Vk7.Rab4.Pr"]; }
		}
		/// <summary>Vk7->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab4_PrL2
		{
			get { return this["Vk7.Rab4.PrL2"]; }
		}
		/// <summary>Vk7->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab5_ARabG
		{
			get { return this["Vk7.Rab5.ARabG"]; }
			set { this["Vk7.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab5_Mge
		{
			get { return this["Vk7.Rab5.Mge"]; }
		}
		/// <summary>Vk7->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab5_Sz
		{
			get { return this["Vk7.Rab5.Sz"]; }
		}
		/// <summary>Vk7->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab5_Pr
		{
			get { return this["Vk7.Rab5.Pr"]; }
		}
		/// <summary>Vk7->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab5_PrL2
		{
			get { return this["Vk7.Rab5.PrL2"]; }
		}
		/// <summary>Vk7->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab6_ARabG
		{
			get { return this["Vk7.Rab6.ARabG"]; }
			set { this["Vk7.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab6_Mge
		{
			get { return this["Vk7.Rab6.Mge"]; }
		}
		/// <summary>Vk7->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab6_Sz
		{
			get { return this["Vk7.Rab6.Sz"]; }
		}
		/// <summary>Vk7->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab6_Pr
		{
			get { return this["Vk7.Rab6.Pr"]; }
		}
		/// <summary>Vk7->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab6_PrL2
		{
			get { return this["Vk7.Rab6.PrL2"]; }
		}
		/// <summary>Vk7->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab7_ARabG
		{
			get { return this["Vk7.Rab7.ARabG"]; }
			set { this["Vk7.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab7_Mge
		{
			get { return this["Vk7.Rab7.Mge"]; }
		}
		/// <summary>Vk7->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab7_Sz
		{
			get { return this["Vk7.Rab7.Sz"]; }
		}
		/// <summary>Vk7->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab7_Pr
		{
			get { return this["Vk7.Rab7.Pr"]; }
		}
		/// <summary>Vk7->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab7_PrL2
		{
			get { return this["Vk7.Rab7.PrL2"]; }
		}
		/// <summary>Vk7->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab8_ARabG
		{
			get { return this["Vk7.Rab8.ARabG"]; }
			set { this["Vk7.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab8_Mge
		{
			get { return this["Vk7.Rab8.Mge"]; }
		}
		/// <summary>Vk7->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab8_Sz
		{
			get { return this["Vk7.Rab8.Sz"]; }
		}
		/// <summary>Vk7->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab8_Pr
		{
			get { return this["Vk7.Rab8.Pr"]; }
		}
		/// <summary>Vk7->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab8_PrL2
		{
			get { return this["Vk7.Rab8.PrL2"]; }
		}
		/// <summary>Vk7->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk7_Rab9_ARabG
		{
			get { return this["Vk7.Rab9.ARabG"]; }
			set { this["Vk7.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk7->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk7_Rab9_Mge
		{
			get { return this["Vk7.Rab9.Mge"]; }
		}
		/// <summary>Vk7->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk7_Rab9_Sz
		{
			get { return this["Vk7.Rab9.Sz"]; }
		}
		/// <summary>Vk7->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk7_Rab9_Pr
		{
			get { return this["Vk7.Rab9.Pr"]; }
		}
		/// <summary>Vk7->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk7_Rab9_PrL2
		{
			get { return this["Vk7.Rab9.PrL2"]; }
		}
		/// <summary>Vk7->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk7_Kalk_AKalG
		{
			get { return this["Vk7.Kalk.AKalG"]; }
			set { this["Vk7.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk7->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk7_Kalk_Schema
		{
			get { return this["Vk7.Kalk.Schema"]; }
		}
		/// <summary>Vk7->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk7_Kalk_MEkZus1
		{
			get { return this["Vk7.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk7->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk7_Kalk_MEkZus2
		{
			get { return this["Vk7.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk7->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk7_Kalk_MEkZus3
		{
			get { return this["Vk7.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk7->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_MZus
		{
			get { return this["Vk7.Kalk.MZus"]; }
		}
		/// <summary>Vk7->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk7_Kalk_MKGrp
		{
			get { return this["Vk7.Kalk.MKGrp"]; }
		}
		/// <summary>Vk7->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_MKSz
		{
			get { return this["Vk7.Kalk.MKSz"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk7_Kalk_LZt
		{
			get { return this["Vk7.Kalk.LZt"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk7_Kalk_LZtEh
		{
			get { return this["Vk7.Kalk.LZtEh"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk7_Kalk_LZus1
		{
			get { return this["Vk7.Kalk.LZus1"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk7_Kalk_LKGrp
		{
			get { return this["Vk7.Kalk.LKGrp"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk7_Kalk_LLBet
		{
			get { return this["Vk7.Kalk.LLBet"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk7_Kalk_LLZtEh
		{
			get { return this["Vk7.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk7->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_MAntSz
		{
			get { return this["Vk7.Kalk.MAntSz"]; }
		}
		/// <summary>Vk7->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_LAntSz
		{
			get { return this["Vk7.Kalk.LAntSz"]; }
		}
		/// <summary>Vk7->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_HKZus
		{
			get { return this["Vk7.Kalk.HKZus"]; }
		}
		/// <summary>Vk7->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk7_Kalk_SKZus
		{
			get { return this["Vk7.Kalk.SKZus"]; }
		}
		/// <summary>Vk7->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk7_Kalk_SKKGrp
		{
			get { return this["Vk7.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk7->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk7_Kalk_SKKSz
		{
			get { return this["Vk7.Kalk.SKKSz"]; }
		}
		/// <summary>Vk7->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk7_Kalk_SktoSz
		{
			get { return this["Vk7.Kalk.SktoSz"]; }
		}
		/// <summary>Vk7->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk7_Kalk_ProvSz
		{
			get { return this["Vk7.Kalk.ProvSz"]; }
		}
		/// <summary>Vk7->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk7_Kalk_RabSz
		{
			get { return this["Vk7.Kalk.RabSz"]; }
		}
		/// <summary>Vk7->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk7_Kalk_PFGrp
		{
			get { return this["Vk7.Kalk.PFGrp"]; }
		}
		/// <summary>Vk8->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk8_AVkG
		{
			get { return this["Vk8.AVkG"]; }
			set { this["Vk8.AVkG"] = value; }
		}
		/// <summary>Vk8->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk8_MinVk
		{
			get { return this["Vk8.MinVk"]; }
		}
		/// <summary>Vk8->Preis ( Double )</summary>
		public virtual Object Vk8_Preis
		{
			get { return this["Vk8.Preis"]; }
		}
		/// <summary>Vk8->Preis (Netto) ( Double )</summary>
		public virtual Object Vk8_PreisNt
		{
			get { return this["Vk8.PreisNt"]; }
		}
		/// <summary>Vk8->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk8_PreisBt
		{
			get { return this["Vk8.PreisBt"]; }
		}
		/// <summary>Vk8->Roherls (in %) ( Double )</summary>
		public virtual Object Vk8_RohSz
		{
			get { return this["Vk8.RohSz"]; }
		}
		/// <summary>Vk8->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk8_RohBet
		{
			get { return this["Vk8.RohBet"]; }
		}
		/// <summary>Vk8->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk8_ZuschlBet
		{
			get { return this["Vk8.ZuschlBet"]; }
		}
		/// <summary>Vk8->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk8_PFGrpL2
		{
			get { return this["Vk8.PFGrpL2"]; }
		}
		/// <summary>Vk8->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_PrL2
		{
			get { return this["Vk8.PrL2"]; }
		}
		/// <summary>Vk8->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk8_W1Bet
		{
			get { return this["Vk8.W1Bet"]; }
		}
		/// <summary>Vk8->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk8_W2Bet
		{
			get { return this["Vk8.W2Bet"]; }
		}
		/// <summary>Vk8->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk8_VKFlags
		{
			get { return Convert.ToInt32(this["Vk8.VKFlags"]); }
		}
		/// <summary>Vk8->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk8_IklStKz
		{
			get { return this["Vk8.IklStKz"]; }
		}
		/// <summary>Vk8->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk8_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk8.SVonDat"]); }
		}
		/// <summary>Vk8->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk8_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk8.SBisDat"]); }
		}
		/// <summary>Vk8->Sonderpreis ( Double )</summary>
		public virtual Object Vk8_SPr
		{
			get { return this["Vk8.SPr"]; }
		}
		/// <summary>Vk8->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_SPrL2
		{
			get { return this["Vk8.SPrL2"]; }
		}
		/// <summary>Vk8->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk8_SAbwPrKz
		{
			get { return this["Vk8.SAbwPrKz"]; }
		}
		/// <summary>Vk8->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk8_SRabKz
		{
			get { return this["Vk8.SRabKz"]; }
		}
		/// <summary>Vk8->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk8_SNoZuschlKz
		{
			get { return this["Vk8.SNoZuschlKz"]; }
		}
		/// <summary>Vk8->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk8_RabKz
		{
			get { return this["Vk8.RabKz"]; }
		}
		/// <summary>Vk8->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk8_MaxRabSz
		{
			get { return this["Vk8.MaxRabSz"]; }
		}
		/// <summary>Vk8->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab0_ARabG
		{
			get { return this["Vk8.Rab0.ARabG"]; }
			set { this["Vk8.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab0_Mge
		{
			get { return this["Vk8.Rab0.Mge"]; }
		}
		/// <summary>Vk8->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab0_Sz
		{
			get { return this["Vk8.Rab0.Sz"]; }
		}
		/// <summary>Vk8->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab0_Pr
		{
			get { return this["Vk8.Rab0.Pr"]; }
		}
		/// <summary>Vk8->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab0_PrL2
		{
			get { return this["Vk8.Rab0.PrL2"]; }
		}
		/// <summary>Vk8->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab1_ARabG
		{
			get { return this["Vk8.Rab1.ARabG"]; }
			set { this["Vk8.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab1_Mge
		{
			get { return this["Vk8.Rab1.Mge"]; }
		}
		/// <summary>Vk8->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab1_Sz
		{
			get { return this["Vk8.Rab1.Sz"]; }
		}
		/// <summary>Vk8->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab1_Pr
		{
			get { return this["Vk8.Rab1.Pr"]; }
		}
		/// <summary>Vk8->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab1_PrL2
		{
			get { return this["Vk8.Rab1.PrL2"]; }
		}
		/// <summary>Vk8->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab2_ARabG
		{
			get { return this["Vk8.Rab2.ARabG"]; }
			set { this["Vk8.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab2_Mge
		{
			get { return this["Vk8.Rab2.Mge"]; }
		}
		/// <summary>Vk8->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab2_Sz
		{
			get { return this["Vk8.Rab2.Sz"]; }
		}
		/// <summary>Vk8->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab2_Pr
		{
			get { return this["Vk8.Rab2.Pr"]; }
		}
		/// <summary>Vk8->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab2_PrL2
		{
			get { return this["Vk8.Rab2.PrL2"]; }
		}
		/// <summary>Vk8->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab3_ARabG
		{
			get { return this["Vk8.Rab3.ARabG"]; }
			set { this["Vk8.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab3_Mge
		{
			get { return this["Vk8.Rab3.Mge"]; }
		}
		/// <summary>Vk8->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab3_Sz
		{
			get { return this["Vk8.Rab3.Sz"]; }
		}
		/// <summary>Vk8->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab3_Pr
		{
			get { return this["Vk8.Rab3.Pr"]; }
		}
		/// <summary>Vk8->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab3_PrL2
		{
			get { return this["Vk8.Rab3.PrL2"]; }
		}
		/// <summary>Vk8->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab4_ARabG
		{
			get { return this["Vk8.Rab4.ARabG"]; }
			set { this["Vk8.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab4_Mge
		{
			get { return this["Vk8.Rab4.Mge"]; }
		}
		/// <summary>Vk8->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab4_Sz
		{
			get { return this["Vk8.Rab4.Sz"]; }
		}
		/// <summary>Vk8->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab4_Pr
		{
			get { return this["Vk8.Rab4.Pr"]; }
		}
		/// <summary>Vk8->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab4_PrL2
		{
			get { return this["Vk8.Rab4.PrL2"]; }
		}
		/// <summary>Vk8->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab5_ARabG
		{
			get { return this["Vk8.Rab5.ARabG"]; }
			set { this["Vk8.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab5_Mge
		{
			get { return this["Vk8.Rab5.Mge"]; }
		}
		/// <summary>Vk8->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab5_Sz
		{
			get { return this["Vk8.Rab5.Sz"]; }
		}
		/// <summary>Vk8->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab5_Pr
		{
			get { return this["Vk8.Rab5.Pr"]; }
		}
		/// <summary>Vk8->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab5_PrL2
		{
			get { return this["Vk8.Rab5.PrL2"]; }
		}
		/// <summary>Vk8->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab6_ARabG
		{
			get { return this["Vk8.Rab6.ARabG"]; }
			set { this["Vk8.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab6_Mge
		{
			get { return this["Vk8.Rab6.Mge"]; }
		}
		/// <summary>Vk8->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab6_Sz
		{
			get { return this["Vk8.Rab6.Sz"]; }
		}
		/// <summary>Vk8->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab6_Pr
		{
			get { return this["Vk8.Rab6.Pr"]; }
		}
		/// <summary>Vk8->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab6_PrL2
		{
			get { return this["Vk8.Rab6.PrL2"]; }
		}
		/// <summary>Vk8->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab7_ARabG
		{
			get { return this["Vk8.Rab7.ARabG"]; }
			set { this["Vk8.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab7_Mge
		{
			get { return this["Vk8.Rab7.Mge"]; }
		}
		/// <summary>Vk8->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab7_Sz
		{
			get { return this["Vk8.Rab7.Sz"]; }
		}
		/// <summary>Vk8->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab7_Pr
		{
			get { return this["Vk8.Rab7.Pr"]; }
		}
		/// <summary>Vk8->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab7_PrL2
		{
			get { return this["Vk8.Rab7.PrL2"]; }
		}
		/// <summary>Vk8->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab8_ARabG
		{
			get { return this["Vk8.Rab8.ARabG"]; }
			set { this["Vk8.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab8_Mge
		{
			get { return this["Vk8.Rab8.Mge"]; }
		}
		/// <summary>Vk8->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab8_Sz
		{
			get { return this["Vk8.Rab8.Sz"]; }
		}
		/// <summary>Vk8->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab8_Pr
		{
			get { return this["Vk8.Rab8.Pr"]; }
		}
		/// <summary>Vk8->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab8_PrL2
		{
			get { return this["Vk8.Rab8.PrL2"]; }
		}
		/// <summary>Vk8->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk8_Rab9_ARabG
		{
			get { return this["Vk8.Rab9.ARabG"]; }
			set { this["Vk8.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk8->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk8_Rab9_Mge
		{
			get { return this["Vk8.Rab9.Mge"]; }
		}
		/// <summary>Vk8->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk8_Rab9_Sz
		{
			get { return this["Vk8.Rab9.Sz"]; }
		}
		/// <summary>Vk8->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk8_Rab9_Pr
		{
			get { return this["Vk8.Rab9.Pr"]; }
		}
		/// <summary>Vk8->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk8_Rab9_PrL2
		{
			get { return this["Vk8.Rab9.PrL2"]; }
		}
		/// <summary>Vk8->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk8_Kalk_AKalG
		{
			get { return this["Vk8.Kalk.AKalG"]; }
			set { this["Vk8.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk8->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk8_Kalk_Schema
		{
			get { return this["Vk8.Kalk.Schema"]; }
		}
		/// <summary>Vk8->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk8_Kalk_MEkZus1
		{
			get { return this["Vk8.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk8->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk8_Kalk_MEkZus2
		{
			get { return this["Vk8.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk8->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk8_Kalk_MEkZus3
		{
			get { return this["Vk8.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk8->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_MZus
		{
			get { return this["Vk8.Kalk.MZus"]; }
		}
		/// <summary>Vk8->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk8_Kalk_MKGrp
		{
			get { return this["Vk8.Kalk.MKGrp"]; }
		}
		/// <summary>Vk8->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_MKSz
		{
			get { return this["Vk8.Kalk.MKSz"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk8_Kalk_LZt
		{
			get { return this["Vk8.Kalk.LZt"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk8_Kalk_LZtEh
		{
			get { return this["Vk8.Kalk.LZtEh"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk8_Kalk_LZus1
		{
			get { return this["Vk8.Kalk.LZus1"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk8_Kalk_LKGrp
		{
			get { return this["Vk8.Kalk.LKGrp"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk8_Kalk_LLBet
		{
			get { return this["Vk8.Kalk.LLBet"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk8_Kalk_LLZtEh
		{
			get { return this["Vk8.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk8->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_MAntSz
		{
			get { return this["Vk8.Kalk.MAntSz"]; }
		}
		/// <summary>Vk8->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_LAntSz
		{
			get { return this["Vk8.Kalk.LAntSz"]; }
		}
		/// <summary>Vk8->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_HKZus
		{
			get { return this["Vk8.Kalk.HKZus"]; }
		}
		/// <summary>Vk8->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk8_Kalk_SKZus
		{
			get { return this["Vk8.Kalk.SKZus"]; }
		}
		/// <summary>Vk8->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk8_Kalk_SKKGrp
		{
			get { return this["Vk8.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk8->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk8_Kalk_SKKSz
		{
			get { return this["Vk8.Kalk.SKKSz"]; }
		}
		/// <summary>Vk8->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk8_Kalk_SktoSz
		{
			get { return this["Vk8.Kalk.SktoSz"]; }
		}
		/// <summary>Vk8->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk8_Kalk_ProvSz
		{
			get { return this["Vk8.Kalk.ProvSz"]; }
		}
		/// <summary>Vk8->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk8_Kalk_RabSz
		{
			get { return this["Vk8.Kalk.RabSz"]; }
		}
		/// <summary>Vk8->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk8_Kalk_PFGrp
		{
			get { return this["Vk8.Kalk.PFGrp"]; }
		}
		/// <summary>Vk9->ArtikelVkGruppe ( Array )</summary>
		public virtual Object Vk9_AVkG
		{
			get { return this["Vk9.AVkG"]; }
			set { this["Vk9.AVkG"] = value; }
		}
		/// <summary>Vk9->mindest Verkaufspreis ( Double )</summary>
		public virtual Object Vk9_MinVk
		{
			get { return this["Vk9.MinVk"]; }
		}
		/// <summary>Vk9->Preis ( Double )</summary>
		public virtual Object Vk9_Preis
		{
			get { return this["Vk9.Preis"]; }
		}
		/// <summary>Vk9->Preis (Netto) ( Double )</summary>
		public virtual Object Vk9_PreisNt
		{
			get { return this["Vk9.PreisNt"]; }
		}
		/// <summary>Vk9->Preis (Brutto) ( Double )</summary>
		public virtual Object Vk9_PreisBt
		{
			get { return this["Vk9.PreisBt"]; }
		}
		/// <summary>Vk9->Roherls (in %) ( Double )</summary>
		public virtual Object Vk9_RohSz
		{
			get { return this["Vk9.RohSz"]; }
		}
		/// <summary>Vk9->Roherlsbetrag ( Double )</summary>
		public virtual Object Vk9_RohBet
		{
			get { return this["Vk9.RohBet"]; }
		}
		/// <summary>Vk9->Zuschlagsbetrag ( Double )</summary>
		public virtual Object Vk9_ZuschlBet
		{
			get { return this["Vk9.ZuschlBet"]; }
		}
		/// <summary>Vk9->Preisfindungsgruppe fr Leitwhrung 2 ( Byte )</summary>
		public virtual Object Vk9_PFGrpL2
		{
			get { return this["Vk9.PFGrpL2"]; }
		}
		/// <summary>Vk9->Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_PrL2
		{
			get { return this["Vk9.PrL2"]; }
		}
		/// <summary>Vk9->Betrag in Artikelwhrung 1 ( Double )</summary>
		public virtual Object Vk9_W1Bet
		{
			get { return this["Vk9.W1Bet"]; }
		}
		/// <summary>Vk9->Betrag in Artikelwhrung 2 ( Double )</summary>
		public virtual Object Vk9_W2Bet
		{
			get { return this["Vk9.W2Bet"]; }
		}
		/// <summary>Vk9->Verkaufspreisflags ( Integer )</summary>
		public virtual Int32 Vk9_VKFlags
		{
			get { return Convert.ToInt32(this["Vk9.VKFlags"]); }
		}
		/// <summary>Vk9->Inklusive Steuer ( Boolean )</summary>
		public virtual Object Vk9_IklStKz
		{
			get { return this["Vk9.IklStKz"]; }
		}
		/// <summary>Vk9->Sonderpreis gltig ab Datum ( Date )</summary>
		public virtual DateTime Vk9_SVonDat
		{
			get { return Convert.ToDateTime(this["Vk9.SVonDat"]); }
		}
		/// <summary>Vk9->Sonderpreis gltig bis Datum ( Date )</summary>
		public virtual DateTime Vk9_SBisDat
		{
			get { return Convert.ToDateTime(this["Vk9.SBisDat"]); }
		}
		/// <summary>Vk9->Sonderpreis ( Double )</summary>
		public virtual Object Vk9_SPr
		{
			get { return this["Vk9.SPr"]; }
		}
		/// <summary>Vk9->Sonderpreis in Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_SPrL2
		{
			get { return this["Vk9.SPrL2"]; }
		}
		/// <summary>Vk9->Bei Sonderpreis abw. Preise gltig ( Boolean )</summary>
		public virtual Object Vk9_SAbwPrKz
		{
			get { return this["Vk9.SAbwPrKz"]; }
		}
		/// <summary>Vk9->Sonderpreis ist Rabattfhig ( Boolean )</summary>
		public virtual Object Vk9_SRabKz
		{
			get { return this["Vk9.SRabKz"]; }
		}
		/// <summary>Vk9->Sonderpreis nicht Zuschlagsfhig ( Boolean )</summary>
		public virtual Object Vk9_SNoZuschlKz
		{
			get { return this["Vk9.SNoZuschlKz"]; }
		}
		/// <summary>Vk9->Rabattfhig ( Boolean )</summary>
		public virtual Object Vk9_RabKz
		{
			get { return this["Vk9.RabKz"]; }
		}
		/// <summary>Vk9->Maximaler Rabatt (in %) ( Double )</summary>
		public virtual Object Vk9_MaxRabSz
		{
			get { return this["Vk9.MaxRabSz"]; }
		}
		/// <summary>Vk9->Rab0->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab0_ARabG
		{
			get { return this["Vk9.Rab0.ARabG"]; }
			set { this["Vk9.Rab0.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab0->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab0_Mge
		{
			get { return this["Vk9.Rab0.Mge"]; }
		}
		/// <summary>Vk9->Rab0->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab0_Sz
		{
			get { return this["Vk9.Rab0.Sz"]; }
		}
		/// <summary>Vk9->Rab0->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab0_Pr
		{
			get { return this["Vk9.Rab0.Pr"]; }
		}
		/// <summary>Vk9->Rab0->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab0_PrL2
		{
			get { return this["Vk9.Rab0.PrL2"]; }
		}
		/// <summary>Vk9->Rab1->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab1_ARabG
		{
			get { return this["Vk9.Rab1.ARabG"]; }
			set { this["Vk9.Rab1.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab1->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab1_Mge
		{
			get { return this["Vk9.Rab1.Mge"]; }
		}
		/// <summary>Vk9->Rab1->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab1_Sz
		{
			get { return this["Vk9.Rab1.Sz"]; }
		}
		/// <summary>Vk9->Rab1->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab1_Pr
		{
			get { return this["Vk9.Rab1.Pr"]; }
		}
		/// <summary>Vk9->Rab1->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab1_PrL2
		{
			get { return this["Vk9.Rab1.PrL2"]; }
		}
		/// <summary>Vk9->Rab2->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab2_ARabG
		{
			get { return this["Vk9.Rab2.ARabG"]; }
			set { this["Vk9.Rab2.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab2->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab2_Mge
		{
			get { return this["Vk9.Rab2.Mge"]; }
		}
		/// <summary>Vk9->Rab2->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab2_Sz
		{
			get { return this["Vk9.Rab2.Sz"]; }
		}
		/// <summary>Vk9->Rab2->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab2_Pr
		{
			get { return this["Vk9.Rab2.Pr"]; }
		}
		/// <summary>Vk9->Rab2->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab2_PrL2
		{
			get { return this["Vk9.Rab2.PrL2"]; }
		}
		/// <summary>Vk9->Rab3->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab3_ARabG
		{
			get { return this["Vk9.Rab3.ARabG"]; }
			set { this["Vk9.Rab3.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab3->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab3_Mge
		{
			get { return this["Vk9.Rab3.Mge"]; }
		}
		/// <summary>Vk9->Rab3->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab3_Sz
		{
			get { return this["Vk9.Rab3.Sz"]; }
		}
		/// <summary>Vk9->Rab3->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab3_Pr
		{
			get { return this["Vk9.Rab3.Pr"]; }
		}
		/// <summary>Vk9->Rab3->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab3_PrL2
		{
			get { return this["Vk9.Rab3.PrL2"]; }
		}
		/// <summary>Vk9->Rab4->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab4_ARabG
		{
			get { return this["Vk9.Rab4.ARabG"]; }
			set { this["Vk9.Rab4.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab4->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab4_Mge
		{
			get { return this["Vk9.Rab4.Mge"]; }
		}
		/// <summary>Vk9->Rab4->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab4_Sz
		{
			get { return this["Vk9.Rab4.Sz"]; }
		}
		/// <summary>Vk9->Rab4->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab4_Pr
		{
			get { return this["Vk9.Rab4.Pr"]; }
		}
		/// <summary>Vk9->Rab4->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab4_PrL2
		{
			get { return this["Vk9.Rab4.PrL2"]; }
		}
		/// <summary>Vk9->Rab5->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab5_ARabG
		{
			get { return this["Vk9.Rab5.ARabG"]; }
			set { this["Vk9.Rab5.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab5->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab5_Mge
		{
			get { return this["Vk9.Rab5.Mge"]; }
		}
		/// <summary>Vk9->Rab5->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab5_Sz
		{
			get { return this["Vk9.Rab5.Sz"]; }
		}
		/// <summary>Vk9->Rab5->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab5_Pr
		{
			get { return this["Vk9.Rab5.Pr"]; }
		}
		/// <summary>Vk9->Rab5->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab5_PrL2
		{
			get { return this["Vk9.Rab5.PrL2"]; }
		}
		/// <summary>Vk9->Rab6->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab6_ARabG
		{
			get { return this["Vk9.Rab6.ARabG"]; }
			set { this["Vk9.Rab6.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab6->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab6_Mge
		{
			get { return this["Vk9.Rab6.Mge"]; }
		}
		/// <summary>Vk9->Rab6->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab6_Sz
		{
			get { return this["Vk9.Rab6.Sz"]; }
		}
		/// <summary>Vk9->Rab6->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab6_Pr
		{
			get { return this["Vk9.Rab6.Pr"]; }
		}
		/// <summary>Vk9->Rab6->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab6_PrL2
		{
			get { return this["Vk9.Rab6.PrL2"]; }
		}
		/// <summary>Vk9->Rab7->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab7_ARabG
		{
			get { return this["Vk9.Rab7.ARabG"]; }
			set { this["Vk9.Rab7.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab7->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab7_Mge
		{
			get { return this["Vk9.Rab7.Mge"]; }
		}
		/// <summary>Vk9->Rab7->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab7_Sz
		{
			get { return this["Vk9.Rab7.Sz"]; }
		}
		/// <summary>Vk9->Rab7->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab7_Pr
		{
			get { return this["Vk9.Rab7.Pr"]; }
		}
		/// <summary>Vk9->Rab7->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab7_PrL2
		{
			get { return this["Vk9.Rab7.PrL2"]; }
		}
		/// <summary>Vk9->Rab8->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab8_ARabG
		{
			get { return this["Vk9.Rab8.ARabG"]; }
			set { this["Vk9.Rab8.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab8->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab8_Mge
		{
			get { return this["Vk9.Rab8.Mge"]; }
		}
		/// <summary>Vk9->Rab8->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab8_Sz
		{
			get { return this["Vk9.Rab8.Sz"]; }
		}
		/// <summary>Vk9->Rab8->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab8_Pr
		{
			get { return this["Vk9.Rab8.Pr"]; }
		}
		/// <summary>Vk9->Rab8->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab8_PrL2
		{
			get { return this["Vk9.Rab8.PrL2"]; }
		}
		/// <summary>Vk9->Rab9->ArtikelRabattGruppe ( Array )</summary>
		public virtual Object Vk9_Rab9_ARabG
		{
			get { return this["Vk9.Rab9.ARabG"]; }
			set { this["Vk9.Rab9.ARabG"] = value; }
		}
		/// <summary>Vk9->Rab9->Rabattmenge ( Double )</summary>
		public virtual Object Vk9_Rab9_Mge
		{
			get { return this["Vk9.Rab9.Mge"]; }
		}
		/// <summary>Vk9->Rab9->Rabattsatz ( Single )</summary>
		public virtual Object Vk9_Rab9_Sz
		{
			get { return this["Vk9.Rab9.Sz"]; }
		}
		/// <summary>Vk9->Rab9->Rabattpreis ( Double )</summary>
		public virtual Object Vk9_Rab9_Pr
		{
			get { return this["Vk9.Rab9.Pr"]; }
		}
		/// <summary>Vk9->Rab9->Rabattpreis Leitwhrung 2 ( Double )</summary>
		public virtual Object Vk9_Rab9_PrL2
		{
			get { return this["Vk9.Rab9.PrL2"]; }
		}
		/// <summary>Vk9->Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object Vk9_Kalk_AKalG
		{
			get { return this["Vk9.Kalk.AKalG"]; }
			set { this["Vk9.Kalk.AKalG"] = value; }
		}
		/// <summary>Vk9->Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object Vk9_Kalk_Schema
		{
			get { return this["Vk9.Kalk.Schema"]; }
		}
		/// <summary>Vk9->Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk9_Kalk_MEkZus1
		{
			get { return this["Vk9.Kalk.MEkZus1"]; }
		}
		/// <summary>Vk9->Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object Vk9_Kalk_MEkZus2
		{
			get { return this["Vk9.Kalk.MEkZus2"]; }
		}
		/// <summary>Vk9->Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object Vk9_Kalk_MEkZus3
		{
			get { return this["Vk9.Kalk.MEkZus3"]; }
		}
		/// <summary>Vk9->Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_MZus
		{
			get { return this["Vk9.Kalk.MZus"]; }
		}
		/// <summary>Vk9->Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk9_Kalk_MKGrp
		{
			get { return this["Vk9.Kalk.MKGrp"]; }
		}
		/// <summary>Vk9->Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_MKSz
		{
			get { return this["Vk9.Kalk.MKSz"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object Vk9_Kalk_LZt
		{
			get { return this["Vk9.Kalk.LZt"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object Vk9_Kalk_LZtEh
		{
			get { return this["Vk9.Kalk.LZtEh"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object Vk9_Kalk_LZus1
		{
			get { return this["Vk9.Kalk.LZus1"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk9_Kalk_LKGrp
		{
			get { return this["Vk9.Kalk.LKGrp"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object Vk9_Kalk_LLBet
		{
			get { return this["Vk9.Kalk.LLBet"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object Vk9_Kalk_LLZtEh
		{
			get { return this["Vk9.Kalk.LLZtEh"]; }
		}
		/// <summary>Vk9->Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_MAntSz
		{
			get { return this["Vk9.Kalk.MAntSz"]; }
		}
		/// <summary>Vk9->Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_LAntSz
		{
			get { return this["Vk9.Kalk.LAntSz"]; }
		}
		/// <summary>Vk9->Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_HKZus
		{
			get { return this["Vk9.Kalk.HKZus"]; }
		}
		/// <summary>Vk9->Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object Vk9_Kalk_SKZus
		{
			get { return this["Vk9.Kalk.SKZus"]; }
		}
		/// <summary>Vk9->Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object Vk9_Kalk_SKKGrp
		{
			get { return this["Vk9.Kalk.SKKGrp"]; }
		}
		/// <summary>Vk9->Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object Vk9_Kalk_SKKSz
		{
			get { return this["Vk9.Kalk.SKKSz"]; }
		}
		/// <summary>Vk9->Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object Vk9_Kalk_SktoSz
		{
			get { return this["Vk9.Kalk.SktoSz"]; }
		}
		/// <summary>Vk9->Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object Vk9_Kalk_ProvSz
		{
			get { return this["Vk9.Kalk.ProvSz"]; }
		}
		/// <summary>Vk9->Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object Vk9_Kalk_RabSz
		{
			get { return this["Vk9.Kalk.RabSz"]; }
		}
		/// <summary>Vk9->Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object Vk9_Kalk_PFGrp
		{
			get { return this["Vk9.Kalk.PFGrp"]; }
		}
		/// <summary>ArtikelVk ( Table )</summary>
		public virtual Object ArtVk
		{
			get { return this["ArtVk"]; }
		}
		/// <summary>Preise gelten fr Menge ( Double )</summary>
		public virtual Object PreisMge
		{
			get { return this["PreisMge"]; }
			set { this["PreisMge"] = value; }
		}
		/// <summary>Nummer des Standard-Vk ( Byte )</summary>
		public virtual Object StdVKNr
		{
			get { return this["StdVKNr"]; }
			set { this["StdVKNr"] = value; }
		}
		/// <summary>Std. Preis ( Double )</summary>
		public virtual Object StdPreis
		{
			get { return this["StdPreis"]; }
		}
		/// <summary>Std. Zuschlagsbetrag ( Double )</summary>
		public virtual Object StdZuschlBet
		{
			get { return this["StdZuschlBet"]; }
		}
		/// <summary>Std. Preis (Netto) ( Double )</summary>
		public virtual Object StdPreisNt
		{
			get { return this["StdPreisNt"]; }
		}
		/// <summary>Std. Preis (Brutto) ( Double )</summary>
		public virtual Object StdPreisBt
		{
			get { return this["StdPreisBt"]; }
		}
		/// <summary>Std. Preis in Leitwhrung 2 ( Double )</summary>
		public virtual Object StdPrL2
		{
			get { return this["StdPrL2"]; }
		}
		/// <summary>Letzte Verkaufspreisnderung ( Date )</summary>
		public virtual DateTime VkDat
		{
			get { return Convert.ToDateTime(this["VkDat"]); }
			set { this["VkDat"] = value; }
		}
		/// <summary>Preiszuordnungsgruppe ( Integer )</summary>
		public virtual Int32 PrZuGrp
		{
			get { return Convert.ToInt32(this["PrZuGrp"]); }
			set { this["PrZuGrp"] = value; }
		}
		/// <summary>Preiszuordnung Material Satz (in %) ( Double )</summary>
		public virtual Object PrZuMatSz
		{
			get { return this["PrZuMatSz"]; }
			set { this["PrZuMatSz"] = value; }
		}
		/// <summary>Preiszuordnung Lohn Satz (in %) ( Double )</summary>
		public virtual Object PrZuLohnSz
		{
			get { return this["PrZuLohnSz"]; }
			set { this["PrZuLohnSz"] = value; }
		}
		/// <summary>Preiszuordnung Fremdleistung Satz (in %) ( Double )</summary>
		public virtual Object PrZuFremdSz
		{
			get { return this["PrZuFremdSz"]; }
			set { this["PrZuFremdSz"] = value; }
		}
		/// <summary>Preiszuordnung Sonstige Satz (in %) ( Double )</summary>
		public virtual Object PrZuSonstSz
		{
			get { return this["PrZuSonstSz"]; }
			set { this["PrZuSonstSz"] = value; }
		}
		/// <summary>Adresspezifischer Vk-Preis (original lt. Liste) ( Double )</summary>
		public virtual Object AdrSpezVkOrg
		{
			get { return this["AdrSpezVkOrg"]; }
		}
		/// <summary>Adresspezifischer Vk-Preis ( Double )</summary>
		public virtual Object AdrSpezVk
		{
			get { return this["AdrSpezVk"]; }
		}
		/// <summary>Adresspezifischer Vk-Preis Info ( String )</summary>
		public virtual String AdrSpezVkInfo
		{
			get { return Convert.ToString(this["AdrSpezVkInfo"]); }
		}
		/// <summary>Adresspezifischer Zuschlagsbetrag ( Double )</summary>
		public virtual Object AdrSpezZuschlBet
		{
			get { return this["AdrSpezZuschlBet"]; }
		}
		/// <summary>Adresspezifischer min. Vk-Preis ( Double )</summary>
		public virtual Object AdrSpezMinVk
		{
			get { return this["AdrSpezMinVk"]; }
		}
		/// <summary>Adresspezifischer Rabattsatz (in %) ( Double )</summary>
		public virtual Object AdrSpezRabSz
		{
			get { return this["AdrSpezRabSz"]; }
		}
		/// <summary>Adresspezifischer Roherls Ek ( Double )</summary>
		public virtual Object AdrSpezRohEk
		{
			get { return this["AdrSpezRohEk"]; }
		}
		/// <summary>Adresspezifischer Roherlsbetrag ( Double )</summary>
		public virtual Object AdrSpezRohBet
		{
			get { return this["AdrSpezRohBet"]; }
		}
		/// <summary>Adresspezifischer Roherlssatz (in %) ( Double )</summary>
		public virtual Object AdrSpezRohSz
		{
			get { return this["AdrSpezRohSz"]; }
		}
		/// <summary>Lagermenge ( Double )</summary>
		public virtual Object LagMge
		{
			get { return this["LagMge"]; }
		}
		/// <summary>Reservierte Menge ( Double )</summary>
		public virtual Object ResMge
		{
			get { return this["ResMge"]; }
		}
		/// <summary>Menge in Kundenbestellungen ( Double )</summary>
		public virtual Object KBstMge
		{
			get { return this["KBstMge"]; }
		}
		/// <summary>Menge in Kundenbestellungen zum akt. Lieferdatum ( Double )</summary>
		public virtual Object KBstLDMge
		{
			get { return this["KBstLDMge"]; }
		}
		/// <summary>Menge in Kundenbestellungen die reserviert ist ( Double )</summary>
		public virtual Object KBstResMge
		{
			get { return this["KBstResMge"]; }
		}
		/// <summary>Verfgbare Menge ( Double )</summary>
		public virtual Object VerfMge
		{
			get { return this["VerfMge"]; }
		}
		/// <summary>Menge in nicht gebuchten Lieferantenbestellungen ( Double )</summary>
		public virtual Object LBstMge
		{
			get { return this["LBstMge"]; }
		}
		/// <summary>Menge im Warenkorb ( Double )</summary>
		public virtual Object WKbMge
		{
			get { return this["WKbMge"]; }
		}
		/// <summary>Menge im Lieferantenbestelleingang ( Double )</summary>
		public virtual Object BstEgMge
		{
			get { return this["BstEgMge"]; }
		}
		/// <summary>Bestandsinfo Image ( Integer )</summary>
		public virtual Int32 BstInfoImg
		{
			get { return Convert.ToInt32(this["BstInfoImg"]); }
		}
		/// <summary>Vertragsanfang ( Byte )</summary>
		public virtual Object SVtAnfang
		{
			get { return this["SVtAnfang"]; }
			set { this["SVtAnfang"] = value; }
		}
		/// <summary>Vertragsanfang beim Fakturieren abfragen ( Boolean )</summary>
		public virtual Object SVtAnfangKz
		{
			get { return this["SVtAnfangKz"]; }
		}
		/// <summary>Vertragslaufzeit ( Byte )</summary>
		public virtual Object SVtLaufZt
		{
			get { return this["SVtLaufZt"]; }
			set { this["SVtLaufZt"] = value; }
		}
		/// <summary>Vorgabe fr Vertragslaufzeit ( Byte )</summary>
		public virtual Object SVtLaufZtVgb
		{
			get { return this["SVtLaufZtVgb"]; }
			set { this["SVtLaufZtVgb"] = value; }
		}
		/// <summary>Vertragsabrechnung ( Byte )</summary>
		public virtual Object SVtAbrech
		{
			get { return this["SVtAbrech"]; }
			set { this["SVtAbrech"] = value; }
		}
		/// <summary>Vertragsabrechnung beim Fakturieren abfragen ( Boolean )</summary>
		public virtual Object SVtAbrechAbfKz
		{
			get { return this["SVtAbrechAbfKz"]; }
		}
		/// <summary>Abrechnungszyklus ( Byte )</summary>
		public virtual Object SVtAbrZyk
		{
			get { return this["SVtAbrZyk"]; }
			set { this["SVtAbrZyk"] = value; }
		}
		/// <summary>Vorgabe fr Abrechnungszyklus ( Byte )</summary>
		public virtual Object SVtAbrZykVgb
		{
			get { return this["SVtAbrZykVgb"]; }
			set { this["SVtAbrZykVgb"] = value; }
		}
		/// <summary>Artikel Vk-Preise gelten fr angegebenen Abrechnungszyklus ( Boolean )</summary>
		public virtual Object SVtVkPrAbrZykKz
		{
			get { return this["SVtVkPrAbrZykKz"]; }
		}
		/// <summary>Zhlerstandsabrechnungs-Artikelnummer ( String )</summary>
		public virtual String SVtZAbrArtNr
		{
			get { return Convert.ToString(this["SVtZAbrArtNr"]); }
			set { this["SVtZAbrArtNr"] = value; }
		}
		/// <summary>Vorgangsart fr Vertragsabrechnung ( Integer )</summary>
		public virtual Int32 SVtAbrVogArt
		{
			get { return Convert.ToInt32(this["SVtAbrVogArt"]); }
			set { this["SVtAbrVogArt"] = value; }
		}
		/// <summary>Servicevertrag automatisch verlngern ( Boolean )</summary>
		public virtual Object SVtAutoVKz
		{
			get { return this["SVtAutoVKz"]; }
		}
		/// <summary>Servicevertrag wird am Ende des Abrechnungszyklus abgerechnet ( Boolean )</summary>
		public virtual Object SVtAbrAmEndeKz
		{
			get { return this["SVtAbrAmEndeKz"]; }
		}
		/// <summary>Servicevertragsselektionen beim Fakturieren abfragen ( Boolean )</summary>
		public virtual Object SVtSelAbfKz
		{
			get { return this["SVtSelAbfKz"]; }
		}
		/// <summary>Spezielle Menge beim Fakturieren abfragen ( Boolean )</summary>
		public virtual Object SVtSpzMgeAbfKz
		{
			get { return this["SVtSpzMgeAbfKz"]; }
		}
		/// <summary>Spezielle Preise beim Fakturieren abfragen ( Boolean )</summary>
		public virtual Object SVtSpzPrAbfKz
		{
			get { return this["SVtSpzPrAbfKz"]; }
		}
		/// <summary>Seriennummernverwaltung ( Boolean )</summary>
		public virtual Object SerienNrKz
		{
			get { return this["SerienNrKz"]; }
		}
		/// <summary>Gesperrtgruppe ( Byte )</summary>
		public virtual Object GspGrp
		{
			get { return this["GspGrp"]; }
			set { this["GspGrp"] = value; }
		}
		/// <summary>Ist Gesperrt ( Boolean )</summary>
		public virtual Object GspKz
		{
			get { return this["GspKz"]; }
		}
		/// <summary>Gesperrt-Datum ( DateTime )</summary>
		public virtual DateTime GspDat
		{
			get { return Convert.ToDateTime(this["GspDat"]); }
			set { this["GspDat"] = value; }
		}
		/// <summary>Gesperrt-Information ( Info )</summary>
		public virtual Object GspInfo
		{
			get { return this["GspInfo"]; }
			set { this["GspInfo"] = value; }
		}
		/// <summary>Gesperrt-Information Kennzeichen ( Boolean )</summary>
		public virtual Object GspInfoKz
		{
			get { return this["GspInfoKz"]; }
		}
		/// <summary>Gesperrt ab Datum ( Date )</summary>
		public virtual DateTime GspAbDat
		{
			get { return Convert.ToDateTime(this["GspAbDat"]); }
			set { this["GspAbDat"] = value; }
		}
		/// <summary>Gesperrt bis Datum ( Date )</summary>
		public virtual DateTime GspBisDat
		{
			get { return Convert.ToDateTime(this["GspBisDat"]); }
			set { this["GspBisDat"] = value; }
		}
		/// <summary>Ist Fertigungsartikel ( Boolean )</summary>
		public virtual Object FertArtKz
		{
			get { return this["FertArtKz"]; }
		}
		/// <summary>Stckliste beim Fakturieren automatisch auflsen ( Boolean )</summary>
		public virtual Object SLiAuflKz
		{
			get { return this["SLiAuflKz"]; }
		}
		/// <summary>Preise neu einladen, beim Lschen von aufgelsten Stcklistenpositionen (innerhalb der Fakturierung) ( Boolean )</summary>
		public virtual Object SLiLPrNeuKz
		{
			get { return this["SLiLPrNeuKz"]; }
		}
		/// <summary>ArtikelStueckliste ( Table )</summary>
		public virtual Object ASl
		{
			get { return this["ASl"]; }
		}
		/// <summary>Hat Stckliste ( Boolean )</summary>
		public virtual Object SLiKz
		{
			get { return this["SLiKz"]; }
		}
		/// <summary>ges. Stcklisten-Ek (fr Roherls) ( Double )</summary>
		public virtual Object SLiGEkRoh
		{
			get { return this["SLiGEkRoh"]; }
			set { this["SLiGEkRoh"] = value; }
		}
		/// <summary>ges. Stcklisten-Ek (fr Kalkulation) ( Double )</summary>
		public virtual Object SLiGEkKalk
		{
			get { return this["SLiGEkKalk"]; }
			set { this["SLiGEkKalk"] = value; }
		}
		/// <summary>ges. Stcklisten-Preis (Netto) ( Double )</summary>
		public virtual Object SLiGVkNt
		{
			get { return this["SLiGVkNt"]; }
			set { this["SLiGVkNt"] = value; }
		}
		/// <summary>ges. Stcklisten-Preis (Original-Netto) ( Double )</summary>
		public virtual Object SLiGVkOrgNt
		{
			get { return this["SLiGVkOrgNt"]; }
			set { this["SLiGVkOrgNt"] = value; }
		}
		/// <summary>Stcklisten-Kalk.->ArtikelKalkGruppe ( Array )</summary>
		public virtual Object SLiKalk_AKalG
		{
			get { return this["SLiKalk.AKalG"]; }
			set { this["SLiKalk.AKalG"] = value; }
		}
		/// <summary>Stcklisten-Kalk.->Kalkulationsschema ( Byte )</summary>
		public virtual Object SLiKalk_Schema
		{
			get { return this["SLiKalk.Schema"]; }
		}
		/// <summary>Stcklisten-Kalk.->Materialeinkauf-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object SLiKalk_MEkZus1
		{
			get { return this["SLiKalk.MEkZus1"]; }
		}
		/// <summary>Stcklisten-Kalk.->Materialeinkauf-Zuschlagssatz 2 ( Single )</summary>
		public virtual Object SLiKalk_MEkZus2
		{
			get { return this["SLiKalk.MEkZus2"]; }
		}
		/// <summary>Stcklisten-Kalk.->Materialeinkauf-Zuschlagssatz 3 ( Single )</summary>
		public virtual Object SLiKalk_MEkZus3
		{
			get { return this["SLiKalk.MEkZus3"]; }
		}
		/// <summary>Stcklisten-Kalk.->Material-Zuschlagssatz ( Single )</summary>
		public virtual Object SLiKalk_MZus
		{
			get { return this["SLiKalk.MZus"]; }
		}
		/// <summary>Stcklisten-Kalk.->Material-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object SLiKalk_MKGrp
		{
			get { return this["SLiKalk.MKGrp"]; }
		}
		/// <summary>Stcklisten-Kalk.->Material-Kalkulationssatz ( Single )</summary>
		public virtual Object SLiKalk_MKSz
		{
			get { return this["SLiKalk.MKSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Zeit ( Double )</summary>
		public virtual Object SLiKalk_LZt
		{
			get { return this["SLiKalk.LZt"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Zeiteinheit ( Byte )</summary>
		public virtual Object SLiKalk_LZtEh
		{
			get { return this["SLiKalk.LZtEh"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Zuschlagssatz 1 ( Single )</summary>
		public virtual Object SLiKalk_LZus1
		{
			get { return this["SLiKalk.LZus1"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object SLiKalk_LKGrp
		{
			get { return this["SLiKalk.LKGrp"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Lohnbetrag ( Double )</summary>
		public virtual Object SLiKalk_LLBet
		{
			get { return this["SLiKalk.LLBet"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Lohn Zeiteinheit ( Byte )</summary>
		public virtual Object SLiKalk_LLZtEh
		{
			get { return this["SLiKalk.LLZtEh"]; }
		}
		/// <summary>Stcklisten-Kalk.->Material-Anteilssatz ( Single )</summary>
		public virtual Object SLiKalk_MAntSz
		{
			get { return this["SLiKalk.MAntSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Lohn-Anteilssatz ( Single )</summary>
		public virtual Object SLiKalk_LAntSz
		{
			get { return this["SLiKalk.LAntSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Herstellkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object SLiKalk_HKZus
		{
			get { return this["SLiKalk.HKZus"]; }
		}
		/// <summary>Stcklisten-Kalk.->Selbstkosten-Zuschlagssatz ( Single )</summary>
		public virtual Object SLiKalk_SKZus
		{
			get { return this["SLiKalk.SKZus"]; }
		}
		/// <summary>Stcklisten-Kalk.->SK-Kalkulationsgruppe ( Byte )</summary>
		public virtual Object SLiKalk_SKKGrp
		{
			get { return this["SLiKalk.SKKGrp"]; }
		}
		/// <summary>Stcklisten-Kalk.->SK-Kalkulationssatz (in %) ( Single )</summary>
		public virtual Object SLiKalk_SKKSz
		{
			get { return this["SLiKalk.SKKSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Skontosatz (in %) ( Single )</summary>
		public virtual Object SLiKalk_SktoSz
		{
			get { return this["SLiKalk.SktoSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Provisionssatz (in %) ( Single )</summary>
		public virtual Object SLiKalk_ProvSz
		{
			get { return this["SLiKalk.ProvSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Rabattsatz (in %) ( Single )</summary>
		public virtual Object SLiKalk_RabSz
		{
			get { return this["SLiKalk.RabSz"]; }
		}
		/// <summary>Stcklisten-Kalk.->Preisfindungsgruppe ( Byte )</summary>
		public virtual Object SLiKalk_PFGrp
		{
			get { return this["SLiKalk.PFGrp"]; }
		}
		/// <summary>Stcklisten Preiszuordnung Material Betrag (Netto) ( Double )</summary>
		public virtual Object SLiPrZuMatBetNet
		{
			get { return this["SLiPrZuMatBetNet"]; }
			set { this["SLiPrZuMatBetNet"] = value; }
		}
		/// <summary>Stcklisten Preiszuordnung Lohn Betrag (Netto) ( Double )</summary>
		public virtual Object SLiPrZuLohnBetNet
		{
			get { return this["SLiPrZuLohnBetNet"]; }
			set { this["SLiPrZuLohnBetNet"] = value; }
		}
		/// <summary>Stcklisten Preiszuordnung Fremdleistung Betrag (Netto) ( Double )</summary>
		public virtual Object SLiPrZuFremdBetNet
		{
			get { return this["SLiPrZuFremdBetNet"]; }
			set { this["SLiPrZuFremdBetNet"] = value; }
		}
		/// <summary>Stcklisten Preiszuordnung Sonstige Betrag (Netto) ( Double )</summary>
		public virtual Object SLiPrZuSonstBetNet
		{
			get { return this["SLiPrZuSonstBetNet"]; }
			set { this["SLiPrZuSonstBetNet"] = value; }
		}
		/// <summary>Stcklistenpositionen sind lagerfhig ( Boolean )</summary>
		public virtual Object SLiLagKz
		{
			get { return this["SLiLagKz"]; }
		}
		/// <summary>Lagermenge der Stckliste (rechnerisch) ( Double )</summary>
		public virtual Object SLiLagMge
		{
			get { return this["SLiLagMge"]; }
		}
		/// <summary>Reservierte Stcklistenmenge (rechnerisch) ( Double )</summary>
		public virtual Object SLiResMge
		{
			get { return this["SLiResMge"]; }
		}
		/// <summary>Stcklistenmenge in Kundenbestellungen (rechnerisch) ( Double )</summary>
		public virtual Object SLiKBstMge
		{
			get { return this["SLiKBstMge"]; }
		}
		/// <summary>Stcklistenmenge in Kundenbestellungen zum akt. Lieferdatum (rechnerisch) ( Double )</summary>
		public virtual Object SLiKBstLDMge
		{
			get { return this["SLiKBstLDMge"]; }
		}
		/// <summary>Stcklistenmenge in Kundenbestellungen die reserviert ist (rechnerisch) ( Double )</summary>
		public virtual Object SLiKBstResMge
		{
			get { return this["SLiKBstResMge"]; }
		}
		/// <summary>Verfgbare Stcklistenmenge ( Double )</summary>
		public virtual Object SLiVerfMge
		{
			get { return this["SLiVerfMge"]; }
		}
		/// <summary>Stcklistenmenge in nicht gebuchten Lieferantenbestellungen (rechnerisch) ( Double )</summary>
		public virtual Object SLiLBstMge
		{
			get { return this["SLiLBstMge"]; }
		}
		/// <summary>Stcklistenmenge im Warenkorb (rechnerisch) ( Double )</summary>
		public virtual Object SLiWKbMge
		{
			get { return this["SLiWKbMge"]; }
		}
		/// <summary>Stcklistenmenge im Lieferantenbestelleingang (rechnerisch) ( Double )</summary>
		public virtual Object SLiBstEgMge
		{
			get { return this["SLiBstEgMge"]; }
		}
		/// <summary>Stcklistenbestandsinfo Image ( Integer )</summary>
		public virtual Int32 SLiBstInfoImg
		{
			get { return Convert.ToInt32(this["SLiBstInfoImg"]); }
		}
		/// <summary>ArtikelGebinde ( Table )</summary>
		public virtual Object AGb
		{
			get { return this["AGb"]; }
		}
		/// <summary>Zustze verfgbar ( Boolean )</summary>
		public virtual Object ZusaetzeKz
		{
			get { return this["ZusaetzeKz"]; }
		}
		/// <summary>Data ( StringList )</summary>
		public virtual Object Data
		{
			get { return this["Data"]; }
			set { this["Data"] = value; }
		}
		/// <summary>Lagerfhig ( Boolean )</summary>
		public virtual Object LagKz
		{
			get { return this["LagKz"]; }
		}
		/// <summary>Vorgabe fr: Lager bei Nullbestand lschen ( Boolean )</summary>
		public virtual Object VgbLagNBLoeschKz
		{
			get { return this["VgbLagNBLoeschKz"]; }
		}
		/// <summary>Vorgabe fr: Lagerbuch fhren ( Boolean )</summary>
		public virtual Object VgbLagBuchKz
		{
			get { return this["VgbLagBuchKz"]; }
		}
		/// <summary>Lagerbestand mit Verfallsdatum fhren ( Boolean )</summary>
		public virtual Object LBeVerfallDatKz
		{
			get { return this["LBeVerfallDatKz"]; }
		}
		/// <summary>Vorgabe fr: Haltbarkeit des Lagerbestands (in Tagen) ( Integer )</summary>
		public virtual Int32 VgbLBeHaltBTg
		{
			get { return Convert.ToInt32(this["VgbLBeHaltBTg"]); }
			set { this["VgbLBeHaltBTg"] = value; }
		}
		/// <summary>Vorgabe fr: Lagerbestand automatisch sperren wenn Verfallsdatum erreicht ( Boolean )</summary>
		public virtual Object VgbLBeAutoSpVDatKz
		{
			get { return this["VgbLBeAutoSpVDatKz"]; }
		}
		/// <summary>Chargennummernverwaltung ( Boolean )</summary>
		public virtual Object ChargeKz
		{
			get { return this["ChargeKz"]; }
		}
		/// <summary>Lagernummer ( String )</summary>
		public virtual String LagNr
		{
			get { return Convert.ToString(this["LagNr"]); }
			set { this["LagNr"] = value; }
		}
		/// <summary>Lager ( String )</summary>
		public virtual String LagNrInfo
		{
			get { return Convert.ToString(this["LagNrInfo"]); }
		}
		/// <summary>Lager ( Table )</summary>
		public virtual Object Lag
		{
			get { return this["Lag"]; }
		}
		/// <summary>Lieferantennummer ( String )</summary>
		public virtual String LiefNr
		{
			get { return Convert.ToString(this["LiefNr"]); }
			set { this["LiefNr"] = value; }
		}
		/// <summary>Lieferant ( String )</summary>
		public virtual String LiefNrInfo
		{
			get { return Convert.ToString(this["LiefNrInfo"]); }
		}
		/// <summary>ArtikelLieferanten ( Table )</summary>
		public virtual Object ALi
		{
			get { return this["ALi"]; }
		}
		/// <summary>Memo-Information ( Info )</summary>
		public virtual Object Memo
		{
			get { return this["Memo"]; }
			set { this["Memo"] = value; }
		}
		/// <summary>Memo-Information Kennzeichen ( Boolean )</summary>
		public virtual Object MemoKz
		{
			get { return this["MemoKz"]; }
		}
		/// <summary>Bild ( Bild )</summary>
		public virtual Object Bild
		{
			get { return this["Bild"]; }
			set { this["Bild"] = value; }
		}
		/// <summary>Bild Kennzeichen ( Boolean )</summary>
		public virtual Object BildKz
		{
			get { return this["BildKz"]; }
		}
		/// <summary>Bild 2 ( Bild )</summary>
		public virtual Object Bild2
		{
			get { return this["Bild2"]; }
			set { this["Bild2"] = value; }
		}
		/// <summary>Bild 2 Kennzeichen ( Boolean )</summary>
		public virtual Object Bild2Kz
		{
			get { return this["Bild2Kz"]; }
		}
		/// <summary>Bild 3 ( Bild )</summary>
		public virtual Object Bild3
		{
			get { return this["Bild3"]; }
			set { this["Bild3"] = value; }
		}
		/// <summary>Bild 3 Kennzeichen ( Boolean )</summary>
		public virtual Object Bild3Kz
		{
			get { return this["Bild3Kz"]; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object Ums
		{
			get { return this["Ums"]; }
			set { this["Ums"] = value; }
		}
		/// <summary>Letzter Umsatz ( Date )</summary>
		public virtual DateTime LtzUmsDat
		{
			get { return Convert.ToDateTime(this["LtzUmsDat"]); }
			set { this["LtzUmsDat"] = value; }
		}
		/// <summary>Umsatz ( BlobTable )</summary>
		public virtual Object SLiUms
		{
			get { return this["SLiUms"]; }
			set { this["SLiUms"] = value; }
		}
		/// <summary>Erfolgs-Umsatzsteuerkonten ( StringList )</summary>
		public virtual Object ErfolgsUSK
		{
			get { return this["ErfolgsUSK"]; }
			set { this["ErfolgsUSK"] = value; }
		}
		/// <summary>Abweichende FiBu Erfolgskonten verwenden ( Boolean )</summary>
		public virtual Object USKKz
		{
			get { return this["USKKz"]; }
		}
		/// <summary>Artikel im Webshop bereitstellen Kennzeichen ( Boolean )</summary>
		public virtual Object WShopKz
		{
			get { return this["WShopKz"]; }
			set { this["WShopKz"] = value; }
		}
		/// <summary>Artikel URL ( String )</summary>
		public virtual String ArtUrl
		{
			get { return Convert.ToString(this["ArtUrl"]); }
			set { this["ArtUrl"] = value; }
		}
		/// <summary>Artikelkategorie 1 ( Integer )</summary>
		public virtual Int32 ArtKat1
		{
			get { return Convert.ToInt32(this["ArtKat1"]); }
			set { this["ArtKat1"] = value; }
		}
		/// <summary>Artikelkategorie 2 ( Integer )</summary>
		public virtual Int32 ArtKat2
		{
			get { return Convert.ToInt32(this["ArtKat2"]); }
			set { this["ArtKat2"] = value; }
		}
		/// <summary>Artikel mit Auktionsplattform abgleichen Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebKz
		{
			get { return this["AucWebKz"]; }
			set { this["AucWebKz"] = value; }
		}
		/// <summary>ID zum Abgleich mit Auktionsplattform ( String )</summary>
		public virtual String AucWebID
		{
			get { return Convert.ToString(this["AucWebID"]); }
			set { this["AucWebID"] = value; }
		}
		/// <summary>Hersteller ( String )</summary>
		public virtual String AucWebHst
		{
			get { return Convert.ToString(this["AucWebHst"]); }
			set { this["AucWebHst"] = value; }
		}
		/// <summary>Preis fr Vesand ( Double )</summary>
		public virtual Object PreisVersand
		{
			get { return this["PreisVersand"]; }
			set { this["PreisVersand"] = value; }
		}
		/// <summary>Flags ( Integer )</summary>
		public virtual Int32 AucWebFlags
		{
			get { return Convert.ToInt32(this["AucWebFlags"]); }
			set { this["AucWebFlags"] = value; }
		}
		/// <summary>Artikelbezeichnung nach HTML Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebArtBezFormatKz
		{
			get { return this["AucWebArtBezFormatKz"]; }
		}
		/// <summary>Lagerbestand aktiv Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebLagBestKz
		{
			get { return this["AucWebLagBestKz"]; }
		}
		/// <summary>Einstellen Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebNegBestEinstellenKz
		{
			get { return this["AucWebNegBestEinstellenKz"]; }
		}
		/// <summary>Shop Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebNegBestShopKz
		{
			get { return this["AucWebNegBestShopKz"]; }
		}
		/// <summary>Zubehr-Artikel Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebNegBestZubArtKz
		{
			get { return this["AucWebNegBestZubArtKz"]; }
		}
		/// <summary>Manueller Verkauf Kennzeichen ( Boolean )</summary>
		public virtual Object AucWebNegBestManVkKz
		{
			get { return this["AucWebNegBestManVkKz"]; }
		}
		/// <summary>ArtikelEbayEinstellungen ( Table )</summary>
		public virtual Object AEbE
		{
			get { return this["AEbE"]; }
		}
		/// <summary>Satzdatum ( Array )</summary>
		public virtual Object SatzDat
		{
			get { return this["SatzDat"]; }
			set { this["SatzDat"] = value; }
		}
		/// <summary>Erstellungsdatum ( DateTime )</summary>
		public virtual DateTime ErstDat
		{
			get { return Convert.ToDateTime(this["ErstDat"]); }
		}
		/// <summary>Benutzer bei Erstellung ( String )</summary>
		public virtual String ErstBzr
		{
			get { return Convert.ToString(this["ErstBzr"]); }
		}
		/// <summary>nderungsdatum ( DateTime )</summary>
		public virtual DateTime AendDat
		{
			get { return Convert.ToDateTime(this["AendDat"]); }
		}
		/// <summary>Benutzer bei nderung ( String )</summary>
		public virtual String AendBzr
		{
			get { return Convert.ToString(this["AendBzr"]); }
		}
		/// <summary>Letzte Datensatznderung ( DateTime )</summary>
		public virtual DateTime LtzAend
		{
			get { return Convert.ToDateTime(this["LtzAend"]); }
			set { this["LtzAend"] = value; }
		}
		/// <summary>QuickInfo ( Array )</summary>
		public virtual Object QuickInfo
		{
			get { return this["QuickInfo"]; }
		}
		/// <summary>Zahlungsart ( String )</summary>
		public virtual String Sel1
		{
			get { return Convert.ToString(this["Sel1"]); }
			set { this["Sel1"] = value; }
		}
		/// <summary>Lagerhaltung ( String )</summary>
		public virtual String Sel2
		{
			get { return Convert.ToString(this["Sel2"]); }
			set { this["Sel2"] = value; }
		}
		/// <summary>Sonderangebot ( Boolean )</summary>
		public virtual Object Sel3
		{
			get { return this["Sel3"]; }
			set { this["Sel3"] = value; }
		}
		/// <summary>Verpackungsmenge ( Double )</summary>
		public virtual Object Sel4
		{
			get { return this["Sel4"]; }
			set { this["Sel4"] = value; }
		}


		#endregion
	}
}
